* [Skip to main content](#content)
* [Skip to search](#top-nav-search-input)
* [Skip to select language](#languages-switcher-button)

[MDN Web Docs](/en-US/)Open main menu

* References[References](/en-US/docs/Web)
  + [Overview / Web Technology

    Web technology reference for developers](/en-US/docs/Web)
  + [HTML

    Structure of content on the web](/en-US/docs/Web/HTML)
  + [CSS

    Code used to describe document style](/en-US/docs/Web/CSS)
  + [JavaScript

    General-purpose scripting language](/en-US/docs/Web/JavaScript)
  + [HTTP

    Protocol for transmitting web resources](/en-US/docs/Web/HTTP)
  + [Web APIs

    Interfaces for building web applications](/en-US/docs/Web/API)
  + [Web Extensions

    Developing extensions for web browsers](/en-US/docs/Mozilla/Add-ons/WebExtensions)
  + [Accessibility

    Build web projects usable for all](/en-US/docs/Web/Accessibility)
  + [Web Technology

    Web technology reference for developers](/en-US/docs/Web)
* Learn[Learn](/en-US/docs/Learn_web_development)
  + [Overview / MDN Learning Area

    Learn web development](/en-US/docs/Learn_web_development)
  + [MDN Learning Area

    Learn web development](/en-US/docs/Learn_web_development)
  + [HTML

    Learn to structure web content with HTML](/en-US/docs/Learn_web_development/Core/Structuring_content)
  + [CSS

    Learn to style content using CSS](/en-US/docs/Learn_web_development/Core/Styling_basics)
  + [JavaScript

    Learn to run scripts in the browser](/en-US/docs/Learn_web_development/Core/Scripting)
  + [Accessibility

    Learn to make the web accessible to all](/en-US/docs/Learn_web_development/Core/Accessibility)
* Plus[Plus](/en-US/plus)
  + [Overview

    A customized MDN experience](/en-US/plus)
  + [AI Help

    Get real-time assistance and support](/en-US/plus/ai-help)
  + [Updates

    All browser compatibility updates at a glance](/en-US/plus/updates)
  + [Documentation

    Learn how to use MDN Plus](/en-US/plus/docs/features/overview)
  + [FAQ

    Frequently asked questions about MDN Plus](/en-US/plus/docs/faq)
* [Curriculum New](/en-US/curriculum/)
* [Blog](/en-US/blog/)
* Tools
  + [Playground

    Write, test and share your code](/en-US/play)
  + [HTTP Observatory

    Scan a website for free](/en-US/observatory)
  + [AI Help

    Get real-time assistance and support](/en-US/plus/ai-help)

Search MDNClear search inputSearch

Theme

* [Log in](/users/fxa/login/authenticate/?next=%2Fen-US%2Fdocs%2FWeb%2FHTTP%2FReference%2FHeaders%2FKeep-Alive)
* [Sign up for free](/users/fxa/login/authenticate/?next=%2Fen-US%2Fdocs%2FWeb%2FHTTP%2FReference%2FHeaders%2FKeep-Alive)

1. [References](/en-US/docs/Web)
2. [HTTP](/en-US/docs/Web/HTTP)
3. [Reference](/en-US/docs/Web/HTTP/Reference)
4. [Headers](/en-US/docs/Web/HTTP/Reference/Headers)
5. [Keep-Alive](/en-US/docs/Web/HTTP/Reference/Headers/Keep-Alive)

Article Actions

* English (US)

  + Remember language
  + [Deutsch](/de/docs/Web/HTTP/Reference/Headers/Keep-Alive)
  + [Español](/es/docs/Web/HTTP/Reference/Headers/Keep-Alive)
  + [日本語](/ja/docs/Web/HTTP/Reference/Headers/Keep-Alive)
  + [한국어](/ko/docs/Web/HTTP/Reference/Headers/Keep-Alive)
  + [Português (do Brasil)](/pt-BR/docs/Web/HTTP/Reference/Headers/Keep-Alive)
  + [中文 (简体)](/zh-CN/docs/Web/HTTP/Reference/Headers/Keep-Alive)

Filter sidebarClear filter input

## In this article

* [Syntax](#syntax)
* [Directives](#directives)
* [Examples](#examples)
* [Specifications](#specifications)
* [Browser compatibility](#browser_compatibility)
* [See also](#see_also)

1. [HTTP](/en-US/docs/Web/HTTP)
2. [Guides](/en-US/docs/Web/HTTP/Guides)
3. [Overview of HTTP](/en-US/docs/Web/HTTP/Guides/Overview)
4. [Evolution of HTTP](/en-US/docs/Web/HTTP/Guides/Evolution_of_HTTP)
5. [A typical HTTP session](/en-US/docs/Web/HTTP/Guides/Session)
6. [HTTP messages](/en-US/docs/Web/HTTP/Guides/Messages)
7. [Media types](/en-US/docs/Web/HTTP/Guides/MIME_types)
   1. [Common types](/en-US/docs/Web/HTTP/Guides/MIME_types/Common_types)
8. [Compression in HTTP](/en-US/docs/Web/HTTP/Guides/Compression)
9. [HTTP caching](/en-US/docs/Web/HTTP/Guides/Caching)
10. [HTTP authentication](/en-US/docs/Web/HTTP/Guides/Authentication)
11. [Using HTTP cookies](/en-US/docs/Web/HTTP/Guides/Cookies)
12. [Redirections in HTTP](/en-US/docs/Web/HTTP/Guides/Redirections)
13. [Conditional requests](/en-US/docs/Web/HTTP/Guides/Conditional_requests)
14. [Range requests](/en-US/docs/Web/HTTP/Guides/Range_requests)
15. [Client hints](/en-US/docs/Web/HTTP/Guides/Client_hints)
16. [Compression Dictionary Transport](/en-US/docs/Web/HTTP/Guides/Compression_dictionary_transport)
    Experimental
17. [Network Error Logging](/en-US/docs/Web/HTTP/Guides/Network_Error_Logging)
    Experimental
18. [Content negotiation](/en-US/docs/Web/HTTP/Guides/Content_negotiation)
    1. [Default Accept values](/en-US/docs/Web/HTTP/Guides/Content_negotiation/List_of_default_Accept_values)
19. [Browser detection using the UA string](/en-US/docs/Web/HTTP/Guides/Browser_detection_using_the_user_agent)
20. [Connection management in HTTP/1.x](/en-US/docs/Web/HTTP/Guides/Connection_management_in_HTTP_1.x)
21. [Protocol upgrade mechanism](/en-US/docs/Web/HTTP/Guides/Protocol_upgrade_mechanism)
22. [Proxy servers and tunneling](/en-US/docs/Web/HTTP/Guides/Proxy_servers_and_tunneling)
    1. [Proxy Auto-Configuration (PAC) file](/en-US/docs/Web/HTTP/Guides/Proxy_servers_and_tunneling/Proxy_Auto-Configuration_PAC_file)
23. Security and privacy
    1. [HTTP Observatory](/en-US/observatory)
    2. [Practical implementation guides](/en-US/docs/Web/Security/Practical_implementation_guides)
    3. [Permissions Policy](/en-US/docs/Web/HTTP/Guides/Permissions_Policy)
       Experimental
    4. [Cross-Origin Resource Policy (CORP)](/en-US/docs/Web/HTTP/Guides/Cross-Origin_Resource_Policy)
    5. [Cross-Origin Resource Sharing (CORS)](/en-US/docs/Web/HTTP/Guides/CORS)
    6. [CORS errors](/en-US/docs/Web/HTTP/Guides/CORS/Errors)
       1. [`Reason: CORS disabled`](/en-US/docs/Web/HTTP/Guides/CORS/Errors/CORSDisabled)
       2. [`Reason: CORS header 'Access-Control-Allow-Origin' does not match 'xyz'`](/en-US/docs/Web/HTTP/Guides/CORS/Errors/CORSAllowOriginNotMatchingOrigin)
       3. [`Reason: CORS header 'Access-Control-Allow-Origin' missing`](/en-US/docs/Web/HTTP/Guides/CORS/Errors/CORSMissingAllowOrigin)
       4. [`Reason: CORS header 'Origin' cannot be added`](/en-US/docs/Web/HTTP/Guides/CORS/Errors/CORSOriginHeaderNotAdded)
       5. [`Reason: CORS preflight channel did not succeed`](/en-US/docs/Web/HTTP/Guides/CORS/Errors/CORSPreflightDidNotSucceed)
       6. [`Reason: CORS request did not succeed`](/en-US/docs/Web/HTTP/Guides/CORS/Errors/CORSDidNotSucceed)
       7. [`Reason: CORS request external redirect not allowed`](/en-US/docs/Web/HTTP/Guides/CORS/Errors/CORSExternalRedirectNotAllowed)
       8. [`Reason: CORS request not HTTP`](/en-US/docs/Web/HTTP/Guides/CORS/Errors/CORSRequestNotHttp)
       9. [`Reason: Credential is not supported if the CORS header 'Access-Control-Allow-Origin' is '*'`](/en-US/docs/Web/HTTP/Guides/CORS/Errors/CORSNotSupportingCredentials)
       10. [`Reason: Did not find method in CORS header 'Access-Control-Allow-Methods'`](/en-US/docs/Web/HTTP/Guides/CORS/Errors/CORSMethodNotFound)
       11. [`Reason: expected 'true' in CORS header 'Access-Control-Allow-Credentials'`](/en-US/docs/Web/HTTP/Guides/CORS/Errors/CORSMIssingAllowCredentials)
       12. [`Reason: invalid token 'xyz' in CORS header 'Access-Control-Allow-Headers'`](/en-US/docs/Web/HTTP/Guides/CORS/Errors/CORSInvalidAllowHeader)
       13. [`Reason: invalid token 'xyz' in CORS header 'Access-Control-Allow-Methods'`](/en-US/docs/Web/HTTP/Guides/CORS/Errors/CORSInvalidAllowMethod)
       14. [`Reason: missing token 'xyz' in CORS header 'Access-Control-Allow-Headers' from CORS preflight channel`](/en-US/docs/Web/HTTP/Guides/CORS/Errors/CORSMissingAllowHeaderFromPreflight)
       15. [`Reason: Multiple CORS header 'Access-Control-Allow-Origin' not allowed`](/en-US/docs/Web/HTTP/Guides/CORS/Errors/CORSMultipleAllowOriginNotAllowed)
    7. [Content Security Policy (CSP)](/en-US/docs/Web/HTTP/Guides/CSP)
       1. [Errors and warnings](/en-US/docs/Web/HTTP/Guides/CSP/Errors)
24. [Reference](/en-US/docs/Web/HTTP/Reference)
25. [HTTP headers](/en-US/docs/Web/HTTP/Reference/Headers)
    1. [`Accept`](/en-US/docs/Web/HTTP/Reference/Headers/Accept)
    2. [`Accept-CH`](/en-US/docs/Web/HTTP/Reference/Headers/Accept-CH)
    3. [`Accept-Encoding`](/en-US/docs/Web/HTTP/Reference/Headers/Accept-Encoding)
    4. [`Accept-Language`](/en-US/docs/Web/HTTP/Reference/Headers/Accept-Language)
    5. [`Accept-Patch`](/en-US/docs/Web/HTTP/Reference/Headers/Accept-Patch)
    6. [`Accept-Post`](/en-US/docs/Web/HTTP/Reference/Headers/Accept-Post)
    7. [`Accept-Ranges`](/en-US/docs/Web/HTTP/Reference/Headers/Accept-Ranges)
    8. [`Access-Control-Allow-Credentials`](/en-US/docs/Web/HTTP/Reference/Headers/Access-Control-Allow-Credentials)
    9. [`Access-Control-Allow-Headers`](/en-US/docs/Web/HTTP/Reference/Headers/Access-Control-Allow-Headers)
    10. [`Access-Control-Allow-Methods`](/en-US/docs/Web/HTTP/Reference/Headers/Access-Control-Allow-Methods)
    11. [`Access-Control-Allow-Origin`](/en-US/docs/Web/HTTP/Reference/Headers/Access-Control-Allow-Origin)
    12. [`Access-Control-Expose-Headers`](/en-US/docs/Web/HTTP/Reference/Headers/Access-Control-Expose-Headers)
    13. [`Access-Control-Max-Age`](/en-US/docs/Web/HTTP/Reference/Headers/Access-Control-Max-Age)
    14. [`Access-Control-Request-Headers`](/en-US/docs/Web/HTTP/Reference/Headers/Access-Control-Request-Headers)
    15. [`Access-Control-Request-Method`](/en-US/docs/Web/HTTP/Reference/Headers/Access-Control-Request-Method)
    16. [`Age`](/en-US/docs/Web/HTTP/Reference/Headers/Age)
    17. [`Allow`](/en-US/docs/Web/HTTP/Reference/Headers/Allow)
    18. [`Alt-Svc`](/en-US/docs/Web/HTTP/Reference/Headers/Alt-Svc)
    19. [`Alt-Used`](/en-US/docs/Web/HTTP/Reference/Headers/Alt-Used)
    20. [`Attribution-Reporting-Eligible`](/en-US/docs/Web/HTTP/Reference/Headers/Attribution-Reporting-Eligible)
        Experimental
    21. [`Attribution-Reporting-Register-Source`](/en-US/docs/Web/HTTP/Reference/Headers/Attribution-Reporting-Register-Source)
        Experimental
    22. [`Attribution-Reporting-Register-Trigger`](/en-US/docs/Web/HTTP/Reference/Headers/Attribution-Reporting-Register-Trigger)
        Experimental
    23. [`Authorization`](/en-US/docs/Web/HTTP/Reference/Headers/Authorization)
    24. [`Available-Dictionary`](/en-US/docs/Web/HTTP/Reference/Headers/Available-Dictionary)
        Experimental
    25. [`Cache-Control`](/en-US/docs/Web/HTTP/Reference/Headers/Cache-Control)
    26. [`Clear-Site-Data`](/en-US/docs/Web/HTTP/Reference/Headers/Clear-Site-Data)
    27. [`Connection`](/en-US/docs/Web/HTTP/Reference/Headers/Connection)
    28. [`Content-Digest`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Digest)
    29. [`Content-Disposition`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Disposition)
    30. [`Content-DPR`](/en-US/docs/Web/HTTP/Reference/Headers/Content-DPR)
        Non-standard
        Deprecated
    31. [`Content-Encoding`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Encoding)
    32. [`Content-Language`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Language)
    33. [`Content-Length`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Length)
    34. [`Content-Location`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Location)
    35. [`Content-Range`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Range)
    36. [`Content-Security-Policy`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy)
    37. [`Content-Security-Policy-Report-Only`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy-Report-Only)
    38. [`Content-Type`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Type)
    39. [`Cookie`](/en-US/docs/Web/HTTP/Reference/Headers/Cookie)
    40. [`Critical-CH`](/en-US/docs/Web/HTTP/Reference/Headers/Critical-CH)
        Experimental
    41. [`Cross-Origin-Embedder-Policy`](/en-US/docs/Web/HTTP/Reference/Headers/Cross-Origin-Embedder-Policy)
    42. [`Cross-Origin-Opener-Policy`](/en-US/docs/Web/HTTP/Reference/Headers/Cross-Origin-Opener-Policy)
    43. [`Cross-Origin-Resource-Policy`](/en-US/docs/Web/HTTP/Reference/Headers/Cross-Origin-Resource-Policy)
    44. [`Date`](/en-US/docs/Web/HTTP/Reference/Headers/Date)
    45. [`Device-Memory`](/en-US/docs/Web/HTTP/Reference/Headers/Device-Memory)
    46. [`Dictionary-ID`](/en-US/docs/Web/HTTP/Reference/Headers/Dictionary-ID)
        Experimental
    47. [`DNT`](/en-US/docs/Web/HTTP/Reference/Headers/DNT)
        Non-standard
        Deprecated
    48. [`Downlink`](/en-US/docs/Web/HTTP/Reference/Headers/Downlink)
        Experimental
    49. [`DPR`](/en-US/docs/Web/HTTP/Reference/Headers/DPR)
        Non-standard
        Deprecated
    50. [`Early-Data`](/en-US/docs/Web/HTTP/Reference/Headers/Early-Data)
        Experimental
    51. [`ECT`](/en-US/docs/Web/HTTP/Reference/Headers/ECT)
        Experimental
    52. [`ETag`](/en-US/docs/Web/HTTP/Reference/Headers/ETag)
    53. [`Expect`](/en-US/docs/Web/HTTP/Reference/Headers/Expect)
    54. [`Expect-CT`](/en-US/docs/Web/HTTP/Reference/Headers/Expect-CT)
        Deprecated
    55. [`Expires`](/en-US/docs/Web/HTTP/Reference/Headers/Expires)
    56. [`Forwarded`](/en-US/docs/Web/HTTP/Reference/Headers/Forwarded)
    57. [`From`](/en-US/docs/Web/HTTP/Reference/Headers/From)
    58. [`Host`](/en-US/docs/Web/HTTP/Reference/Headers/Host)
    59. [`If-Match`](/en-US/docs/Web/HTTP/Reference/Headers/If-Match)
    60. [`If-Modified-Since`](/en-US/docs/Web/HTTP/Reference/Headers/If-Modified-Since)
    61. [`If-None-Match`](/en-US/docs/Web/HTTP/Reference/Headers/If-None-Match)
    62. [`If-Range`](/en-US/docs/Web/HTTP/Reference/Headers/If-Range)
    63. [`If-Unmodified-Since`](/en-US/docs/Web/HTTP/Reference/Headers/If-Unmodified-Since)
    64. *[`Keep-Alive`](/en-US/docs/Web/HTTP/Reference/Headers/Keep-Alive)*
    65. [`Last-Modified`](/en-US/docs/Web/HTTP/Reference/Headers/Last-Modified)
    66. [`Link`](/en-US/docs/Web/HTTP/Reference/Headers/Link)
    67. [`Location`](/en-US/docs/Web/HTTP/Reference/Headers/Location)
    68. [`Max-Forwards`](/en-US/docs/Web/HTTP/Reference/Headers/Max-Forwards)
    69. [`NEL`](/en-US/docs/Web/HTTP/Reference/Headers/NEL)
        Experimental
    70. [`No-Vary-Search`](/en-US/docs/Web/HTTP/Reference/Headers/No-Vary-Search)
        Experimental
    71. [`Observe-Browsing-Topics`](/en-US/docs/Web/HTTP/Reference/Headers/Observe-Browsing-Topics)
        Experimental
        Non-standard
    72. [`Origin`](/en-US/docs/Web/HTTP/Reference/Headers/Origin)
    73. [`Origin-Agent-Cluster`](/en-US/docs/Web/HTTP/Reference/Headers/Origin-Agent-Cluster)
    74. [`Permissions-Policy`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy)
        Experimental
    75. [`Pragma`](/en-US/docs/Web/HTTP/Reference/Headers/Pragma)
        Deprecated
    76. [`Prefer`](/en-US/docs/Web/HTTP/Reference/Headers/Prefer)
    77. [`Preference-Applied`](/en-US/docs/Web/HTTP/Reference/Headers/Preference-Applied)
    78. [`Priority`](/en-US/docs/Web/HTTP/Reference/Headers/Priority)
    79. [`Proxy-Authenticate`](/en-US/docs/Web/HTTP/Reference/Headers/Proxy-Authenticate)
    80. [`Proxy-Authorization`](/en-US/docs/Web/HTTP/Reference/Headers/Proxy-Authorization)
    81. [`Range`](/en-US/docs/Web/HTTP/Reference/Headers/Range)
    82. [`Referer`](/en-US/docs/Web/HTTP/Reference/Headers/Referer)
    83. [`Referrer-Policy`](/en-US/docs/Web/HTTP/Reference/Headers/Referrer-Policy)
    84. [`Refresh`](/en-US/docs/Web/HTTP/Reference/Headers/Refresh)
    85. [`Report-To`](/en-US/docs/Web/HTTP/Reference/Headers/Report-To)
        Non-standard
        Deprecated
    86. [`Reporting-Endpoints`](/en-US/docs/Web/HTTP/Reference/Headers/Reporting-Endpoints)
    87. [`Repr-Digest`](/en-US/docs/Web/HTTP/Reference/Headers/Repr-Digest)
    88. [`Retry-After`](/en-US/docs/Web/HTTP/Reference/Headers/Retry-After)
    89. [`RTT`](/en-US/docs/Web/HTTP/Reference/Headers/RTT)
        Experimental
    90. [`Save-Data`](/en-US/docs/Web/HTTP/Reference/Headers/Save-Data)
        Experimental
    91. [`Sec-Browsing-Topics`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-Browsing-Topics)
        Experimental
        Non-standard
    92. [`Sec-CH-Prefers-Color-Scheme`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-CH-Prefers-Color-Scheme)
        Experimental
    93. [`Sec-CH-Prefers-Reduced-Motion`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-CH-Prefers-Reduced-Motion)
        Experimental
    94. [`Sec-CH-Prefers-Reduced-Transparency`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-CH-Prefers-Reduced-Transparency)
        Experimental
    95. [`Sec-CH-UA`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-CH-UA)
        Experimental
    96. [`Sec-CH-UA-Arch`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-CH-UA-Arch)
        Experimental
    97. [`Sec-CH-UA-Bitness`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-CH-UA-Bitness)
        Experimental
    98. [`Sec-CH-UA-Form-Factors`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-CH-UA-Form-Factors)
        Experimental
    99. [`Sec-CH-UA-Full-Version`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-CH-UA-Full-Version)
        Deprecated
    100. [`Sec-CH-UA-Full-Version-List`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-CH-UA-Full-Version-List)
         Experimental
    101. [`Sec-CH-UA-Mobile`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-CH-UA-Mobile)
         Experimental
    102. [`Sec-CH-UA-Model`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-CH-UA-Model)
         Experimental
    103. [`Sec-CH-UA-Platform`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-CH-UA-Platform)
         Experimental
    104. [`Sec-CH-UA-Platform-Version`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-CH-UA-Platform-Version)
         Experimental
    105. [`Sec-CH-UA-WoW64`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-CH-UA-WoW64)
         Experimental
    106. [`Sec-Fetch-Dest`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-Fetch-Dest)
    107. [`Sec-Fetch-Mode`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-Fetch-Mode)
    108. [`Sec-Fetch-Site`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-Fetch-Site)
    109. [`Sec-Fetch-User`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-Fetch-User)
    110. [`Sec-GPC`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-GPC)
         Experimental
    111. [`Sec-Purpose`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-Purpose)
    112. [`Sec-Speculation-Tags`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-Speculation-Tags)
         Experimental
    113. [`Sec-WebSocket-Accept`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-WebSocket-Accept)
    114. [`Sec-WebSocket-Extensions`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-WebSocket-Extensions)
    115. [`Sec-WebSocket-Key`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-WebSocket-Key)
    116. [`Sec-WebSocket-Protocol`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-WebSocket-Protocol)
    117. [`Sec-WebSocket-Version`](/en-US/docs/Web/HTTP/Reference/Headers/Sec-WebSocket-Version)
    118. [`Server`](/en-US/docs/Web/HTTP/Reference/Headers/Server)
    119. [`Server-Timing`](/en-US/docs/Web/HTTP/Reference/Headers/Server-Timing)
    120. [`Service-Worker`](/en-US/docs/Web/HTTP/Reference/Headers/Service-Worker)
    121. [`Service-Worker-Allowed`](/en-US/docs/Web/HTTP/Reference/Headers/Service-Worker-Allowed)
    122. [`Service-Worker-Navigation-Preload`](/en-US/docs/Web/HTTP/Reference/Headers/Service-Worker-Navigation-Preload)
    123. [`Set-Cookie`](/en-US/docs/Web/HTTP/Reference/Headers/Set-Cookie)
    124. [`Set-Login`](/en-US/docs/Web/HTTP/Reference/Headers/Set-Login)
    125. [`SourceMap`](/en-US/docs/Web/HTTP/Reference/Headers/SourceMap)
    126. [`Speculation-Rules`](/en-US/docs/Web/HTTP/Reference/Headers/Speculation-Rules)
         Experimental
    127. [`Strict-Transport-Security`](/en-US/docs/Web/HTTP/Reference/Headers/Strict-Transport-Security)
    128. [`Supports-Loading-Mode`](/en-US/docs/Web/HTTP/Reference/Headers/Supports-Loading-Mode)
         Experimental
    129. [`TE`](/en-US/docs/Web/HTTP/Reference/Headers/TE)
    130. [`Timing-Allow-Origin`](/en-US/docs/Web/HTTP/Reference/Headers/Timing-Allow-Origin)
    131. [`Tk`](/en-US/docs/Web/HTTP/Reference/Headers/Tk)
         Non-standard
         Deprecated
    132. [`Trailer`](/en-US/docs/Web/HTTP/Reference/Headers/Trailer)
    133. [`Transfer-Encoding`](/en-US/docs/Web/HTTP/Reference/Headers/Transfer-Encoding)
    134. [`Upgrade`](/en-US/docs/Web/HTTP/Reference/Headers/Upgrade)
    135. [`Upgrade-Insecure-Requests`](/en-US/docs/Web/HTTP/Reference/Headers/Upgrade-Insecure-Requests)
    136. [`Use-As-Dictionary`](/en-US/docs/Web/HTTP/Reference/Headers/Use-As-Dictionary)
         Experimental
    137. [`User-Agent`](/en-US/docs/Web/HTTP/Reference/Headers/User-Agent)
    138. [`Vary`](/en-US/docs/Web/HTTP/Reference/Headers/Vary)
    139. [`Via`](/en-US/docs/Web/HTTP/Reference/Headers/Via)
    140. [`Viewport-Width`](/en-US/docs/Web/HTTP/Reference/Headers/Viewport-Width)
         Non-standard
         Deprecated
    141. [`Want-Content-Digest`](/en-US/docs/Web/HTTP/Reference/Headers/Want-Content-Digest)
    142. [`Want-Repr-Digest`](/en-US/docs/Web/HTTP/Reference/Headers/Want-Repr-Digest)
    143. [`Warning`](/en-US/docs/Web/HTTP/Reference/Headers/Warning)
         Deprecated
    144. [`Width`](/en-US/docs/Web/HTTP/Reference/Headers/Width)
         Non-standard
         Deprecated
    145. [`WWW-Authenticate`](/en-US/docs/Web/HTTP/Reference/Headers/WWW-Authenticate)
    146. [`X-Content-Type-Options`](/en-US/docs/Web/HTTP/Reference/Headers/X-Content-Type-Options)
    147. [`X-DNS-Prefetch-Control`](/en-US/docs/Web/HTTP/Reference/Headers/X-DNS-Prefetch-Control)
         Non-standard
    148. [`X-Forwarded-For`](/en-US/docs/Web/HTTP/Reference/Headers/X-Forwarded-For)
         Non-standard
    149. [`X-Forwarded-Host`](/en-US/docs/Web/HTTP/Reference/Headers/X-Forwarded-Host)
         Non-standard
    150. [`X-Forwarded-Proto`](/en-US/docs/Web/HTTP/Reference/Headers/X-Forwarded-Proto)
         Non-standard
    151. [`X-Frame-Options`](/en-US/docs/Web/HTTP/Reference/Headers/X-Frame-Options)
    152. [`X-Permitted-Cross-Domain-Policies`](/en-US/docs/Web/HTTP/Reference/Headers/X-Permitted-Cross-Domain-Policies)
         Non-standard
    153. [`X-Powered-By`](/en-US/docs/Web/HTTP/Reference/Headers/X-Powered-By)
         Non-standard
    154. [`X-Robots-Tag`](/en-US/docs/Web/HTTP/Reference/Headers/X-Robots-Tag)
         Non-standard
    155. [`X-XSS-Protection`](/en-US/docs/Web/HTTP/Reference/Headers/X-XSS-Protection)
         Non-standard
         Deprecated
26. [HTTP request methods](/en-US/docs/Web/HTTP/Reference/Methods)
    1. [`CONNECT`](/en-US/docs/Web/HTTP/Reference/Methods/CONNECT)
    2. [`DELETE`](/en-US/docs/Web/HTTP/Reference/Methods/DELETE)
    3. [`GET`](/en-US/docs/Web/HTTP/Reference/Methods/GET)
    4. [`HEAD`](/en-US/docs/Web/HTTP/Reference/Methods/HEAD)
    5. [`OPTIONS`](/en-US/docs/Web/HTTP/Reference/Methods/OPTIONS)
    6. [`PATCH`](/en-US/docs/Web/HTTP/Reference/Methods/PATCH)
    7. [`POST`](/en-US/docs/Web/HTTP/Reference/Methods/POST)
    8. [`PUT`](/en-US/docs/Web/HTTP/Reference/Methods/PUT)
    9. [`TRACE`](/en-US/docs/Web/HTTP/Reference/Methods/TRACE)
27. [HTTP response status codes](/en-US/docs/Web/HTTP/Reference/Status)
    1. [`100 Continue`](/en-US/docs/Web/HTTP/Reference/Status/100)
    2. [`101 Switching Protocols`](/en-US/docs/Web/HTTP/Reference/Status/101)
    3. [`102 Processing`](/en-US/docs/Web/HTTP/Reference/Status/102)
    4. [`103 Early Hints`](/en-US/docs/Web/HTTP/Reference/Status/103)
    5. [`200 OK`](/en-US/docs/Web/HTTP/Reference/Status/200)
    6. [`201 Created`](/en-US/docs/Web/HTTP/Reference/Status/201)
    7. [`202 Accepted`](/en-US/docs/Web/HTTP/Reference/Status/202)
    8. [`203 Non-Authoritative Information`](/en-US/docs/Web/HTTP/Reference/Status/203)
    9. [`204 No Content`](/en-US/docs/Web/HTTP/Reference/Status/204)
    10. [`205 Reset Content`](/en-US/docs/Web/HTTP/Reference/Status/205)
    11. [`206 Partial Content`](/en-US/docs/Web/HTTP/Reference/Status/206)
    12. [`207 Multi-Status`](/en-US/docs/Web/HTTP/Reference/Status/207)
    13. [`208 Already Reported`](/en-US/docs/Web/HTTP/Reference/Status/208)
    14. [`226 IM Used`](/en-US/docs/Web/HTTP/Reference/Status/226)
    15. [`300 Multiple Choices`](/en-US/docs/Web/HTTP/Reference/Status/300)
    16. [`301 Moved Permanently`](/en-US/docs/Web/HTTP/Reference/Status/301)
    17. [`302 Found`](/en-US/docs/Web/HTTP/Reference/Status/302)
    18. [`303 See Other`](/en-US/docs/Web/HTTP/Reference/Status/303)
    19. [`304 Not Modified`](/en-US/docs/Web/HTTP/Reference/Status/304)
    20. [`307 Temporary Redirect`](/en-US/docs/Web/HTTP/Reference/Status/307)
    21. [`308 Permanent Redirect`](/en-US/docs/Web/HTTP/Reference/Status/308)
    22. [`400 Bad Request`](/en-US/docs/Web/HTTP/Reference/Status/400)
    23. [`401 Unauthorized`](/en-US/docs/Web/HTTP/Reference/Status/401)
    24. [`402 Payment Required`](/en-US/docs/Web/HTTP/Reference/Status/402)
    25. [`403 Forbidden`](/en-US/docs/Web/HTTP/Reference/Status/403)
    26. [`404 Not Found`](/en-US/docs/Web/HTTP/Reference/Status/404)
    27. [`405 Method Not Allowed`](/en-US/docs/Web/HTTP/Reference/Status/405)
    28. [`406 Not Acceptable`](/en-US/docs/Web/HTTP/Reference/Status/406)
    29. [`407 Proxy Authentication Required`](/en-US/docs/Web/HTTP/Reference/Status/407)
    30. [`408 Request Timeout`](/en-US/docs/Web/HTTP/Reference/Status/408)
    31. [`409 Conflict`](/en-US/docs/Web/HTTP/Reference/Status/409)
    32. [`410 Gone`](/en-US/docs/Web/HTTP/Reference/Status/410)
    33. [`411 Length Required`](/en-US/docs/Web/HTTP/Reference/Status/411)
    34. [`412 Precondition Failed`](/en-US/docs/Web/HTTP/Reference/Status/412)
    35. [`413 Content Too Large`](/en-US/docs/Web/HTTP/Reference/Status/413)
    36. [`414 URI Too Long`](/en-US/docs/Web/HTTP/Reference/Status/414)
    37. [`415 Unsupported Media Type`](/en-US/docs/Web/HTTP/Reference/Status/415)
    38. [`416 Range Not Satisfiable`](/en-US/docs/Web/HTTP/Reference/Status/416)
    39. [`417 Expectation Failed`](/en-US/docs/Web/HTTP/Reference/Status/417)
    40. [`418 I'm a teapot`](/en-US/docs/Web/HTTP/Reference/Status/418)
    41. [`421 Misdirected Request`](/en-US/docs/Web/HTTP/Reference/Status/421)
    42. [`422 Unprocessable Content`](/en-US/docs/Web/HTTP/Reference/Status/422)
    43. [`423 Locked`](/en-US/docs/Web/HTTP/Reference/Status/423)
    44. [`424 Failed Dependency`](/en-US/docs/Web/HTTP/Reference/Status/424)
    45. [`425 Too Early`](/en-US/docs/Web/HTTP/Reference/Status/425)
    46. [`426 Upgrade Required`](/en-US/docs/Web/HTTP/Reference/Status/426)
    47. [`428 Precondition Required`](/en-US/docs/Web/HTTP/Reference/Status/428)
    48. [`429 Too Many Requests`](/en-US/docs/Web/HTTP/Reference/Status/429)
    49. [`431 Request Header Fields Too Large`](/en-US/docs/Web/HTTP/Reference/Status/431)
    50. [`451 Unavailable For Legal Reasons`](/en-US/docs/Web/HTTP/Reference/Status/451)
    51. [`500 Internal Server Error`](/en-US/docs/Web/HTTP/Reference/Status/500)
    52. [`501 Not Implemented`](/en-US/docs/Web/HTTP/Reference/Status/501)
    53. [`502 Bad Gateway`](/en-US/docs/Web/HTTP/Reference/Status/502)
    54. [`503 Service Unavailable`](/en-US/docs/Web/HTTP/Reference/Status/503)
    55. [`504 Gateway Timeout`](/en-US/docs/Web/HTTP/Reference/Status/504)
    56. [`505 HTTP Version Not Supported`](/en-US/docs/Web/HTTP/Reference/Status/505)
    57. [`506 Variant Also Negotiates`](/en-US/docs/Web/HTTP/Reference/Status/506)
    58. [`507 Insufficient Storage`](/en-US/docs/Web/HTTP/Reference/Status/507)
    59. [`508 Loop Detected`](/en-US/docs/Web/HTTP/Reference/Status/508)
    60. [`510 Not Extended`](/en-US/docs/Web/HTTP/Reference/Status/510)
    61. [`511 Network Authentication Required`](/en-US/docs/Web/HTTP/Reference/Status/511)
28. [CSP directives](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy#directives)
    1. [`base-uri`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/base-uri)
    2. [`block-all-mixed-content`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/block-all-mixed-content)
       Deprecated
    3. [`child-src`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/child-src)
    4. [`connect-src`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/connect-src)
    5. [`default-src`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/default-src)
    6. [`fenced-frame-src`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/fenced-frame-src)
       Experimental
    7. [`font-src`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/font-src)
    8. [`form-action`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/form-action)
    9. [`frame-ancestors`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/frame-ancestors)
    10. [`frame-src`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/frame-src)
    11. [`img-src`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/img-src)
    12. [`manifest-src`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/manifest-src)
    13. [`media-src`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/media-src)
    14. [`object-src`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/object-src)
    15. [`prefetch-src`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/prefetch-src)
        Non-standard
        Deprecated
    16. [`report-to`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/report-to)
    17. [`report-uri`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/report-uri)
        Deprecated
    18. [`require-trusted-types-for`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/require-trusted-types-for)
    19. [`sandbox`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/sandbox)
    20. [`script-src`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/script-src)
    21. [`script-src-attr`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/script-src-attr)
    22. [`script-src-elem`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/script-src-elem)
    23. [`style-src`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/style-src)
    24. [`style-src-attr`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/style-src-attr)
    25. [`style-src-elem`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/style-src-elem)
    26. [`trusted-types`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/trusted-types)
    27. [`upgrade-insecure-requests`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/upgrade-insecure-requests)
    28. [`worker-src`](/en-US/docs/Web/HTTP/Reference/Headers/Content-Security-Policy/worker-src)
29. [Permissions-Policy directives](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy#directives)
    Experimental
    1. [`accelerometer`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/accelerometer)
       Experimental
    2. [`ambient-light-sensor`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/ambient-light-sensor)
       Experimental
    3. [`attribution-reporting`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/attribution-reporting)
       Experimental
    4. [`autoplay`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/autoplay)
       Experimental
    5. [`bluetooth`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/bluetooth)
       Experimental
    6. [`browsing-topics`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/browsing-topics)
       Experimental
       Non-standard
    7. [`camera`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/camera)
       Experimental
    8. [`compute-pressure`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/compute-pressure)
       Experimental
    9. [`cross-origin-isolated`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/cross-origin-isolated)
       Experimental
    10. [`deferred-fetch`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/deferred-fetch)
        Experimental
    11. [`deferred-fetch-minimal`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/deferred-fetch-minimal)
        Experimental
    12. [`display-capture`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/display-capture)
        Experimental
    13. [`encrypted-media`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/encrypted-media)
        Experimental
    14. [`fullscreen`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/fullscreen)
        Experimental
    15. [`gamepad`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/gamepad)
        Experimental
    16. [`geolocation`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/geolocation)
        Experimental
    17. [`gyroscope`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/gyroscope)
        Experimental
    18. [`hid`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/hid)
        Experimental
    19. [`identity-credentials-get`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/identity-credentials-get)
        Experimental
    20. [`idle-detection`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/idle-detection)
        Experimental
    21. [`language-detector`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/language-detector)
        Experimental
    22. [`local-fonts`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/local-fonts)
        Experimental
    23. [`magnetometer`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/magnetometer)
        Experimental
    24. [`microphone`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/microphone)
        Experimental
    25. [`midi`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/midi)
        Experimental
    26. [`otp-credentials`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/otp-credentials)
        Experimental
    27. [`payment`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/payment)
        Experimental
    28. [`picture-in-picture`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/picture-in-picture)
        Experimental
    29. [`publickey-credentials-create`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/publickey-credentials-create)
        Experimental
    30. [`publickey-credentials-get`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/publickey-credentials-get)
        Experimental
    31. [`screen-wake-lock`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/screen-wake-lock)
        Experimental
    32. [`serial`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/serial)
        Experimental
    33. [`speaker-selection`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/speaker-selection)
        Experimental
    34. [`storage-access`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/storage-access)
        Experimental
    35. [`summarizer`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/summarizer)
        Experimental
    36. [`translator`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/translator)
        Experimental
    37. [`usb`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/usb)
        Experimental
    38. [`web-share`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/web-share)
        Experimental
    39. [`window-management`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/window-management)
        Experimental
    40. [`xr-spatial-tracking`](/en-US/docs/Web/HTTP/Reference/Headers/Permissions-Policy/xr-spatial-tracking)
        Experimental
30. [HTTP resources and specifications](/en-US/docs/Web/HTTP/Reference/Resources_and_specifications)

## In this article

* [Syntax](#syntax)
* [Directives](#directives)
* [Examples](#examples)
* [Specifications](#specifications)
* [Browser compatibility](#browser_compatibility)
* [See also](#see_also)

# Keep-Alive header

Baseline Widely available

This feature is well established and works across many devices and browser versions. It’s been available across browsers since July 2015.

* [Learn more](/en-US/docs/Glossary/Baseline/Compatibility)
* [See full compatibility](#browser_compatibility)
* [Report feedback](https://survey.alchemer.com/s3/7634825/MDN-baseline-feedback?page=%2Fen-US%2Fdocs%2FWeb%2FHTTP%2FReference%2FHeaders%2FKeep-Alive&level=high)

The HTTP **`Keep-Alive`** [request](/en-US/docs/Glossary/Request_header) and [response header](/en-US/docs/Glossary/Response_header) allows the sender to hint how a connection may be used in terms of a timeout and a maximum amount of requests.

**Note:**
For `Keep-Alive` to have any effect, the message must also include a [`Connection: keep-alive`](/en-US/docs/Web/HTTP/Reference/Headers/Connection) header.

HTTP/1.0 closes the connection after each request/response interaction by default, so persistent connections in HTTP/1.0 must be explicitly negotiated.
Some clients and servers might wish to be compatible with previous approaches to persistent connections, and can do this with a `Connection: keep-alive` request header.
Additional parameters for the connection can be requested with the `Keep-Alive` header.

**Warning:**
Connection-specific header fields such as [`Connection`](/en-US/docs/Web/HTTP/Reference/Headers/Connection) and `Keep-Alive` are prohibited in [HTTP/2](https://httpwg.org/specs/rfc9113.html#ConnectionSpecific) and [HTTP/3](https://httpwg.org/specs/rfc9114.html#header-formatting).
Chrome and Firefox ignore them in HTTP/2 responses, but Safari conforms to the HTTP/2 specification requirements and does not load any response that contains them.

|  |  |
| --- | --- |
| Header type | [Request header](/en-US/docs/Glossary/Request_header), [Response header](/en-US/docs/Glossary/Response_header) |
| [Forbidden request header](/en-US/docs/Glossary/Forbidden_request_header) | Yes |

## [Syntax](#syntax)

http

```
Keep-Alive: <parameters>

```

## [Directives](#directives)

[`<parameters>`](#parameters)
:   A comma-separated list of parameters, each consisting of an identifier and a value separated by the equal sign (`=`).
    The following identifiers are possible:

    [`timeout`](#timeout)
    :   An integer that is the time in seconds that the host will allow an idle connection to remain open before it is closed.
        A connection is idle if no data is sent or received by a host. A host may keep an idle connection open for longer than `timeout` seconds, but the host should attempt to retain a connection for at least `timeout` seconds.

    [`max`](#max)
    :   An integer that is the maximum number of requests that can be sent on this connection before closing it.
        Unless `0`, this value is ignored for non-pipelined connections as another request will be sent in the next response.
        An HTTP pipeline can use it to limit the pipelining.

## [Examples](#examples)

A response containing a `Keep-Alive` header:

http

```
HTTP/1.1 200 OK
Connection: Keep-Alive
Content-Encoding: gzip
Content-Type: text/html; charset=utf-8
Date: Thu, 11 Aug 2016 15:23:13 GMT
Keep-Alive: timeout=5, max=200
Last-Modified: Mon, 25 Jul 2016 04:32:39 GMT
Server: Apache

(body)

```

## [Specifications](#specifications)

| Specification |
| --- |
| [HTTP/1.1  # compatibility.with.http.1.0.persistent.connections](https://httpwg.org/specs/rfc9112.html#compatibility.with.http.1.0.persistent.connections) |

## [Browser compatibility](#browser_compatibility)

## [See also](#see_also)

* [`Connection`](/en-US/docs/Web/HTTP/Reference/Headers/Connection)
* [Connection management in HTTP/1.x](/en-US/docs/Web/HTTP/Guides/Connection_management_in_HTTP_1.x)

## Help improve MDN

Was this page helpful to you?

YesNo

[Learn how to contribute](https://github.com/mdn/content/blob/main/CONTRIBUTING.md "This will take you to our contribution guidelines on GitHub.").

This page was last modified on May 23, 2025 by [MDN contributors](/en-US/docs/Web/HTTP/Reference/Headers/Keep-Alive/contributors.txt).

[View this page on GitHub](https://github.com/mdn/content/blob/main/files/en-us/web/http/reference/headers/keep-alive/index.md?plain=1 "Folder: en-us/web/http/reference/headers/keep-alive (Opens in a new tab)") • [Report a problem with this content](https://github.com/mdn/content/issues/new?template=page-report.yml&mdn-url=https%3A%2F%2Fdeveloper.mozilla.org%2Fen-US%2Fdocs%2FWeb%2FHTTP%2FReference%2FHeaders%2FKeep-Alive&metadata=%3C%21--+Do+not+make+changes+below+this+line+--%3E%0A%3Cdetails%3E%0A%3Csummary%3EPage+report+details%3C%2Fsummary%3E%0A%0A*+Folder%3A+%60en-us%2Fweb%2Fhttp%2Freference%2Fheaders%2Fkeep-alive%60%0A*+MDN+URL%3A+https%3A%2F%2Fdeveloper.mozilla.org%2Fen-US%2Fdocs%2FWeb%2FHTTP%2FReference%2FHeaders%2FKeep-Alive%0A*+GitHub+URL%3A+https%3A%2F%2Fgithub.com%2Fmdn%2Fcontent%2Fblob%2Fmain%2Ffiles%2Fen-us%2Fweb%2Fhttp%2Freference%2Fheaders%2Fkeep-alive%2Findex.md%0A*+Last+commit%3A+https%3A%2F%2Fgithub.com%2Fmdn%2Fcontent%2Fcommit%2Fee756fd51ccbc4820a4b334aa753648650ad1d51%0A*+Document+last+modified%3A+2025-05-23T16%3A30%3A28.000Z%0A%0A%3C%2Fdetails%3E "This will take you to GitHub to file a new issue.")

[MDN logo](/)

Your blueprint for a better internet.

* [MDN on Bluesky](https://bsky.app/profile/developer.mozilla.org)
* [MDN on Mastodon](https://mastodon.social/%40mdn)
* [MDN on X (formerly Twitter)](https://twitter.com/mozdevnet)
* [MDN on GitHub](https://github.com/mdn/)
* [MDN Blog RSS Feed](/en-US/blog/rss.xml)

## MDN

* [About](/en-US/about)
* [Blog](/en-US/blog/)
* [Careers](https://www.mozilla.org/en-US/careers/listings/?team=ProdOps)
* [Advertise with us](/en-US/advertising)

## Support

* [Product help](https://support.mozilla.org/products/mdn-plus)
* [Report an issue](/en-US/docs/MDN/Community/Issues)

## Our communities

* [MDN Community](/en-US/community)
* [MDN Forum](https://discourse.mozilla.org/c/mdn/236)
* [MDN Chat](/discord)

## Developers

* [Web Technologies](/en-US/docs/Web)
* [Learn Web Development](/en-US/docs/Learn)
* [MDN Plus](/en-US/plus)
* [Hacks Blog](https://hacks.mozilla.org/)

* [Website Privacy Notice](https://www.mozilla.org/privacy/websites/)
* [Cookies](https://www.mozilla.org/privacy/websites/#cookies)
* [Legal](https://www.mozilla.org/about/legal/terms/mozilla)
* [Community Participation Guidelines](https://www.mozilla.org/about/governance/policies/participation/)

Visit [Mozilla Corporation’s](https://www.mozilla.org) not-for-profit parent, the [Mozilla Foundation](https://foundation.mozilla.org/).
Portions of this content are ©1998–2025 by individual mozilla.org contributors. Content available under [a Creative Commons license](/en-US/docs/MDN/Writing_guidelines/Attrib_copyright_license).