[![Logo](../../_static/docs_logo.svg)](../../index.html)

About

* [Introduction](../../about/introduction.html)
  + [Before you start](../../about/introduction.html#before-you-start)
  + [About Godot Engine](../../about/introduction.html#about-godot-engine)
  + [Organization of the documentation](../../about/introduction.html#organization-of-the-documentation)
  + [About this documentation](../../about/introduction.html#about-this-documentation)
* [List of features](../../about/list_of_features.html)
  + [Platforms](../../about/list_of_features.html#platforms)
  + [Editor](../../about/list_of_features.html#editor)
  + [Rendering](../../about/list_of_features.html#rendering)
  + [2D graphics](../../about/list_of_features.html#d-graphics)
  + [2D tools](../../about/list_of_features.html#d-tools)
  + [2D physics](../../about/list_of_features.html#d-physics)
  + [3D graphics](../../about/list_of_features.html#id1)
  + [3D tools](../../about/list_of_features.html#id2)
  + [3D physics](../../about/list_of_features.html#id3)
  + [Shaders](../../about/list_of_features.html#shaders)
  + [Scripting](../../about/list_of_features.html#scripting)
  + [Audio](../../about/list_of_features.html#audio)
  + [Import](../../about/list_of_features.html#import)
  + [Input](../../about/list_of_features.html#input)
  + [Navigation](../../about/list_of_features.html#navigation)
  + [Networking](../../about/list_of_features.html#networking)
  + [Internationalization](../../about/list_of_features.html#internationalization)
  + [Windowing and OS integration](../../about/list_of_features.html#windowing-and-os-integration)
  + [Mobile](../../about/list_of_features.html#mobile)
  + [XR support (AR and VR)](../../about/list_of_features.html#xr-support-ar-and-vr)
  + [GUI system](../../about/list_of_features.html#gui-system)
  + [Animation](../../about/list_of_features.html#animation)
  + [File formats](../../about/list_of_features.html#file-formats)
  + [Miscellaneous](../../about/list_of_features.html#miscellaneous)
* [System requirements](../../about/system_requirements.html)
  + [Godot editor](../../about/system_requirements.html#godot-editor)
    - [Desktop or laptop PC - Minimum](../../about/system_requirements.html#desktop-or-laptop-pc-minimum)
    - [Mobile device (smartphone/tablet) - Minimum](../../about/system_requirements.html#mobile-device-smartphone-tablet-minimum)
    - [Desktop or laptop PC - Recommended](../../about/system_requirements.html#desktop-or-laptop-pc-recommended)
    - [Mobile device (smartphone/tablet) - Recommended](../../about/system_requirements.html#mobile-device-smartphone-tablet-recommended)
  + [Exported Godot project](../../about/system_requirements.html#exported-godot-project)
    - [Desktop or laptop PC - Minimum](../../about/system_requirements.html#id1)
    - [Mobile device (smartphone/tablet) - Minimum](../../about/system_requirements.html#id2)
    - [Desktop or laptop PC - Recommended](../../about/system_requirements.html#id3)
    - [Mobile device (smartphone/tablet) - Recommended](../../about/system_requirements.html#id4)
* [Frequently asked questions](../../about/faq.html)
  + [What can I do with Godot? How much does it cost? What are the license terms?](../../about/faq.html#what-can-i-do-with-godot-how-much-does-it-cost-what-are-the-license-terms)
  + [Which platforms are supported by Godot?](../../about/faq.html#which-platforms-are-supported-by-godot)
  + [Which programming languages are supported in Godot?](../../about/faq.html#which-programming-languages-are-supported-in-godot)
  + [What is GDScript and why should I use it?](../../about/faq.html#what-is-gdscript-and-why-should-i-use-it)
  + [What were the motivations behind creating GDScript?](../../about/faq.html#what-were-the-motivations-behind-creating-gdscript)
  + [Which programming language is fastest?](../../about/faq.html#which-programming-language-is-fastest)
  + [What 3D model formats does Godot support?](../../about/faq.html#what-3d-model-formats-does-godot-support)
  + [Will [insert closed SDK such as FMOD, GameWorks, etc.] be supported in Godot?](../../about/faq.html#will-insert-closed-sdk-such-as-fmod-gameworks-etc-be-supported-in-godot)
  + [How can I extend Godot?](../../about/faq.html#how-can-i-extend-godot)
  + [How do I install the Godot editor on my system (for desktop integration)?](../../about/faq.html#how-do-i-install-the-godot-editor-on-my-system-for-desktop-integration)
    - [Windows](../../about/faq.html#windows)
    - [macOS](../../about/faq.html#macos)
    - [Linux](../../about/faq.html#linux)
  + [Is the Godot editor a portable application?](../../about/faq.html#is-the-godot-editor-a-portable-application)
  + [Why does Godot prioritize Vulkan and OpenGL over Direct3D?](../../about/faq.html#why-does-godot-prioritize-vulkan-and-opengl-over-direct3d)
  + [Why does Godot aim to keep its core feature set small?](../../about/faq.html#why-does-godot-aim-to-keep-its-core-feature-set-small)
  + [How should assets be created to handle multiple resolutions and aspect ratios?](../../about/faq.html#how-should-assets-be-created-to-handle-multiple-resolutions-and-aspect-ratios)
  + [When is the next release of Godot out?](../../about/faq.html#when-is-the-next-release-of-godot-out)
  + [Which Godot version should I use for a new project?](../../about/faq.html#which-godot-version-should-i-use-for-a-new-project)
  + [Should I upgrade my project to use new Godot versions?](../../about/faq.html#should-i-upgrade-my-project-to-use-new-godot-versions)
  + [Should I use the Forward+, Mobile, or Compatibility renderer?](../../about/faq.html#should-i-use-the-forward-mobile-or-compatibility-renderer)
  + [I would like to contribute! How can I get started?](../../about/faq.html#i-would-like-to-contribute-how-can-i-get-started)
  + [I have a great idea for Godot. How can I share it?](../../about/faq.html#i-have-a-great-idea-for-godot-how-can-i-share-it)
  + [Is it possible to use Godot to create non-game applications?](../../about/faq.html#is-it-possible-to-use-godot-to-create-non-game-applications)
  + [Is it possible to use Godot as a library?](../../about/faq.html#is-it-possible-to-use-godot-as-a-library)
  + [What user interface toolkit does Godot use?](../../about/faq.html#what-user-interface-toolkit-does-godot-use)
  + [Why does Godot use the SCons build system?](../../about/faq.html#why-does-godot-use-the-scons-build-system)
  + [Why does Godot not use STL (Standard Template Library)?](../../about/faq.html#why-does-godot-not-use-stl-standard-template-library)
  + [Why does Godot not use exceptions?](../../about/faq.html#why-does-godot-not-use-exceptions)
  + [Does Godot use an ECS (Entity Component System)?](../../about/faq.html#does-godot-use-an-ecs-entity-component-system)
  + [Why does Godot not force users to implement DOD (Data-Oriented Design)?](../../about/faq.html#why-does-godot-not-force-users-to-implement-dod-data-oriented-design)
  + [How can I support Godot development or contribute?](../../about/faq.html#how-can-i-support-godot-development-or-contribute)
  + [Who is working on Godot? How can I contact you?](../../about/faq.html#who-is-working-on-godot-how-can-i-contact-you)
* [Complying with licenses](../../about/complying_with_licenses.html)
  + [What are licenses?](../../about/complying_with_licenses.html#what-are-licenses)
  + [Requirements](../../about/complying_with_licenses.html#requirements)
  + [Inclusion](../../about/complying_with_licenses.html#inclusion)
    - [Credits screen](../../about/complying_with_licenses.html#credits-screen)
    - [Licenses screen](../../about/complying_with_licenses.html#licenses-screen)
    - [Output log](../../about/complying_with_licenses.html#output-log)
    - [Accompanying file](../../about/complying_with_licenses.html#accompanying-file)
    - [Printed manual](../../about/complying_with_licenses.html#printed-manual)
    - [Link to the license](../../about/complying_with_licenses.html#link-to-the-license)
  + [Third-party licenses](../../about/complying_with_licenses.html#third-party-licenses)
* [Godot release policy](../../about/release_policy.html)
  + [Godot versioning](../../about/release_policy.html#godot-versioning)
  + [Release support timeline](../../about/release_policy.html#release-support-timeline)
  + [Which version should I use for a new project?](../../about/release_policy.html#which-version-should-i-use-for-a-new-project)
  + [Should I upgrade my project to use new engine versions?](../../about/release_policy.html#should-i-upgrade-my-project-to-use-new-engine-versions)
  + [When is the next release out?](../../about/release_policy.html#when-is-the-next-release-out)
  + [What are the criteria for compatibility across engine versions?](../../about/release_policy.html#what-are-the-criteria-for-compatibility-across-engine-versions)
* [Documentation changelog](../../about/docs_changelog.html)
  + [New pages since version 4.3](../../about/docs_changelog.html#new-pages-since-version-4-3)
    - [2D](../../about/docs_changelog.html#d)
    - [3D](../../about/docs_changelog.html#id1)
    - [Debug](../../about/docs_changelog.html#debug)
    - [Editor](../../about/docs_changelog.html#editor)
    - [Performance](../../about/docs_changelog.html#performance)
    - [Physics](../../about/docs_changelog.html#physics)
    - [Rendering](../../about/docs_changelog.html#rendering)
    - [Shaders](../../about/docs_changelog.html#shaders)
  + [New pages since version 4.2](../../about/docs_changelog.html#new-pages-since-version-4-2)
    - [About](../../about/docs_changelog.html#about)
    - [2D](../../about/docs_changelog.html#id2)
    - [Contributing](../../about/docs_changelog.html#contributing)
    - [GDExtension](../../about/docs_changelog.html#gdextension)
    - [Migrating](../../about/docs_changelog.html#migrating)
    - [Rendering](../../about/docs_changelog.html#id3)
    - [XR](../../about/docs_changelog.html#xr)
  + [New pages since version 4.1](../../about/docs_changelog.html#new-pages-since-version-4-1)
    - [C#](../../about/docs_changelog.html#c)
    - [Development](../../about/docs_changelog.html#development)
    - [Migrating](../../about/docs_changelog.html#id4)
    - [I/O](../../about/docs_changelog.html#i-o)
    - [Platform-specific](../../about/docs_changelog.html#platform-specific)
  + [New pages since version 4.0](../../about/docs_changelog.html#new-pages-since-version-4-0)
    - [Development](../../about/docs_changelog.html#id5)
    - [Migrating](../../about/docs_changelog.html#id6)
    - [Physics](../../about/docs_changelog.html#id7)
  + [New pages since version 3.6](../../about/docs_changelog.html#new-pages-since-version-3-6)
    - [2D](../../about/docs_changelog.html#id8)
    - [3D](../../about/docs_changelog.html#id9)
    - [Animation](../../about/docs_changelog.html#animation)
    - [Assets pipeline](../../about/docs_changelog.html#assets-pipeline)
    - [Development](../../about/docs_changelog.html#id10)
    - [Migrating](../../about/docs_changelog.html#id11)
    - [Physics](../../about/docs_changelog.html#id12)
    - [Scripting](../../about/docs_changelog.html#scripting)
    - [Shaders](../../about/docs_changelog.html#id13)
    - [Workflow](../../about/docs_changelog.html#workflow)
    - [XR](../../about/docs_changelog.html#id14)
  + [New pages since version 3.5](../../about/docs_changelog.html#new-pages-since-version-3-5)
  + [New pages since version 3.4](../../about/docs_changelog.html#new-pages-since-version-3-4)
    - [3D](../../about/docs_changelog.html#id15)
    - [Animation](../../about/docs_changelog.html#id16)
    - [Editor](../../about/docs_changelog.html#id17)
  + [New pages since version 3.3](../../about/docs_changelog.html#new-pages-since-version-3-3)
    - [C++](../../about/docs_changelog.html#id18)
    - [GDScript](../../about/docs_changelog.html#gdscript)
  + [New pages since version 3.2](../../about/docs_changelog.html#new-pages-since-version-3-2)
    - [3D](../../about/docs_changelog.html#id19)
    - [About](../../about/docs_changelog.html#id20)
    - [Best practices](../../about/docs_changelog.html#best-practices)
    - [Community](../../about/docs_changelog.html#community)
    - [Development](../../about/docs_changelog.html#id21)
    - [Editor](../../about/docs_changelog.html#id22)
    - [Export](../../about/docs_changelog.html#export)
    - [Input](../../about/docs_changelog.html#input)
    - [Math](../../about/docs_changelog.html#math)
    - [Platform-specific](../../about/docs_changelog.html#id23)
    - [Physics](../../about/docs_changelog.html#id24)
    - [Shaders](../../about/docs_changelog.html#id25)
    - [Scripting](../../about/docs_changelog.html#id26)
    - [User Interface (UI)](../../about/docs_changelog.html#user-interface-ui)
  + [New pages since version 3.1](../../about/docs_changelog.html#new-pages-since-version-3-1)
    - [Project workflow](../../about/docs_changelog.html#project-workflow)
    - [2D](../../about/docs_changelog.html#id27)
    - [Audio](../../about/docs_changelog.html#audio)
    - [Math](../../about/docs_changelog.html#id28)
    - [Inputs](../../about/docs_changelog.html#inputs)
    - [Internationalization](../../about/docs_changelog.html#internationalization)
    - [Shading](../../about/docs_changelog.html#shading)
    - [Networking](../../about/docs_changelog.html#networking)
    - [Plugins](../../about/docs_changelog.html#plugins)
    - [Multi-threading](../../about/docs_changelog.html#multi-threading)
    - [Creating content](../../about/docs_changelog.html#creating-content)
    - [Optimization](../../about/docs_changelog.html#optimization)
    - [Legal](../../about/docs_changelog.html#legal)
  + [New pages since version 3.0](../../about/docs_changelog.html#new-pages-since-version-3-0)
    - [Step by step](../../about/docs_changelog.html#step-by-step)
    - [Scripting](../../about/docs_changelog.html#id29)
    - [Project workflow](../../about/docs_changelog.html#id30)
    - [2D](../../about/docs_changelog.html#id31)
    - [3D](../../about/docs_changelog.html#id32)
    - [Physics](../../about/docs_changelog.html#id33)
    - [Animation](../../about/docs_changelog.html#id34)
    - [GUI](../../about/docs_changelog.html#gui)
    - [Viewports](../../about/docs_changelog.html#viewports)
    - [Shading](../../about/docs_changelog.html#id35)
    - [Plugins](../../about/docs_changelog.html#id36)
    - [Platform-specific](../../about/docs_changelog.html#id37)
    - [Multi-threading](../../about/docs_changelog.html#id38)
    - [Creating content](../../about/docs_changelog.html#id39)
    - [Miscellaneous](../../about/docs_changelog.html#miscellaneous)
    - [Compiling](../../about/docs_changelog.html#compiling)
    - [Engine development](../../about/docs_changelog.html#engine-development)

Getting started

* [Introduction](index.html)
  + [Introduction to Godot](introduction_to_godot.html)
    - [What is Godot?](introduction_to_godot.html#what-is-godot)
    - [What can the engine do?](introduction_to_godot.html#what-can-the-engine-do)
    - [How does it work and look?](introduction_to_godot.html#how-does-it-work-and-look)
    - [Programming languages](introduction_to_godot.html#programming-languages)
    - [What do I need to know to use Godot?](introduction_to_godot.html#what-do-i-need-to-know-to-use-godot)
  + [Learn to code with GDScript](learn_to_code_with_gdscript.html)
    - [Learn in your browser with the GDScript app](learn_to_code_with_gdscript.html#learn-in-your-browser-with-the-gdscript-app)
  + [Overview of Godot's key concepts](key_concepts_overview.html)
    - [Scenes](key_concepts_overview.html#scenes)
    - [Nodes](key_concepts_overview.html#nodes)
    - [The scene tree](key_concepts_overview.html#the-scene-tree)
    - [Signals](key_concepts_overview.html#signals)
    - [Summary](key_concepts_overview.html#summary)
  + [First look at Godot's interface](first_look_at_the_editor.html)
    - [The Project Manager](first_look_at_the_editor.html#the-project-manager)
    - [First look at Godot's editor](first_look_at_the_editor.html#first-look-at-godot-s-editor)
    - [The five main screens](first_look_at_the_editor.html#the-five-main-screens)
    - [Integrated class reference](first_look_at_the_editor.html#integrated-class-reference)
  + [Learning new features](learning_new_features.html)
    - [Making the most of this manual](learning_new_features.html#making-the-most-of-this-manual)
    - [Learning to think like a programmer](learning_new_features.html#learning-to-think-like-a-programmer)
    - [Learning with the community](learning_new_features.html#learning-with-the-community)
    - [Community tutorials](learning_new_features.html#community-tutorials)
  + Godot's design philosophy
    - [Object-oriented design and composition](#object-oriented-design-and-composition)
    - [All-inclusive package](#all-inclusive-package)
    - [Open source](#open-source)
    - [Community-driven](#community-driven)
    - [The Godot editor is a Godot game](#the-godot-editor-is-a-godot-game)
    - [Separate 2D and 3D engines](#separate-2d-and-3d-engines)
* [Step by step](../step_by_step/index.html)
  + [Nodes and Scenes](../step_by_step/nodes_and_scenes.html)
    - [Nodes](../step_by_step/nodes_and_scenes.html#nodes)
    - [Scenes](../step_by_step/nodes_and_scenes.html#scenes)
    - [Creating your first scene](../step_by_step/nodes_and_scenes.html#creating-your-first-scene)
    - [Changing a node's properties](../step_by_step/nodes_and_scenes.html#changing-a-node-s-properties)
    - [Running the scene](../step_by_step/nodes_and_scenes.html#running-the-scene)
    - [Setting the main scene](../step_by_step/nodes_and_scenes.html#setting-the-main-scene)
  + [Creating instances](../step_by_step/instancing.html)
    - [In practice](../step_by_step/instancing.html#in-practice)
    - [Editing scenes and instances](../step_by_step/instancing.html#editing-scenes-and-instances)
    - [Scene instances as a design language](../step_by_step/instancing.html#scene-instances-as-a-design-language)
    - [Summary](../step_by_step/instancing.html#summary)
  + [Scripting languages](../step_by_step/scripting_languages.html)
    - [Available scripting languages](../step_by_step/scripting_languages.html#available-scripting-languages)
    - [Which language should I use?](../step_by_step/scripting_languages.html#which-language-should-i-use)
      * [GDScript](../step_by_step/scripting_languages.html#gdscript)
      * [.NET / C#](../step_by_step/scripting_languages.html#net-c)
      * [C++ via GDExtension](../step_by_step/scripting_languages.html#c-via-gdextension)
    - [Summary](../step_by_step/scripting_languages.html#summary)
  + [Creating your first script](../step_by_step/scripting_first_script.html)
    - [Project setup](../step_by_step/scripting_first_script.html#project-setup)
    - [Creating a new script](../step_by_step/scripting_first_script.html#creating-a-new-script)
    - [Hello, world!](../step_by_step/scripting_first_script.html#hello-world)
    - [Turning around](../step_by_step/scripting_first_script.html#turning-around)
      * [Moving forward](../step_by_step/scripting_first_script.html#moving-forward)
    - [Complete script](../step_by_step/scripting_first_script.html#complete-script)
  + [Listening to player input](../step_by_step/scripting_player_input.html)
    - [Moving when pressing "up"](../step_by_step/scripting_player_input.html#moving-when-pressing-up)
    - [Complete script](../step_by_step/scripting_player_input.html#complete-script)
    - [Summary](../step_by_step/scripting_player_input.html#summary)
  + [Using signals](../step_by_step/signals.html)
    - [Scene setup](../step_by_step/signals.html#scene-setup)
    - [Connecting a signal in the editor](../step_by_step/signals.html#connecting-a-signal-in-the-editor)
    - [Connecting a signal via code](../step_by_step/signals.html#connecting-a-signal-via-code)
    - [Complete script](../step_by_step/signals.html#complete-script)
    - [Custom signals](../step_by_step/signals.html#custom-signals)
    - [Summary](../step_by_step/signals.html#summary)
* [Your first 2D game](../first_2d_game/index.html)
  + [Prerequisites](../first_2d_game/index.html#prerequisites)
  + [Contents](../first_2d_game/index.html#contents)
    - [Setting up the project](../first_2d_game/01.project_setup.html)
      * [Organizing the project](../first_2d_game/01.project_setup.html#organizing-the-project)
    - [Creating the player scene](../first_2d_game/02.player_scene.html)
      * [Node structure](../first_2d_game/02.player_scene.html#node-structure)
      * [Sprite animation](../first_2d_game/02.player_scene.html#sprite-animation)
    - [Coding the player](../first_2d_game/03.coding_the_player.html)
      * [Choosing animations](../first_2d_game/03.coding_the_player.html#choosing-animations)
      * [Preparing for collisions](../first_2d_game/03.coding_the_player.html#preparing-for-collisions)
    - [Creating the enemy](../first_2d_game/04.creating_the_enemy.html)
      * [Node setup](../first_2d_game/04.creating_the_enemy.html#node-setup)
      * [Enemy script](../first_2d_game/04.creating_the_enemy.html#enemy-script)
    - [The main game scene](../first_2d_game/05.the_main_game_scene.html)
      * [Spawning mobs](../first_2d_game/05.the_main_game_scene.html#spawning-mobs)
      * [Main script](../first_2d_game/05.the_main_game_scene.html#main-script)
      * [Testing the scene](../first_2d_game/05.the_main_game_scene.html#testing-the-scene)
    - [Heads up display](../first_2d_game/06.heads_up_display.html)
      * [ScoreLabel](../first_2d_game/06.heads_up_display.html#scorelabel)
      * [Message](../first_2d_game/06.heads_up_display.html#message)
      * [StartButton](../first_2d_game/06.heads_up_display.html#startbutton)
      * [Connecting HUD to Main](../first_2d_game/06.heads_up_display.html#connecting-hud-to-main)
      * [Removing old creeps](../first_2d_game/06.heads_up_display.html#removing-old-creeps)
    - [Finishing up](../first_2d_game/07.finishing-up.html)
      * [Background](../first_2d_game/07.finishing-up.html#background)
      * [Sound effects](../first_2d_game/07.finishing-up.html#sound-effects)
      * [Keyboard shortcut](../first_2d_game/07.finishing-up.html#keyboard-shortcut)
      * [Sharing the finished game with others](../first_2d_game/07.finishing-up.html#sharing-the-finished-game-with-others)
* [Your first 3D game](../first_3d_game/index.html)
  + [Contents](../first_3d_game/index.html#contents)
    - [Setting up the game area](../first_3d_game/01.game_setup.html)
      * [Setting up the playable area](../first_3d_game/01.game_setup.html#setting-up-the-playable-area)
    - [Player scene and input actions](../first_3d_game/02.player_input.html)
      * [Creating input actions](../first_3d_game/02.player_input.html#creating-input-actions)
    - [Moving the player with code](../first_3d_game/03.player_movement_code.html)
      * [Testing our player's movement](../first_3d_game/03.player_movement_code.html#testing-our-player-s-movement)
    - [Designing the mob scene](../first_3d_game/04.mob_scene.html)
      * [Removing monsters off-screen](../first_3d_game/04.mob_scene.html#removing-monsters-off-screen)
    - [Spawning monsters](../first_3d_game/05.spawning_mobs.html)
      * [Creating the spawn path](../first_3d_game/05.spawning_mobs.html#creating-the-spawn-path)
      * [Spawning monsters randomly](../first_3d_game/05.spawning_mobs.html#spawning-monsters-randomly)
    - [Jumping and squashing monsters](../first_3d_game/06.jump_and_squash.html)
      * [Controlling physics interactions](../first_3d_game/06.jump_and_squash.html#controlling-physics-interactions)
      * [Jumping](../first_3d_game/06.jump_and_squash.html#jumping)
      * [Squashing monsters](../first_3d_game/06.jump_and_squash.html#squashing-monsters)
    - [Killing the player](../first_3d_game/07.killing_player.html)
      * [Hitbox with the Area node](../first_3d_game/07.killing_player.html#hitbox-with-the-area-node)
      * [Ending the game](../first_3d_game/07.killing_player.html#ending-the-game)
      * [Code checkpoint](../first_3d_game/07.killing_player.html#code-checkpoint)
    - [Score and replay](../first_3d_game/08.score_and_replay.html)
      * [Creating a UI theme](../first_3d_game/08.score_and_replay.html#creating-a-ui-theme)
      * [Keeping track of the score](../first_3d_game/08.score_and_replay.html#keeping-track-of-the-score)
      * [Retrying the game](../first_3d_game/08.score_and_replay.html#retrying-the-game)
      * [Adding music](../first_3d_game/08.score_and_replay.html#adding-music)
    - [Character animation](../first_3d_game/09.adding_animations.html)
      * [Using the animation editor](../first_3d_game/09.adding_animations.html#using-the-animation-editor)
      * [The float animation](../first_3d_game/09.adding_animations.html#the-float-animation)
      * [Animating the mobs](../first_3d_game/09.adding_animations.html#animating-the-mobs)
    - [Going further](../first_3d_game/going_further.html)
      * [Exploring the manual](../first_3d_game/going_further.html#exploring-the-manual)

Manual

* [Best practices](../../tutorials/best_practices/index.html)
  + [Introduction](../../tutorials/best_practices/introduction_best_practices.html)
  + [Applying object-oriented principles in Godot](../../tutorials/best_practices/what_are_godot_classes.html)
    - [How scripts work in the engine](../../tutorials/best_practices/what_are_godot_classes.html#how-scripts-work-in-the-engine)
    - [Scenes](../../tutorials/best_practices/what_are_godot_classes.html#scenes)
  + [Scene organization](../../tutorials/best_practices/scene_organization.html)
    - [How to build relationships effectively](../../tutorials/best_practices/scene_organization.html#how-to-build-relationships-effectively)
    - [Choosing a node tree structure](../../tutorials/best_practices/scene_organization.html#choosing-a-node-tree-structure)
  + [When to use scenes versus scripts](../../tutorials/best_practices/scenes_versus_scripts.html)
    - [Anonymous types](../../tutorials/best_practices/scenes_versus_scripts.html#anonymous-types)
    - [Named types](../../tutorials/best_practices/scenes_versus_scripts.html#named-types)
    - [Performance of Script vs PackedScene](../../tutorials/best_practices/scenes_versus_scripts.html#performance-of-script-vs-packedscene)
    - [Conclusion](../../tutorials/best_practices/scenes_versus_scripts.html#conclusion)
  + [Autoloads versus regular nodes](../../tutorials/best_practices/autoloads_versus_internal_nodes.html)
    - [The cutting audio issue](../../tutorials/best_practices/autoloads_versus_internal_nodes.html#the-cutting-audio-issue)
    - [Managing shared functionality or data](../../tutorials/best_practices/autoloads_versus_internal_nodes.html#managing-shared-functionality-or-data)
    - [When you should use an Autoload](../../tutorials/best_practices/autoloads_versus_internal_nodes.html#when-you-should-use-an-autoload)
  + [When and how to avoid using nodes for everything](../../tutorials/best_practices/node_alternatives.html)
  + [Godot interfaces](../../tutorials/best_practices/godot_interfaces.html)
    - [Acquiring object references](../../tutorials/best_practices/godot_interfaces.html#acquiring-object-references)
    - [Accessing data or logic from an object](../../tutorials/best_practices/godot_interfaces.html#accessing-data-or-logic-from-an-object)
  + [Godot notifications](../../tutorials/best_practices/godot_notifications.html)
    - [\_process vs. \_physics\_process vs. \*\_input](../../tutorials/best_practices/godot_notifications.html#process-vs-physics-process-vs-input)
    - [\_init vs. initialization vs. export](../../tutorials/best_practices/godot_notifications.html#init-vs-initialization-vs-export)
    - [\_ready vs. \_enter\_tree vs. NOTIFICATION\_PARENTED](../../tutorials/best_practices/godot_notifications.html#ready-vs-enter-tree-vs-notification-parented)
  + [Data preferences](../../tutorials/best_practices/data_preferences.html)
    - [Array vs. Dictionary vs. Object](../../tutorials/best_practices/data_preferences.html#array-vs-dictionary-vs-object)
    - [Enumerations: int vs. string](../../tutorials/best_practices/data_preferences.html#enumerations-int-vs-string)
    - [AnimatedTexture vs. AnimatedSprite2D vs. AnimationPlayer vs. AnimationTree](../../tutorials/best_practices/data_preferences.html#animatedtexture-vs-animatedsprite2d-vs-animationplayer-vs-animationtree)
  + [Logic preferences](../../tutorials/best_practices/logic_preferences.html)
    - [Adding nodes and changing properties: which first?](../../tutorials/best_practices/logic_preferences.html#adding-nodes-and-changing-properties-which-first)
    - [Loading vs. preloading](../../tutorials/best_practices/logic_preferences.html#loading-vs-preloading)
    - [Large levels: static vs. dynamic](../../tutorials/best_practices/logic_preferences.html#large-levels-static-vs-dynamic)
  + [Project organization](../../tutorials/best_practices/project_organization.html)
    - [Introduction](../../tutorials/best_practices/project_organization.html#introduction)
    - [Organization](../../tutorials/best_practices/project_organization.html#organization)
    - [Style guide](../../tutorials/best_practices/project_organization.html#style-guide)
    - [Importing](../../tutorials/best_practices/project_organization.html#importing)
      * [Ignoring specific folders](../../tutorials/best_practices/project_organization.html#ignoring-specific-folders)
    - [Case sensitivity](../../tutorials/best_practices/project_organization.html#case-sensitivity)
  + [Version control systems](../../tutorials/best_practices/version_control_systems.html)
    - [Introduction](../../tutorials/best_practices/version_control_systems.html#introduction)
    - [Version control plugins](../../tutorials/best_practices/version_control_systems.html#version-control-plugins)
      * [Official Git plugin](../../tutorials/best_practices/version_control_systems.html#official-git-plugin)
    - [Files to exclude from VCS](../../tutorials/best_practices/version_control_systems.html#files-to-exclude-from-vcs)
    - [Working with Git on Windows](../../tutorials/best_practices/version_control_systems.html#working-with-git-on-windows)
* [Troubleshooting](../../tutorials/troubleshooting.html)
  + [The editor runs slowly and uses all my CPU and GPU resources, making my computer noisy](../../tutorials/troubleshooting.html#the-editor-runs-slowly-and-uses-all-my-cpu-and-gpu-resources-making-my-computer-noisy)
  + [The editor stutters and flickers on my variable refresh rate monitor (G-Sync/FreeSync)](../../tutorials/troubleshooting.html#the-editor-stutters-and-flickers-on-my-variable-refresh-rate-monitor-g-sync-freesync)
  + [The editor or project takes a very long time to start](../../tutorials/troubleshooting.html#the-editor-or-project-takes-a-very-long-time-to-start)
  + [The Godot editor appears frozen after clicking the system console](../../tutorials/troubleshooting.html#the-godot-editor-appears-frozen-after-clicking-the-system-console)
  + [The Godot editor's macOS dock icon gets duplicated every time it is manually moved](../../tutorials/troubleshooting.html#the-godot-editor-s-macos-dock-icon-gets-duplicated-every-time-it-is-manually-moved)
  + [Some text such as "NO DC" appears in the top-left corner of the Project Manager and editor window](../../tutorials/troubleshooting.html#some-text-such-as-no-dc-appears-in-the-top-left-corner-of-the-project-manager-and-editor-window)
  + [A microphone or "refresh" icon appears in the bottom-right corner of the Project Manager and editor window](../../tutorials/troubleshooting.html#a-microphone-or-refresh-icon-appears-in-the-bottom-right-corner-of-the-project-manager-and-editor-window)
  + [The editor or project appears overly sharp or blurry](../../tutorials/troubleshooting.html#the-editor-or-project-appears-overly-sharp-or-blurry)
  + [The editor or project appears to have washed out colors](../../tutorials/troubleshooting.html#the-editor-or-project-appears-to-have-washed-out-colors)
  + [The editor/project freezes or displays glitched visuals after resuming the PC from suspend](../../tutorials/troubleshooting.html#the-editor-project-freezes-or-displays-glitched-visuals-after-resuming-the-pc-from-suspend)
  + [The project works when run from the editor, but fails to load some files when running from an exported copy](../../tutorials/troubleshooting.html#the-project-works-when-run-from-the-editor-but-fails-to-load-some-files-when-running-from-an-exported-copy)
  + [The project crashes frequently or instantly after opening it from the project manager](../../tutorials/troubleshooting.html#the-project-crashes-frequently-or-instantly-after-opening-it-from-the-project-manager)
* [Editor introduction](../../tutorials/editor/index.html)
  + [Editor's interface](../../tutorials/editor/index.html#editor-s-interface)
    - [Using the Project Manager](../../tutorials/editor/project_manager.html)
      * [Creating and importing projects](../../tutorials/editor/project_manager.html#creating-and-importing-projects)
      * [Opening and importing projects](../../tutorials/editor/project_manager.html#opening-and-importing-projects)
      * [Downloading demos and templates](../../tutorials/editor/project_manager.html#downloading-demos-and-templates)
      * [Managing projects with tags](../../tutorials/editor/project_manager.html#managing-projects-with-tags)
      * [Recovery Mode](../../tutorials/editor/project_manager.html#recovery-mode)
    - [The Inspector](../../tutorials/editor/inspector_dock.html)
      * [Overview of the interface](../../tutorials/editor/inspector_dock.html#overview-of-the-interface)
    - [Project Settings](../../tutorials/editor/project_settings.html)
      * [Changing project settings](../../tutorials/editor/project_settings.html#changing-project-settings)
      * [Reading project settings](../../tutorials/editor/project_settings.html#reading-project-settings)
      * [Manually editing project.godot](../../tutorials/editor/project_settings.html#manually-editing-project-godot)
      * [Advanced project settings](../../tutorials/editor/project_settings.html#advanced-project-settings)
    - [Script Editor](../../tutorials/editor/script_editor.html)
      * [Introduction](../../tutorials/editor/script_editor.html#introduction)
      * [Features](../../tutorials/editor/script_editor.html#features)
      * [Usage](../../tutorials/editor/script_editor.html#usage)
    - [Default editor shortcuts](../../tutorials/editor/default_key_mapping.html)
      * [General editor actions](../../tutorials/editor/default_key_mapping.html#general-editor-actions)
      * [Bottom panels](../../tutorials/editor/default_key_mapping.html#bottom-panels)
      * [2D / CanvasItem editor](../../tutorials/editor/default_key_mapping.html#d-canvasitem-editor)
      * [3D / Spatial editor](../../tutorials/editor/default_key_mapping.html#d-spatial-editor)
      * [Text editor](../../tutorials/editor/default_key_mapping.html#text-editor)
      * [Script editor](../../tutorials/editor/default_key_mapping.html#script-editor)
      * [Editor output](../../tutorials/editor/default_key_mapping.html#editor-output)
      * [Debugger](../../tutorials/editor/default_key_mapping.html#debugger)
      * [File dialog](../../tutorials/editor/default_key_mapping.html#file-dialog)
      * [FileSystem dock](../../tutorials/editor/default_key_mapping.html#filesystem-dock)
      * [Scene tree dock](../../tutorials/editor/default_key_mapping.html#scene-tree-dock)
      * [Animation track editor](../../tutorials/editor/default_key_mapping.html#animation-track-editor)
      * [TileMap editor](../../tutorials/editor/default_key_mapping.html#tilemap-editor)
      * [TileSet Editor](../../tutorials/editor/default_key_mapping.html#tileset-editor)
      * [Project manager](../../tutorials/editor/default_key_mapping.html#project-manager)
    - [Customizing the interface](../../tutorials/editor/customizing_editor.html)
      * [Moving and resizing docks](../../tutorials/editor/customizing_editor.html#moving-and-resizing-docks)
      * [Splitting the script or shader editor to its own window](../../tutorials/editor/customizing_editor.html#splitting-the-script-or-shader-editor-to-its-own-window)
      * [Customizing editor layouts](../../tutorials/editor/customizing_editor.html#customizing-editor-layouts)
      * [Customizing editor settings](../../tutorials/editor/customizing_editor.html#customizing-editor-settings)
  + [XR editor](../../tutorials/editor/index.html#xr-editor)
    - [Using the XR editor](../../tutorials/editor/using_the_xr_editor.html)
      * [XR devices support](../../tutorials/editor/using_the_xr_editor.html#xr-devices-support)
      * [Runtime Permissions](../../tutorials/editor/using_the_xr_editor.html#runtime-permissions)
      * [Tips & Tricks](../../tutorials/editor/using_the_xr_editor.html#tips-tricks)
      * [Limitations & known issues](../../tutorials/editor/using_the_xr_editor.html#limitations-known-issues)
  + [Android editor](../../tutorials/editor/index.html#android-editor)
    - [Using the Android editor](../../tutorials/editor/using_the_android_editor.html)
      * [Android devices support](../../tutorials/editor/using_the_android_editor.html#android-devices-support)
      * [Runtime Permissions](../../tutorials/editor/using_the_android_editor.html#runtime-permissions)
      * [Tips & Tricks](../../tutorials/editor/using_the_android_editor.html#tips-tricks)
      * [Limitations & known issues](../../tutorials/editor/using_the_android_editor.html#limitations-known-issues)
  + [Web editor](../../tutorials/editor/index.html#web-editor)
    - [Using the Web editor](../../tutorials/editor/using_the_web_editor.html)
      * [Browser support](../../tutorials/editor/using_the_web_editor.html#browser-support)
      * [Limitations](../../tutorials/editor/using_the_web_editor.html#limitations)
      * [Importing a project](../../tutorials/editor/using_the_web_editor.html#importing-a-project)
      * [Editing and running a project](../../tutorials/editor/using_the_web_editor.html#editing-and-running-a-project)
      * [Where are my project files?](../../tutorials/editor/using_the_web_editor.html#where-are-my-project-files)
  + [Advanced features](../../tutorials/editor/index.html#advanced-features)
    - [Command line tutorial](../../tutorials/editor/command_line_tutorial.html)
      * [Command line reference](../../tutorials/editor/command_line_tutorial.html#command-line-reference)
      * [Path](../../tutorials/editor/command_line_tutorial.html#path)
      * [Setting the project path](../../tutorials/editor/command_line_tutorial.html#setting-the-project-path)
      * [Creating a project](../../tutorials/editor/command_line_tutorial.html#creating-a-project)
      * [Running the editor](../../tutorials/editor/command_line_tutorial.html#running-the-editor)
      * [Erasing a scene](../../tutorials/editor/command_line_tutorial.html#erasing-a-scene)
      * [Running the game](../../tutorials/editor/command_line_tutorial.html#running-the-game)
      * [Debugging](../../tutorials/editor/command_line_tutorial.html#debugging)
      * [Exporting](../../tutorials/editor/command_line_tutorial.html#exporting)
      * [Running a script](../../tutorials/editor/command_line_tutorial.html#running-a-script)
    - [Using an external text editor](../../tutorials/editor/external_editor.html)
      * [Automatically reloading your changes](../../tutorials/editor/external_editor.html#automatically-reloading-your-changes)
      * [Using External Editor in Debugger](../../tutorials/editor/external_editor.html#using-external-editor-in-debugger)
      * [Official editor plugins](../../tutorials/editor/external_editor.html#official-editor-plugins)
      * [LSP/DAP support](../../tutorials/editor/external_editor.html#lsp-dap-support)
  + [Managing editor features](../../tutorials/editor/index.html#managing-editor-features)
    - [Managing editor features](../../tutorials/editor/managing_editor_features.html)
      * [Introduction](../../tutorials/editor/managing_editor_features.html#introduction)
      * [Creating a profile](../../tutorials/editor/managing_editor_features.html#creating-a-profile)
      * [Sharing a profile](../../tutorials/editor/managing_editor_features.html#sharing-a-profile)
* [Migrating to a new version](../../tutorials/migrating/index.html)
  + [Upgrading from Godot 3 to Godot 4](../../tutorials/migrating/upgrading_to_godot_4.html)
    - [Should I upgrade to Godot 4?](../../tutorials/migrating/upgrading_to_godot_4.html#should-i-upgrade-to-godot-4)
      * [Advantages of upgrading](../../tutorials/migrating/upgrading_to_godot_4.html#advantages-of-upgrading)
      * [Disadvantages of upgrading](../../tutorials/migrating/upgrading_to_godot_4.html#disadvantages-of-upgrading)
      * [Caveats of upgrading](../../tutorials/migrating/upgrading_to_godot_4.html#caveats-of-upgrading)
    - [Preparing before the upgrade (optional)](../../tutorials/migrating/upgrading_to_godot_4.html#preparing-before-the-upgrade-optional)
    - [Running the project upgrade tool](../../tutorials/migrating/upgrading_to_godot_4.html#running-the-project-upgrade-tool)
      * [Using the Project Manager](../../tutorials/migrating/upgrading_to_godot_4.html#using-the-project-manager)
      * [Using the command line](../../tutorials/migrating/upgrading_to_godot_4.html#using-the-command-line)
    - [Fixing the project after running the project upgrade tool](../../tutorials/migrating/upgrading_to_godot_4.html#fixing-the-project-after-running-the-project-upgrade-tool)
      * [Automatically renamed nodes and resources](../../tutorials/migrating/upgrading_to_godot_4.html#automatically-renamed-nodes-and-resources)
      * [Manually renaming methods, properties, signals and constants](../../tutorials/migrating/upgrading_to_godot_4.html#manually-renaming-methods-properties-signals-and-constants)
      * [Checking project settings](../../tutorials/migrating/upgrading_to_godot_4.html#checking-project-settings)
      * [Checking Environment settings](../../tutorials/migrating/upgrading_to_godot_4.html#checking-environment-settings)
      * [Updating shaders](../../tutorials/migrating/upgrading_to_godot_4.html#updating-shaders)
      * [Updating scripts to take backwards-incompatible changes into account](../../tutorials/migrating/upgrading_to_godot_4.html#updating-scripts-to-take-backwards-incompatible-changes-into-account)
      * [ArrayMesh resource compatibility breakage](../../tutorials/migrating/upgrading_to_godot_4.html#arraymesh-resource-compatibility-breakage)
    - [List of automatically renamed methods, properties, signals and constants](../../tutorials/migrating/upgrading_to_godot_4.html#list-of-automatically-renamed-methods-properties-signals-and-constants)
    - [Porting editor settings](../../tutorials/migrating/upgrading_to_godot_4.html#porting-editor-settings)
  + [Upgrading from Godot 4.0 to Godot 4.1](../../tutorials/migrating/upgrading_to_godot_4.1.html)
    - [Breaking changes](../../tutorials/migrating/upgrading_to_godot_4.1.html#breaking-changes)
      * [Core](../../tutorials/migrating/upgrading_to_godot_4.1.html#core)
      * [Animation](../../tutorials/migrating/upgrading_to_godot_4.1.html#animation)
      * [2D nodes](../../tutorials/migrating/upgrading_to_godot_4.1.html#d-nodes)
      * [3D nodes](../../tutorials/migrating/upgrading_to_godot_4.1.html#id1)
      * [GUI nodes](../../tutorials/migrating/upgrading_to_godot_4.1.html#gui-nodes)
      * [Physics](../../tutorials/migrating/upgrading_to_godot_4.1.html#physics)
      * [Rendering](../../tutorials/migrating/upgrading_to_godot_4.1.html#rendering)
      * [Navigation](../../tutorials/migrating/upgrading_to_godot_4.1.html#navigation)
      * [Networking](../../tutorials/migrating/upgrading_to_godot_4.1.html#networking)
      * [Editor plugins](../../tutorials/migrating/upgrading_to_godot_4.1.html#editor-plugins)
    - [Behavior changes](../../tutorials/migrating/upgrading_to_godot_4.1.html#behavior-changes)
    - [Updating your GDExtension for 4.1](../../tutorials/migrating/upgrading_to_godot_4.1.html#updating-your-gdextension-for-4-1)
  + [Upgrading from Godot 4.1 to Godot 4.2](../../tutorials/migrating/upgrading_to_godot_4.2.html)
    - [Breaking changes](../../tutorials/migrating/upgrading_to_godot_4.2.html#breaking-changes)
      * [Core](../../tutorials/migrating/upgrading_to_godot_4.2.html#core)
      * [Animation](../../tutorials/migrating/upgrading_to_godot_4.2.html#animation)
      * [GUI nodes](../../tutorials/migrating/upgrading_to_godot_4.2.html#gui-nodes)
      * [Rendering](../../tutorials/migrating/upgrading_to_godot_4.2.html#rendering)
      * [Text](../../tutorials/migrating/upgrading_to_godot_4.2.html#text)
      * [GraphEdit](../../tutorials/migrating/upgrading_to_godot_4.2.html#graphedit)
      * [TileMap](../../tutorials/migrating/upgrading_to_godot_4.2.html#tilemap)
      * [XR](../../tutorials/migrating/upgrading_to_godot_4.2.html#xr)
  + [Upgrading from Godot 4.2 to Godot 4.3](../../tutorials/migrating/upgrading_to_godot_4.3.html)
    - [Breaking changes](../../tutorials/migrating/upgrading_to_godot_4.3.html#breaking-changes)
      * [GDExtension](../../tutorials/migrating/upgrading_to_godot_4.3.html#gdextension)
      * [Animation](../../tutorials/migrating/upgrading_to_godot_4.3.html#animation)
      * [GUI nodes](../../tutorials/migrating/upgrading_to_godot_4.3.html#gui-nodes)
      * [Physics](../../tutorials/migrating/upgrading_to_godot_4.3.html#physics)
      * [Rendering](../../tutorials/migrating/upgrading_to_godot_4.3.html#rendering)
      * [Text](../../tutorials/migrating/upgrading_to_godot_4.3.html#text)
      * [Audio](../../tutorials/migrating/upgrading_to_godot_4.3.html#audio)
      * [Navigation](../../tutorials/migrating/upgrading_to_godot_4.3.html#navigation)
      * [TileMap](../../tutorials/migrating/upgrading_to_godot_4.3.html#tilemap)
      * [XR](../../tutorials/migrating/upgrading_to_godot_4.3.html#xr)
      * [Editor plugins](../../tutorials/migrating/upgrading_to_godot_4.3.html#editor-plugins)
    - [Behavior changes](../../tutorials/migrating/upgrading_to_godot_4.3.html#behavior-changes)
      * [Core](../../tutorials/migrating/upgrading_to_godot_4.3.html#core)
      * [Animation](../../tutorials/migrating/upgrading_to_godot_4.3.html#id1)
      * [GUI nodes](../../tutorials/migrating/upgrading_to_godot_4.3.html#id2)
      * [Multiplayer](../../tutorials/migrating/upgrading_to_godot_4.3.html#multiplayer)
      * [Rendering](../../tutorials/migrating/upgrading_to_godot_4.3.html#id3)
      * [TileMap](../../tutorials/migrating/upgrading_to_godot_4.3.html#id4)
      * [Android](../../tutorials/migrating/upgrading_to_godot_4.3.html#android)
  + [Upgrading from Godot 4.3 to Godot 4.4](../../tutorials/migrating/upgrading_to_godot_4.4.html)
    - [Breaking changes](../../tutorials/migrating/upgrading_to_godot_4.4.html#breaking-changes)
      * [Core](../../tutorials/migrating/upgrading_to_godot_4.4.html#core)
      * [GUI nodes](../../tutorials/migrating/upgrading_to_godot_4.4.html#gui-nodes)
      * [Physics](../../tutorials/migrating/upgrading_to_godot_4.4.html#physics)
      * [Rendering](../../tutorials/migrating/upgrading_to_godot_4.4.html#rendering)
      * [Navigation](../../tutorials/migrating/upgrading_to_godot_4.4.html#navigation)
      * [Editor plugins](../../tutorials/migrating/upgrading_to_godot_4.4.html#editor-plugins)
    - [Behavior changes](../../tutorials/migrating/upgrading_to_godot_4.4.html#behavior-changes)
      * [Core](../../tutorials/migrating/upgrading_to_godot_4.4.html#id2)
      * [Rendering](../../tutorials/migrating/upgrading_to_godot_4.4.html#id3)
      * [CSG](../../tutorials/migrating/upgrading_to_godot_4.4.html#csg)
      * [Android](../../tutorials/migrating/upgrading_to_godot_4.4.html#android)
* [2D](../../tutorials/2d/index.html)
  + [Introduction to 2D](../../tutorials/2d/introduction_to_2d.html)
    - [2D workspace](../../tutorials/2d/introduction_to_2d.html#d-workspace)
      * [Main toolbar](../../tutorials/2d/introduction_to_2d.html#main-toolbar)
      * [Coordinate system](../../tutorials/2d/introduction_to_2d.html#coordinate-system)
      * [2D Viewport](../../tutorials/2d/introduction_to_2d.html#d-viewport)
    - [Node2D and Control node](../../tutorials/2d/introduction_to_2d.html#node2d-and-control-node)
    - [3D in 2D](../../tutorials/2d/introduction_to_2d.html#d-in-2d)
  + [Canvas layers](../../tutorials/2d/canvas_layers.html)
    - [Viewport and Canvas items](../../tutorials/2d/canvas_layers.html#viewport-and-canvas-items)
    - [CanvasLayers](../../tutorials/2d/canvas_layers.html#canvaslayers)
  + [Viewport and canvas transforms](../../tutorials/2d/2d_transforms.html)
    - [Introduction](../../tutorials/2d/2d_transforms.html#introduction)
    - [Canvas transform](../../tutorials/2d/2d_transforms.html#canvas-transform)
    - [Global canvas transform](../../tutorials/2d/2d_transforms.html#global-canvas-transform)
    - [Stretch transform](../../tutorials/2d/2d_transforms.html#stretch-transform)
    - [Window transform](../../tutorials/2d/2d_transforms.html#window-transform)
    - [Transform order](../../tutorials/2d/2d_transforms.html#transform-order)
    - [Transform functions](../../tutorials/2d/2d_transforms.html#transform-functions)
    - [Feeding custom input events](../../tutorials/2d/2d_transforms.html#feeding-custom-input-events)
  + [Rendering](../../tutorials/2d/index.html#rendering)
    - [2D lights and shadows](../../tutorials/2d/2d_lights_and_shadows.html)
      * [Introduction](../../tutorials/2d/2d_lights_and_shadows.html#introduction)
      * [Nodes](../../tutorials/2d/2d_lights_and_shadows.html#nodes)
      * [Point lights](../../tutorials/2d/2d_lights_and_shadows.html#point-lights)
      * [Directional light](../../tutorials/2d/2d_lights_and_shadows.html#directional-light)
      * [Common light properties](../../tutorials/2d/2d_lights_and_shadows.html#common-light-properties)
      * [Setting up shadows](../../tutorials/2d/2d_lights_and_shadows.html#setting-up-shadows)
      * [Normal and specular maps](../../tutorials/2d/2d_lights_and_shadows.html#normal-and-specular-maps)
      * [Using additive sprites as a faster alternative to 2D lights](../../tutorials/2d/2d_lights_and_shadows.html#using-additive-sprites-as-a-faster-alternative-to-2d-lights)
    - [2D meshes](../../tutorials/2d/2d_meshes.html)
      * [Introduction](../../tutorials/2d/2d_meshes.html#introduction)
      * [Optimizing pixels drawn](../../tutorials/2d/2d_meshes.html#optimizing-pixels-drawn)
      * [Converting Sprite2Ds to 2D meshes](../../tutorials/2d/2d_meshes.html#converting-sprite2ds-to-2d-meshes)
    - [2D sprite animation](../../tutorials/2d/2d_sprite_animation.html)
      * [Introduction](../../tutorials/2d/2d_sprite_animation.html#introduction)
      * [Individual images with AnimatedSprite2D](../../tutorials/2d/2d_sprite_animation.html#individual-images-with-animatedsprite2d)
      * [Sprite sheet with AnimatedSprite2D](../../tutorials/2d/2d_sprite_animation.html#sprite-sheet-with-animatedsprite2d)
      * [Sprite sheet with AnimationPlayer](../../tutorials/2d/2d_sprite_animation.html#sprite-sheet-with-animationplayer)
      * [Summary](../../tutorials/2d/2d_sprite_animation.html#summary)
    - [2D particle systems](../../tutorials/2d/particle_systems_2d.html)
      * [Intro](../../tutorials/2d/particle_systems_2d.html#intro)
      * [Time parameters](../../tutorials/2d/particle_systems_2d.html#time-parameters)
      * [Drawing parameters](../../tutorials/2d/particle_systems_2d.html#drawing-parameters)
      * [Particle Process Material Settings](../../tutorials/2d/particle_systems_2d.html#particle-process-material-settings)
    - [ParticleProcessMaterial 2D Usage](../../tutorials/2d/particle_process_material_2d.html)
      * [Process material properties](../../tutorials/2d/particle_process_material_2d.html#process-material-properties)
      * [Particle Flags](../../tutorials/2d/particle_process_material_2d.html#particle-flags)
      * [Spawn](../../tutorials/2d/particle_process_material_2d.html#spawn)
      * [Animated Velocity](../../tutorials/2d/particle_process_material_2d.html#animated-velocity)
      * [Accelerations](../../tutorials/2d/particle_process_material_2d.html#accelerations)
      * [Display](../../tutorials/2d/particle_process_material_2d.html#display)
      * [Emission Shapes](../../tutorials/2d/particle_process_material_2d.html#emission-shapes)
    - [2D antialiasing](../../tutorials/2d/2d_antialiasing.html)
      * [Introduction](../../tutorials/2d/2d_antialiasing.html#introduction)
      * [Antialiasing property in Line2D and custom drawing](../../tutorials/2d/2d_antialiasing.html#antialiasing-property-in-line2d-and-custom-drawing)
      * [Multisample antialiasing (MSAA)](../../tutorials/2d/2d_antialiasing.html#multisample-antialiasing-msaa)
    - [Custom drawing in 2D](../../tutorials/2d/custom_drawing_in_2d.html)
      * [Introduction](../../tutorials/2d/custom_drawing_in_2d.html#introduction)
      * [Drawing](../../tutorials/2d/custom_drawing_in_2d.html#drawing)
      * [Updating](../../tutorials/2d/custom_drawing_in_2d.html#updating)
      * [Coordinates and line width alignment](../../tutorials/2d/custom_drawing_in_2d.html#coordinates-and-line-width-alignment)
      * [Antialiased drawing](../../tutorials/2d/custom_drawing_in_2d.html#antialiased-drawing)
      * [Tools](../../tutorials/2d/custom_drawing_in_2d.html#tools)
      * [Example 1: drawing a custom shape](../../tutorials/2d/custom_drawing_in_2d.html#example-1-drawing-a-custom-shape)
      * [Example 2: drawing a dynamic line](../../tutorials/2d/custom_drawing_in_2d.html#example-2-drawing-a-dynamic-line)
    - [2D Parallax](../../tutorials/2d/2d_parallax.html)
      * [Introduction](../../tutorials/2d/2d_parallax.html#introduction)
      * [Getting started](../../tutorials/2d/2d_parallax.html#getting-started)
      * [Scroll scale](../../tutorials/2d/2d_parallax.html#scroll-scale)
      * [Infinite repeat](../../tutorials/2d/2d_parallax.html#infinite-repeat)
      * [Scroll offset](../../tutorials/2d/2d_parallax.html#scroll-offset)
      * [Repeat times](../../tutorials/2d/2d_parallax.html#repeat-times)
      * [Split screen](../../tutorials/2d/2d_parallax.html#split-screen)
      * [Previewing in the editor](../../tutorials/2d/2d_parallax.html#previewing-in-the-editor)
  + [Physics and movement](../../tutorials/2d/index.html#physics-and-movement)
    - [2D movement overview](../../tutorials/2d/2d_movement.html)
      * [Introduction](../../tutorials/2d/2d_movement.html#introduction)
      * [Setup](../../tutorials/2d/2d_movement.html#setup)
      * [8-way movement](../../tutorials/2d/2d_movement.html#way-movement)
      * [Rotation + movement](../../tutorials/2d/2d_movement.html#rotation-movement)
      * [Rotation + movement (mouse)](../../tutorials/2d/2d_movement.html#rotation-movement-mouse)
      * [Click-and-move](../../tutorials/2d/2d_movement.html#click-and-move)
      * [Summary](../../tutorials/2d/2d_movement.html#summary)
  + [Tools](../../tutorials/2d/index.html#tools)
    - [Using TileSets](../../tutorials/2d/using_tilesets.html)
      * [Introduction](../../tutorials/2d/using_tilesets.html#introduction)
      * [Creating a new TileSet](../../tutorials/2d/using_tilesets.html#creating-a-new-tileset)
      * [Merging several atlases into a single atlas](../../tutorials/2d/using_tilesets.html#merging-several-atlases-into-a-single-atlas)
      * [Adding collision, navigation and occlusion to the TileSet](../../tutorials/2d/using_tilesets.html#adding-collision-navigation-and-occlusion-to-the-tileset)
      * [Assigning custom metadata to the TileSet's tiles](../../tutorials/2d/using_tilesets.html#assigning-custom-metadata-to-the-tileset-s-tiles)
      * [Creating terrain sets (autotiling)](../../tutorials/2d/using_tilesets.html#creating-terrain-sets-autotiling)
      * [Assigning properties to multiple tiles at once](../../tutorials/2d/using_tilesets.html#assigning-properties-to-multiple-tiles-at-once)
      * [Creating alternative tiles](../../tutorials/2d/using_tilesets.html#creating-alternative-tiles)
    - [Using TileMaps](../../tutorials/2d/using_tilemaps.html)
      * [Introduction](../../tutorials/2d/using_tilemaps.html#introduction)
      * [Specifying the TileSet in the TileMapLayer](../../tutorials/2d/using_tilemaps.html#specifying-the-tileset-in-the-tilemaplayer)
      * [Multiple TileMapLayers and settings](../../tutorials/2d/using_tilemaps.html#multiple-tilemaplayers-and-settings)
      * [Opening the TileMap editor](../../tutorials/2d/using_tilemaps.html#opening-the-tilemap-editor)
      * [Selecting tiles to use for painting](../../tutorials/2d/using_tilemaps.html#selecting-tiles-to-use-for-painting)
      * [Painting modes and tools](../../tutorials/2d/using_tilemaps.html#painting-modes-and-tools)
      * [Painting randomly using scattering](../../tutorials/2d/using_tilemaps.html#painting-randomly-using-scattering)
      * [Saving and loading premade tile placements using patterns](../../tutorials/2d/using_tilemaps.html#saving-and-loading-premade-tile-placements-using-patterns)
      * [Handling tile connections automatically using terrains](../../tutorials/2d/using_tilemaps.html#handling-tile-connections-automatically-using-terrains)
      * [Handling missing tiles](../../tutorials/2d/using_tilemaps.html#handling-missing-tiles)
* [3D](../../tutorials/3d/index.html)
  + [Introduction to 3D](../../tutorials/3d/introduction_to_3d.html)
    - [3D workspace](../../tutorials/3d/introduction_to_3d.html#d-workspace)
      * [Main toolbar](../../tutorials/3d/introduction_to_3d.html#main-toolbar)
      * [View menu of viewport](../../tutorials/3d/introduction_to_3d.html#view-menu-of-viewport)
      * [Coordinate system](../../tutorials/3d/introduction_to_3d.html#coordinate-system)
      * [Space and manipulation gizmos](../../tutorials/3d/introduction_to_3d.html#space-and-manipulation-gizmos)
      * [Navigating the 3D environment](../../tutorials/3d/introduction_to_3d.html#navigating-the-3d-environment)
      * [Using Blender-style transform shortcuts](../../tutorials/3d/introduction_to_3d.html#using-blender-style-transform-shortcuts)
    - [Node3D node](../../tutorials/3d/introduction_to_3d.html#node3d-node)
    - [3D content](../../tutorials/3d/introduction_to_3d.html#d-content)
      * [Manually authored models (using 3D modeling software)](../../tutorials/3d/introduction_to_3d.html#manually-authored-models-using-3d-modeling-software)
      * [Generated geometry](../../tutorials/3d/introduction_to_3d.html#generated-geometry)
      * [Immediate geometry](../../tutorials/3d/introduction_to_3d.html#immediate-geometry)
      * [2D in 3D](../../tutorials/3d/introduction_to_3d.html#d-in-3d)
    - [Environment](../../tutorials/3d/introduction_to_3d.html#environment)
      * [Preview environment and light](../../tutorials/3d/introduction_to_3d.html#preview-environment-and-light)
      * [Cameras](../../tutorials/3d/introduction_to_3d.html#cameras)
      * [Lights](../../tutorials/3d/introduction_to_3d.html#lights)
  + [Using 3D transforms](../../tutorials/3d/using_transforms.html)
    - [Introduction](../../tutorials/3d/using_transforms.html#introduction)
    - [Problems of Euler angles](../../tutorials/3d/using_transforms.html#problems-of-euler-angles)
      * [Axis order](../../tutorials/3d/using_transforms.html#axis-order)
      * [Interpolation](../../tutorials/3d/using_transforms.html#interpolation)
      * [Say no to Euler angles](../../tutorials/3d/using_transforms.html#say-no-to-euler-angles)
    - [Introducing transforms](../../tutorials/3d/using_transforms.html#introducing-transforms)
      * [Manipulating transforms](../../tutorials/3d/using_transforms.html#manipulating-transforms)
      * [Precision errors](../../tutorials/3d/using_transforms.html#precision-errors)
      * [Obtaining information](../../tutorials/3d/using_transforms.html#obtaining-information)
      * [Setting information](../../tutorials/3d/using_transforms.html#setting-information)
      * [Interpolating with quaternions](../../tutorials/3d/using_transforms.html#interpolating-with-quaternions)
    - [Transforms are your friend](../../tutorials/3d/using_transforms.html#transforms-are-your-friend)
  + [Procedural geometry](../../tutorials/3d/procedural_geometry/index.html)
    - [Using the ArrayMesh](../../tutorials/3d/procedural_geometry/arraymesh.html)
      * [Setting up the ArrayMesh](../../tutorials/3d/procedural_geometry/arraymesh.html#setting-up-the-arraymesh)
      * [Generating geometry](../../tutorials/3d/procedural_geometry/arraymesh.html#generating-geometry)
      * [Saving](../../tutorials/3d/procedural_geometry/arraymesh.html#saving)
    - [Using the MeshDataTool](../../tutorials/3d/procedural_geometry/meshdatatool.html)
    - [Using the SurfaceTool](../../tutorials/3d/procedural_geometry/surfacetool.html)
    - [Using ImmediateMesh](../../tutorials/3d/procedural_geometry/immediatemesh.html)
    - [What is geometry?](../../tutorials/3d/procedural_geometry/index.html#what-is-geometry)
    - [What is a Mesh?](../../tutorials/3d/procedural_geometry/index.html#what-is-a-mesh)
    - [What a Mesh is](../../tutorials/3d/procedural_geometry/index.html#what-a-mesh-is)
      * [Surfaces](../../tutorials/3d/procedural_geometry/index.html#surfaces)
      * [Surface array](../../tutorials/3d/procedural_geometry/index.html#surface-array)
    - [Tools](../../tutorials/3d/procedural_geometry/index.html#tools)
      * [ArrayMesh](../../tutorials/3d/procedural_geometry/index.html#arraymesh)
      * [MeshDataTool](../../tutorials/3d/procedural_geometry/index.html#meshdatatool)
      * [SurfaceTool](../../tutorials/3d/procedural_geometry/index.html#surfacetool)
      * [ImmediateMesh](../../tutorials/3d/procedural_geometry/index.html#immediatemesh)
    - [Which one should I use?](../../tutorials/3d/procedural_geometry/index.html#which-one-should-i-use)
  + [3D text](../../tutorials/3d/3d_text.html)
    - [Introduction](../../tutorials/3d/3d_text.html#introduction)
    - [Label3D](../../tutorials/3d/3d_text.html#label3d)
      * [Advantages](../../tutorials/3d/3d_text.html#advantages)
      * [Limitations](../../tutorials/3d/3d_text.html#limitations)
    - [TextMesh](../../tutorials/3d/3d_text.html#textmesh)
      * [Advantages](../../tutorials/3d/3d_text.html#id1)
      * [Limitations](../../tutorials/3d/3d_text.html#id2)
    - [Projected Label node (or any other Control)](../../tutorials/3d/3d_text.html#projected-label-node-or-any-other-control)
      * [Advantages](../../tutorials/3d/3d_text.html#id3)
      * [Limitations](../../tutorials/3d/3d_text.html#id4)
    - [Should I use Label3D, TextMesh or a projected Control?](../../tutorials/3d/3d_text.html#should-i-use-label3d-textmesh-or-a-projected-control)
  + [Rendering](../../tutorials/3d/index.html#rendering)
    - [3D rendering limitations](../../tutorials/3d/3d_rendering_limitations.html)
      * [Introduction](../../tutorials/3d/3d_rendering_limitations.html#introduction)
      * [Texture size limits](../../tutorials/3d/3d_rendering_limitations.html#texture-size-limits)
      * [Color banding](../../tutorials/3d/3d_rendering_limitations.html#color-banding)
      * [Depth buffer precision](../../tutorials/3d/3d_rendering_limitations.html#depth-buffer-precision)
      * [Transparency sorting](../../tutorials/3d/3d_rendering_limitations.html#transparency-sorting)
    - [Standard Material 3D and ORM Material 3D](../../tutorials/3d/standard_material_3d.html)
      * [Introduction](../../tutorials/3d/standard_material_3d.html#introduction)
      * [BaseMaterial 3D settings](../../tutorials/3d/standard_material_3d.html#basematerial-3d-settings)
      * [Transparency](../../tutorials/3d/standard_material_3d.html#transparency)
      * [Shading](../../tutorials/3d/standard_material_3d.html#shading)
      * [Vertex Color](../../tutorials/3d/standard_material_3d.html#vertex-color)
      * [Albedo](../../tutorials/3d/standard_material_3d.html#albedo)
      * [Metallic](../../tutorials/3d/standard_material_3d.html#metallic)
      * [Roughness](../../tutorials/3d/standard_material_3d.html#roughness)
      * [Emission](../../tutorials/3d/standard_material_3d.html#emission)
      * [Normal map](../../tutorials/3d/standard_material_3d.html#normal-map)
      * [Rim](../../tutorials/3d/standard_material_3d.html#rim)
      * [Clearcoat](../../tutorials/3d/standard_material_3d.html#clearcoat)
      * [Anisotropy](../../tutorials/3d/standard_material_3d.html#anisotropy)
      * [Ambient Occlusion](../../tutorials/3d/standard_material_3d.html#ambient-occlusion)
      * [Height](../../tutorials/3d/standard_material_3d.html#height)
      * [Subsurface Scattering](../../tutorials/3d/standard_material_3d.html#subsurface-scattering)
      * [Back Lighting](../../tutorials/3d/standard_material_3d.html#back-lighting)
      * [Refraction](../../tutorials/3d/standard_material_3d.html#refraction)
      * [Detail](../../tutorials/3d/standard_material_3d.html#detail)
      * [UV1 and UV2](../../tutorials/3d/standard_material_3d.html#uv1-and-uv2)
      * [Sampling](../../tutorials/3d/standard_material_3d.html#sampling)
      * [Shadows](../../tutorials/3d/standard_material_3d.html#shadows)
      * [Billboard](../../tutorials/3d/standard_material_3d.html#billboard)
      * [Grow](../../tutorials/3d/standard_material_3d.html#grow)
      * [Transform](../../tutorials/3d/standard_material_3d.html#transform)
      * [Proximity and Distance Fade](../../tutorials/3d/standard_material_3d.html#proximity-and-distance-fade)
      * [Material Settings](../../tutorials/3d/standard_material_3d.html#material-settings)
      * [Render priority](../../tutorials/3d/standard_material_3d.html#render-priority)
      * [Next Pass](../../tutorials/3d/standard_material_3d.html#next-pass)
    - [3D lights and shadows](../../tutorials/3d/lights_and_shadows.html)
      * [Introduction](../../tutorials/3d/lights_and_shadows.html#introduction)
      * [Light nodes](../../tutorials/3d/lights_and_shadows.html#light-nodes)
      * [Light number limits](../../tutorials/3d/lights_and_shadows.html#light-number-limits)
      * [Shadow mapping](../../tutorials/3d/lights_and_shadows.html#shadow-mapping)
      * [Directional light](../../tutorials/3d/lights_and_shadows.html#directional-light)
      * [Omni light](../../tutorials/3d/lights_and_shadows.html#omni-light)
      * [Spot light](../../tutorials/3d/lights_and_shadows.html#spot-light)
      * [Shadow atlas](../../tutorials/3d/lights_and_shadows.html#shadow-atlas)
      * [Balancing performance and quality](../../tutorials/3d/lights_and_shadows.html#balancing-performance-and-quality)
    - [Using decals](../../tutorials/3d/using_decals.html)
      * [Use cases](../../tutorials/3d/using_decals.html#use-cases)
      * [Quick start guide](../../tutorials/3d/using_decals.html#quick-start-guide)
      * [Decal node properties](../../tutorials/3d/using_decals.html#decal-node-properties)
      * [Decal rendering order](../../tutorials/3d/using_decals.html#decal-rendering-order)
      * [Tweaking performance and quality](../../tutorials/3d/using_decals.html#tweaking-performance-and-quality)
      * [Limitations](../../tutorials/3d/using_decals.html#limitations)
    - [Physical light and camera units](../../tutorials/3d/physical_light_and_camera_units.html)
      * [Why use physical light and camera units?](../../tutorials/3d/physical_light_and_camera_units.html#why-use-physical-light-and-camera-units)
      * [Setting up physical light units](../../tutorials/3d/physical_light_and_camera_units.html#setting-up-physical-light-units)
      * [Setting up physical camera units](../../tutorials/3d/physical_light_and_camera_units.html#setting-up-physical-camera-units)
    - [Particle systems (3D)](../../tutorials/3d/particles/index.html)
      * [Creating a 3D particle system](../../tutorials/3d/particles/creating_a_3d_particle_system.html)
      * [3D Particle system properties](../../tutorials/3d/particles/properties.html)
      * [Process material properties](../../tutorials/3d/particles/process_material_properties.html)
      * [Particle flags](../../tutorials/3d/particles/process_material_properties.html#particle-flags)
      * [Spawn](../../tutorials/3d/particles/process_material_properties.html#spawn)
      * [Accelerations](../../tutorials/3d/particles/process_material_properties.html#accelerations)
      * [Display](../../tutorials/3d/particles/process_material_properties.html#display)
      * [Collision](../../tutorials/3d/particles/process_material_properties.html#collision)
      * [Sub-emitter](../../tutorials/3d/particles/process_material_properties.html#sub-emitter)
      * [Particle sub-emitters](../../tutorials/3d/particles/subemitters.html)
      * [3D Particle trails](../../tutorials/3d/particles/trails.html)
      * [Particle turbulence](../../tutorials/3d/particles/turbulence.html)
      * [3D Particle attractors](../../tutorials/3d/particles/attractors.html)
      * [3D Particle collisions](../../tutorials/3d/particles/collision.html)
      * [Complex emission shapes](../../tutorials/3d/particles/complex_shapes.html)
    - [High dynamic range lighting](../../tutorials/3d/high_dynamic_range.html)
      * [Introduction](../../tutorials/3d/high_dynamic_range.html#introduction)
      * [Computer displays](../../tutorials/3d/high_dynamic_range.html#computer-displays)
      * [Scene linear & asset pipelines](../../tutorials/3d/high_dynamic_range.html#scene-linear-asset-pipelines)
      * [Parameters of HDR](../../tutorials/3d/high_dynamic_range.html#parameters-of-hdr)
    - [Global illumination](../../tutorials/3d/global_illumination/index.html)
      * [Introduction to global illumination](../../tutorials/3d/global_illumination/introduction_to_global_illumination.html)
      * [Using Voxel global illumination](../../tutorials/3d/global_illumination/using_voxel_gi.html)
      * [Signed distance field global illumination (SDFGI)](../../tutorials/3d/global_illumination/using_sdfgi.html)
      * [Using Lightmap global illumination](../../tutorials/3d/global_illumination/using_lightmap_gi.html)
      * [Reflection probes](../../tutorials/3d/global_illumination/reflection_probes.html)
      * [Faking global illumination](../../tutorials/3d/global_illumination/faking_global_illumination.html)
    - [Environment and post-processing](../../tutorials/3d/environment_and_post_processing.html)
      * [Environment](../../tutorials/3d/environment_and_post_processing.html#environment)
      * [Camera attributes](../../tutorials/3d/environment_and_post_processing.html#camera-attributes)
      * [Environment options](../../tutorials/3d/environment_and_post_processing.html#environment-options)
      * [Mid- and post-processing effects](../../tutorials/3d/environment_and_post_processing.html#mid-and-post-processing-effects)
      * [Camera attribute options](../../tutorials/3d/environment_and_post_processing.html#camera-attribute-options)
    - [Volumetric fog and fog volumes](../../tutorials/3d/volumetric_fog.html)
      * [Volumetric fog properties](../../tutorials/3d/volumetric_fog.html#volumetric-fog-properties)
      * [Light interaction with volumetric fog](../../tutorials/3d/volumetric_fog.html#light-interaction-with-volumetric-fog)
      * [Using volumetric fog as a volumetric lighting solution](../../tutorials/3d/volumetric_fog.html#using-volumetric-fog-as-a-volumetric-lighting-solution)
      * [Balancing performance and quality](../../tutorials/3d/volumetric_fog.html#balancing-performance-and-quality)
      * [Using fog volumes for local volumetric fog](../../tutorials/3d/volumetric_fog.html#using-fog-volumes-for-local-volumetric-fog)
      * [FogVolume properties](../../tutorials/3d/volumetric_fog.html#fogvolume-properties)
      * [Custom FogVolume shaders](../../tutorials/3d/volumetric_fog.html#custom-fogvolume-shaders)
      * [Faking volumetric fog using quads](../../tutorials/3d/volumetric_fog.html#faking-volumetric-fog-using-quads)
    - [3D antialiasing](../../tutorials/3d/3d_antialiasing.html)
      * [Introduction](../../tutorials/3d/3d_antialiasing.html#introduction)
      * [Multisample antialiasing (MSAA)](../../tutorials/3d/3d_antialiasing.html#multisample-antialiasing-msaa)
      * [Temporal antialiasing (TAA)](../../tutorials/3d/3d_antialiasing.html#temporal-antialiasing-taa)
      * [AMD FidelityFX Super Resolution 2.2 (FSR2)](../../tutorials/3d/3d_antialiasing.html#amd-fidelityfx-super-resolution-2-2-fsr2)
      * [Fast approximate antialiasing (FXAA)](../../tutorials/3d/3d_antialiasing.html#fast-approximate-antialiasing-fxaa)
      * [Supersample antialiasing (SSAA)](../../tutorials/3d/3d_antialiasing.html#supersample-antialiasing-ssaa)
      * [Screen-space roughness limiter](../../tutorials/3d/3d_antialiasing.html#screen-space-roughness-limiter)
      * [Texture roughness limiter on import](../../tutorials/3d/3d_antialiasing.html#texture-roughness-limiter-on-import)
      * [Which antialiasing technique should I use?](../../tutorials/3d/3d_antialiasing.html#which-antialiasing-technique-should-i-use)
  + [Optimization](../../tutorials/3d/index.html#optimization)
    - [Using MultiMeshInstance3D](../../tutorials/3d/using_multi_mesh_instance.html)
      * [Introduction](../../tutorials/3d/using_multi_mesh_instance.html#introduction)
      * [Setting up the nodes](../../tutorials/3d/using_multi_mesh_instance.html#setting-up-the-nodes)
      * [MultiMesh settings](../../tutorials/3d/using_multi_mesh_instance.html#multimesh-settings)
    - [Mesh level of detail (LOD)](../../tutorials/3d/mesh_lod.html)
      * [Introduction](../../tutorials/3d/mesh_lod.html#introduction)
      * [Visual comparison](../../tutorials/3d/mesh_lod.html#visual-comparison)
      * [Generating mesh LOD](../../tutorials/3d/mesh_lod.html#generating-mesh-lod)
      * [Comparing mesh LOD visuals and performance](../../tutorials/3d/mesh_lod.html#comparing-mesh-lod-visuals-and-performance)
      * [Configuring mesh LOD performance and quality](../../tutorials/3d/mesh_lod.html#configuring-mesh-lod-performance-and-quality)
      * [Using mesh LOD with MultiMesh and particles](../../tutorials/3d/mesh_lod.html#using-mesh-lod-with-multimesh-and-particles)
    - [Visibility ranges (HLOD)](../../tutorials/3d/visibility_ranges.html)
      * [How it works](../../tutorials/3d/visibility_ranges.html#how-it-works)
      * [Setting up visibility range](../../tutorials/3d/visibility_ranges.html#setting-up-visibility-range)
      * [Visibility range properties](../../tutorials/3d/visibility_ranges.html#visibility-range-properties)
      * [Configuration tips](../../tutorials/3d/visibility_ranges.html#configuration-tips)
    - [Occlusion culling](../../tutorials/3d/occlusion_culling.html)
      * [Why use occlusion culling](../../tutorials/3d/occlusion_culling.html#why-use-occlusion-culling)
      * [How occlusion culling works in Godot](../../tutorials/3d/occlusion_culling.html#how-occlusion-culling-works-in-godot)
      * [Setting up occlusion culling](../../tutorials/3d/occlusion_culling.html#setting-up-occlusion-culling)
      * [Previewing occlusion culling](../../tutorials/3d/occlusion_culling.html#previewing-occlusion-culling)
      * [Performance considerations](../../tutorials/3d/occlusion_culling.html#performance-considerations)
      * [Troubleshooting](../../tutorials/3d/occlusion_culling.html#troubleshooting)
    - [Resolution scaling](../../tutorials/3d/resolution_scaling.html)
      * [Why use resolution scaling?](../../tutorials/3d/resolution_scaling.html#why-use-resolution-scaling)
      * [Resolution scaling options](../../tutorials/3d/resolution_scaling.html#resolution-scaling-options)
      * [Troubleshooting](../../tutorials/3d/resolution_scaling.html#troubleshooting)
    - [Variable rate shading](../../tutorials/3d/variable_rate_shading.html)
      * [What is variable rate shading?](../../tutorials/3d/variable_rate_shading.html#what-is-variable-rate-shading)
      * [Hardware support](../../tutorials/3d/variable_rate_shading.html#hardware-support)
      * [Using variable rate shading in Godot](../../tutorials/3d/variable_rate_shading.html#using-variable-rate-shading-in-godot)
  + [Tools](../../tutorials/3d/index.html#tools)
    - [Prototyping levels with CSG](../../tutorials/3d/csg_tools.html)
      * [Introduction to CSG nodes](../../tutorials/3d/csg_tools.html#introduction-to-csg-nodes)
      * [Prototyping a level](../../tutorials/3d/csg_tools.html#prototyping-a-level)
      * [Using prototype textures](../../tutorials/3d/csg_tools.html#using-prototype-textures)
      * [Converting to MeshInstance3D](../../tutorials/3d/csg_tools.html#converting-to-meshinstance3d)
      * [Exporting as glTF](../../tutorials/3d/csg_tools.html#exporting-as-gltf)
    - [Using GridMaps](../../tutorials/3d/using_gridmaps.html)
      * [Introduction](../../tutorials/3d/using_gridmaps.html#introduction)
      * [Example project](../../tutorials/3d/using_gridmaps.html#example-project)
      * [Creating a MeshLibrary](../../tutorials/3d/using_gridmaps.html#creating-a-meshlibrary)
      * [Collisions](../../tutorials/3d/using_gridmaps.html#collisions)
      * [Materials](../../tutorials/3d/using_gridmaps.html#materials)
      * [NavigationMeshes](../../tutorials/3d/using_gridmaps.html#navigationmeshes)
      * [MeshLibrary format](../../tutorials/3d/using_gridmaps.html#meshlibrary-format)
      * [Exporting the MeshLibrary](../../tutorials/3d/using_gridmaps.html#exporting-the-meshlibrary)
      * [Using GridMap](../../tutorials/3d/using_gridmaps.html#using-gridmap)
      * [Using GridMap in code](../../tutorials/3d/using_gridmaps.html#using-gridmap-in-code)
    - [Third-person camera with spring arm](../../tutorials/3d/spring_arm.html)
      * [Introduction](../../tutorials/3d/spring_arm.html#introduction)
      * [What is a spring arm?](../../tutorials/3d/spring_arm.html#what-is-a-spring-arm)
      * [Spring arm with a camera](../../tutorials/3d/spring_arm.html#spring-arm-with-a-camera)
      * [Setting up the spring arm and camera](../../tutorials/3d/spring_arm.html#setting-up-the-spring-arm-and-camera)
* [Animation](../../tutorials/animation/index.html)
  + [Introduction to the animation features](../../tutorials/animation/introduction.html)
    - [Create an AnimationPlayer node](../../tutorials/animation/introduction.html#create-an-animationplayer-node)
    - [Computer animation relies on keyframes](../../tutorials/animation/introduction.html#computer-animation-relies-on-keyframes)
    - [Tutorial: Creating a simple animation](../../tutorials/animation/introduction.html#tutorial-creating-a-simple-animation)
      * [Scene setup](../../tutorials/animation/introduction.html#scene-setup)
      * [Adding an animation](../../tutorials/animation/introduction.html#adding-an-animation)
      * [Managing animation libraries](../../tutorials/animation/introduction.html#managing-animation-libraries)
      * [Adding a track](../../tutorials/animation/introduction.html#adding-a-track)
      * [The second keyframe](../../tutorials/animation/introduction.html#the-second-keyframe)
      * [Run the animation](../../tutorials/animation/introduction.html#run-the-animation)
      * [Autoplay on load](../../tutorials/animation/introduction.html#autoplay-on-load)
      * [Back and forth](../../tutorials/animation/introduction.html#back-and-forth)
      * [Track settings](../../tutorials/animation/introduction.html#track-settings)
    - [Keyframes for other properties](../../tutorials/animation/introduction.html#keyframes-for-other-properties)
    - [Edit keyframes](../../tutorials/animation/introduction.html#edit-keyframes)
    - [Using RESET tracks](../../tutorials/animation/introduction.html#using-reset-tracks)
    - [Onion Skinning](../../tutorials/animation/introduction.html#onion-skinning)
    - [Animation Markers](../../tutorials/animation/introduction.html#animation-markers)
  + [Animation Track types](../../tutorials/animation/animation_track_types.html)
    - [Property Track](../../tutorials/animation/animation_track_types.html#property-track)
    - [Position 3D / Rotation 3D / Scale 3D Track](../../tutorials/animation/animation_track_types.html#position-3d-rotation-3d-scale-3d-track)
    - [Blend Shape Track](../../tutorials/animation/animation_track_types.html#blend-shape-track)
    - [Call Method Track](../../tutorials/animation/animation_track_types.html#call-method-track)
    - [Bezier Curve Track](../../tutorials/animation/animation_track_types.html#bezier-curve-track)
    - [Audio Playback Track](../../tutorials/animation/animation_track_types.html#audio-playback-track)
    - [Animation Playback Track](../../tutorials/animation/animation_track_types.html#animation-playback-track)
  + [Cutout animation](../../tutorials/animation/cutout_animation.html)
    - [What is it?](../../tutorials/animation/cutout_animation.html#what-is-it)
    - [Cutout animation in Godot](../../tutorials/animation/cutout_animation.html#cutout-animation-in-godot)
    - [Making of GBot](../../tutorials/animation/cutout_animation.html#making-of-gbot)
    - [Setting up the rig](../../tutorials/animation/cutout_animation.html#setting-up-the-rig)
    - [Adjusting the pivot](../../tutorials/animation/cutout_animation.html#adjusting-the-pivot)
    - [RemoteTransform2D node](../../tutorials/animation/cutout_animation.html#remotetransform2d-node)
    - [Completing the skeleton](../../tutorials/animation/cutout_animation.html#completing-the-skeleton)
    - [Skeletons](../../tutorials/animation/cutout_animation.html#skeletons)
    - [IK chains](../../tutorials/animation/cutout_animation.html#ik-chains)
    - [Animation tips](../../tutorials/animation/cutout_animation.html#animation-tips)
      * [Setting keyframes and excluding properties](../../tutorials/animation/cutout_animation.html#setting-keyframes-and-excluding-properties)
    - [Creating a rest pose](../../tutorials/animation/cutout_animation.html#creating-a-rest-pose)
    - [Modifying rotation only](../../tutorials/animation/cutout_animation.html#modifying-rotation-only)
    - [Keyframing IK chains](../../tutorials/animation/cutout_animation.html#keyframing-ik-chains)
    - [Visually move a sprite behind its parent](../../tutorials/animation/cutout_animation.html#visually-move-a-sprite-behind-its-parent)
    - [Setting easing curves for multiple keys](../../tutorials/animation/cutout_animation.html#setting-easing-curves-for-multiple-keys)
    - [2D Skeletal deform](../../tutorials/animation/cutout_animation.html#d-skeletal-deform)
  + [2D skeletons](../../tutorials/animation/2d_skeletons.html)
    - [Introduction](../../tutorials/animation/2d_skeletons.html#introduction)
    - [Setup](../../tutorials/animation/2d_skeletons.html#setup)
    - [Creating the polygons](../../tutorials/animation/2d_skeletons.html#creating-the-polygons)
    - [Creating the skeleton](../../tutorials/animation/2d_skeletons.html#creating-the-skeleton)
    - [Deforming the polygons](../../tutorials/animation/2d_skeletons.html#deforming-the-polygons)
    - [Internal vertices](../../tutorials/animation/2d_skeletons.html#internal-vertices)
  + [Using AnimationTree](../../tutorials/animation/animation_tree.html)
    - [Introduction](../../tutorials/animation/animation_tree.html#introduction)
    - [Creating an AnimationTree](../../tutorials/animation/animation_tree.html#creating-an-animationtree)
    - [Creating a tree](../../tutorials/animation/animation_tree.html#creating-a-tree)
    - [Blend tree](../../tutorials/animation/animation_tree.html#blend-tree)
      * [Blend2 / Blend3](../../tutorials/animation/animation_tree.html#blend2-blend3)
      * [OneShot](../../tutorials/animation/animation_tree.html#oneshot)
      * [TimeSeek](../../tutorials/animation/animation_tree.html#timeseek)
      * [TimeScale](../../tutorials/animation/animation_tree.html#timescale)
      * [Transition](../../tutorials/animation/animation_tree.html#transition)
      * [BlendSpace2D](../../tutorials/animation/animation_tree.html#blendspace2d)
      * [BlendSpace1D](../../tutorials/animation/animation_tree.html#blendspace1d)
      * [StateMachine](../../tutorials/animation/animation_tree.html#statemachine)
    - [For better blending](../../tutorials/animation/animation_tree.html#for-better-blending)
    - [Root motion](../../tutorials/animation/animation_tree.html#root-motion)
    - [Controlling from code](../../tutorials/animation/animation_tree.html#controlling-from-code)
    - [State machine travel](../../tutorials/animation/animation_tree.html#state-machine-travel)
  + [Playing videos](../../tutorials/animation/playing_videos.html)
    - [Supported playback formats](../../tutorials/animation/playing_videos.html#supported-playback-formats)
    - [Setting up VideoStreamPlayer](../../tutorials/animation/playing_videos.html#setting-up-videostreamplayer)
      * [Handling resizing and different aspect ratios](../../tutorials/animation/playing_videos.html#handling-resizing-and-different-aspect-ratios)
      * [Displaying a video on a 3D surface](../../tutorials/animation/playing_videos.html#displaying-a-video-on-a-3d-surface)
      * [Looping a video](../../tutorials/animation/playing_videos.html#looping-a-video)
    - [Video decoding conditions and recommended resolutions](../../tutorials/animation/playing_videos.html#video-decoding-conditions-and-recommended-resolutions)
    - [Playback limitations](../../tutorials/animation/playing_videos.html#playback-limitations)
    - [Recommended Theora encoding settings](../../tutorials/animation/playing_videos.html#recommended-theora-encoding-settings)
      * [Balancing quality and file size](../../tutorials/animation/playing_videos.html#balancing-quality-and-file-size)
      * [FFmpeg: Convert while preserving original video resolution](../../tutorials/animation/playing_videos.html#ffmpeg-convert-while-preserving-original-video-resolution)
      * [FFmpeg: Resize the video then convert it](../../tutorials/animation/playing_videos.html#ffmpeg-resize-the-video-then-convert-it)
    - [Chroma Key Videos](../../tutorials/animation/playing_videos.html#chroma-key-videos)
      * [Scene Setup](../../tutorials/animation/playing_videos.html#scene-setup)
      * [Writing the Custom Shader](../../tutorials/animation/playing_videos.html#writing-the-custom-shader)
      * [UI Controls](../../tutorials/animation/playing_videos.html#ui-controls)
      * [Signal Handling](../../tutorials/animation/playing_videos.html#signal-handling)
  + [Creating movies](../../tutorials/animation/creating_movies.html)
    - [Enabling Movie Maker mode](../../tutorials/animation/creating_movies.html#enabling-movie-maker-mode)
      * [Command line usage](../../tutorials/animation/creating_movies.html#command-line-usage)
    - [Choosing an output format](../../tutorials/animation/creating_movies.html#choosing-an-output-format)
      * [AVI (recommended)](../../tutorials/animation/creating_movies.html#avi-recommended)
      * [PNG](../../tutorials/animation/creating_movies.html#png)
      * [Custom](../../tutorials/animation/creating_movies.html#custom)
    - [Configuration](../../tutorials/animation/creating_movies.html#configuration)
    - [Quitting Movie Maker mode](../../tutorials/animation/creating_movies.html#quitting-movie-maker-mode)
    - [Using high-quality graphics settings](../../tutorials/animation/creating_movies.html#using-high-quality-graphics-settings)
    - [Rendering at a higher resolution than the screen resolution](../../tutorials/animation/creating_movies.html#rendering-at-a-higher-resolution-than-the-screen-resolution)
    - [Post-processing steps](../../tutorials/animation/creating_movies.html#post-processing-steps)
      * [Converting AVI video to MP4](../../tutorials/animation/creating_movies.html#converting-avi-video-to-mp4)
      * [Converting PNG image sequence + WAV audio to a video](../../tutorials/animation/creating_movies.html#converting-png-image-sequence-wav-audio-to-a-video)
      * [Cutting video](../../tutorials/animation/creating_movies.html#cutting-video)
      * [Resizing video](../../tutorials/animation/creating_movies.html#resizing-video)
      * [Reducing framerate](../../tutorials/animation/creating_movies.html#reducing-framerate)
      * [Generating accumulation motion blur with FFmpeg](../../tutorials/animation/creating_movies.html#generating-accumulation-motion-blur-with-ffmpeg)
* [Assets pipeline](../../tutorials/assets_pipeline/index.html)
  + [Import process](../../tutorials/assets_pipeline/import_process.html)
    - [Importing assets in Godot](../../tutorials/assets_pipeline/import_process.html#importing-assets-in-godot)
    - [Changing import parameters](../../tutorials/assets_pipeline/import_process.html#changing-import-parameters)
    - [Reimporting multiple assets](../../tutorials/assets_pipeline/import_process.html#reimporting-multiple-assets)
    - [Automatic reimport](../../tutorials/assets_pipeline/import_process.html#automatic-reimport)
    - [Files generated](../../tutorials/assets_pipeline/import_process.html#files-generated)
    - [Changing import resource type](../../tutorials/assets_pipeline/import_process.html#changing-import-resource-type)
    - [Changing default import parameters](../../tutorials/assets_pipeline/import_process.html#changing-default-import-parameters)
    - [Further reading](../../tutorials/assets_pipeline/import_process.html#further-reading)
  + [Importing images](../../tutorials/assets_pipeline/importing_images.html)
    - [Supported image formats](../../tutorials/assets_pipeline/importing_images.html#supported-image-formats)
    - [Importing textures](../../tutorials/assets_pipeline/importing_images.html#importing-textures)
      * [Changing import type](../../tutorials/assets_pipeline/importing_images.html#changing-import-type)
      * [Detect 3D](../../tutorials/assets_pipeline/importing_images.html#detect-3d)
    - [Import options](../../tutorials/assets_pipeline/importing_images.html#import-options)
      * [Compress > Mode](../../tutorials/assets_pipeline/importing_images.html#compress-mode)
      * [Compress > High Quality](../../tutorials/assets_pipeline/importing_images.html#compress-high-quality)
      * [Compress > HDR Compression](../../tutorials/assets_pipeline/importing_images.html#compress-hdr-compression)
      * [Compress > Normal Map](../../tutorials/assets_pipeline/importing_images.html#compress-normal-map)
      * [Compress > Channel Pack](../../tutorials/assets_pipeline/importing_images.html#compress-channel-pack)
      * [Mipmaps > Generate](../../tutorials/assets_pipeline/importing_images.html#mipmaps-generate)
      * [Mipmaps > Limit](../../tutorials/assets_pipeline/importing_images.html#mipmaps-limit)
      * [Roughness > Mode](../../tutorials/assets_pipeline/importing_images.html#roughness-mode)
      * [Roughness > Src Normal](../../tutorials/assets_pipeline/importing_images.html#roughness-src-normal)
      * [Process > Fix Alpha Border](../../tutorials/assets_pipeline/importing_images.html#process-fix-alpha-border)
      * [Process > Premult Alpha](../../tutorials/assets_pipeline/importing_images.html#process-premult-alpha)
      * [Process > Normal Map Invert Y](../../tutorials/assets_pipeline/importing_images.html#process-normal-map-invert-y)
      * [Process > HDR as sRGB](../../tutorials/assets_pipeline/importing_images.html#process-hdr-as-srgb)
      * [Process > HDR Clamp Exposure](../../tutorials/assets_pipeline/importing_images.html#process-hdr-clamp-exposure)
      * [Process > Size Limit](../../tutorials/assets_pipeline/importing_images.html#process-size-limit)
      * [Detect 3D > Compress To](../../tutorials/assets_pipeline/importing_images.html#detect-3d-compress-to)
      * [SVG > Scale](../../tutorials/assets_pipeline/importing_images.html#svg-scale)
      * [Editor > Scale With Editor Scale](../../tutorials/assets_pipeline/importing_images.html#editor-scale-with-editor-scale)
      * [Editor > Convert Colors With Editor Theme](../../tutorials/assets_pipeline/importing_images.html#editor-convert-colors-with-editor-theme)
    - [Importing SVG images with text](../../tutorials/assets_pipeline/importing_images.html#importing-svg-images-with-text)
    - [Best practices](../../tutorials/assets_pipeline/importing_images.html#best-practices)
      * [Supporting high-resolution texture sizes in 2D without artifacts](../../tutorials/assets_pipeline/importing_images.html#supporting-high-resolution-texture-sizes-in-2d-without-artifacts)
      * [Use appropriate texture sizes in 3D](../../tutorials/assets_pipeline/importing_images.html#use-appropriate-texture-sizes-in-3d)
  + [Importing audio samples](../../tutorials/assets_pipeline/importing_audio_samples.html)
    - [Supported audio formats](../../tutorials/assets_pipeline/importing_audio_samples.html#supported-audio-formats)
    - [Importing audio samples](../../tutorials/assets_pipeline/importing_audio_samples.html#id1)
    - [Import options (WAV)](../../tutorials/assets_pipeline/importing_audio_samples.html#import-options-wav)
    - [Force > 8 Bit](../../tutorials/assets_pipeline/importing_audio_samples.html#force-8-bit)
    - [Force > Mono](../../tutorials/assets_pipeline/importing_audio_samples.html#force-mono)
    - [Force > Max Rate](../../tutorials/assets_pipeline/importing_audio_samples.html#force-max-rate)
    - [Edit > Trim](../../tutorials/assets_pipeline/importing_audio_samples.html#edit-trim)
    - [Edit > Normalize](../../tutorials/assets_pipeline/importing_audio_samples.html#edit-normalize)
    - [Edit > Loop Mode](../../tutorials/assets_pipeline/importing_audio_samples.html#edit-loop-mode)
    - [Compress > Mode](../../tutorials/assets_pipeline/importing_audio_samples.html#compress-mode)
    - [Import options (Ogg Vorbis and MP3)](../../tutorials/assets_pipeline/importing_audio_samples.html#import-options-ogg-vorbis-and-mp3)
      * [Loop](../../tutorials/assets_pipeline/importing_audio_samples.html#loop)
      * [Loop Offset](../../tutorials/assets_pipeline/importing_audio_samples.html#loop-offset)
      * [BPM](../../tutorials/assets_pipeline/importing_audio_samples.html#bpm)
      * [Beat Count](../../tutorials/assets_pipeline/importing_audio_samples.html#beat-count)
      * [Bar Beats](../../tutorials/assets_pipeline/importing_audio_samples.html#bar-beats)
    - [Advanced import settings (Ogg Vorbis and MP3)](../../tutorials/assets_pipeline/importing_audio_samples.html#advanced-import-settings-ogg-vorbis-and-mp3)
    - [Best practices](../../tutorials/assets_pipeline/importing_audio_samples.html#best-practices)
      * [Use appropriate quality settings](../../tutorials/assets_pipeline/importing_audio_samples.html#use-appropriate-quality-settings)
      * [Use real-time audio effects to reduce file size](../../tutorials/assets_pipeline/importing_audio_samples.html#use-real-time-audio-effects-to-reduce-file-size)
  + [Importing translations](../../tutorials/assets_pipeline/importing_translations.html)
    - [Games and internationalization](../../tutorials/assets_pipeline/importing_translations.html#games-and-internationalization)
    - [Translation format](../../tutorials/assets_pipeline/importing_translations.html#translation-format)
    - [CSV importer](../../tutorials/assets_pipeline/importing_translations.html#csv-importer)
  + [Importing 3D scenes](../../tutorials/assets_pipeline/importing_3d_scenes/index.html)
    - [Available 3D formats](../../tutorials/assets_pipeline/importing_3d_scenes/available_formats.html)
      * [Exporting glTF 2.0 files from Blender (recommended)](../../tutorials/assets_pipeline/importing_3d_scenes/available_formats.html#exporting-gltf-2-0-files-from-blender-recommended)
      * [Importing `.blend` files directly within Godot](../../tutorials/assets_pipeline/importing_3d_scenes/available_formats.html#importing-blend-files-directly-within-godot)
      * [Exporting DAE files from Blender](../../tutorials/assets_pipeline/importing_3d_scenes/available_formats.html#exporting-dae-files-from-blender)
      * [Importing OBJ files in Godot](../../tutorials/assets_pipeline/importing_3d_scenes/available_formats.html#importing-obj-files-in-godot)
      * [Importing FBX files in Godot](../../tutorials/assets_pipeline/importing_3d_scenes/available_formats.html#importing-fbx-files-in-godot)
    - [Model export considerations](../../tutorials/assets_pipeline/importing_3d_scenes/model_export_considerations.html)
      * [3D asset direction conventions](../../tutorials/assets_pipeline/importing_3d_scenes/model_export_considerations.html#d-asset-direction-conventions)
      * [Exporting textures separately](../../tutorials/assets_pipeline/importing_3d_scenes/model_export_considerations.html#exporting-textures-separately)
      * [Exporting considerations](../../tutorials/assets_pipeline/importing_3d_scenes/model_export_considerations.html#exporting-considerations)
      * [Lighting considerations](../../tutorials/assets_pipeline/importing_3d_scenes/model_export_considerations.html#lighting-considerations)
    - [Node type customization using name suffixes](../../tutorials/assets_pipeline/importing_3d_scenes/node_type_customization.html)
      * [Remove nodes (-noimp)](../../tutorials/assets_pipeline/importing_3d_scenes/node_type_customization.html#remove-nodes-noimp)
      * [Create collisions (-col, -convcol, -colonly, -convcolonly)](../../tutorials/assets_pipeline/importing_3d_scenes/node_type_customization.html#create-collisions-col-convcol-colonly-convcolonly)
      * [Create Occluder (-occ, -occonly)](../../tutorials/assets_pipeline/importing_3d_scenes/node_type_customization.html#create-occluder-occ-occonly)
      * [Create navigation (-navmesh)](../../tutorials/assets_pipeline/importing_3d_scenes/node_type_customization.html#create-navigation-navmesh)
      * [Create a VehicleBody (-vehicle)](../../tutorials/assets_pipeline/importing_3d_scenes/node_type_customization.html#create-a-vehiclebody-vehicle)
      * [Create a VehicleWheel (-wheel)](../../tutorials/assets_pipeline/importing_3d_scenes/node_type_customization.html#create-a-vehiclewheel-wheel)
      * [Rigid Body (-rigid)](../../tutorials/assets_pipeline/importing_3d_scenes/node_type_customization.html#rigid-body-rigid)
      * [Animation loop (-loop, -cycle)](../../tutorials/assets_pipeline/importing_3d_scenes/node_type_customization.html#animation-loop-loop-cycle)
    - [Import configuration](../../tutorials/assets_pipeline/importing_3d_scenes/import_configuration.html)
      * [Import workflows](../../tutorials/assets_pipeline/importing_3d_scenes/import_configuration.html#import-workflows)
      * [Scene inheritance](../../tutorials/assets_pipeline/importing_3d_scenes/import_configuration.html#scene-inheritance)
  + [Retargeting 3D Skeletons](../../tutorials/assets_pipeline/retargeting_3d_skeletons.html)
    - [To share animations among multiple Skeletons](../../tutorials/assets_pipeline/retargeting_3d_skeletons.html#to-share-animations-among-multiple-skeletons)
    - [Options for Retargeting](../../tutorials/assets_pipeline/retargeting_3d_skeletons.html#options-for-retargeting)
      * [Bone Map](../../tutorials/assets_pipeline/retargeting_3d_skeletons.html#bone-map)
      * [Remove Tracks](../../tutorials/assets_pipeline/retargeting_3d_skeletons.html#remove-tracks)
      * [Bone Renamer](../../tutorials/assets_pipeline/retargeting_3d_skeletons.html#bone-renamer)
      * [Rest Fixer](../../tutorials/assets_pipeline/retargeting_3d_skeletons.html#rest-fixer)
  + [Exporting 3D scenes](../../tutorials/assets_pipeline/exporting_3d_scenes.html)
    - [Overview](../../tutorials/assets_pipeline/exporting_3d_scenes.html#overview)
    - [Limitations](../../tutorials/assets_pipeline/exporting_3d_scenes.html#limitations)
  + [Blender ESCN exporter](../../tutorials/assets_pipeline/escn_exporter/index.html)
* [Audio](../../tutorials/audio/index.html)
  + [Audio buses](../../tutorials/audio/audio_buses.html)
    - [Introduction](../../tutorials/audio/audio_buses.html#introduction)
    - [Decibel scale](../../tutorials/audio/audio_buses.html#decibel-scale)
    - [Audio buses](../../tutorials/audio/audio_buses.html#id1)
    - [Playback of audio through a bus](../../tutorials/audio/audio_buses.html#playback-of-audio-through-a-bus)
    - [Adding effects](../../tutorials/audio/audio_buses.html#adding-effects)
    - [Automatic bus disabling](../../tutorials/audio/audio_buses.html#automatic-bus-disabling)
    - [Bus rearrangement](../../tutorials/audio/audio_buses.html#bus-rearrangement)
    - [Default bus layout](../../tutorials/audio/audio_buses.html#default-bus-layout)
  + [Audio effects](../../tutorials/audio/audio_effects.html)
    - [Amplify](../../tutorials/audio/audio_effects.html#amplify)
    - [BandLimit and BandPass](../../tutorials/audio/audio_effects.html#bandlimit-and-bandpass)
    - [Capture](../../tutorials/audio/audio_effects.html#capture)
    - [Chorus](../../tutorials/audio/audio_effects.html#chorus)
    - [Compressor](../../tutorials/audio/audio_effects.html#compressor)
    - [Delay](../../tutorials/audio/audio_effects.html#delay)
    - [Distortion](../../tutorials/audio/audio_effects.html#distortion)
    - [EQ](../../tutorials/audio/audio_effects.html#eq)
    - [EQ6, EQ10, EQ21](../../tutorials/audio/audio_effects.html#eq6-eq10-eq21)
    - [Filter](../../tutorials/audio/audio_effects.html#filter)
    - [HardLimiter](../../tutorials/audio/audio_effects.html#hardlimiter)
    - [HighPassFilter](../../tutorials/audio/audio_effects.html#highpassfilter)
    - [HighShelfFilter](../../tutorials/audio/audio_effects.html#highshelffilter)
    - [Limiter](../../tutorials/audio/audio_effects.html#limiter)
    - [LowPassFilter](../../tutorials/audio/audio_effects.html#lowpassfilter)
    - [LowShelfFilter](../../tutorials/audio/audio_effects.html#lowshelffilter)
    - [NotchFilter](../../tutorials/audio/audio_effects.html#notchfilter)
    - [Panner](../../tutorials/audio/audio_effects.html#panner)
    - [Phaser](../../tutorials/audio/audio_effects.html#phaser)
    - [PitchShift](../../tutorials/audio/audio_effects.html#pitchshift)
    - [Record](../../tutorials/audio/audio_effects.html#record)
    - [Reverb](../../tutorials/audio/audio_effects.html#reverb)
    - [SpectrumAnalyzer](../../tutorials/audio/audio_effects.html#spectrumanalyzer)
    - [StereoEnhance](../../tutorials/audio/audio_effects.html#stereoenhance)
  + [Audio streams](../../tutorials/audio/audio_streams.html)
    - [Introduction](../../tutorials/audio/audio_streams.html#introduction)
    - [AudioStream](../../tutorials/audio/audio_streams.html#audiostream)
    - [AudioStreamPlayer](../../tutorials/audio/audio_streams.html#audiostreamplayer)
    - [AudioStreamPlayer2D](../../tutorials/audio/audio_streams.html#audiostreamplayer2d)
    - [AudioStreamPlayer3D](../../tutorials/audio/audio_streams.html#audiostreamplayer3d)
      * [Reverb buses](../../tutorials/audio/audio_streams.html#reverb-buses)
      * [Doppler](../../tutorials/audio/audio_streams.html#doppler)
  + [Sync the gameplay with audio and music](../../tutorials/audio/sync_with_audio.html)
    - [Introduction](../../tutorials/audio/sync_with_audio.html#introduction)
    - [Using the system clock to sync](../../tutorials/audio/sync_with_audio.html#using-the-system-clock-to-sync)
    - [Using the sound hardware clock to sync](../../tutorials/audio/sync_with_audio.html#using-the-sound-hardware-clock-to-sync)
  + [Recording with microphone](../../tutorials/audio/recording_with_microphone.html)
    - [The structure of the demo](../../tutorials/audio/recording_with_microphone.html#the-structure-of-the-demo)
  + [Text to speech](../../tutorials/audio/text_to_speech.html)
    - [Basic Usage](../../tutorials/audio/text_to_speech.html#basic-usage)
    - [Requirements for functionality](../../tutorials/audio/text_to_speech.html#requirements-for-functionality)
      * [Distro-specific one-liners](../../tutorials/audio/text_to_speech.html#distro-specific-one-liners)
    - [Troubleshooting](../../tutorials/audio/text_to_speech.html#troubleshooting)
    - [Best practices](../../tutorials/audio/text_to_speech.html#best-practices)
    - [Caveats and Other Information](../../tutorials/audio/text_to_speech.html#caveats-and-other-information)
* [Export](../../tutorials/export/index.html)
  + [Exporting projects](../../tutorials/export/exporting_projects.html)
    - [Why export?](../../tutorials/export/exporting_projects.html#why-export)
      * [On PC](../../tutorials/export/exporting_projects.html#on-pc)
      * [On mobile](../../tutorials/export/exporting_projects.html#on-mobile)
    - [Export menu](../../tutorials/export/exporting_projects.html#export-menu)
      * [Export templates](../../tutorials/export/exporting_projects.html#export-templates)
      * [Resource options](../../tutorials/export/exporting_projects.html#resource-options)
    - [Configuration files](../../tutorials/export/exporting_projects.html#configuration-files)
    - [Exporting from the command line](../../tutorials/export/exporting_projects.html#exporting-from-the-command-line)
    - [PCK versus ZIP pack file formats](../../tutorials/export/exporting_projects.html#pck-versus-zip-pack-file-formats)
  + [Exporting packs, patches, and mods](../../tutorials/export/exporting_pcks.html)
    - [Use cases](../../tutorials/export/exporting_pcks.html#use-cases)
    - [Overview of PCK files](../../tutorials/export/exporting_pcks.html#overview-of-pck-files)
    - [Generating PCK files](../../tutorials/export/exporting_pcks.html#generating-pck-files)
    - [Opening PCK files at runtime](../../tutorials/export/exporting_pcks.html#opening-pck-files-at-runtime)
    - [Summary](../../tutorials/export/exporting_pcks.html#summary)
  + [Feature tags](../../tutorials/export/feature_tags.html)
    - [Introduction](../../tutorials/export/feature_tags.html#introduction)
    - [Default features](../../tutorials/export/feature_tags.html#default-features)
    - [Custom features](../../tutorials/export/feature_tags.html#custom-features)
    - [Overriding project settings](../../tutorials/export/feature_tags.html#overriding-project-settings)
    - [Default overrides](../../tutorials/export/feature_tags.html#default-overrides)
    - [Taking feature tags into account when reading project settings](../../tutorials/export/feature_tags.html#taking-feature-tags-into-account-when-reading-project-settings)
    - [Customizing the build](../../tutorials/export/feature_tags.html#customizing-the-build)
  + [Exporting for Linux](../../tutorials/export/exporting_for_linux.html)
    - [Environment variables](../../tutorials/export/exporting_for_linux.html#environment-variables)
    - [Export options](../../tutorials/export/exporting_for_linux.html#export-options)
  + [Exporting for macOS](../../tutorials/export/exporting_for_macos.html)
    - [Requirements](../../tutorials/export/exporting_for_macos.html#requirements)
    - [Code signing and notarization](../../tutorials/export/exporting_for_macos.html#code-signing-and-notarization)
      * [If you have an Apple Developer ID Certificate and exporting from macOS](../../tutorials/export/exporting_for_macos.html#if-you-have-an-apple-developer-id-certificate-and-exporting-from-macos)
      * [If you have an Apple Developer ID Certificate and exporting from Linux or Windows](../../tutorials/export/exporting_for_macos.html#if-you-have-an-apple-developer-id-certificate-and-exporting-from-linux-or-windows)
      * [If you do not have an Apple Developer ID Certificate](../../tutorials/export/exporting_for_macos.html#if-you-do-not-have-an-apple-developer-id-certificate)
      * [Signing Options](../../tutorials/export/exporting_for_macos.html#signing-options)
      * [Notarization Options](../../tutorials/export/exporting_for_macos.html#notarization-options)
    - [Entitlements](../../tutorials/export/exporting_for_macos.html#entitlements)
      * [Hardened Runtime Entitlements](../../tutorials/export/exporting_for_macos.html#hardened-runtime-entitlements)
      * [App Sandbox Entitlement](../../tutorials/export/exporting_for_macos.html#app-sandbox-entitlement)
    - [Environment variables](../../tutorials/export/exporting_for_macos.html#environment-variables)
    - [Export options](../../tutorials/export/exporting_for_macos.html#export-options)
  + [Running Godot apps on macOS](../../tutorials/export/running_on_macos.html)
    - [App is signed, notarized and distributed via App Store](../../tutorials/export/running_on_macos.html#app-is-signed-notarized-and-distributed-via-app-store)
    - [App is signed, notarized and distributed outside App Store](../../tutorials/export/running_on_macos.html#app-is-signed-notarized-and-distributed-outside-app-store)
    - [App is signed (including ad-hoc signatures) but not notarized](../../tutorials/export/running_on_macos.html#app-is-signed-including-ad-hoc-signatures-but-not-notarized)
    - [App is not signed, executable is linker-signed](../../tutorials/export/running_on_macos.html#app-is-not-signed-executable-is-linker-signed)
    - [Neither app nor executable is signed (relevant for Apple Silicon Macs only)](../../tutorials/export/running_on_macos.html#neither-app-nor-executable-is-signed-relevant-for-apple-silicon-macs-only)
  + [Exporting for Windows](../../tutorials/export/exporting_for_windows.html)
    - [Code signing](../../tutorials/export/exporting_for_windows.html#code-signing)
      * [Setup](../../tutorials/export/exporting_for_windows.html#setup)
    - [Environment variables](../../tutorials/export/exporting_for_windows.html#environment-variables)
    - [Export options](../../tutorials/export/exporting_for_windows.html#export-options)
  + [Changing application icon for Windows](../../tutorials/export/changing_application_icon_for_windows.html)
    - [Creating a custom ICO file](../../tutorials/export/changing_application_icon_for_windows.html#creating-a-custom-ico-file)
    - [Changing the taskbar icon](../../tutorials/export/changing_application_icon_for_windows.html#changing-the-taskbar-icon)
    - [Changing the file icon](../../tutorials/export/changing_application_icon_for_windows.html#changing-the-file-icon)
    - [Testing the result](../../tutorials/export/changing_application_icon_for_windows.html#testing-the-result)
  + [Exporting for iOS](../../tutorials/export/exporting_for_ios.html)
    - [Requirements](../../tutorials/export/exporting_for_ios.html#requirements)
    - [Export a Godot project to Xcode](../../tutorials/export/exporting_for_ios.html#export-a-godot-project-to-xcode)
    - [Active development considerations](../../tutorials/export/exporting_for_ios.html#active-development-considerations)
      * [Steps to link a Godot project folder to Xcode](../../tutorials/export/exporting_for_ios.html#steps-to-link-a-godot-project-folder-to-xcode)
    - [Plugins for iOS](../../tutorials/export/exporting_for_ios.html#plugins-for-ios)
    - [Environment variables](../../tutorials/export/exporting_for_ios.html#environment-variables)
    - [Troubleshooting](../../tutorials/export/exporting_for_ios.html#troubleshooting)
      * [xcode-select points at wrong SDK location](../../tutorials/export/exporting_for_ios.html#xcode-select-points-at-wrong-sdk-location)
    - [Export options](../../tutorials/export/exporting_for_ios.html#export-options)
  + [Exporting for Android](../../tutorials/export/exporting_for_android.html)
    - [Install OpenJDK 17](../../tutorials/export/exporting_for_android.html#install-openjdk-17)
    - [Download the Android SDK](../../tutorials/export/exporting_for_android.html#download-the-android-sdk)
    - [Setting it up in Godot](../../tutorials/export/exporting_for_android.html#setting-it-up-in-godot)
    - [Providing launcher icons](../../tutorials/export/exporting_for_android.html#providing-launcher-icons)
    - [Exporting for Google Play Store](../../tutorials/export/exporting_for_android.html#exporting-for-google-play-store)
    - [Optimizing the file size](../../tutorials/export/exporting_for_android.html#optimizing-the-file-size)
    - [Environment variables](../../tutorials/export/exporting_for_android.html#environment-variables)
    - [Export options](../../tutorials/export/exporting_for_android.html#export-options)
  + [Gradle builds for Android](../../tutorials/export/android_gradle_build.html)
    - [Set up the gradle build environment](../../tutorials/export/android_gradle_build.html#set-up-the-gradle-build-environment)
    - [Enabling the gradle build and exporting](../../tutorials/export/android_gradle_build.html#enabling-the-gradle-build-and-exporting)
  + [Exporting for the Web](../../tutorials/export/exporting_for_web.html)
    - [Export file name](../../tutorials/export/exporting_for_web.html#export-file-name)
    - [WebGL version](../../tutorials/export/exporting_for_web.html#webgl-version)
    - [Mobile considerations](../../tutorials/export/exporting_for_web.html#mobile-considerations)
    - [Audio playback](../../tutorials/export/exporting_for_web.html#audio-playback)
    - [Export options](../../tutorials/export/exporting_for_web.html#export-options)
      * [Thread and extension support](../../tutorials/export/exporting_for_web.html#thread-and-extension-support)
      * [Exporting as a Progressive Web App (PWA)](../../tutorials/export/exporting_for_web.html#exporting-as-a-progressive-web-app-pwa)
    - [Limitations](../../tutorials/export/exporting_for_web.html#limitations)
      * [Using cookies for data persistence](../../tutorials/export/exporting_for_web.html#using-cookies-for-data-persistence)
      * [Background processing](../../tutorials/export/exporting_for_web.html#background-processing)
      * [Full screen and mouse capture](../../tutorials/export/exporting_for_web.html#full-screen-and-mouse-capture)
      * [Audio](../../tutorials/export/exporting_for_web.html#audio)
      * [Networking](../../tutorials/export/exporting_for_web.html#networking)
      * [Clipboard](../../tutorials/export/exporting_for_web.html#clipboard)
      * [Gamepads](../../tutorials/export/exporting_for_web.html#gamepads)
    - [Serving the files](../../tutorials/export/exporting_for_web.html#serving-the-files)
    - [Interacting with the browser and JavaScript](../../tutorials/export/exporting_for_web.html#interacting-with-the-browser-and-javascript)
    - [Environment variables](../../tutorials/export/exporting_for_web.html#environment-variables)
    - [Export options](../../tutorials/export/exporting_for_web.html#id1)
  + [Exporting for dedicated servers](../../tutorials/export/exporting_for_dedicated_servers.html)
    - [Editor versus export template](../../tutorials/export/exporting_for_dedicated_servers.html#editor-versus-export-template)
    - [Export approaches](../../tutorials/export/exporting_for_dedicated_servers.html#export-approaches)
    - [Exporting a project for a dedicated server](../../tutorials/export/exporting_for_dedicated_servers.html#exporting-a-project-for-a-dedicated-server)
    - [Starting the dedicated server](../../tutorials/export/exporting_for_dedicated_servers.html#starting-the-dedicated-server)
    - [Next steps](../../tutorials/export/exporting_for_dedicated_servers.html#next-steps)
  + [One-click deploy](../../tutorials/export/one-click_deploy.html)
    - [What is one-click deploy?](../../tutorials/export/one-click_deploy.html#what-is-one-click-deploy)
    - [Supported platforms](../../tutorials/export/one-click_deploy.html#supported-platforms)
    - [Using one-click deploy](../../tutorials/export/one-click_deploy.html#using-one-click-deploy)
    - [Troubleshooting](../../tutorials/export/one-click_deploy.html#troubleshooting)
      * [Android](../../tutorials/export/one-click_deploy.html#android)
      * [Web](../../tutorials/export/one-click_deploy.html#web)
* [File and data I/O](../../tutorials/io/index.html)
  + [Background loading](../../tutorials/io/background_loading.html)
    - [Using ResourceLoader](../../tutorials/io/background_loading.html#using-resourceloader)
    - [Example](../../tutorials/io/background_loading.html#example)
  + [File paths in Godot projects](../../tutorials/io/data_paths.html)
    - [Path separators](../../tutorials/io/data_paths.html#path-separators)
    - [Accessing files in the project folder (`res://`)](../../tutorials/io/data_paths.html#accessing-files-in-the-project-folder-res)
    - [Accessing persistent user data (`user://`)](../../tutorials/io/data_paths.html#accessing-persistent-user-data-user)
    - [Converting paths to absolute paths or "local" paths](../../tutorials/io/data_paths.html#converting-paths-to-absolute-paths-or-local-paths)
    - [Editor data paths](../../tutorials/io/data_paths.html#editor-data-paths)
      * [Self-contained mode](../../tutorials/io/data_paths.html#self-contained-mode)
  + [Saving games](../../tutorials/io/saving_games.html)
    - [Introduction](../../tutorials/io/saving_games.html#introduction)
    - [Identify persistent objects](../../tutorials/io/saving_games.html#identify-persistent-objects)
    - [Serializing](../../tutorials/io/saving_games.html#serializing)
    - [Saving and reading data](../../tutorials/io/saving_games.html#saving-and-reading-data)
    - [Some notes](../../tutorials/io/saving_games.html#some-notes)
    - [JSON vs binary serialization](../../tutorials/io/saving_games.html#json-vs-binary-serialization)
      * [JSON limitations](../../tutorials/io/saving_games.html#json-limitations)
      * [Binary serialization](../../tutorials/io/saving_games.html#binary-serialization)
  + [Runtime file loading and saving](../../tutorials/io/runtime_file_loading_and_saving.html)
    - [Plain text and binary files](../../tutorials/io/runtime_file_loading_and_saving.html#plain-text-and-binary-files)
    - [Images](../../tutorials/io/runtime_file_loading_and_saving.html#images)
    - [Audio/video files](../../tutorials/io/runtime_file_loading_and_saving.html#audio-video-files)
    - [3D scenes](../../tutorials/io/runtime_file_loading_and_saving.html#d-scenes)
    - [Fonts](../../tutorials/io/runtime_file_loading_and_saving.html#fonts)
    - [ZIP archives](../../tutorials/io/runtime_file_loading_and_saving.html#zip-archives)
  + [Binary serialization API](../../tutorials/io/binary_serialization_api.html)
    - [Introduction](../../tutorials/io/binary_serialization_api.html#introduction)
    - [Full Objects vs Object instance IDs](../../tutorials/io/binary_serialization_api.html#full-objects-vs-object-instance-ids)
    - [Packet specification](../../tutorials/io/binary_serialization_api.html#packet-specification)
      * [0: null](../../tutorials/io/binary_serialization_api.html#null)
      * [1: bool](../../tutorials/io/binary_serialization_api.html#bool)
      * [2: int](../../tutorials/io/binary_serialization_api.html#int)
      * [3: float](../../tutorials/io/binary_serialization_api.html#float)
      * [4: String](../../tutorials/io/binary_serialization_api.html#string)
      * [5: Vector2](../../tutorials/io/binary_serialization_api.html#vector2)
      * [6: Rect2](../../tutorials/io/binary_serialization_api.html#rect2)
      * [7: Vector3](../../tutorials/io/binary_serialization_api.html#vector3)
      * [8: Transform2D](../../tutorials/io/binary_serialization_api.html#transform2d)
      * [9: Plane](../../tutorials/io/binary_serialization_api.html#plane)
      * [10: Quaternion](../../tutorials/io/binary_serialization_api.html#quaternion)
      * [11: AABB](../../tutorials/io/binary_serialization_api.html#aabb)
      * [12: Basis](../../tutorials/io/binary_serialization_api.html#basis)
      * [13: Transform3D](../../tutorials/io/binary_serialization_api.html#transform3d)
      * [14: Color](../../tutorials/io/binary_serialization_api.html#color)
      * [15: NodePath](../../tutorials/io/binary_serialization_api.html#nodepath)
      * [For old format:](../../tutorials/io/binary_serialization_api.html#for-old-format)
      * [For new format:](../../tutorials/io/binary_serialization_api.html#for-new-format)
      * [16: RID (unsupported)](../../tutorials/io/binary_serialization_api.html#rid-unsupported)
      * [17: Object](../../tutorials/io/binary_serialization_api.html#object)
      * [18: Dictionary](../../tutorials/io/binary_serialization_api.html#dictionary)
      * [19: Array](../../tutorials/io/binary_serialization_api.html#array)
      * [20: PackedByteArray](../../tutorials/io/binary_serialization_api.html#packedbytearray)
      * [21: PackedInt32Array](../../tutorials/io/binary_serialization_api.html#packedint32array)
      * [22: PackedInt64Array](../../tutorials/io/binary_serialization_api.html#packedint64array)
      * [23: PackedFloat32Array](../../tutorials/io/binary_serialization_api.html#packedfloat32array)
      * [24: PackedFloat64Array](../../tutorials/io/binary_serialization_api.html#packedfloat64array)
      * [25: PackedStringArray](../../tutorials/io/binary_serialization_api.html#packedstringarray)
      * [26: PackedVector2Array](../../tutorials/io/binary_serialization_api.html#packedvector2array)
      * [27: PackedVector3Array](../../tutorials/io/binary_serialization_api.html#packedvector3array)
      * [28: PackedColorArray](../../tutorials/io/binary_serialization_api.html#packedcolorarray)
* [Internationalization](../../tutorials/i18n/index.html)
  + [Internationalizing games](../../tutorials/i18n/internationalizing_games.html)
    - [Introduction](../../tutorials/i18n/internationalizing_games.html#introduction)
    - [Configuring the imported translation](../../tutorials/i18n/internationalizing_games.html#configuring-the-imported-translation)
    - [Localizing resources](../../tutorials/i18n/internationalizing_games.html#localizing-resources)
    - [Automatically setting a language](../../tutorials/i18n/internationalizing_games.html#automatically-setting-a-language)
    - [Locale vs. language](../../tutorials/i18n/internationalizing_games.html#locale-vs-language)
    - [Converting keys to text](../../tutorials/i18n/internationalizing_games.html#converting-keys-to-text)
      * [Placeholders](../../tutorials/i18n/internationalizing_games.html#placeholders)
      * [Translation contexts](../../tutorials/i18n/internationalizing_games.html#translation-contexts)
      * [Pluralization](../../tutorials/i18n/internationalizing_games.html#pluralization)
    - [Making controls resizable](../../tutorials/i18n/internationalizing_games.html#making-controls-resizable)
    - [TranslationServer](../../tutorials/i18n/internationalizing_games.html#translationserver)
    - [Bidirectional text and UI Mirroring](../../tutorials/i18n/internationalizing_games.html#bidirectional-text-and-ui-mirroring)
    - [Adding break iterator data to exported project](../../tutorials/i18n/internationalizing_games.html#adding-break-iterator-data-to-exported-project)
    - [Structured text BiDi override](../../tutorials/i18n/internationalizing_games.html#structured-text-bidi-override)
    - [Localizing numbers](../../tutorials/i18n/internationalizing_games.html#localizing-numbers)
    - [Localizing icons and images](../../tutorials/i18n/internationalizing_games.html#localizing-icons-and-images)
    - [Testing translations](../../tutorials/i18n/internationalizing_games.html#testing-translations)
    - [Translating the project name](../../tutorials/i18n/internationalizing_games.html#translating-the-project-name)
  + [Localization using gettext](../../tutorials/i18n/localization_using_gettext.html)
    - [Advantages](../../tutorials/i18n/localization_using_gettext.html#advantages)
    - [Disadvantages](../../tutorials/i18n/localization_using_gettext.html#disadvantages)
    - [Installing gettext tools](../../tutorials/i18n/localization_using_gettext.html#installing-gettext-tools)
    - [Creating the PO template](../../tutorials/i18n/localization_using_gettext.html#creating-the-po-template)
      * [Automatic generation using the editor](../../tutorials/i18n/localization_using_gettext.html#automatic-generation-using-the-editor)
      * [Manual creation](../../tutorials/i18n/localization_using_gettext.html#manual-creation)
    - [Creating a messages file from a PO template](../../tutorials/i18n/localization_using_gettext.html#creating-a-messages-file-from-a-po-template)
    - [Loading a messages file in Godot](../../tutorials/i18n/localization_using_gettext.html#loading-a-messages-file-in-godot)
    - [Updating message files to follow the PO template](../../tutorials/i18n/localization_using_gettext.html#updating-message-files-to-follow-the-po-template)
    - [Checking the validity of a PO file or template](../../tutorials/i18n/localization_using_gettext.html#checking-the-validity-of-a-po-file-or-template)
    - [Using binary MO files (useful for large projects only)](../../tutorials/i18n/localization_using_gettext.html#using-binary-mo-files-useful-for-large-projects-only)
    - [Extracting localizable strings from GDScript files](../../tutorials/i18n/localization_using_gettext.html#extracting-localizable-strings-from-gdscript-files)
  + [Locale codes](../../tutorials/i18n/locales.html)
    - [List of supported language codes](../../tutorials/i18n/locales.html#list-of-supported-language-codes)
    - [List of supported script codes](../../tutorials/i18n/locales.html#list-of-supported-script-codes)
    - [List of supported country codes](../../tutorials/i18n/locales.html#list-of-supported-country-codes)
  + [Pseudolocalization](../../tutorials/i18n/pseudolocalization.html)
    - [Introduction](../../tutorials/i18n/pseudolocalization.html#introduction)
    - [Enabling and configuring pseudolocalization](../../tutorials/i18n/pseudolocalization.html#enabling-and-configuring-pseudolocalization)
    - [Pseudolocalization configurations](../../tutorials/i18n/pseudolocalization.html#pseudolocalization-configurations)
    - [Configuring pseudolocalization at runtime](../../tutorials/i18n/pseudolocalization.html#configuring-pseudolocalization-at-runtime)
* [Input handling](../../tutorials/inputs/index.html)
  + [Using InputEvent](../../tutorials/inputs/inputevent.html)
    - [What is it?](../../tutorials/inputs/inputevent.html#what-is-it)
    - [How does it work?](../../tutorials/inputs/inputevent.html#how-does-it-work)
    - [Anatomy of an InputEvent](../../tutorials/inputs/inputevent.html#anatomy-of-an-inputevent)
    - [Input actions](../../tutorials/inputs/inputevent.html#input-actions)
    - [InputMap](../../tutorials/inputs/inputevent.html#inputmap)
  + [Input examples](../../tutorials/inputs/input_examples.html)
    - [Introduction](../../tutorials/inputs/input_examples.html#introduction)
    - [Events versus polling](../../tutorials/inputs/input_examples.html#events-versus-polling)
    - [Input events](../../tutorials/inputs/input_examples.html#input-events)
    - [InputMap](../../tutorials/inputs/input_examples.html#inputmap)
      * [Capturing actions](../../tutorials/inputs/input_examples.html#capturing-actions)
    - [Keyboard events](../../tutorials/inputs/input_examples.html#keyboard-events)
      * [Keyboard modifiers](../../tutorials/inputs/input_examples.html#keyboard-modifiers)
    - [Mouse events](../../tutorials/inputs/input_examples.html#mouse-events)
      * [Mouse buttons](../../tutorials/inputs/input_examples.html#mouse-buttons)
      * [Mouse motion](../../tutorials/inputs/input_examples.html#mouse-motion)
    - [Touch events](../../tutorials/inputs/input_examples.html#touch-events)
  + [Mouse and input coordinates](../../tutorials/inputs/mouse_and_input_coordinates.html)
    - [About](../../tutorials/inputs/mouse_and_input_coordinates.html#about)
    - [Hardware display coordinates](../../tutorials/inputs/mouse_and_input_coordinates.html#hardware-display-coordinates)
    - [Viewport display coordinates](../../tutorials/inputs/mouse_and_input_coordinates.html#viewport-display-coordinates)
  + [Customizing the mouse cursor](../../tutorials/inputs/custom_mouse_cursor.html)
    - [Using project settings](../../tutorials/inputs/custom_mouse_cursor.html#using-project-settings)
    - [Using a script](../../tutorials/inputs/custom_mouse_cursor.html#using-a-script)
    - [Cursor list](../../tutorials/inputs/custom_mouse_cursor.html#cursor-list)
  + [Controllers, gamepads, and joysticks](../../tutorials/inputs/controllers_gamepads_joysticks.html)
    - [Supporting universal input](../../tutorials/inputs/controllers_gamepads_joysticks.html#supporting-universal-input)
      * [Which Input singleton method should I use?](../../tutorials/inputs/controllers_gamepads_joysticks.html#which-input-singleton-method-should-i-use)
    - [Vibration](../../tutorials/inputs/controllers_gamepads_joysticks.html#vibration)
    - [Differences between keyboard/mouse and controller input](../../tutorials/inputs/controllers_gamepads_joysticks.html#differences-between-keyboard-mouse-and-controller-input)
      * [Dead zone](../../tutorials/inputs/controllers_gamepads_joysticks.html#dead-zone)
      * ["Echo" events](../../tutorials/inputs/controllers_gamepads_joysticks.html#echo-events)
      * [Window focus](../../tutorials/inputs/controllers_gamepads_joysticks.html#window-focus)
      * [Power saving prevention](../../tutorials/inputs/controllers_gamepads_joysticks.html#power-saving-prevention)
    - [Troubleshooting](../../tutorials/inputs/controllers_gamepads_joysticks.html#troubleshooting)
      * [My controller isn't recognized by Godot.](../../tutorials/inputs/controllers_gamepads_joysticks.html#my-controller-isn-t-recognized-by-godot)
      * [My controller has incorrectly mapped buttons or axes.](../../tutorials/inputs/controllers_gamepads_joysticks.html#my-controller-has-incorrectly-mapped-buttons-or-axes)
      * [My controller works on a given platform, but not on another platform.](../../tutorials/inputs/controllers_gamepads_joysticks.html#my-controller-works-on-a-given-platform-but-not-on-another-platform)
  + [Handling quit requests](../../tutorials/inputs/handling_quit_requests.html)
    - [Quitting](../../tutorials/inputs/handling_quit_requests.html#quitting)
    - [Handling the notification](../../tutorials/inputs/handling_quit_requests.html#handling-the-notification)
    - [On mobile devices](../../tutorials/inputs/handling_quit_requests.html#on-mobile-devices)
    - [Sending your own quit notification](../../tutorials/inputs/handling_quit_requests.html#sending-your-own-quit-notification)
* [Math](../../tutorials/math/index.html)
  + [Vector math](../../tutorials/math/vector_math.html)
    - [Introduction](../../tutorials/math/vector_math.html#introduction)
    - [Coordinate systems (2D)](../../tutorials/math/vector_math.html#coordinate-systems-2d)
    - [Vector operations](../../tutorials/math/vector_math.html#vector-operations)
      * [Member access](../../tutorials/math/vector_math.html#member-access)
      * [Adding vectors](../../tutorials/math/vector_math.html#adding-vectors)
      * [Scalar multiplication](../../tutorials/math/vector_math.html#scalar-multiplication)
    - [Practical applications](../../tutorials/math/vector_math.html#practical-applications)
      * [Movement](../../tutorials/math/vector_math.html#movement)
      * [Pointing toward a target](../../tutorials/math/vector_math.html#pointing-toward-a-target)
    - [Unit vectors](../../tutorials/math/vector_math.html#unit-vectors)
      * [Normalization](../../tutorials/math/vector_math.html#normalization)
      * [Reflection](../../tutorials/math/vector_math.html#reflection)
    - [Dot product](../../tutorials/math/vector_math.html#dot-product)
      * [Facing](../../tutorials/math/vector_math.html#facing)
    - [Cross product](../../tutorials/math/vector_math.html#cross-product)
      * [Calculating normals](../../tutorials/math/vector_math.html#calculating-normals)
      * [Pointing to a target](../../tutorials/math/vector_math.html#pointing-to-a-target)
    - [More information](../../tutorials/math/vector_math.html#more-information)
  + [Advanced vector math](../../tutorials/math/vectors_advanced.html)
    - [Planes](../../tutorials/math/vectors_advanced.html#planes)
      * [Distance to plane](../../tutorials/math/vectors_advanced.html#distance-to-plane)
      * [Away from the origin](../../tutorials/math/vectors_advanced.html#away-from-the-origin)
      * [Constructing a plane in 2D](../../tutorials/math/vectors_advanced.html#constructing-a-plane-in-2d)
      * [Some examples of planes](../../tutorials/math/vectors_advanced.html#some-examples-of-planes)
    - [Collision detection in 3D](../../tutorials/math/vectors_advanced.html#collision-detection-in-3d)
    - [More information](../../tutorials/math/vectors_advanced.html#more-information)
  + [Matrices and transforms](../../tutorials/math/matrices_and_transforms.html)
    - [Introduction](../../tutorials/math/matrices_and_transforms.html#introduction)
      * [Matrix components and the Identity matrix](../../tutorials/math/matrices_and_transforms.html#matrix-components-and-the-identity-matrix)
      * [Scaling the transformation matrix](../../tutorials/math/matrices_and_transforms.html#scaling-the-transformation-matrix)
      * [Rotating the transformation matrix](../../tutorials/math/matrices_and_transforms.html#rotating-the-transformation-matrix)
      * [Basis of the transformation matrix](../../tutorials/math/matrices_and_transforms.html#basis-of-the-transformation-matrix)
      * [Translating the transformation matrix](../../tutorials/math/matrices_and_transforms.html#translating-the-transformation-matrix)
      * [Putting it all together](../../tutorials/math/matrices_and_transforms.html#putting-it-all-together)
      * [Shearing the transformation matrix (advanced)](../../tutorials/math/matrices_and_transforms.html#shearing-the-transformation-matrix-advanced)
    - [Practical applications of transforms](../../tutorials/math/matrices_and_transforms.html#practical-applications-of-transforms)
      * [Converting positions between transforms](../../tutorials/math/matrices_and_transforms.html#converting-positions-between-transforms)
      * [Moving an object relative to itself](../../tutorials/math/matrices_and_transforms.html#moving-an-object-relative-to-itself)
      * [Applying transforms onto transforms](../../tutorials/math/matrices_and_transforms.html#applying-transforms-onto-transforms)
      * [Inverting a transformation matrix](../../tutorials/math/matrices_and_transforms.html#inverting-a-transformation-matrix)
    - [How does it all work in 3D?](../../tutorials/math/matrices_and_transforms.html#how-does-it-all-work-in-3d)
      * [Representing rotation in 3D (advanced)](../../tutorials/math/matrices_and_transforms.html#representing-rotation-in-3d-advanced)
  + [Interpolation](../../tutorials/math/interpolation.html)
    - [Vector interpolation](../../tutorials/math/interpolation.html#vector-interpolation)
    - [Transform interpolation](../../tutorials/math/interpolation.html#transform-interpolation)
    - [Smoothing motion](../../tutorials/math/interpolation.html#smoothing-motion)
  + [Beziers, curves and paths](../../tutorials/math/beziers_and_curves.html)
    - [Quadratic Bezier](../../tutorials/math/beziers_and_curves.html#quadratic-bezier)
    - [Cubic Bezier](../../tutorials/math/beziers_and_curves.html#cubic-bezier)
    - [Adding control points](../../tutorials/math/beziers_and_curves.html#adding-control-points)
    - [Curve2D, Curve3D, Path and Path2D](../../tutorials/math/beziers_and_curves.html#curve2d-curve3d-path-and-path2d)
    - [Evaluating](../../tutorials/math/beziers_and_curves.html#evaluating)
    - [Drawing](../../tutorials/math/beziers_and_curves.html#drawing)
    - [Traversal](../../tutorials/math/beziers_and_curves.html#traversal)
  + [Random number generation](../../tutorials/math/random_number_generation.html)
    - [Global scope versus RandomNumberGenerator class](../../tutorials/math/random_number_generation.html#global-scope-versus-randomnumbergenerator-class)
    - [The randomize() method](../../tutorials/math/random_number_generation.html#the-randomize-method)
    - [Getting a random number](../../tutorials/math/random_number_generation.html#getting-a-random-number)
    - [Get a random array element](../../tutorials/math/random_number_generation.html#get-a-random-array-element)
    - [Get a random dictionary value](../../tutorials/math/random_number_generation.html#get-a-random-dictionary-value)
    - [Weighted random probability](../../tutorials/math/random_number_generation.html#weighted-random-probability)
    - ["Better" randomness using shuffle bags](../../tutorials/math/random_number_generation.html#better-randomness-using-shuffle-bags)
    - [Random noise](../../tutorials/math/random_number_generation.html#random-noise)
    - [Cryptographically secure pseudorandom number generation](../../tutorials/math/random_number_generation.html#cryptographically-secure-pseudorandom-number-generation)
* [Navigation](../../tutorials/navigation/index.html)
  + [2D navigation overview](../../tutorials/navigation/navigation_introduction_2d.html)
    - [Setup for 2D scene](../../tutorials/navigation/navigation_introduction_2d.html#setup-for-2d-scene)
  + [3D navigation overview](../../tutorials/navigation/navigation_introduction_3d.html)
    - [Setup for 3D scene](../../tutorials/navigation/navigation_introduction_3d.html#setup-for-3d-scene)
  + [Using NavigationServer](../../tutorials/navigation/navigation_using_navigationservers.html)
    - [Communicating with the NavigationServer](../../tutorials/navigation/navigation_using_navigationservers.html#communicating-with-the-navigationserver)
    - [Threading and Synchronization](../../tutorials/navigation/navigation_using_navigationservers.html#threading-and-synchronization)
    - [2D and 3D NavigationServer differences](../../tutorials/navigation/navigation_using_navigationservers.html#d-and-3d-navigationserver-differences)
    - [Waiting for synchronization](../../tutorials/navigation/navigation_using_navigationservers.html#waiting-for-synchronization)
    - [Server Avoidance Callbacks](../../tutorials/navigation/navigation_using_navigationservers.html#server-avoidance-callbacks)
  + [Using NavigationMaps](../../tutorials/navigation/navigation_using_navigationmaps.html)
    - [Default navigation maps](../../tutorials/navigation/navigation_using_navigationmaps.html#default-navigation-maps)
    - [Creating new navigation maps](../../tutorials/navigation/navigation_using_navigationmaps.html#creating-new-navigation-maps)
  + [Using NavigationRegions](../../tutorials/navigation/navigation_using_navigationregions.html)
    - [Creating new navigation regions](../../tutorials/navigation/navigation_using_navigationregions.html#creating-new-navigation-regions)
  + [Using navigation meshes](../../tutorials/navigation/navigation_using_navigationmeshes.html)
    - [Baking a navigation mesh with a NavigationRegion](../../tutorials/navigation/navigation_using_navigationmeshes.html#baking-a-navigation-mesh-with-a-navigationregion)
    - [Baking a navigation mesh with the NavigationServer](../../tutorials/navigation/navigation_using_navigationmeshes.html#baking-a-navigation-mesh-with-the-navigationserver)
    - [Baking navigation mesh chunks for large worlds](../../tutorials/navigation/navigation_using_navigationmeshes.html#baking-navigation-mesh-chunks-for-large-worlds)
    - [Navigation mesh baking common problems](../../tutorials/navigation/navigation_using_navigationmeshes.html#navigation-mesh-baking-common-problems)
    - [Navigation mesh script templates](../../tutorials/navigation/navigation_using_navigationmeshes.html#navigation-mesh-script-templates)
  + [Using NavigationPaths](../../tutorials/navigation/navigation_using_navigationpaths.html)
    - [Obtaining a NavigationPath](../../tutorials/navigation/navigation_using_navigationpaths.html#obtaining-a-navigationpath)
  + [Using NavigationPathQueryObjects](../../tutorials/navigation/navigation_using_navigationpathqueryobjects.html)
  + [Using NavigationAgents](../../tutorials/navigation/navigation_using_navigationagents.html)
    - [NavigationAgent Pathfinding](../../tutorials/navigation/navigation_using_navigationagents.html#navigationagent-pathfinding)
    - [NavigationAgent Pathfollowing](../../tutorials/navigation/navigation_using_navigationagents.html#navigationagent-pathfollowing)
      * [Pathfollowing common problems](../../tutorials/navigation/navigation_using_navigationagents.html#pathfollowing-common-problems)
    - [NavigationAgent Avoidance](../../tutorials/navigation/navigation_using_navigationagents.html#navigationagent-avoidance)
    - [NavigationAgent Script Templates](../../tutorials/navigation/navigation_using_navigationagents.html#navigationagent-script-templates)
  + [Using NavigationObstacles](../../tutorials/navigation/navigation_using_navigationobstacles.html)
    - [Obstacles and navigation mesh](../../tutorials/navigation/navigation_using_navigationobstacles.html#obstacles-and-navigation-mesh)
    - [Obstacles and agent avoidance](../../tutorials/navigation/navigation_using_navigationobstacles.html#obstacles-and-agent-avoidance)
      * [Static avoidance obstacles](../../tutorials/navigation/navigation_using_navigationobstacles.html#static-avoidance-obstacles)
      * [Dynamic avoidance obstacles](../../tutorials/navigation/navigation_using_navigationobstacles.html#dynamic-avoidance-obstacles)
    - [Procedural obstacles](../../tutorials/navigation/navigation_using_navigationobstacles.html#procedural-obstacles)
  + [Using NavigationLinks](../../tutorials/navigation/navigation_using_navigationlinks.html)
    - [Navigation link script templates](../../tutorials/navigation/navigation_using_navigationlinks.html#navigation-link-script-templates)
  + [Using NavigationLayers](../../tutorials/navigation/navigation_using_navigationlayers.html)
  + [Navigation debug tools](../../tutorials/navigation/navigation_debug_tools.html)
    - [Enabling navigation debug](../../tutorials/navigation/navigation_debug_tools.html#enabling-navigation-debug)
    - [Navigation debug settings](../../tutorials/navigation/navigation_debug_tools.html#navigation-debug-settings)
    - [Debug navigation mesh polygons](../../tutorials/navigation/navigation_debug_tools.html#debug-navigation-mesh-polygons)
    - [Debug edge connections](../../tutorials/navigation/navigation_debug_tools.html#debug-edge-connections)
    - [Debug performance](../../tutorials/navigation/navigation_debug_tools.html#debug-performance)
  + [Connecting navigation meshes](../../tutorials/navigation/navigation_connecting_navmesh.html)
  + [Support different actor types](../../tutorials/navigation/navigation_different_actor_types.html)
  + [Support different actor locomotion](../../tutorials/navigation/navigation_different_actor_locomotion.html)
  + [Support different actor area access](../../tutorials/navigation/navigation_different_actor_area_access.html)
  + [Optimizing Navigation Performance](../../tutorials/navigation/navigation_optimizing_performance.html)
    - [Performance problems with parsing scene tree nodes](../../tutorials/navigation/navigation_optimizing_performance.html#performance-problems-with-parsing-scene-tree-nodes)
    - [Performance problems with navigation mesh baking](../../tutorials/navigation/navigation_optimizing_performance.html#performance-problems-with-navigation-mesh-baking)
    - [Performance problems with NavigationAgent path queries](../../tutorials/navigation/navigation_optimizing_performance.html#performance-problems-with-navigationagent-path-queries)
    - [Performance problems with the actual path search](../../tutorials/navigation/navigation_optimizing_performance.html#performance-problems-with-the-actual-path-search)
    - [Performance problems with navigation map synchronization](../../tutorials/navigation/navigation_optimizing_performance.html#performance-problems-with-navigation-map-synchronization)
* [Networking](../../tutorials/networking/index.html)
  + [High-level multiplayer](../../tutorials/networking/high_level_multiplayer.html)
    - [High-level vs low-level API](../../tutorials/networking/high_level_multiplayer.html#high-level-vs-low-level-api)
    - [Mid-level abstraction](../../tutorials/networking/high_level_multiplayer.html#mid-level-abstraction)
    - [Hosting considerations](../../tutorials/networking/high_level_multiplayer.html#hosting-considerations)
    - [Initializing the network](../../tutorials/networking/high_level_multiplayer.html#initializing-the-network)
    - [Managing connections](../../tutorials/networking/high_level_multiplayer.html#managing-connections)
    - [Remote procedure calls](../../tutorials/networking/high_level_multiplayer.html#remote-procedure-calls)
    - [Channels](../../tutorials/networking/high_level_multiplayer.html#channels)
    - [Example lobby implementation](../../tutorials/networking/high_level_multiplayer.html#example-lobby-implementation)
    - [Exporting for dedicated servers](../../tutorials/networking/high_level_multiplayer.html#exporting-for-dedicated-servers)
  + [Making HTTP requests](../../tutorials/networking/http_request_class.html)
    - [Why use HTTP?](../../tutorials/networking/http_request_class.html#why-use-http)
    - [HTTP requests in Godot](../../tutorials/networking/http_request_class.html#http-requests-in-godot)
    - [Preparing the scene](../../tutorials/networking/http_request_class.html#preparing-the-scene)
    - [Scripting the request](../../tutorials/networking/http_request_class.html#scripting-the-request)
    - [Sending data to the server](../../tutorials/networking/http_request_class.html#sending-data-to-the-server)
    - [Setting custom HTTP headers](../../tutorials/networking/http_request_class.html#setting-custom-http-headers)
  + [HTTP client class](../../tutorials/networking/http_client_class.html)
  + [TLS/SSL certificates](../../tutorials/networking/ssl_certificates.html)
    - [Introduction](../../tutorials/networking/ssl_certificates.html#introduction)
    - [Obtain a certificate from a certificate authority](../../tutorials/networking/ssl_certificates.html#obtain-a-certificate-from-a-certificate-authority)
    - [Generate a self-signed certificate](../../tutorials/networking/ssl_certificates.html#generate-a-self-signed-certificate)
  + [WebSocket](../../tutorials/networking/websocket.html)
    - [HTML5 and WebSocket](../../tutorials/networking/websocket.html#html5-and-websocket)
    - [Using WebSocket in Godot](../../tutorials/networking/websocket.html#using-websocket-in-godot)
      * [Minimal client example](../../tutorials/networking/websocket.html#minimal-client-example)
      * [Minimal server example](../../tutorials/networking/websocket.html#minimal-server-example)
      * [Advanced chat demo](../../tutorials/networking/websocket.html#advanced-chat-demo)
  + [WebRTC](../../tutorials/networking/webrtc.html)
    - [HTML5, WebSocket, WebRTC](../../tutorials/networking/webrtc.html#html5-websocket-webrtc)
      * [WebSocket](../../tutorials/networking/webrtc.html#websocket)
      * [WebRTC](../../tutorials/networking/webrtc.html#id1)
    - [Using WebRTC in Godot](../../tutorials/networking/webrtc.html#using-webrtc-in-godot)
      * [Minimal connection example](../../tutorials/networking/webrtc.html#minimal-connection-example)
      * [Local signaling example](../../tutorials/networking/webrtc.html#local-signaling-example)
      * [Remote signaling with WebSocket](../../tutorials/networking/webrtc.html#remote-signaling-with-websocket)
* [Performance](../../tutorials/performance/index.html)
  + [Introduction](../../tutorials/performance/index.html#introduction)
  + [Common](../../tutorials/performance/index.html#common)
    - [General optimization tips](../../tutorials/performance/general_optimization.html)
      * [Introduction](../../tutorials/performance/general_optimization.html#introduction)
      * [Measuring performance](../../tutorials/performance/general_optimization.html#measuring-performance)
      * [Detective work](../../tutorials/performance/general_optimization.html#detective-work)
      * [Profilers](../../tutorials/performance/general_optimization.html#profilers)
      * [Principles](../../tutorials/performance/general_optimization.html#principles)
      * [Appendix](../../tutorials/performance/general_optimization.html#appendix)
    - [Optimization using Servers](../../tutorials/performance/using_servers.html)
      * [Servers](../../tutorials/performance/using_servers.html#servers)
      * [RIDs](../../tutorials/performance/using_servers.html#rids)
      * [Creating a sprite](../../tutorials/performance/using_servers.html#creating-a-sprite)
      * [Instantiating a Mesh into 3D space](../../tutorials/performance/using_servers.html#instantiating-a-mesh-into-3d-space)
      * [Creating a 2D RigidBody and moving a sprite with it](../../tutorials/performance/using_servers.html#creating-a-2d-rigidbody-and-moving-a-sprite-with-it)
      * [Getting data from the servers](../../tutorials/performance/using_servers.html#getting-data-from-the-servers)
  + [CPU](../../tutorials/performance/index.html#cpu)
    - [CPU optimization](../../tutorials/performance/cpu_optimization.html)
      * [Measuring performance](../../tutorials/performance/cpu_optimization.html#measuring-performance)
      * [CPU profilers](../../tutorials/performance/cpu_optimization.html#cpu-profilers)
      * [External profilers](../../tutorials/performance/cpu_optimization.html#external-profilers)
      * [Manually timing functions](../../tutorials/performance/cpu_optimization.html#manually-timing-functions)
      * [Caches](../../tutorials/performance/cpu_optimization.html#caches)
      * [Languages](../../tutorials/performance/cpu_optimization.html#languages)
      * [Threads](../../tutorials/performance/cpu_optimization.html#threads)
      * [SceneTree](../../tutorials/performance/cpu_optimization.html#scenetree)
      * [Physics](../../tutorials/performance/cpu_optimization.html#physics)
  + [GPU](../../tutorials/performance/index.html#gpu)
    - [GPU optimization](../../tutorials/performance/gpu_optimization.html)
      * [Introduction](../../tutorials/performance/gpu_optimization.html#introduction)
      * [Draw calls, state changes, and APIs](../../tutorials/performance/gpu_optimization.html#draw-calls-state-changes-and-apis)
      * [Pixel cost versus vertex cost](../../tutorials/performance/gpu_optimization.html#pixel-cost-versus-vertex-cost)
      * [Pixel/fragment shaders and fill rate](../../tutorials/performance/gpu_optimization.html#pixel-fragment-shaders-and-fill-rate)
      * [Transparency and blending](../../tutorials/performance/gpu_optimization.html#transparency-and-blending)
      * [Multi-platform advice](../../tutorials/performance/gpu_optimization.html#multi-platform-advice)
      * [Mobile/tiled renderers](../../tutorials/performance/gpu_optimization.html#mobile-tiled-renderers)
    - [Optimization using MultiMeshes](../../tutorials/performance/using_multimesh.html)
      * [MultiMeshes](../../tutorials/performance/using_multimesh.html#multimeshes)
      * [Multimesh example](../../tutorials/performance/using_multimesh.html#multimesh-example)
    - [Reducing stutter from shader (pipeline) compilations](../../tutorials/performance/pipeline_compilations.html)
      * [Pipeline precompilation monitors](../../tutorials/performance/pipeline_compilations.html#pipeline-precompilation-monitors)
      * [Pipeline precompilation features](../../tutorials/performance/pipeline_compilations.html#pipeline-precompilation-features)
      * [Pipeline precompilation instancing](../../tutorials/performance/pipeline_compilations.html#pipeline-precompilation-instancing)
  + [3D](../../tutorials/performance/index.html#d)
    - [Optimizing 3D performance](../../tutorials/performance/optimizing_3d_performance.html)
      * [Culling](../../tutorials/performance/optimizing_3d_performance.html#culling)
      * [Transparent objects](../../tutorials/performance/optimizing_3d_performance.html#transparent-objects)
      * [Level of detail (LOD)](../../tutorials/performance/optimizing_3d_performance.html#level-of-detail-lod)
      * [Bake lighting](../../tutorials/performance/optimizing_3d_performance.html#bake-lighting)
      * [Animation and skinning](../../tutorials/performance/optimizing_3d_performance.html#animation-and-skinning)
      * [Large worlds](../../tutorials/performance/optimizing_3d_performance.html#large-worlds)
    - [Animating thousands of objects](../../tutorials/performance/vertex_animation/index.html)
      * [Animating thousands of fish with MultiMeshInstance3D](../../tutorials/performance/vertex_animation/animating_thousands_of_fish.html)
      * [Controlling thousands of fish with Particles](../../tutorials/performance/vertex_animation/controlling_thousands_of_fish.html)
  + [Threads](../../tutorials/performance/index.html#threads)
    - [Using multiple threads](../../tutorials/performance/using_multiple_threads.html)
      * [Threads](../../tutorials/performance/using_multiple_threads.html#threads)
      * [Creating a Thread](../../tutorials/performance/using_multiple_threads.html#creating-a-thread)
      * [Mutexes](../../tutorials/performance/using_multiple_threads.html#mutexes)
      * [Semaphores](../../tutorials/performance/using_multiple_threads.html#semaphores)
    - [Thread-safe APIs](../../tutorials/performance/thread_safe_apis.html)
      * [Threads](../../tutorials/performance/thread_safe_apis.html#threads)
      * [Global scope](../../tutorials/performance/thread_safe_apis.html#global-scope)
      * [Scene tree](../../tutorials/performance/thread_safe_apis.html#scene-tree)
      * [Rendering](../../tutorials/performance/thread_safe_apis.html#rendering)
      * [GDScript arrays, dictionaries](../../tutorials/performance/thread_safe_apis.html#gdscript-arrays-dictionaries)
      * [Resources](../../tutorials/performance/thread_safe_apis.html#resources)
* [Physics](../../tutorials/physics/index.html)
  + [Physics introduction](../../tutorials/physics/physics_introduction.html)
    - [Collision objects](../../tutorials/physics/physics_introduction.html#collision-objects)
      * [Physics material](../../tutorials/physics/physics_introduction.html#physics-material)
      * [Collision shapes](../../tutorials/physics/physics_introduction.html#collision-shapes)
      * [Physics process callback](../../tutorials/physics/physics_introduction.html#physics-process-callback)
      * [Collision layers and masks](../../tutorials/physics/physics_introduction.html#collision-layers-and-masks)
    - [Area2D](../../tutorials/physics/physics_introduction.html#area2d)
    - [StaticBody2D](../../tutorials/physics/physics_introduction.html#staticbody2d)
    - [RigidBody2D](../../tutorials/physics/physics_introduction.html#rigidbody2d)
      * [Using RigidBody2D](../../tutorials/physics/physics_introduction.html#using-rigidbody2d)
      * [Contact reporting](../../tutorials/physics/physics_introduction.html#contact-reporting)
    - [CharacterBody2D](../../tutorials/physics/physics_introduction.html#characterbody2d)
      * [Character collision response](../../tutorials/physics/physics_introduction.html#character-collision-response)
  + [Using Jolt Physics](../../tutorials/physics/using_jolt_physics.html)
    - [Introduction](../../tutorials/physics/using_jolt_physics.html#introduction)
    - [Notable differences to Godot Physics](../../tutorials/physics/using_jolt_physics.html#notable-differences-to-godot-physics)
      * [Area3D and static bodies](../../tutorials/physics/using_jolt_physics.html#area3d-and-static-bodies)
      * [Joint properties](../../tutorials/physics/using_jolt_physics.html#joint-properties)
      * [Single-body joints](../../tutorials/physics/using_jolt_physics.html#single-body-joints)
      * [Collision margins](../../tutorials/physics/using_jolt_physics.html#collision-margins)
      * [Baumgarte stabilization](../../tutorials/physics/using_jolt_physics.html#baumgarte-stabilization)
      * [Ghost collisions](../../tutorials/physics/using_jolt_physics.html#ghost-collisions)
      * [Memory usage](../../tutorials/physics/using_jolt_physics.html#memory-usage)
      * [Ray-cast face index](../../tutorials/physics/using_jolt_physics.html#ray-cast-face-index)
      * [Kinematic RigidBody3D contacts](../../tutorials/physics/using_jolt_physics.html#kinematic-rigidbody3d-contacts)
      * [Contact impulses](../../tutorials/physics/using_jolt_physics.html#contact-impulses)
      * [Area3D and SoftBody3D](../../tutorials/physics/using_jolt_physics.html#area3d-and-softbody3d)
      * [WorldBoundaryShape3D](../../tutorials/physics/using_jolt_physics.html#worldboundaryshape3d)
    - [Notable differences to the Godot Jolt extension](../../tutorials/physics/using_jolt_physics.html#notable-differences-to-the-godot-jolt-extension)
      * [Project settings](../../tutorials/physics/using_jolt_physics.html#project-settings)
      * [Joint nodes](../../tutorials/physics/using_jolt_physics.html#joint-nodes)
      * [Thread safety](../../tutorials/physics/using_jolt_physics.html#thread-safety)
  + [Using RigidBody](../../tutorials/physics/rigid_body.html)
    - [What is a rigid body?](../../tutorials/physics/rigid_body.html#what-is-a-rigid-body)
    - [How to control a rigid body](../../tutorials/physics/rigid_body.html#how-to-control-a-rigid-body)
    - [The "look at" method](../../tutorials/physics/rigid_body.html#the-look-at-method)
  + [Using Area2D](../../tutorials/physics/using_area_2d.html)
    - [Introduction](../../tutorials/physics/using_area_2d.html#introduction)
    - [What is an area?](../../tutorials/physics/using_area_2d.html#what-is-an-area)
    - [Area properties](../../tutorials/physics/using_area_2d.html#area-properties)
    - [Overlap detection](../../tutorials/physics/using_area_2d.html#overlap-detection)
    - [Area influence](../../tutorials/physics/using_area_2d.html#area-influence)
      * [Point gravity](../../tutorials/physics/using_area_2d.html#point-gravity)
      * [Examples](../../tutorials/physics/using_area_2d.html#examples)
  + [Using CharacterBody2D/3D](../../tutorials/physics/using_character_body_2d.html)
    - [Introduction](../../tutorials/physics/using_character_body_2d.html#introduction)
    - [What is a character body?](../../tutorials/physics/using_character_body_2d.html#what-is-a-character-body)
    - [Movement and collision](../../tutorials/physics/using_character_body_2d.html#movement-and-collision)
      * [move\_and\_collide](../../tutorials/physics/using_character_body_2d.html#move-and-collide)
      * [move\_and\_slide](../../tutorials/physics/using_character_body_2d.html#move-and-slide)
    - [Detecting collisions](../../tutorials/physics/using_character_body_2d.html#detecting-collisions)
    - [Which movement method to use?](../../tutorials/physics/using_character_body_2d.html#which-movement-method-to-use)
    - [Examples](../../tutorials/physics/using_character_body_2d.html#examples)
      * [Movement and walls](../../tutorials/physics/using_character_body_2d.html#movement-and-walls)
      * [Bouncing/reflecting](../../tutorials/physics/using_character_body_2d.html#bouncing-reflecting)
      * [Platformer movement](../../tutorials/physics/using_character_body_2d.html#platformer-movement)
  + [Ray-casting](../../tutorials/physics/ray-casting.html)
    - [Introduction](../../tutorials/physics/ray-casting.html#introduction)
    - [Space](../../tutorials/physics/ray-casting.html#space)
    - [Accessing space](../../tutorials/physics/ray-casting.html#accessing-space)
    - [Raycast query](../../tutorials/physics/ray-casting.html#raycast-query)
    - [Collision exceptions](../../tutorials/physics/ray-casting.html#collision-exceptions)
    - [Collision Mask](../../tutorials/physics/ray-casting.html#collision-mask)
    - [3D ray casting from screen](../../tutorials/physics/ray-casting.html#d-ray-casting-from-screen)
  + [Ragdoll system](../../tutorials/physics/ragdoll_system.html)
    - [Introduction](../../tutorials/physics/ragdoll_system.html#introduction)
    - [Setting up the ragdoll](../../tutorials/physics/ragdoll_system.html#setting-up-the-ragdoll)
      * [Creating physical bones](../../tutorials/physics/ragdoll_system.html#creating-physical-bones)
      * [Cleaning up the skeleton](../../tutorials/physics/ragdoll_system.html#cleaning-up-the-skeleton)
      * [Collision shape adjustment](../../tutorials/physics/ragdoll_system.html#collision-shape-adjustment)
      * [Joints adjustment](../../tutorials/physics/ragdoll_system.html#joints-adjustment)
    - [Simulating the ragdoll](../../tutorials/physics/ragdoll_system.html#simulating-the-ragdoll)
      * [Collision layer and mask](../../tutorials/physics/ragdoll_system.html#collision-layer-and-mask)
  + [Kinematic character (2D)](../../tutorials/physics/kinematic_character_2d.html)
    - [Introduction](../../tutorials/physics/kinematic_character_2d.html#introduction)
    - [Physics process](../../tutorials/physics/kinematic_character_2d.html#physics-process)
    - [Scene setup](../../tutorials/physics/kinematic_character_2d.html#scene-setup)
    - [Moving the kinematic character](../../tutorials/physics/kinematic_character_2d.html#moving-the-kinematic-character)
  + [Using SoftBody](../../tutorials/physics/soft_body.html)
    - [Basic set-up](../../tutorials/physics/soft_body.html#basic-set-up)
    - [Cloak simulation](../../tutorials/physics/soft_body.html#cloak-simulation)
  + [Collision shapes (2D)](../../tutorials/physics/collision_shapes_2d.html)
    - [Primitive collision shapes](../../tutorials/physics/collision_shapes_2d.html#primitive-collision-shapes)
    - [Convex collision shapes](../../tutorials/physics/collision_shapes_2d.html#convex-collision-shapes)
    - [Concave or trimesh collision shapes](../../tutorials/physics/collision_shapes_2d.html#concave-or-trimesh-collision-shapes)
    - [Performance caveats](../../tutorials/physics/collision_shapes_2d.html#performance-caveats)
  + [Collision shapes (3D)](../../tutorials/physics/collision_shapes_3d.html)
    - [Primitive collision shapes](../../tutorials/physics/collision_shapes_3d.html#primitive-collision-shapes)
    - [Convex collision shapes](../../tutorials/physics/collision_shapes_3d.html#convex-collision-shapes)
    - [Concave or trimesh collision shapes](../../tutorials/physics/collision_shapes_3d.html#concave-or-trimesh-collision-shapes)
    - [Performance caveats](../../tutorials/physics/collision_shapes_3d.html#performance-caveats)
  + [Large world coordinates](../../tutorials/physics/large_world_coordinates.html)
    - [Why use large world coordinates?](../../tutorials/physics/large_world_coordinates.html#why-use-large-world-coordinates)
    - [How large world coordinates work](../../tutorials/physics/large_world_coordinates.html#how-large-world-coordinates-work)
    - [Who are large world coordinates for?](../../tutorials/physics/large_world_coordinates.html#who-are-large-world-coordinates-for)
    - [Enabling large world coordinates](../../tutorials/physics/large_world_coordinates.html#enabling-large-world-coordinates)
    - [Compatibility between single-precision and double-precision builds](../../tutorials/physics/large_world_coordinates.html#compatibility-between-single-precision-and-double-precision-builds)
      * [Known incompatibilities](../../tutorials/physics/large_world_coordinates.html#known-incompatibilities)
    - [Limitations](../../tutorials/physics/large_world_coordinates.html#limitations)
  + [Physics Interpolation](../../tutorials/physics/interpolation/index.html)
    - [Quick start guide](../../tutorials/physics/interpolation/physics_interpolation_quick_start_guide.html)
    - [Introduction](../../tutorials/physics/interpolation/physics_interpolation_introduction.html)
      * [Physics ticks and rendered frames](../../tutorials/physics/interpolation/physics_interpolation_introduction.html#physics-ticks-and-rendered-frames)
      * [What can we do about frames and ticks being out of sync?](../../tutorials/physics/interpolation/physics_interpolation_introduction.html#what-can-we-do-about-frames-and-ticks-being-out-of-sync)
    - [Using physics interpolation](../../tutorials/physics/interpolation/using_physics_interpolation.html)
      * [Turn on the physics interpolation setting](../../tutorials/physics/interpolation/using_physics_interpolation.html#turn-on-the-physics-interpolation-setting)
      * [Move (almost) all game logic from \_process to \_physics\_process](../../tutorials/physics/interpolation/using_physics_interpolation.html#move-almost-all-game-logic-from-process-to-physics-process)
      * [Ensure that all indirect movement happens during physics ticks](../../tutorials/physics/interpolation/using_physics_interpolation.html#ensure-that-all-indirect-movement-happens-during-physics-ticks)
      * [Choose a physics tick rate](../../tutorials/physics/interpolation/using_physics_interpolation.html#choose-a-physics-tick-rate)
      * [Call `reset_physics_interpolation()` when teleporting objects](../../tutorials/physics/interpolation/using_physics_interpolation.html#call-reset-physics-interpolation-when-teleporting-objects)
      * [Testing and debugging tips](../../tutorials/physics/interpolation/using_physics_interpolation.html#testing-and-debugging-tips)
    - [Advanced physics interpolation](../../tutorials/physics/interpolation/advanced_physics_interpolation.html)
      * [Exceptions to automatic physics interpolation](../../tutorials/physics/interpolation/advanced_physics_interpolation.html#exceptions-to-automatic-physics-interpolation)
    - [2D and 3D physics interpolation](../../tutorials/physics/interpolation/2d_and_3d_physics_interpolation.html)
      * [Global versus local interpolation](../../tutorials/physics/interpolation/2d_and_3d_physics_interpolation.html#global-versus-local-interpolation)
      * [Resetting physics interpolation](../../tutorials/physics/interpolation/2d_and_3d_physics_interpolation.html#resetting-physics-interpolation)
      * [2D Particles](../../tutorials/physics/interpolation/2d_and_3d_physics_interpolation.html#d-particles)
      * [Other](../../tutorials/physics/interpolation/2d_and_3d_physics_interpolation.html#other)
  + [Troubleshooting physics issues](../../tutorials/physics/troubleshooting_physics_issues.html)
    - [Objects are passing through each other at high speeds](../../tutorials/physics/troubleshooting_physics_issues.html#objects-are-passing-through-each-other-at-high-speeds)
    - [Stacked objects are unstable and wobbly](../../tutorials/physics/troubleshooting_physics_issues.html#stacked-objects-are-unstable-and-wobbly)
    - [Scaled physics bodies or collision shapes do not collide correctly](../../tutorials/physics/troubleshooting_physics_issues.html#scaled-physics-bodies-or-collision-shapes-do-not-collide-correctly)
    - [Thin objects are wobbly when resting on the floor](../../tutorials/physics/troubleshooting_physics_issues.html#thin-objects-are-wobbly-when-resting-on-the-floor)
    - [Cylinder collision shapes are unstable](../../tutorials/physics/troubleshooting_physics_issues.html#cylinder-collision-shapes-are-unstable)
    - [VehicleBody simulation is unstable, especially at high speeds](../../tutorials/physics/troubleshooting_physics_issues.html#vehiclebody-simulation-is-unstable-especially-at-high-speeds)
    - [Collision results in bumps when an object moves across tiles](../../tutorials/physics/troubleshooting_physics_issues.html#collision-results-in-bumps-when-an-object-moves-across-tiles)
    - [Framerate drops when an object touches another object](../../tutorials/physics/troubleshooting_physics_issues.html#framerate-drops-when-an-object-touches-another-object)
    - [Framerate suddenly drops to a very low value beyond a certain amount of physics simulation](../../tutorials/physics/troubleshooting_physics_issues.html#framerate-suddenly-drops-to-a-very-low-value-beyond-a-certain-amount-of-physics-simulation)
    - [Physics simulation is unreliable when far away from the world origin](../../tutorials/physics/troubleshooting_physics_issues.html#physics-simulation-is-unreliable-when-far-away-from-the-world-origin)
* [Platform-specific](../../tutorials/platform/index.html)
  + [Android](../../tutorials/platform/android/index.html)
    - [Godot Android library](../../tutorials/platform/android/android_library.html)
      * [Using the Godot Android library](../../tutorials/platform/android/android_library.html#using-the-godot-android-library)
      * [Godot Android plugins](../../tutorials/platform/android/android_library.html#godot-android-plugins)
      * [Embedding Godot in existing Android projects](../../tutorials/platform/android/android_library.html#embedding-godot-in-existing-android-projects)
    - [Godot Android plugins](../../tutorials/platform/android/android_plugin.html)
      * [Introduction](../../tutorials/platform/android/android_plugin.html#introduction)
      * [Android plugin](../../tutorials/platform/android/android_plugin.html#android-plugin)
      * [Building a v2 Android plugin](../../tutorials/platform/android/android_plugin.html#building-a-v2-android-plugin)
      * [Packaging a v2 Android plugin](../../tutorials/platform/android/android_plugin.html#packaging-a-v2-android-plugin)
      * [Using a v2 Android plugin](../../tutorials/platform/android/android_plugin.html#using-a-v2-android-plugin)
      * [Reference implementations](../../tutorials/platform/android/android_plugin.html#reference-implementations)
      * [Tips and Guidelines](../../tutorials/platform/android/android_plugin.html#tips-and-guidelines)
    - [Android in-app purchases](../../tutorials/platform/android/android_in_app_purchases.html)
      * [Usage](../../tutorials/platform/android/android_in_app_purchases.html#usage)
  + [iOS plugins](../../tutorials/platform/ios/index.html)
    - [Creating iOS plugins](../../tutorials/platform/ios/ios_plugin.html)
      * [Loading and using an existing plugin](../../tutorials/platform/ios/ios_plugin.html#loading-and-using-an-existing-plugin)
      * [Creating an iOS plugin](../../tutorials/platform/ios/ios_plugin.html#creating-an-ios-plugin)
    - [Plugins for iOS](../../tutorials/platform/ios/plugins_for_ios.html)
      * [Accessing plugin singletons](../../tutorials/platform/ios/plugins_for_ios.html#accessing-plugin-singletons)
      * [Asynchronous methods](../../tutorials/platform/ios/plugins_for_ios.html#asynchronous-methods)
      * [Store Kit](../../tutorials/platform/ios/plugins_for_ios.html#store-kit)
      * [Game Center](../../tutorials/platform/ios/plugins_for_ios.html#game-center)
  + [Web](../../tutorials/platform/web/index.html)
    - [The JavaScriptBridge singleton](../../tutorials/platform/web/javascript_bridge.html)
      * [Interacting with JavaScript](../../tutorials/platform/web/javascript_bridge.html#interacting-with-javascript)
      * [Callbacks](../../tutorials/platform/web/javascript_bridge.html#callbacks)
      * [Can I use my favorite library?](../../tutorials/platform/web/javascript_bridge.html#can-i-use-my-favorite-library)
      * [The eval interface](../../tutorials/platform/web/javascript_bridge.html#the-eval-interface)
      * [Downloading files](../../tutorials/platform/web/javascript_bridge.html#downloading-files)
    - [HTML5 shell class reference](../../tutorials/platform/web/html5_shell_classref.html)
      * [Engine](../../tutorials/platform/web/html5_shell_classref.html#engine)
      * [Engine configuration](../../tutorials/platform/web/html5_shell_classref.html#engine-configuration)
    - [Custom HTML page for Web export](../../tutorials/platform/web/customizing_html5_shell.html)
      * [Setup](../../tutorials/platform/web/customizing_html5_shell.html#setup)
      * [Starting the project](../../tutorials/platform/web/customizing_html5_shell.html#starting-the-project)
      * [Customizing the behavior](../../tutorials/platform/web/customizing_html5_shell.html#customizing-the-behavior)
      * [Customizing the presentation](../../tutorials/platform/web/customizing_html5_shell.html#customizing-the-presentation)
      * [Debugging](../../tutorials/platform/web/customizing_html5_shell.html#debugging)
  + [Console support in Godot](../../tutorials/platform/consoles.html)
    - [Console porting process](../../tutorials/platform/consoles.html#console-porting-process)
    - [Console publishing process](../../tutorials/platform/consoles.html#console-publishing-process)
    - [Third-party support](../../tutorials/platform/consoles.html#third-party-support)
    - [Middleware](../../tutorials/platform/consoles.html#middleware)
* [Plugins](../../tutorials/plugins/index.html)
  + [Editor plugins](../../tutorials/plugins/editor/index.html)
    - [Installing plugins](../../tutorials/plugins/editor/installing_plugins.html)
      * [Finding plugins](../../tutorials/plugins/editor/installing_plugins.html#finding-plugins)
      * [Installing a plugin](../../tutorials/plugins/editor/installing_plugins.html#installing-a-plugin)
      * [Enabling a plugin](../../tutorials/plugins/editor/installing_plugins.html#enabling-a-plugin)
    - [Making plugins](../../tutorials/plugins/editor/making_plugins.html)
      * [About plugins](../../tutorials/plugins/editor/making_plugins.html#about-plugins)
      * [Creating a plugin](../../tutorials/plugins/editor/making_plugins.html#creating-a-plugin)
      * [A custom node](../../tutorials/plugins/editor/making_plugins.html#a-custom-node)
      * [A custom dock](../../tutorials/plugins/editor/making_plugins.html#a-custom-dock)
      * [Registering autoloads/singletons in plugins](../../tutorials/plugins/editor/making_plugins.html#registering-autoloads-singletons-in-plugins)
      * [Using sub-plugins](../../tutorials/plugins/editor/making_plugins.html#using-sub-plugins)
      * [Going beyond](../../tutorials/plugins/editor/making_plugins.html#going-beyond)
    - [Making main screen plugins](../../tutorials/plugins/editor/making_main_screen_plugins.html)
      * [What this tutorial covers](../../tutorials/plugins/editor/making_main_screen_plugins.html#what-this-tutorial-covers)
      * [Initializing the plugin](../../tutorials/plugins/editor/making_main_screen_plugins.html#initializing-the-plugin)
      * [Main screen scene](../../tutorials/plugins/editor/making_main_screen_plugins.html#main-screen-scene)
      * [Update the plugin script](../../tutorials/plugins/editor/making_main_screen_plugins.html#update-the-plugin-script)
      * [Try the plugin](../../tutorials/plugins/editor/making_main_screen_plugins.html#try-the-plugin)
    - [Import plugins](../../tutorials/plugins/editor/import_plugins.html)
      * [Introduction](../../tutorials/plugins/editor/import_plugins.html#introduction)
      * [Configuration](../../tutorials/plugins/editor/import_plugins.html#configuration)
      * [The EditorImportPlugin class](../../tutorials/plugins/editor/import_plugins.html#the-editorimportplugin-class)
      * [Options and presets](../../tutorials/plugins/editor/import_plugins.html#options-and-presets)
      * [The `import` method](../../tutorials/plugins/editor/import_plugins.html#the-import-method)
      * [Platform variants and generated files](../../tutorials/plugins/editor/import_plugins.html#platform-variants-and-generated-files)
      * [Trying the plugin](../../tutorials/plugins/editor/import_plugins.html#trying-the-plugin)
    - [3D gizmo plugins](../../tutorials/plugins/editor/3d_gizmos.html)
      * [Introduction](../../tutorials/plugins/editor/3d_gizmos.html#introduction)
      * [The EditorNode3DGizmoPlugin](../../tutorials/plugins/editor/3d_gizmos.html#the-editornode3dgizmoplugin)
      * [Simple approach](../../tutorials/plugins/editor/3d_gizmos.html#simple-approach)
      * [Alternative approach](../../tutorials/plugins/editor/3d_gizmos.html#alternative-approach)
    - [Inspector plugins](../../tutorials/plugins/editor/inspector_plugins.html)
      * [Setting up your plugin](../../tutorials/plugins/editor/inspector_plugins.html#setting-up-your-plugin)
      * [Interacting with the inspector](../../tutorials/plugins/editor/inspector_plugins.html#interacting-with-the-inspector)
      * [Adding an interface to edit properties](../../tutorials/plugins/editor/inspector_plugins.html#adding-an-interface-to-edit-properties)
    - [Visual Shader plugins](../../tutorials/plugins/editor/visual_shader_plugins.html)
  + [Running code in the editor](../../tutorials/plugins/running_code_in_the_editor.html)
    - [What is `@tool`?](../../tutorials/plugins/running_code_in_the_editor.html#what-is-tool)
    - [How to use `@tool`](../../tutorials/plugins/running_code_in_the_editor.html#how-to-use-tool)
    - [Important information](../../tutorials/plugins/running_code_in_the_editor.html#important-information)
    - [Try `@tool` out](../../tutorials/plugins/running_code_in_the_editor.html#try-tool-out)
    - [Editing variables](../../tutorials/plugins/running_code_in_the_editor.html#editing-variables)
    - [Getting notified when resources change](../../tutorials/plugins/running_code_in_the_editor.html#getting-notified-when-resources-change)
    - [Reporting node configuration warnings](../../tutorials/plugins/running_code_in_the_editor.html#reporting-node-configuration-warnings)
    - [Running one-off scripts using EditorScript](../../tutorials/plugins/running_code_in_the_editor.html#running-one-off-scripts-using-editorscript)
    - [Instancing scenes](../../tutorials/plugins/running_code_in_the_editor.html#instancing-scenes)
* [Rendering](../../tutorials/rendering/index.html)
  + [Using Viewports](../../tutorials/rendering/viewports.html)
    - [Introduction](../../tutorials/rendering/viewports.html#introduction)
    - [Input](../../tutorials/rendering/viewports.html#input)
    - [Listener](../../tutorials/rendering/viewports.html#listener)
    - [Cameras (2D & 3D)](../../tutorials/rendering/viewports.html#cameras-2d-3d)
    - [Scale & stretching](../../tutorials/rendering/viewports.html#scale-stretching)
    - [Worlds](../../tutorials/rendering/viewports.html#worlds)
    - [Capture](../../tutorials/rendering/viewports.html#capture)
    - [Viewport Container](../../tutorials/rendering/viewports.html#viewport-container)
    - [Rendering](../../tutorials/rendering/viewports.html#rendering)
    - [Render target](../../tutorials/rendering/viewports.html#render-target)
  + [Multiple resolutions](../../tutorials/rendering/multiple_resolutions.html)
    - [The problem of multiple resolutions](../../tutorials/rendering/multiple_resolutions.html#the-problem-of-multiple-resolutions)
    - [One size fits all](../../tutorials/rendering/multiple_resolutions.html#one-size-fits-all)
    - [Base size](../../tutorials/rendering/multiple_resolutions.html#base-size)
    - [Resizing](../../tutorials/rendering/multiple_resolutions.html#resizing)
    - [Stretch settings](../../tutorials/rendering/multiple_resolutions.html#stretch-settings)
      * [Stretch Mode](../../tutorials/rendering/multiple_resolutions.html#stretch-mode)
      * [Stretch Aspect](../../tutorials/rendering/multiple_resolutions.html#stretch-aspect)
      * [Stretch Scale](../../tutorials/rendering/multiple_resolutions.html#stretch-scale)
      * [Stretch Scale Mode](../../tutorials/rendering/multiple_resolutions.html#stretch-scale-mode)
    - [Common use case scenarios](../../tutorials/rendering/multiple_resolutions.html#common-use-case-scenarios)
      * [Desktop game](../../tutorials/rendering/multiple_resolutions.html#desktop-game)
      * [Mobile game in landscape mode](../../tutorials/rendering/multiple_resolutions.html#mobile-game-in-landscape-mode)
      * [Mobile game in portrait mode](../../tutorials/rendering/multiple_resolutions.html#mobile-game-in-portrait-mode)
      * [Non-game application](../../tutorials/rendering/multiple_resolutions.html#non-game-application)
    - [hiDPI support](../../tutorials/rendering/multiple_resolutions.html#hidpi-support)
    - [Reducing aliasing on downsampling](../../tutorials/rendering/multiple_resolutions.html#reducing-aliasing-on-downsampling)
    - [Handling aspect ratios](../../tutorials/rendering/multiple_resolutions.html#handling-aspect-ratios)
    - [Field of view scaling](../../tutorials/rendering/multiple_resolutions.html#field-of-view-scaling)
    - [Scaling 2D and 3D elements differently using Viewports](../../tutorials/rendering/multiple_resolutions.html#scaling-2d-and-3d-elements-differently-using-viewports)
  + [Fixing jitter, stutter and input lag](../../tutorials/rendering/jitter_stutter.html)
    - [What is jitter, stutter and input lag?](../../tutorials/rendering/jitter_stutter.html#what-is-jitter-stutter-and-input-lag)
    - [Distinguishing between jitter and stutter](../../tutorials/rendering/jitter_stutter.html#distinguishing-between-jitter-and-stutter)
    - [Jitter](../../tutorials/rendering/jitter_stutter.html#jitter)
    - [Stutter](../../tutorials/rendering/jitter_stutter.html#stutter)
      * [Windows](../../tutorials/rendering/jitter_stutter.html#windows)
      * [Linux](../../tutorials/rendering/jitter_stutter.html#linux)
      * [macOS](../../tutorials/rendering/jitter_stutter.html#macos)
      * [Android](../../tutorials/rendering/jitter_stutter.html#android)
      * [iOS](../../tutorials/rendering/jitter_stutter.html#ios)
    - [Input lag](../../tutorials/rendering/jitter_stutter.html#input-lag)
      * [Project configuration](../../tutorials/rendering/jitter_stutter.html#project-configuration)
      * [Hardware/OS-specific](../../tutorials/rendering/jitter_stutter.html#hardware-os-specific)
    - [Reporting jitter, stutter or input lag problems](../../tutorials/rendering/jitter_stutter.html#reporting-jitter-stutter-or-input-lag-problems)
  + [The Compositor](../../tutorials/rendering/compositor.html)
    - [Compositor effects](../../tutorials/rendering/compositor.html#compositor-effects)
  + [Renderers](../../tutorials/rendering/renderers.html)
    - [Introduction](../../tutorials/rendering/renderers.html#introduction)
      * [Renderers, rendering drivers, and RenderingDevice](../../tutorials/rendering/renderers.html#renderers-rendering-drivers-and-renderingdevice)
    - [Choosing a renderer](../../tutorials/rendering/renderers.html#choosing-a-renderer)
      * [Switching between renderers](../../tutorials/rendering/renderers.html#switching-between-renderers)
    - [Feature comparison](../../tutorials/rendering/renderers.html#feature-comparison)
      * [Overall comparison](../../tutorials/rendering/renderers.html#overall-comparison)
      * [Lights and shadows](../../tutorials/rendering/renderers.html#lights-and-shadows)
      * [Global Illumination](../../tutorials/rendering/renderers.html#global-illumination)
      * [Environment and post-processing](../../tutorials/rendering/renderers.html#environment-and-post-processing)
      * [Antialiasing](../../tutorials/rendering/renderers.html#antialiasing)
      * [StandardMaterial features](../../tutorials/rendering/renderers.html#standardmaterial-features)
      * [Shader features](../../tutorials/rendering/renderers.html#shader-features)
      * [Other features](../../tutorials/rendering/renderers.html#other-features)
* [Scripting](../../tutorials/scripting/index.html)
  + [GDScript](../../tutorials/scripting/gdscript/index.html)
    - [GDScript reference](../../tutorials/scripting/gdscript/gdscript_basics.html)
      * [History](../../tutorials/scripting/gdscript/gdscript_basics.html#history)
      * [Example of GDScript](../../tutorials/scripting/gdscript/gdscript_basics.html#example-of-gdscript)
      * [Identifiers](../../tutorials/scripting/gdscript/gdscript_basics.html#identifiers)
      * [Keywords](../../tutorials/scripting/gdscript/gdscript_basics.html#keywords)
      * [Operators](../../tutorials/scripting/gdscript/gdscript_basics.html#operators)
      * [Literals](../../tutorials/scripting/gdscript/gdscript_basics.html#literals)
      * [Annotations](../../tutorials/scripting/gdscript/gdscript_basics.html#annotations)
      * [Comments](../../tutorials/scripting/gdscript/gdscript_basics.html#comments)
      * [Code regions](../../tutorials/scripting/gdscript/gdscript_basics.html#code-regions)
      * [Line continuation](../../tutorials/scripting/gdscript/gdscript_basics.html#line-continuation)
      * [Built-in types](../../tutorials/scripting/gdscript/gdscript_basics.html#built-in-types)
      * [Variables](../../tutorials/scripting/gdscript/gdscript_basics.html#variables)
      * [Constants](../../tutorials/scripting/gdscript/gdscript_basics.html#constants)
      * [Functions](../../tutorials/scripting/gdscript/gdscript_basics.html#functions)
      * [Statements and control flow](../../tutorials/scripting/gdscript/gdscript_basics.html#statements-and-control-flow)
      * [Classes](../../tutorials/scripting/gdscript/gdscript_basics.html#classes)
      * [Exports](../../tutorials/scripting/gdscript/gdscript_basics.html#exports)
      * [Properties (setters and getters)](../../tutorials/scripting/gdscript/gdscript_basics.html#properties-setters-and-getters)
      * [Tool mode](../../tutorials/scripting/gdscript/gdscript_basics.html#tool-mode)
      * [Memory management](../../tutorials/scripting/gdscript/gdscript_basics.html#memory-management)
      * [Signals](../../tutorials/scripting/gdscript/gdscript_basics.html#signals)
      * [Assert keyword](../../tutorials/scripting/gdscript/gdscript_basics.html#assert-keyword)
    - [GDScript: An introduction to dynamic languages](../../tutorials/scripting/gdscript/gdscript_advanced.html)
      * [About](../../tutorials/scripting/gdscript/gdscript_advanced.html#about)
      * [Dynamic nature](../../tutorials/scripting/gdscript/gdscript_advanced.html#dynamic-nature)
      * [Arrays](../../tutorials/scripting/gdscript/gdscript_advanced.html#arrays)
      * [Dictionaries](../../tutorials/scripting/gdscript/gdscript_advanced.html#dictionaries)
      * [For & while](../../tutorials/scripting/gdscript/gdscript_advanced.html#for-while)
      * [While](../../tutorials/scripting/gdscript/gdscript_advanced.html#while)
      * [Custom iterators](../../tutorials/scripting/gdscript/gdscript_advanced.html#custom-iterators)
      * [Duck typing](../../tutorials/scripting/gdscript/gdscript_advanced.html#duck-typing)
    - [GDScript exported properties](../../tutorials/scripting/gdscript/gdscript_exports.html)
      * [Basic use](../../tutorials/scripting/gdscript/gdscript_exports.html#basic-use)
      * [Grouping exports](../../tutorials/scripting/gdscript/gdscript_exports.html#grouping-exports)
      * [Strings as paths](../../tutorials/scripting/gdscript/gdscript_exports.html#strings-as-paths)
      * [Limiting editor input ranges](../../tutorials/scripting/gdscript/gdscript_exports.html#limiting-editor-input-ranges)
      * [Adding suffixes and handling degrees/radians](../../tutorials/scripting/gdscript/gdscript_exports.html#adding-suffixes-and-handling-degrees-radians)
      * [Floats with easing hint](../../tutorials/scripting/gdscript/gdscript_exports.html#floats-with-easing-hint)
      * [Colors](../../tutorials/scripting/gdscript/gdscript_exports.html#colors)
      * [Nodes](../../tutorials/scripting/gdscript/gdscript_exports.html#nodes)
      * [Resources](../../tutorials/scripting/gdscript/gdscript_exports.html#resources)
      * [Exporting bit flags](../../tutorials/scripting/gdscript/gdscript_exports.html#exporting-bit-flags)
      * [Exporting enums](../../tutorials/scripting/gdscript/gdscript_exports.html#exporting-enums)
      * [Exporting arrays](../../tutorials/scripting/gdscript/gdscript_exports.html#exporting-arrays)
      * [`@export_storage`](../../tutorials/scripting/gdscript/gdscript_exports.html#export-storage)
      * [`@export_custom`](../../tutorials/scripting/gdscript/gdscript_exports.html#export-custom)
      * [`@export_tool_button`](../../tutorials/scripting/gdscript/gdscript_exports.html#export-tool-button)
      * [Setting exported variables from a tool script](../../tutorials/scripting/gdscript/gdscript_exports.html#setting-exported-variables-from-a-tool-script)
      * [Advanced exports](../../tutorials/scripting/gdscript/gdscript_exports.html#advanced-exports)
    - [GDScript documentation comments](../../tutorials/scripting/gdscript/gdscript_documentation_comments.html)
      * [Documenting a script](../../tutorials/scripting/gdscript/gdscript_documentation_comments.html#documenting-a-script)
      * [Documenting script members](../../tutorials/scripting/gdscript/gdscript_documentation_comments.html#documenting-script-members)
      * [Complete script example](../../tutorials/scripting/gdscript/gdscript_documentation_comments.html#complete-script-example)
      * [`@deprecated` and `@experimental` tags](../../tutorials/scripting/gdscript/gdscript_documentation_comments.html#deprecated-and-experimental-tags)
      * [BBCode and class reference](../../tutorials/scripting/gdscript/gdscript_documentation_comments.html#bbcode-and-class-reference)
    - [GDScript style guide](../../tutorials/scripting/gdscript/gdscript_styleguide.html)
      * [Formatting](../../tutorials/scripting/gdscript/gdscript_styleguide.html#formatting)
      * [Naming conventions](../../tutorials/scripting/gdscript/gdscript_styleguide.html#naming-conventions)
      * [Code order](../../tutorials/scripting/gdscript/gdscript_styleguide.html#code-order)
      * [Static typing](../../tutorials/scripting/gdscript/gdscript_styleguide.html#static-typing)
    - [Static typing in GDScript](../../tutorials/scripting/gdscript/static_typing.html)
      * [A brief look at static typing](../../tutorials/scripting/gdscript/static_typing.html#a-brief-look-at-static-typing)
      * [How to use static typing](../../tutorials/scripting/gdscript/static_typing.html#how-to-use-static-typing)
      * [Typed or dynamic: stick to one style](../../tutorials/scripting/gdscript/static_typing.html#typed-or-dynamic-stick-to-one-style)
      * [Warning system](../../tutorials/scripting/gdscript/static_typing.html#warning-system)
      * [Common unsafe operations and their safe counterparts](../../tutorials/scripting/gdscript/static_typing.html#common-unsafe-operations-and-their-safe-counterparts)
      * [Cases where you can't specify types](../../tutorials/scripting/gdscript/static_typing.html#cases-where-you-can-t-specify-types)
      * [Summary](../../tutorials/scripting/gdscript/static_typing.html#summary)
    - [GDScript warning system](../../tutorials/scripting/gdscript/warning_system.html)
    - [GDScript format strings](../../tutorials/scripting/gdscript/gdscript_format_string.html)
      * [Format strings](../../tutorials/scripting/gdscript/gdscript_format_string.html#format-strings)
      * [Multiple placeholders](../../tutorials/scripting/gdscript/gdscript_format_string.html#multiple-placeholders)
      * [Format specifiers](../../tutorials/scripting/gdscript/gdscript_format_string.html#format-specifiers)
      * [Padding](../../tutorials/scripting/gdscript/gdscript_format_string.html#padding)
      * [Escape sequence](../../tutorials/scripting/gdscript/gdscript_format_string.html#escape-sequence)
      * [String format method](../../tutorials/scripting/gdscript/gdscript_format_string.html#string-format-method)
      * [String concatenation](../../tutorials/scripting/gdscript/gdscript_format_string.html#string-concatenation)
  + [C#/.NET](../../tutorials/scripting/c_sharp/index.html)
    - [C# basics](../../tutorials/scripting/c_sharp/c_sharp_basics.html)
      * [Introduction](../../tutorials/scripting/c_sharp/c_sharp_basics.html#introduction)
      * [Prerequisites](../../tutorials/scripting/c_sharp/c_sharp_basics.html#prerequisites)
      * [Configuring an external editor](../../tutorials/scripting/c_sharp/c_sharp_basics.html#configuring-an-external-editor)
      * [Creating a C# script](../../tutorials/scripting/c_sharp/c_sharp_basics.html#creating-a-c-script)
      * [Project setup and workflow](../../tutorials/scripting/c_sharp/c_sharp_basics.html#project-setup-and-workflow)
      * [Example](../../tutorials/scripting/c_sharp/c_sharp_basics.html#example)
      * [General differences between C# and GDScript](../../tutorials/scripting/c_sharp/c_sharp_basics.html#general-differences-between-c-and-gdscript)
      * [Current gotchas and known issues](../../tutorials/scripting/c_sharp/c_sharp_basics.html#current-gotchas-and-known-issues)
      * [Common pitfalls](../../tutorials/scripting/c_sharp/c_sharp_basics.html#common-pitfalls)
      * [Performance of C# in Godot](../../tutorials/scripting/c_sharp/c_sharp_basics.html#performance-of-c-in-godot)
      * [Using NuGet packages in Godot](../../tutorials/scripting/c_sharp/c_sharp_basics.html#using-nuget-packages-in-godot)
      * [Profiling your C# code](../../tutorials/scripting/c_sharp/c_sharp_basics.html#profiling-your-c-code)
    - [C# language features](../../tutorials/scripting/c_sharp/c_sharp_features.html)
      * [Type conversion and casting](../../tutorials/scripting/c_sharp/c_sharp_features.html#type-conversion-and-casting)
      * [Preprocessor defines](../../tutorials/scripting/c_sharp/c_sharp_features.html#preprocessor-defines)
    - [C# style guide](../../tutorials/scripting/c_sharp/c_sharp_style_guide.html)
      * [Language specification](../../tutorials/scripting/c_sharp/c_sharp_style_guide.html#language-specification)
      * [Formatting](../../tutorials/scripting/c_sharp/c_sharp_style_guide.html#formatting)
      * [Naming conventions](../../tutorials/scripting/c_sharp/c_sharp_style_guide.html#naming-conventions)
      * [Member variables](../../tutorials/scripting/c_sharp/c_sharp_style_guide.html#member-variables)
      * [Local variables](../../tutorials/scripting/c_sharp/c_sharp_style_guide.html#local-variables)
      * [Implicitly typed local variables](../../tutorials/scripting/c_sharp/c_sharp_style_guide.html#implicitly-typed-local-variables)
      * [Other considerations](../../tutorials/scripting/c_sharp/c_sharp_style_guide.html#other-considerations)
    - [C# diagnostics](../../tutorials/scripting/c_sharp/diagnostics/index.html)
      * [GD0001: Missing partial modifier on declaration of type that derives from GodotObject](../../tutorials/scripting/c_sharp/diagnostics/GD0001.html)
      * [GD0002: Missing partial modifier on declaration of type which contains nested classes that derive from GodotObject](../../tutorials/scripting/c_sharp/diagnostics/GD0002.html)
      * [GD0003: Found multiple classes with the same name in the same script file](../../tutorials/scripting/c_sharp/diagnostics/GD0003.html)
      * [GD0101: The exported member is static](../../tutorials/scripting/c_sharp/diagnostics/GD0101.html)
      * [GD0102: The type of the exported member is not supported](../../tutorials/scripting/c_sharp/diagnostics/GD0102.html)
      * [GD0103: The exported member is read-only](../../tutorials/scripting/c_sharp/diagnostics/GD0103.html)
      * [GD0104: The exported property is write-only](../../tutorials/scripting/c_sharp/diagnostics/GD0104.html)
      * [GD0105: The exported property is an indexer](../../tutorials/scripting/c_sharp/diagnostics/GD0105.html)
      * [GD0106: The exported property is an explicit interface implementation](../../tutorials/scripting/c_sharp/diagnostics/GD0106.html)
      * [GD0107: Types not derived from Node should not export Node members](../../tutorials/scripting/c_sharp/diagnostics/GD0107.html)
      * [GD0108: The exported tool button is not in a tool class](../../tutorials/scripting/c_sharp/diagnostics/GD0108.html)
      * [GD0109: The '[ExportToolButton]' attribute cannot be used with another '[Export]' attribute](../../tutorials/scripting/c_sharp/diagnostics/GD0109.html)
      * [GD0110: The exported tool button is not a Callable](../../tutorials/scripting/c_sharp/diagnostics/GD0110.html)
      * [GD0111: The exported tool button must be an expression-bodied property](../../tutorials/scripting/c_sharp/diagnostics/GD0111.html)
      * [GD0201: The name of the delegate must end with 'EventHandler'](../../tutorials/scripting/c_sharp/diagnostics/GD0201.html)
      * [GD0202: The parameter of the delegate signature of the signal is not supported](../../tutorials/scripting/c_sharp/diagnostics/GD0202.html)
      * [GD0203: The delegate signature of the signal must return void](../../tutorials/scripting/c_sharp/diagnostics/GD0203.html)
      * [GD0301: The generic type argument must be a Variant compatible type](../../tutorials/scripting/c_sharp/diagnostics/GD0301.html)
      * [GD0302: The generic type parameter must be annotated with the '[MustBeVariant]' attribute](../../tutorials/scripting/c_sharp/diagnostics/GD0302.html)
      * [GD0303: The parent symbol of a type argument that must be Variant compatible was not handled](../../tutorials/scripting/c_sharp/diagnostics/GD0303.html)
      * [GD0401: The class must derive from Godot.GodotObject or a derived class](../../tutorials/scripting/c_sharp/diagnostics/GD0401.html)
      * [GD0402: The class must not be generic](../../tutorials/scripting/c_sharp/diagnostics/GD0402.html)
    - [Godot API for C#](../../tutorials/scripting/c_sharp/index.html#godot-api-for-c)
      * [C# API differences to GDScript](../../tutorials/scripting/c_sharp/c_sharp_differences.html)
      * [C# collections](../../tutorials/scripting/c_sharp/c_sharp_collections.html)
      * [C# Variant](../../tutorials/scripting/c_sharp/c_sharp_variant.html)
      * [C# signals](../../tutorials/scripting/c_sharp/c_sharp_signals.html)
      * [C# exported properties](../../tutorials/scripting/c_sharp/c_sharp_exports.html)
      * [C# global classes](../../tutorials/scripting/c_sharp/c_sharp_global_classes.html)
    - [C# platform support](../../tutorials/scripting/c_sharp/index.html#c-platform-support)
  + [GDExtension](../../tutorials/scripting/gdextension/index.html)
    - [What is GDExtension?](../../tutorials/scripting/gdextension/what_is_gdextension.html)
      * [Introduction](../../tutorials/scripting/gdextension/what_is_gdextension.html#introduction)
      * [Differences between GDExtension and C++ modules](../../tutorials/scripting/gdextension/what_is_gdextension.html#differences-between-gdextension-and-c-modules)
      * [Supported languages](../../tutorials/scripting/gdextension/what_is_gdextension.html#supported-languages)
      * [Version compatibility](../../tutorials/scripting/gdextension/what_is_gdextension.html#version-compatibility)
    - [GDExtension C++ example](../../tutorials/scripting/gdextension/gdextension_cpp_example.html)
      * [Introduction](../../tutorials/scripting/gdextension/gdextension_cpp_example.html#introduction)
      * [Setting up the project](../../tutorials/scripting/gdextension/gdextension_cpp_example.html#setting-up-the-project)
      * [Building the C++ bindings](../../tutorials/scripting/gdextension/gdextension_cpp_example.html#building-the-c-bindings)
      * [Creating a simple plugin](../../tutorials/scripting/gdextension/gdextension_cpp_example.html#creating-a-simple-plugin)
      * [Compiling the plugin](../../tutorials/scripting/gdextension/gdextension_cpp_example.html#compiling-the-plugin)
      * [Using the GDExtension module](../../tutorials/scripting/gdextension/gdextension_cpp_example.html#using-the-gdextension-module)
      * [Adding properties](../../tutorials/scripting/gdextension/gdextension_cpp_example.html#adding-properties)
      * [Signals](../../tutorials/scripting/gdextension/gdextension_cpp_example.html#signals)
      * [Next steps](../../tutorials/scripting/gdextension/gdextension_cpp_example.html#next-steps)
    - [GDExtension C example](../../tutorials/scripting/gdextension/gdextension_c_example.html)
      * [Introduction](../../tutorials/scripting/gdextension/gdextension_c_example.html#introduction)
      * [Setting up the project](../../tutorials/scripting/gdextension/gdextension_c_example.html#setting-up-the-project)
      * [File structure](../../tutorials/scripting/gdextension/gdextension_c_example.html#file-structure)
      * [Buildsystem](../../tutorials/scripting/gdextension/gdextension_c_example.html#buildsystem)
      * [Initializing the extension](../../tutorials/scripting/gdextension/gdextension_c_example.html#initializing-the-extension)
      * [A basic class](../../tutorials/scripting/gdextension/gdextension_c_example.html#a-basic-class)
      * [A wrapper API](../../tutorials/scripting/gdextension/gdextension_c_example.html#a-wrapper-api)
      * [A demo project](../../tutorials/scripting/gdextension/gdextension_c_example.html#a-demo-project)
      * [Custom methods](../../tutorials/scripting/gdextension/gdextension_c_example.html#custom-methods)
      * [Custom properties](../../tutorials/scripting/gdextension/gdextension_c_example.html#custom-properties)
      * [Binding virtual methods](../../tutorials/scripting/gdextension/gdextension_c_example.html#binding-virtual-methods)
      * [Registering and emitting a signal](../../tutorials/scripting/gdextension/gdextension_c_example.html#registering-and-emitting-a-signal)
      * [Conclusion](../../tutorials/scripting/gdextension/gdextension_c_example.html#conclusion)
    - [The .gdextension file](../../tutorials/scripting/gdextension/gdextension_file.html)
      * [Introduction](../../tutorials/scripting/gdextension/gdextension_file.html#introduction)
      * [Configuration section](../../tutorials/scripting/gdextension/gdextension_file.html#configuration-section)
      * [Libraries section](../../tutorials/scripting/gdextension/gdextension_file.html#libraries-section)
      * [Icons section](../../tutorials/scripting/gdextension/gdextension_file.html#icons-section)
      * [Dependencies section](../../tutorials/scripting/gdextension/gdextension_file.html#dependencies-section)
    - [GDExtension documentation system](../../tutorials/scripting/gdextension/gdextension_docs_system.html)
      * [Documentation styling](../../tutorials/scripting/gdextension/gdextension_docs_system.html#documentation-styling)
      * [Publishing documentation online](../../tutorials/scripting/gdextension/gdextension_docs_system.html#publishing-documentation-online)
  + [Core features](../../tutorials/scripting/index.html#core-features)
    - [How to read the Godot API](../../tutorials/scripting/how_to_read_the_godot_api.html)
      * [Inheritance](../../tutorials/scripting/how_to_read_the_godot_api.html#inheritance)
      * [Brief Description](../../tutorials/scripting/how_to_read_the_godot_api.html#brief-description)
      * [Description](../../tutorials/scripting/how_to_read_the_godot_api.html#description)
      * [Tutorials](../../tutorials/scripting/how_to_read_the_godot_api.html#tutorials)
      * [Properties](../../tutorials/scripting/how_to_read_the_godot_api.html#properties)
      * [Methods](../../tutorials/scripting/how_to_read_the_godot_api.html#methods)
      * [Signals](../../tutorials/scripting/how_to_read_the_godot_api.html#signals)
      * [Enumerations](../../tutorials/scripting/how_to_read_the_godot_api.html#enumerations)
      * [Constants](../../tutorials/scripting/how_to_read_the_godot_api.html#constants)
      * [Property Descriptions](../../tutorials/scripting/how_to_read_the_godot_api.html#property-descriptions)
      * [Method Descriptions](../../tutorials/scripting/how_to_read_the_godot_api.html#method-descriptions)
    - [Debug](../../tutorials/scripting/debug/index.html)
      * [Overview of debugging tools](../../tutorials/scripting/debug/overview_of_debugging_tools.html)
      * [Output panel](../../tutorials/scripting/debug/output_panel.html)
      * [Debugger panel](../../tutorials/scripting/debug/debugger_panel.html)
      * [The Profiler](../../tutorials/scripting/debug/the_profiler.html)
      * [Custom performance monitors](../../tutorials/scripting/debug/custom_performance_monitors.html)
    - [Idle and Physics Processing](../../tutorials/scripting/idle_and_physics_processing.html)
    - [Groups](../../tutorials/scripting/groups.html)
      * [Managing groups](../../tutorials/scripting/groups.html#managing-groups)
    - [Nodes and scene instances](../../tutorials/scripting/nodes_and_scene_instances.html)
      * [Getting nodes](../../tutorials/scripting/nodes_and_scene_instances.html#getting-nodes)
      * [Node paths](../../tutorials/scripting/nodes_and_scene_instances.html#node-paths)
      * [Creating nodes](../../tutorials/scripting/nodes_and_scene_instances.html#creating-nodes)
      * [Instancing scenes](../../tutorials/scripting/nodes_and_scene_instances.html#instancing-scenes)
    - [Overridable functions](../../tutorials/scripting/overridable_functions.html)
    - [Cross-language scripting](../../tutorials/scripting/cross_language_scripting.html)
      * [Instantiating nodes](../../tutorials/scripting/cross_language_scripting.html#instantiating-nodes)
      * [Accessing fields](../../tutorials/scripting/cross_language_scripting.html#accessing-fields)
      * [Calling methods](../../tutorials/scripting/cross_language_scripting.html#calling-methods)
      * [Connecting to signals](../../tutorials/scripting/cross_language_scripting.html#connecting-to-signals)
      * [Inheritance](../../tutorials/scripting/cross_language_scripting.html#inheritance)
    - [Creating script templates](../../tutorials/scripting/creating_script_templates.html)
      * [Locating the templates](../../tutorials/scripting/creating_script_templates.html#locating-the-templates)
      * [Default behaviour and overriding it](../../tutorials/scripting/creating_script_templates.html#default-behaviour-and-overriding-it)
      * [Default template](../../tutorials/scripting/creating_script_templates.html#default-template)
      * [List of template placeholders](../../tutorials/scripting/creating_script_templates.html#list-of-template-placeholders)
    - [Evaluating expressions](../../tutorials/scripting/evaluating_expressions.html)
      * [Basic usage](../../tutorials/scripting/evaluating_expressions.html#basic-usage)
      * [Passing variables to an expression](../../tutorials/scripting/evaluating_expressions.html#passing-variables-to-an-expression)
      * [Setting a base instance for the expression](../../tutorials/scripting/evaluating_expressions.html#setting-a-base-instance-for-the-expression)
      * [Example script](../../tutorials/scripting/evaluating_expressions.html#example-script)
      * [Built-in functions](../../tutorials/scripting/evaluating_expressions.html#built-in-functions)
    - [Change scenes manually](../../tutorials/scripting/change_scenes_manually.html)
    - [Instancing with signals](../../tutorials/scripting/instancing_with_signals.html)
      * [Shooting example](../../tutorials/scripting/instancing_with_signals.html#shooting-example)
    - [Pausing games and process mode](../../tutorials/scripting/pausing_games.html)
      * [Introduction](../../tutorials/scripting/pausing_games.html#introduction)
      * [How pausing works](../../tutorials/scripting/pausing_games.html#how-pausing-works)
      * [Process Modes](../../tutorials/scripting/pausing_games.html#process-modes)
      * [Pause menu example](../../tutorials/scripting/pausing_games.html#pause-menu-example)
    - [File system](../../tutorials/scripting/filesystem.html)
      * [Introduction](../../tutorials/scripting/filesystem.html#introduction)
      * [Implementation](../../tutorials/scripting/filesystem.html#implementation)
      * [project.godot](../../tutorials/scripting/filesystem.html#project-godot)
      * [Path delimiter](../../tutorials/scripting/filesystem.html#path-delimiter)
      * [Resource path](../../tutorials/scripting/filesystem.html#resource-path)
      * [User path](../../tutorials/scripting/filesystem.html#user-path)
      * [Host file system](../../tutorials/scripting/filesystem.html#host-file-system)
      * [Drawbacks](../../tutorials/scripting/filesystem.html#drawbacks)
    - [Resources](../../tutorials/scripting/resources.html)
      * [Nodes and resources](../../tutorials/scripting/resources.html#nodes-and-resources)
      * [External vs built-in](../../tutorials/scripting/resources.html#external-vs-built-in)
      * [Loading resources from code](../../tutorials/scripting/resources.html#loading-resources-from-code)
      * [Loading scenes](../../tutorials/scripting/resources.html#loading-scenes)
      * [Freeing resources](../../tutorials/scripting/resources.html#freeing-resources)
      * [Creating your own resources](../../tutorials/scripting/resources.html#creating-your-own-resources)
    - [Singletons (Autoload)](../../tutorials/scripting/singletons_autoload.html)
      * [Introduction](../../tutorials/scripting/singletons_autoload.html#introduction)
      * [Autoload](../../tutorials/scripting/singletons_autoload.html#autoload)
      * [Custom scene switcher](../../tutorials/scripting/singletons_autoload.html#custom-scene-switcher)
    - [Using SceneTree](../../tutorials/scripting/scene_tree.html)
      * [Introduction](../../tutorials/scripting/scene_tree.html#introduction)
      * [MainLoop](../../tutorials/scripting/scene_tree.html#mainloop)
      * [SceneTree](../../tutorials/scripting/scene_tree.html#scenetree)
      * [Root viewport](../../tutorials/scripting/scene_tree.html#root-viewport)
      * [Scene tree](../../tutorials/scripting/scene_tree.html#scene-tree)
      * [Tree order](../../tutorials/scripting/scene_tree.html#tree-order)
      * ["Becoming active" by entering the *Scene Tree*](../../tutorials/scripting/scene_tree.html#becoming-active-by-entering-the-scene-tree)
      * [Changing current scene](../../tutorials/scripting/scene_tree.html#changing-current-scene)
    - [Scene Unique Nodes](../../tutorials/scripting/scene_unique_nodes.html)
      * [Introduction](../../tutorials/scripting/scene_unique_nodes.html#introduction)
      * [Creation and usage](../../tutorials/scripting/scene_unique_nodes.html#creation-and-usage)
      * [Same-scene limitation](../../tutorials/scripting/scene_unique_nodes.html#same-scene-limitation)
      * [Alternatives](../../tutorials/scripting/scene_unique_nodes.html#alternatives)
* [Shaders](../../tutorials/shaders/index.html)
  + [Introduction to shaders](../../tutorials/shaders/introduction_to_shaders.html)
    - [Shaders in Godot](../../tutorials/shaders/introduction_to_shaders.html#shaders-in-godot)
    - [Shader types](../../tutorials/shaders/introduction_to_shaders.html#shader-types)
    - [Render modes](../../tutorials/shaders/introduction_to_shaders.html#render-modes)
      * [Vertex processor](../../tutorials/shaders/introduction_to_shaders.html#vertex-processor)
      * [Fragment processor](../../tutorials/shaders/introduction_to_shaders.html#fragment-processor)
      * [Light processor](../../tutorials/shaders/introduction_to_shaders.html#light-processor)
  + [Shading reference](../../tutorials/shaders/shader_reference/index.html)
    - [Shading language](../../tutorials/shaders/shader_reference/shading_language.html)
      * [Introduction](../../tutorials/shaders/shader_reference/shading_language.html#introduction)
      * [Data types](../../tutorials/shaders/shader_reference/shading_language.html#data-types)
      * [Arrays](../../tutorials/shaders/shader_reference/shading_language.html#arrays)
      * [Constants](../../tutorials/shaders/shader_reference/shading_language.html#constants)
      * [Structs](../../tutorials/shaders/shader_reference/shading_language.html#structs)
      * [Operators](../../tutorials/shaders/shader_reference/shading_language.html#operators)
      * [Flow control](../../tutorials/shaders/shader_reference/shading_language.html#flow-control)
      * [Discarding](../../tutorials/shaders/shader_reference/shading_language.html#discarding)
      * [Functions](../../tutorials/shaders/shader_reference/shading_language.html#functions)
      * [Varyings](../../tutorials/shaders/shader_reference/shading_language.html#varyings)
      * [Interpolation qualifiers](../../tutorials/shaders/shader_reference/shading_language.html#interpolation-qualifiers)
      * [Uniforms](../../tutorials/shaders/shader_reference/shading_language.html#uniforms)
      * [Built-in variables](../../tutorials/shaders/shader_reference/shading_language.html#built-in-variables)
      * [Built-in functions](../../tutorials/shaders/shader_reference/shading_language.html#built-in-functions)
    - [Built-in functions](../../tutorials/shaders/shader_reference/shader_functions.html)
      * [Trigonometric functions](../../tutorials/shaders/shader_reference/shader_functions.html#trigonometric-functions)
      * [Exponential and math functions](../../tutorials/shaders/shader_reference/shader_functions.html#exponential-and-math-functions)
      * [Geometric functions](../../tutorials/shaders/shader_reference/shader_functions.html#geometric-functions)
      * [Comparison functions](../../tutorials/shaders/shader_reference/shader_functions.html#comparison-functions)
      * [Texture functions](../../tutorials/shaders/shader_reference/shader_functions.html#texture-functions)
      * [Packing and unpacking functions](../../tutorials/shaders/shader_reference/shader_functions.html#packing-and-unpacking-functions)
      * [Bitwise functions](../../tutorials/shaders/shader_reference/shader_functions.html#bitwise-functions)
    - [Shader preprocessor](../../tutorials/shaders/shader_reference/shader_preprocessor.html)
      * [Why use a shader preprocessor?](../../tutorials/shaders/shader_reference/shader_preprocessor.html#why-use-a-shader-preprocessor)
      * [Directives](../../tutorials/shaders/shader_reference/shader_preprocessor.html#directives)
      * [Built-in defines](../../tutorials/shaders/shader_reference/shader_preprocessor.html#built-in-defines)
    - [Spatial shaders](../../tutorials/shaders/shader_reference/spatial_shader.html)
      * [Render modes](../../tutorials/shaders/shader_reference/spatial_shader.html#render-modes)
      * [Built-ins](../../tutorials/shaders/shader_reference/spatial_shader.html#built-ins)
      * [Global built-ins](../../tutorials/shaders/shader_reference/spatial_shader.html#global-built-ins)
      * [Vertex built-ins](../../tutorials/shaders/shader_reference/spatial_shader.html#vertex-built-ins)
      * [Fragment built-ins](../../tutorials/shaders/shader_reference/spatial_shader.html#fragment-built-ins)
      * [Light built-ins](../../tutorials/shaders/shader_reference/spatial_shader.html#light-built-ins)
    - [CanvasItem shaders](../../tutorials/shaders/shader_reference/canvas_item_shader.html)
      * [Render modes](../../tutorials/shaders/shader_reference/canvas_item_shader.html#render-modes)
      * [Built-ins](../../tutorials/shaders/shader_reference/canvas_item_shader.html#built-ins)
      * [Global built-ins](../../tutorials/shaders/shader_reference/canvas_item_shader.html#global-built-ins)
      * [Vertex built-ins](../../tutorials/shaders/shader_reference/canvas_item_shader.html#vertex-built-ins)
      * [Fragment built-ins](../../tutorials/shaders/shader_reference/canvas_item_shader.html#fragment-built-ins)
      * [Light built-ins](../../tutorials/shaders/shader_reference/canvas_item_shader.html#light-built-ins)
      * [SDF functions](../../tutorials/shaders/shader_reference/canvas_item_shader.html#sdf-functions)
    - [Particle shaders](../../tutorials/shaders/shader_reference/particle_shader.html)
      * [Render modes](../../tutorials/shaders/shader_reference/particle_shader.html#render-modes)
      * [Built-ins](../../tutorials/shaders/shader_reference/particle_shader.html#built-ins)
      * [Global built-ins](../../tutorials/shaders/shader_reference/particle_shader.html#global-built-ins)
      * [Start and Process built-ins](../../tutorials/shaders/shader_reference/particle_shader.html#start-and-process-built-ins)
      * [Start built-ins](../../tutorials/shaders/shader_reference/particle_shader.html#start-built-ins)
      * [Process built-ins](../../tutorials/shaders/shader_reference/particle_shader.html#process-built-ins)
      * [Process functions](../../tutorials/shaders/shader_reference/particle_shader.html#process-functions)
    - [Sky shaders](../../tutorials/shaders/shader_reference/sky_shader.html)
      * [Render modes](../../tutorials/shaders/shader_reference/sky_shader.html#render-modes)
      * [Built-ins](../../tutorials/shaders/shader_reference/sky_shader.html#built-ins)
      * [Global built-ins](../../tutorials/shaders/shader_reference/sky_shader.html#global-built-ins)
      * [Sky built-ins](../../tutorials/shaders/shader_reference/sky_shader.html#sky-built-ins)
    - [Fog shaders](../../tutorials/shaders/shader_reference/fog_shader.html)
      * [Built-ins](../../tutorials/shaders/shader_reference/fog_shader.html#built-ins)
      * [Global built-ins](../../tutorials/shaders/shader_reference/fog_shader.html#global-built-ins)
      * [Fog built-ins](../../tutorials/shaders/shader_reference/fog_shader.html#fog-built-ins)
  + [Your first shader](../../tutorials/shaders/your_first_shader/index.html)
    - [Your first 2D shader](../../tutorials/shaders/your_first_shader/your_first_2d_shader.html)
      * [Introduction](../../tutorials/shaders/your_first_shader/your_first_2d_shader.html#introduction)
      * [Setup](../../tutorials/shaders/your_first_shader/your_first_2d_shader.html#setup)
      * [Your first CanvasItem shader](../../tutorials/shaders/your_first_shader/your_first_2d_shader.html#your-first-canvasitem-shader)
      * [Your first fragment function](../../tutorials/shaders/your_first_shader/your_first_2d_shader.html#your-first-fragment-function)
      * [Your first vertex function](../../tutorials/shaders/your_first_shader/your_first_2d_shader.html#your-first-vertex-function)
      * [Conclusion](../../tutorials/shaders/your_first_shader/your_first_2d_shader.html#conclusion)
    - [Your first 3D shader](../../tutorials/shaders/your_first_shader/your_first_3d_shader.html)
      * [Where to assign my material](../../tutorials/shaders/your_first_shader/your_first_3d_shader.html#where-to-assign-my-material)
      * [Setting up](../../tutorials/shaders/your_first_shader/your_first_3d_shader.html#setting-up)
      * [Shader magic](../../tutorials/shaders/your_first_shader/your_first_3d_shader.html#shader-magic)
      * [Noise heightmap](../../tutorials/shaders/your_first_shader/your_first_3d_shader.html#noise-heightmap)
      * [Uniforms](../../tutorials/shaders/your_first_shader/your_first_3d_shader.html#uniforms)
      * [Interacting with light](../../tutorials/shaders/your_first_shader/your_first_3d_shader.html#interacting-with-light)
      * [Full code](../../tutorials/shaders/your_first_shader/your_first_3d_shader.html#full-code)
    - [Your second 3D shader](../../tutorials/shaders/your_first_shader/your_second_3d_shader.html)
      * [Your first spatial fragment function](../../tutorials/shaders/your_first_shader/your_second_3d_shader.html#your-first-spatial-fragment-function)
      * [Animating with `TIME`](../../tutorials/shaders/your_first_shader/your_second_3d_shader.html#animating-with-time)
      * [Advanced effects: waves](../../tutorials/shaders/your_first_shader/your_second_3d_shader.html#advanced-effects-waves)
  + [Using VisualShaders](../../tutorials/shaders/visual_shaders.html)
    - [Creating a VisualShader](../../tutorials/shaders/visual_shaders.html#creating-a-visualshader)
    - [Using the Visual Shader Editor](../../tutorials/shaders/visual_shaders.html#using-the-visual-shader-editor)
    - [Visual Shader node interface](../../tutorials/shaders/visual_shaders.html#visual-shader-node-interface)
    - [Visual Shader nodes](../../tutorials/shaders/visual_shaders.html#visual-shader-nodes)
      * [Expression node](../../tutorials/shaders/visual_shaders.html#expression-node)
      * [Reroute node](../../tutorials/shaders/visual_shaders.html#reroute-node)
      * [Fresnel node](../../tutorials/shaders/visual_shaders.html#fresnel-node)
      * [Boolean node](../../tutorials/shaders/visual_shaders.html#boolean-node)
      * [If node](../../tutorials/shaders/visual_shaders.html#if-node)
      * [Switch node](../../tutorials/shaders/visual_shaders.html#switch-node)
      * [Mesh Emitter](../../tutorials/shaders/visual_shaders.html#mesh-emitter)
  + [Using compute shaders](../../tutorials/shaders/compute_shaders.html)
    - [Create a local RenderingDevice](../../tutorials/shaders/compute_shaders.html#create-a-local-renderingdevice)
    - [Provide input data](../../tutorials/shaders/compute_shaders.html#provide-input-data)
    - [Defining a compute pipeline](../../tutorials/shaders/compute_shaders.html#defining-a-compute-pipeline)
    - [Execute a compute shader](../../tutorials/shaders/compute_shaders.html#execute-a-compute-shader)
    - [Retrieving results](../../tutorials/shaders/compute_shaders.html#retrieving-results)
    - [Freeing memory](../../tutorials/shaders/compute_shaders.html#freeing-memory)
  + [Screen-reading shaders](../../tutorials/shaders/screen-reading_shaders.html)
    - [Introduction](../../tutorials/shaders/screen-reading_shaders.html#introduction)
    - [Screen texture](../../tutorials/shaders/screen-reading_shaders.html#screen-texture)
    - [Screen texture example](../../tutorials/shaders/screen-reading_shaders.html#screen-texture-example)
    - [Behind the scenes](../../tutorials/shaders/screen-reading_shaders.html#behind-the-scenes)
    - [Back-buffer logic](../../tutorials/shaders/screen-reading_shaders.html#back-buffer-logic)
    - [Depth texture](../../tutorials/shaders/screen-reading_shaders.html#depth-texture)
    - [Normal-roughness texture](../../tutorials/shaders/screen-reading_shaders.html#normal-roughness-texture)
    - [Redefining screen textures](../../tutorials/shaders/screen-reading_shaders.html#redefining-screen-textures)
  + [Converting GLSL to Godot shaders](../../tutorials/shaders/converting_glsl_to_godot_shaders.html)
    - [GLSL](../../tutorials/shaders/converting_glsl_to_godot_shaders.html#glsl)
      * [Shader programs](../../tutorials/shaders/converting_glsl_to_godot_shaders.html#shader-programs)
      * [Vertex attributes](../../tutorials/shaders/converting_glsl_to_godot_shaders.html#vertex-attributes)
      * [gl\_Position](../../tutorials/shaders/converting_glsl_to_godot_shaders.html#gl-position)
      * [Varyings](../../tutorials/shaders/converting_glsl_to_godot_shaders.html#varyings)
      * [Main](../../tutorials/shaders/converting_glsl_to_godot_shaders.html#main)
      * [Macros](../../tutorials/shaders/converting_glsl_to_godot_shaders.html#macros)
      * [Variables](../../tutorials/shaders/converting_glsl_to_godot_shaders.html#variables)
      * [Coordinates](../../tutorials/shaders/converting_glsl_to_godot_shaders.html#coordinates)
      * [Precision](../../tutorials/shaders/converting_glsl_to_godot_shaders.html#precision)
    - [Shadertoy](../../tutorials/shaders/converting_glsl_to_godot_shaders.html#shadertoy)
      * [Types](../../tutorials/shaders/converting_glsl_to_godot_shaders.html#types)
      * [mainImage](../../tutorials/shaders/converting_glsl_to_godot_shaders.html#mainimage)
      * [Variables](../../tutorials/shaders/converting_glsl_to_godot_shaders.html#id2)
      * [Coordinates](../../tutorials/shaders/converting_glsl_to_godot_shaders.html#id3)
    - [The Book of Shaders](../../tutorials/shaders/converting_glsl_to_godot_shaders.html#the-book-of-shaders)
      * [Types](../../tutorials/shaders/converting_glsl_to_godot_shaders.html#id5)
      * [Main](../../tutorials/shaders/converting_glsl_to_godot_shaders.html#id6)
      * [Variables](../../tutorials/shaders/converting_glsl_to_godot_shaders.html#id7)
      * [Coordinates](../../tutorials/shaders/converting_glsl_to_godot_shaders.html#id8)
  + [Shaders style guide](../../tutorials/shaders/shaders_style_guide.html)
    - [Formatting](../../tutorials/shaders/shaders_style_guide.html#formatting)
      * [Encoding and special characters](../../tutorials/shaders/shaders_style_guide.html#encoding-and-special-characters)
      * [Indentation](../../tutorials/shaders/shaders_style_guide.html#indentation)
      * [Line breaks and blank lines](../../tutorials/shaders/shaders_style_guide.html#line-breaks-and-blank-lines)
      * [Blank lines](../../tutorials/shaders/shaders_style_guide.html#blank-lines)
      * [Line length](../../tutorials/shaders/shaders_style_guide.html#line-length)
      * [One statement per line](../../tutorials/shaders/shaders_style_guide.html#one-statement-per-line)
      * [Comment spacing](../../tutorials/shaders/shaders_style_guide.html#comment-spacing)
      * [Documentation comments](../../tutorials/shaders/shaders_style_guide.html#documentation-comments)
      * [Whitespace](../../tutorials/shaders/shaders_style_guide.html#whitespace)
      * [Floating-point numbers](../../tutorials/shaders/shaders_style_guide.html#floating-point-numbers)
    - [Accessing vector members](../../tutorials/shaders/shaders_style_guide.html#accessing-vector-members)
    - [Naming conventions](../../tutorials/shaders/shaders_style_guide.html#naming-conventions)
      * [Functions and variables](../../tutorials/shaders/shaders_style_guide.html#functions-and-variables)
      * [Constants](../../tutorials/shaders/shaders_style_guide.html#constants)
      * [Preprocessor directives](../../tutorials/shaders/shaders_style_guide.html#preprocessor-directives)
    - [Code order](../../tutorials/shaders/shaders_style_guide.html#code-order)
      * [Local variables](../../tutorials/shaders/shaders_style_guide.html#local-variables)
  + [Using a SubViewport as a texture](../../tutorials/shaders/using_viewport_as_texture.html)
    - [Introduction](../../tutorials/shaders/using_viewport_as_texture.html#introduction)
    - [Setting up the scene](../../tutorials/shaders/using_viewport_as_texture.html#setting-up-the-scene)
    - [Setting up the SubViewport](../../tutorials/shaders/using_viewport_as_texture.html#setting-up-the-subviewport)
    - [Applying the texture](../../tutorials/shaders/using_viewport_as_texture.html#applying-the-texture)
    - [Making the planet texture](../../tutorials/shaders/using_viewport_as_texture.html#making-the-planet-texture)
    - [Coloring the planet](../../tutorials/shaders/using_viewport_as_texture.html#coloring-the-planet)
    - [Making an ocean](../../tutorials/shaders/using_viewport_as_texture.html#making-an-ocean)
  + [Custom post-processing](../../tutorials/shaders/custom_postprocessing.html)
    - [Introduction](../../tutorials/shaders/custom_postprocessing.html#introduction)
    - [Single pass post-processing](../../tutorials/shaders/custom_postprocessing.html#single-pass-post-processing)
    - [Multi-pass post-processing](../../tutorials/shaders/custom_postprocessing.html#multi-pass-post-processing)
  + [Advanced post-processing](../../tutorials/shaders/advanced_postprocessing.html)
    - [Introduction](../../tutorials/shaders/advanced_postprocessing.html#introduction)
    - [Full screen quad](../../tutorials/shaders/advanced_postprocessing.html#full-screen-quad)
    - [Depth texture](../../tutorials/shaders/advanced_postprocessing.html#depth-texture)
    - [Example shader](../../tutorials/shaders/advanced_postprocessing.html#example-shader)
    - [An optimization](../../tutorials/shaders/advanced_postprocessing.html#an-optimization)
  + [Making trees](../../tutorials/shaders/making_trees.html)
    - [Start with a tree](../../tutorials/shaders/making_trees.html#start-with-a-tree)
    - [Paint with vertex colors](../../tutorials/shaders/making_trees.html#paint-with-vertex-colors)
    - [Write a custom shader for the leaves](../../tutorials/shaders/making_trees.html#write-a-custom-shader-for-the-leaves)
    - [Improving the shader](../../tutorials/shaders/making_trees.html#improving-the-shader)
* [User interface (UI)](../../tutorials/ui/index.html)
  + [UI building blocks](../../tutorials/ui/index.html#ui-building-blocks)
    - [Size and anchors](../../tutorials/ui/size_and_anchors.html)
      * [Centering a control](../../tutorials/ui/size_and_anchors.html#centering-a-control)
      * [Anchor Presets](../../tutorials/ui/size_and_anchors.html#anchor-presets)
    - [Using Containers](../../tutorials/ui/gui_containers.html)
      * [Container layout](../../tutorials/ui/gui_containers.html#container-layout)
      * [Sizing options](../../tutorials/ui/gui_containers.html#sizing-options)
      * [Container types](../../tutorials/ui/gui_containers.html#container-types)
      * [Creating custom Containers](../../tutorials/ui/gui_containers.html#creating-custom-containers)
    - [Custom GUI controls](../../tutorials/ui/custom_gui_controls.html)
      * [So many controls...](../../tutorials/ui/custom_gui_controls.html#so-many-controls)
      * [Drawing](../../tutorials/ui/custom_gui_controls.html#drawing)
      * [Sizing](../../tutorials/ui/custom_gui_controls.html#sizing)
      * [Input](../../tutorials/ui/custom_gui_controls.html#input)
    - [Keyboard/Controller Navigation and Focus](../../tutorials/ui/gui_navigation.html)
      * [Node settings](../../tutorials/ui/gui_navigation.html#node-settings)
      * [Necessary code](../../tutorials/ui/gui_navigation.html#necessary-code)
    - [Control node gallery](../../tutorials/ui/control_node_gallery.html)
  + [GUI skinning and themes](../../tutorials/ui/index.html#gui-skinning-and-themes)
    - [Introduction to GUI skinning](../../tutorials/ui/gui_skinning.html)
      * [Basics of themes](../../tutorials/ui/gui_skinning.html#basics-of-themes)
      * [Customizing a control](../../tutorials/ui/gui_skinning.html#customizing-a-control)
      * [Customizing a project](../../tutorials/ui/gui_skinning.html#customizing-a-project)
      * [Beyond controls](../../tutorials/ui/gui_skinning.html#beyond-controls)
    - [Using the theme editor](../../tutorials/ui/gui_using_theme_editor.html)
      * [Creating a theme](../../tutorials/ui/gui_using_theme_editor.html#creating-a-theme)
      * [Theme editor overview](../../tutorials/ui/gui_using_theme_editor.html#theme-editor-overview)
      * [Manage and import items](../../tutorials/ui/gui_using_theme_editor.html#manage-and-import-items)
    - [Theme type variations](../../tutorials/ui/gui_theme_type_variations.html)
      * [Creating a type variation](../../tutorials/ui/gui_theme_type_variations.html#creating-a-type-variation)
      * [Using a type variation](../../tutorials/ui/gui_theme_type_variations.html#using-a-type-variation)
    - [Using Fonts](../../tutorials/ui/gui_using_fonts.html)
      * [Dynamic fonts](../../tutorials/ui/gui_using_fonts.html#dynamic-fonts)
      * [Bitmap fonts](../../tutorials/ui/gui_using_fonts.html#bitmap-fonts)
      * [Loading a font file](../../tutorials/ui/gui_using_fonts.html#loading-a-font-file)
      * [Font outlines and shadows](../../tutorials/ui/gui_using_fonts.html#font-outlines-and-shadows)
      * [Advanced font features](../../tutorials/ui/gui_using_fonts.html#advanced-font-features)
  + [Control node tutorials](../../tutorials/ui/index.html#control-node-tutorials)
    - [BBCode in RichTextLabel](../../tutorials/ui/bbcode_in_richtextlabel.html)
      * [Introduction](../../tutorials/ui/bbcode_in_richtextlabel.html#introduction)
      * [Using BBCode](../../tutorials/ui/bbcode_in_richtextlabel.html#using-bbcode)
      * [Handling user input safely](../../tutorials/ui/bbcode_in_richtextlabel.html#handling-user-input-safely)
      * [Stripping BBCode tags](../../tutorials/ui/bbcode_in_richtextlabel.html#stripping-bbcode-tags)
      * [Performance](../../tutorials/ui/bbcode_in_richtextlabel.html#performance)
      * [Using push\_[tag]() and pop() functions instead of BBCode](../../tutorials/ui/bbcode_in_richtextlabel.html#using-push-tag-and-pop-functions-instead-of-bbcode)
      * [Reference](../../tutorials/ui/bbcode_in_richtextlabel.html#reference)
      * [Text effects](../../tutorials/ui/bbcode_in_richtextlabel.html#text-effects)
      * [Custom BBCode tags and text effects](../../tutorials/ui/bbcode_in_richtextlabel.html#custom-bbcode-tags-and-text-effects)
* [XR](../../tutorials/xr/index.html)
  + [Basic Tutorial](../../tutorials/xr/index.html#basic-tutorial)
    - [Setting up XR](../../tutorials/xr/setting_up_xr.html)
      * [Introduction to the XR system in Godot](../../tutorials/xr/setting_up_xr.html#introduction-to-the-xr-system-in-godot)
      * [Which Renderer to use](../../tutorials/xr/setting_up_xr.html#which-renderer-to-use)
      * [OpenXR](../../tutorials/xr/setting_up_xr.html#openxr)
      * [Setting up the XR scene](../../tutorials/xr/setting_up_xr.html#setting-up-the-xr-scene)
    - [Deploying to Android](../../tutorials/xr/deploying_to_android.html)
      * [Setup](../../tutorials/xr/deploying_to_android.html#setup)
      * [Gradle Android build](../../tutorials/xr/deploying_to_android.html#gradle-android-build)
      * [Installing the vendors plugin](../../tutorials/xr/deploying_to_android.html#installing-the-vendors-plugin)
      * [Creating the export presets](../../tutorials/xr/deploying_to_android.html#creating-the-export-presets)
      * [Running on your device from the Godot editor](../../tutorials/xr/deploying_to_android.html#running-on-your-device-from-the-godot-editor)
    - [A better XR start script](../../tutorials/xr/a_better_xr_start_script.html)
      * [Signals for our script](../../tutorials/xr/a_better_xr_start_script.html#signals-for-our-script)
      * [Variables for our script](../../tutorials/xr/a_better_xr_start_script.html#variables-for-our-script)
      * [Our updated ready function](../../tutorials/xr/a_better_xr_start_script.html#our-updated-ready-function)
      * [On session begun](../../tutorials/xr/a_better_xr_start_script.html#on-session-begun)
      * [On visible state](../../tutorials/xr/a_better_xr_start_script.html#on-visible-state)
      * [On focussed state](../../tutorials/xr/a_better_xr_start_script.html#on-focussed-state)
      * [On stopping state](../../tutorials/xr/a_better_xr_start_script.html#on-stopping-state)
      * [On pose recentered](../../tutorials/xr/a_better_xr_start_script.html#on-pose-recentered)
    - [AR / Passthrough](../../tutorials/xr/ar_passthrough.html)
      * [Environment blend modes](../../tutorials/xr/ar_passthrough.html#environment-blend-modes)
      * [Configuring your background](../../tutorials/xr/ar_passthrough.html#configuring-your-background)
      * [OpenXR specific](../../tutorials/xr/ar_passthrough.html#openxr-specific)
      * [Putting it together](../../tutorials/xr/ar_passthrough.html#putting-it-together)
      * [Shadow to opacity](../../tutorials/xr/ar_passthrough.html#shadow-to-opacity)
    - [Where to go from here](../../tutorials/xr/xr_next_steps.html)
      * [XR Toolkits](../../tutorials/xr/xr_next_steps.html#xr-toolkits)
  + [Advanced topics](../../tutorials/xr/index.html#advanced-topics)
    - [OpenXR Settings](../../tutorials/xr/openxr_settings.html)
      * [General settings](../../tutorials/xr/openxr_settings.html#general-settings)
      * [Extensions](../../tutorials/xr/openxr_settings.html#extensions)
      * [Binding Modifiers](../../tutorials/xr/openxr_settings.html#binding-modifiers)
    - [The XR action map](../../tutorials/xr/xr_action_map.html)
      * [The default action map](../../tutorials/xr/xr_action_map.html#the-default-action-map)
      * [Action sets](../../tutorials/xr/xr_action_map.html#action-sets)
      * [Actions](../../tutorials/xr/xr_action_map.html#actions)
      * [Profiles](../../tutorials/xr/xr_action_map.html#profiles)
      * [Our first controller binding](../../tutorials/xr/xr_action_map.html#our-first-controller-binding)
      * [The simple controller](../../tutorials/xr/xr_action_map.html#the-simple-controller)
      * [Binding Modifiers](../../tutorials/xr/xr_action_map.html#binding-modifiers)
    - [Room scale in XR](../../tutorials/xr/xr_room_scale.html)
      * [Origin centric solution](../../tutorials/xr/xr_room_scale.html#origin-centric-solution)
      * [Step 1](../../tutorials/xr/xr_room_scale.html#step-1)
      * [Step 2](../../tutorials/xr/xr_room_scale.html#step-2)
      * [Step 3](../../tutorials/xr/xr_room_scale.html#step-3)
      * [Character body centric solution](../../tutorials/xr/xr_room_scale.html#character-body-centric-solution)
      * [Step 1](../../tutorials/xr/xr_room_scale.html#id1)
      * [Step 2](../../tutorials/xr/xr_room_scale.html#id2)
      * [Step 3](../../tutorials/xr/xr_room_scale.html#id3)
      * [When the player walks to somewhere they shouldn't](../../tutorials/xr/xr_room_scale.html#when-the-player-walks-to-somewhere-they-shouldn-t)
      * [Further suggestions for improvements](../../tutorials/xr/xr_room_scale.html#further-suggestions-for-improvements)
    - [XR full screen effects](../../tutorials/xr/xr_full_screen_effects.html)
      * [Applying the projection matrix](../../tutorials/xr/xr_full_screen_effects.html#applying-the-projection-matrix)
      * [Limitations](../../tutorials/xr/xr_full_screen_effects.html#limitations)
    - [OpenXR composition layers](../../tutorials/xr/openxr_composition_layers.html)
      * [Introduction](../../tutorials/xr/openxr_composition_layers.html#introduction)
      * [Setting up the SubViewport](../../tutorials/xr/openxr_composition_layers.html#setting-up-the-subviewport)
      * [Adding a composition layer](../../tutorials/xr/openxr_composition_layers.html#adding-a-composition-layer)
      * [Making the interface work](../../tutorials/xr/openxr_composition_layers.html#making-the-interface-work)
      * [Hole punching](../../tutorials/xr/openxr_composition_layers.html#hole-punching)
    - [OpenXR hand tracking](../../tutorials/xr/openxr_hand_tracking.html)
      * [Introduction](../../tutorials/xr/openxr_hand_tracking.html#introduction)
      * [Demo project](../../tutorials/xr/openxr_hand_tracking.html#demo-project)
      * [The Hand Tracking API](../../tutorials/xr/openxr_hand_tracking.html#the-hand-tracking-api)
      * [The hand tracking data source](../../tutorials/xr/openxr_hand_tracking.html#the-hand-tracking-data-source)
      * [Handling user input](../../tutorials/xr/openxr_hand_tracking.html#handling-user-input)
    - [OpenXR body tracking](../../tutorials/xr/openxr_body_tracking.html)
      * [HTC Tracker support](../../tutorials/xr/openxr_body_tracking.html#htc-tracker-support)
  + [Godot XR Tools](../../tutorials/xr/index.html#godot-xr-tools)
    - [Introducing XR tools](../../tutorials/xr/introducing_xr_tools.html)
      * [Installing XR Tools](../../tutorials/xr/introducing_xr_tools.html#installing-xr-tools)
      * [Basic hands](../../tutorials/xr/introducing_xr_tools.html#basic-hands)
      * [More information](../../tutorials/xr/introducing_xr_tools.html#more-information)
    - [Basic XR Locomotion](../../tutorials/xr/basic_xr_locomotion.html)
      * [Adding our player body](../../tutorials/xr/basic_xr_locomotion.html#adding-our-player-body)
      * [Adding a floor](../../tutorials/xr/basic_xr_locomotion.html#adding-a-floor)
      * [Direct movement](../../tutorials/xr/basic_xr_locomotion.html#direct-movement)
      * [Teleport](../../tutorials/xr/basic_xr_locomotion.html#teleport)
      * [More advanced movement features](../../tutorials/xr/basic_xr_locomotion.html#more-advanced-movement-features)

Contributing

* [How to contribute](../../contributing/how_to_contribute.html)
  + [Fundraising](../../contributing/how_to_contribute.html#fundraising)
  + [Technical contributions](../../contributing/how_to_contribute.html#technical-contributions)
  + [Community support](../../contributing/how_to_contribute.html#community-support)
* [Contribution workflow](../../contributing/workflow/index.html)
  + [Contributing code](../../contributing/workflow/first_steps.html)
  + [Testing and reporting issues](../../contributing/workflow/first_steps.html#testing-and-reporting-issues)
    - [Testing development versions](../../contributing/workflow/first_steps.html#testing-development-versions)
    - [Filing an issue on GitHub](../../contributing/workflow/first_steps.html#filing-an-issue-on-github)
  + [Contributing to the documentation](../../contributing/workflow/first_steps.html#contributing-to-the-documentation)
  + [Contributing translations](../../contributing/workflow/first_steps.html#contributing-translations)
  + [Bisecting regressions](../../contributing/workflow/bisecting_regressions.html)
    - [What is bisecting?](../../contributing/workflow/bisecting_regressions.html#what-is-bisecting)
    - [Using official builds to speed up bisecting](../../contributing/workflow/bisecting_regressions.html#using-official-builds-to-speed-up-bisecting)
    - [The Git bisect command](../../contributing/workflow/bisecting_regressions.html#the-git-bisect-command)
      * [Determine the commit hashes](../../contributing/workflow/bisecting_regressions.html#determine-the-commit-hashes)
      * [Build the engine](../../contributing/workflow/bisecting_regressions.html#build-the-engine)
      * [Run the engine](../../contributing/workflow/bisecting_regressions.html#run-the-engine)
  + [Bug triage guidelines](../../contributing/workflow/bug_triage_guidelines.html)
    - [Issues management](../../contributing/workflow/bug_triage_guidelines.html#issues-management)
      * [Labels](../../contributing/workflow/bug_triage_guidelines.html#labels)
      * [Documentation labels](../../contributing/workflow/bug_triage_guidelines.html#documentation-labels)
      * [Milestones](../../contributing/workflow/bug_triage_guidelines.html#milestones)
  + [Pull request workflow](../../contributing/workflow/pr_workflow.html)
    - [Git source repository](../../contributing/workflow/pr_workflow.html#git-source-repository)
    - [Forking and cloning](../../contributing/workflow/pr_workflow.html#forking-and-cloning)
    - [Branching](../../contributing/workflow/pr_workflow.html#branching)
    - [Updating your branch](../../contributing/workflow/pr_workflow.html#updating-your-branch)
    - [Making changes](../../contributing/workflow/pr_workflow.html#making-changes)
    - [Pushing changes to a remote](../../contributing/workflow/pr_workflow.html#pushing-changes-to-a-remote)
    - [Issuing a pull request](../../contributing/workflow/pr_workflow.html#issuing-a-pull-request)
    - [Modifying a pull request](../../contributing/workflow/pr_workflow.html#modifying-a-pull-request)
    - [The interactive rebase](../../contributing/workflow/pr_workflow.html#the-interactive-rebase)
    - [Rebasing onto another branch](../../contributing/workflow/pr_workflow.html#rebasing-onto-another-branch)
    - [Deleting a Git branch](../../contributing/workflow/pr_workflow.html#deleting-a-git-branch)
  + [Pull request review process](../../contributing/workflow/pr_review_guidelines.html)
    - [Code review and testing](../../contributing/workflow/pr_review_guidelines.html#code-review-and-testing)
      * [1. Confirm that the problem exists](../../contributing/workflow/pr_review_guidelines.html#confirm-that-the-problem-exists)
      * [2. Test the PR and look for regressions](../../contributing/workflow/pr_review_guidelines.html#test-the-pr-and-look-for-regressions)
      * [3. Do a code review](../../contributing/workflow/pr_review_guidelines.html#do-a-code-review)
      * [4. Iterate with the contributor and improve the PR](../../contributing/workflow/pr_review_guidelines.html#iterate-with-the-contributor-and-improve-the-pr)
      * [5. Approve the pull request](../../contributing/workflow/pr_review_guidelines.html#approve-the-pull-request)
    - [Code style review](../../contributing/workflow/pr_review_guidelines.html#code-style-review)
    - [Merging pull requests](../../contributing/workflow/pr_review_guidelines.html#merging-pull-requests)
      * [1. Get feedback from the right people/teams](../../contributing/workflow/pr_review_guidelines.html#get-feedback-from-the-right-people-teams)
      * [2. Get feedback from the community](../../contributing/workflow/pr_review_guidelines.html#get-feedback-from-the-community)
      * [3. Git checklist](../../contributing/workflow/pr_review_guidelines.html#git-checklist)
      * [4. GitHub checklist](../../contributing/workflow/pr_review_guidelines.html#github-checklist)
      * [5. Merge the pull request](../../contributing/workflow/pr_review_guidelines.html#merge-the-pull-request)
  + [Testing pull requests](../../contributing/workflow/testing_pull_requests.html)
    - [Downloading a compiled build](../../contributing/workflow/testing_pull_requests.html#downloading-a-compiled-build)
      * [If you have a GitHub account](../../contributing/workflow/testing_pull_requests.html#if-you-have-a-github-account)
      * [If you don't have a GitHub account](../../contributing/workflow/testing_pull_requests.html#if-you-don-t-have-a-github-account)
    - [Compiling a pull request branch from source](../../contributing/workflow/testing_pull_requests.html#compiling-a-pull-request-branch-from-source)
      * [Downloading a zipped pull request branch](../../contributing/workflow/testing_pull_requests.html#downloading-a-zipped-pull-request-branch)
      * [Checking out a pull request branch with git](../../contributing/workflow/testing_pull_requests.html#checking-out-a-pull-request-branch-with-git)
* [Engine development](../../contributing/development/index.html)
  + [Best practices for engine contributors](../../contributing/development/best_practices_for_engine_contributors.html)
    - [Introduction](../../contributing/development/best_practices_for_engine_contributors.html#introduction)
    - [Language](../../contributing/development/best_practices_for_engine_contributors.html#language)
    - [Best Practices](../../contributing/development/best_practices_for_engine_contributors.html#best-practices)
      * [#1: The problem always comes first](../../contributing/development/best_practices_for_engine_contributors.html#the-problem-always-comes-first)
      * [#2: To solve the problem, it has to exist in the first place](../../contributing/development/best_practices_for_engine_contributors.html#to-solve-the-problem-it-has-to-exist-in-the-first-place)
      * [#3: The problem has to be complex or frequent](../../contributing/development/best_practices_for_engine_contributors.html#the-problem-has-to-be-complex-or-frequent)
      * [#4: The solution must be discussed with others](../../contributing/development/best_practices_for_engine_contributors.html#the-solution-must-be-discussed-with-others)
      * [#5: To each problem, its own solution](../../contributing/development/best_practices_for_engine_contributors.html#to-each-problem-its-own-solution)
      * [#6: Cater to common use cases, leave the door open for the rare ones](../../contributing/development/best_practices_for_engine_contributors.html#cater-to-common-use-cases-leave-the-door-open-for-the-rare-ones)
      * [#7: Prefer local solutions](../../contributing/development/best_practices_for_engine_contributors.html#prefer-local-solutions)
      * [#8: Don't use complex canned solutions for simple problems](../../contributing/development/best_practices_for_engine_contributors.html#don-t-use-complex-canned-solutions-for-simple-problems)
  + [Code style guidelines](../../contributing/development/code_style_guidelines.html)
    - [C++ and Objective-C](../../contributing/development/code_style_guidelines.html#c-and-objective-c)
      * [Using clang-format locally](../../contributing/development/code_style_guidelines.html#using-clang-format-locally)
      * [Header includes](../../contributing/development/code_style_guidelines.html#header-includes)
    - [Java](../../contributing/development/code_style_guidelines.html#java)
    - [Python](../../contributing/development/code_style_guidelines.html#python)
      * [Using ruff locally](../../contributing/development/code_style_guidelines.html#using-ruff-locally)
      * [Pre-commit hook](../../contributing/development/code_style_guidelines.html#id3)
    - [Comment style guide](../../contributing/development/code_style_guidelines.html#comment-style-guide)
  + [C++ usage guidelines](../../contributing/development/cpp_usage_guidelines.html)
    - [Rationale](../../contributing/development/cpp_usage_guidelines.html#rationale)
    - [Disallowed features](../../contributing/development/cpp_usage_guidelines.html#disallowed-features)
      * [Standard Template Library](../../contributing/development/cpp_usage_guidelines.html#standard-template-library)
      * [`auto` keyword](../../contributing/development/cpp_usage_guidelines.html#auto-keyword)
      * [Lambdas](../../contributing/development/cpp_usage_guidelines.html#lambdas)
      * [`#pragma once` directive](../../contributing/development/cpp_usage_guidelines.html#pragma-once-directive)
      * [`try`-`catch` blocks](../../contributing/development/cpp_usage_guidelines.html#try-catch-blocks)
  + [Handling compatibility breakages](../../contributing/development/handling_compatibility_breakages.html)
    - [A practical example](../../contributing/development/handling_compatibility_breakages.html#a-practical-example)
  + [Buildsystem and work environment](../../contributing/development/index.html#buildsystem-and-work-environment)
    - [Configuring an IDE](../../contributing/development/configuring_an_ide/index.html)
      * [Android Studio](../../contributing/development/configuring_an_ide/android_studio.html)
      * [CLion](../../contributing/development/configuring_an_ide/clion.html)
      * [Code::Blocks](../../contributing/development/configuring_an_ide/code_blocks.html)
      * [KDevelop](../../contributing/development/configuring_an_ide/kdevelop.html)
      * [Qt Creator](../../contributing/development/configuring_an_ide/qt_creator.html)
      * [JetBrains Rider](../../contributing/development/configuring_an_ide/rider.html)
      * [Visual Studio](../../contributing/development/configuring_an_ide/visual_studio.html)
      * [Visual Studio Code](../../contributing/development/configuring_an_ide/visual_studio_code.html)
      * [Xcode](../../contributing/development/configuring_an_ide/xcode.html)
    - [Building from source](../../contributing/development/compiling/index.html)
      * [Getting the source](../../contributing/development/compiling/getting_source.html)
      * [Introduction to the buildsystem](../../contributing/development/compiling/introduction_to_the_buildsystem.html)
      * [Compiling for Windows](../../contributing/development/compiling/compiling_for_windows.html)
      * [Compiling for Linux, \*BSD](../../contributing/development/compiling/compiling_for_linuxbsd.html)
      * [Compiling for macOS](../../contributing/development/compiling/compiling_for_macos.html)
      * [Compiling for Android](../../contributing/development/compiling/compiling_for_android.html)
      * [Compiling for iOS](../../contributing/development/compiling/compiling_for_ios.html)
      * [Cross-compiling for iOS on Linux](../../contributing/development/compiling/cross-compiling_for_ios_on_linux.html)
      * [Compiling for the Web](../../contributing/development/compiling/compiling_for_web.html)
      * [Compiling with .NET](../../contributing/development/compiling/compiling_with_dotnet.html)
      * [Compiling with PCK encryption key](../../contributing/development/compiling/compiling_with_script_encryption_key.html)
      * [Optimizing a build for size](../../contributing/development/compiling/optimizing_for_size.html)
    - [Debugging and profiling](../../contributing/development/debugging/index.html)
      * [Using C++ profilers](../../contributing/development/debugging/using_cpp_profilers.html)
      * [Using sanitizers](../../contributing/development/debugging/using_sanitizers.html)
      * [Debugging on macOS](../../contributing/development/debugging/macos_debug.html)
      * [Vulkan](../../contributing/development/debugging/vulkan/index.html)
      * [Debugging the editor](../../contributing/development/debugging/index.html#debugging-the-editor)
  + [Engine architecture](../../contributing/development/index.html#engine-architecture)
    - [Engine core and modules](../../contributing/development/core_and_modules/index.html)
      * [Godot's architecture diagram](../../contributing/development/core_and_modules/godot_architecture_diagram.html)
      * [Common engine methods and macros](../../contributing/development/core_and_modules/common_engine_methods_and_macros.html)
      * [Core types](../../contributing/development/core_and_modules/core_types.html)
      * [Variant class](../../contributing/development/core_and_modules/variant_class.html)
      * [Object class](../../contributing/development/core_and_modules/object_class.html)
      * [Inheritance class tree](../../contributing/development/core_and_modules/inheritance_class_tree.html)
      * [Internal rendering architecture](../../contributing/development/core_and_modules/internal_rendering_architecture.html)
      * [2D coordinate systems and 2D transforms](../../contributing/development/core_and_modules/2d_coordinate_systems.html)
      * [Scripting development](../../contributing/development/core_and_modules/scripting_development.html)
      * [Custom modules in C++](../../contributing/development/core_and_modules/custom_modules_in_cpp.html)
      * [Binding to external libraries](../../contributing/development/core_and_modules/binding_to_external_libraries.html)
      * [Custom Godot servers](../../contributing/development/core_and_modules/custom_godot_servers.html)
      * [Custom resource format loaders](../../contributing/development/core_and_modules/custom_resource_format_loaders.html)
      * [Custom AudioStreams](../../contributing/development/core_and_modules/custom_audiostreams.html)
      * [Custom platform ports](../../contributing/development/core_and_modules/custom_platform_ports.html)
      * [Unit testing](../../contributing/development/core_and_modules/unit_testing.html)
    - [Godot file formats](../../contributing/development/file_formats/index.html)
      * [GDScript grammar](../../contributing/development/file_formats/gdscript_grammar.html)
      * [TSCN file format](../../contributing/development/file_formats/tscn.html)
    - [Editor development](../../contributing/development/editor/index.html)
      * [Introduction to editor development](../../contributing/development/editor/introduction_to_editor_development.html)
      * [Editor icons](../../contributing/development/editor/creating_icons.html)
      * [Editor style guide](../../contributing/development/editor/editor_style_guide.html)
* [Writing documentation](../../contributing/documentation/index.html)
  + [Guidelines](../../contributing/documentation/index.html#guidelines)
    - [Content guidelines](../../contributing/documentation/content_guidelines.html)
      * [Guidelines and principles](../../contributing/documentation/content_guidelines.html#guidelines-and-principles)
    - [Writing guidelines](../../contributing/documentation/docs_writing_guidelines.html)
      * [7 rules for clear English](../../contributing/documentation/docs_writing_guidelines.html#rules-for-clear-english)
      * [How to write methods and classes](../../contributing/documentation/docs_writing_guidelines.html#how-to-write-methods-and-classes)
      * [Common vocabulary to use in Godot's documentation](../../contributing/documentation/docs_writing_guidelines.html#common-vocabulary-to-use-in-godot-s-documentation)
      * [Keyboard shortcut guidelines](../../contributing/documentation/docs_writing_guidelines.html#keyboard-shortcut-guidelines)
      * [Manual style guidelines](../../contributing/documentation/docs_writing_guidelines.html#manual-style-guidelines)
      * [When to refer to a specific Godot version](../../contributing/documentation/docs_writing_guidelines.html#when-to-refer-to-a-specific-godot-version)
    - [Creating documentation images and videos](../../contributing/documentation/docs_image_guidelines.html)
      * [Images](../../contributing/documentation/docs_image_guidelines.html#images)
      * [Videos](../../contributing/documentation/docs_image_guidelines.html#videos)
      * [Adding a video to a documentation page](../../contributing/documentation/docs_image_guidelines.html#adding-a-video-to-a-documentation-page)
    - [Documentation contribution checklist](../../contributing/documentation/docs_contribution_checklist.html)
      * [Writing style](../../contributing/documentation/docs_contribution_checklist.html#writing-style)
      * [Code examples](../../contributing/documentation/docs_contribution_checklist.html#code-examples)
      * [Manual style and formatting](../../contributing/documentation/docs_contribution_checklist.html#manual-style-and-formatting)
      * [Images and videos](../../contributing/documentation/docs_contribution_checklist.html#images-and-videos)
      * [GitHub](../../contributing/documentation/docs_contribution_checklist.html#github)
  + [Writing the manual](../../contributing/documentation/index.html#writing-the-manual)
    - [Contributing to the documentation](../../contributing/documentation/contributing_to_the_documentation.html)
      * [Getting started](../../contributing/documentation/contributing_to_the_documentation.html#getting-started)
      * [What is the Godot documentation](../../contributing/documentation/contributing_to_the_documentation.html#what-is-the-godot-documentation)
      * [Contributing changes](../../contributing/documentation/contributing_to_the_documentation.html#contributing-changes)
      * [Editing pages online](../../contributing/documentation/contributing_to_the_documentation.html#editing-pages-online)
      * [Adding new pages](../../contributing/documentation/contributing_to_the_documentation.html#adding-new-pages)
      * [License](../../contributing/documentation/contributing_to_the_documentation.html#license)
    - [Building the manual with Sphinx](../../contributing/documentation/building_the_manual.html)
      * [Dealing with errors](../../contributing/documentation/building_the_manual.html#dealing-with-errors)
      * [Hints for performance](../../contributing/documentation/building_the_manual.html#hints-for-performance)
  + [Class reference guides](../../contributing/documentation/index.html#class-reference-guides)
    - [Contributing to the class reference](../../contributing/documentation/updating_the_class_reference.html)
      * [The source of the class reference](../../contributing/documentation/updating_the_class_reference.html#the-source-of-the-class-reference)
      * [What to contribute](../../contributing/documentation/updating_the_class_reference.html#what-to-contribute)
      * [Updating class reference when working on the engine](../../contributing/documentation/updating_the_class_reference.html#updating-class-reference-when-working-on-the-engine)
    - [Class reference primer](../../contributing/documentation/class_reference_primer.html)
      * [How to edit class XML](../../contributing/documentation/class_reference_primer.html#how-to-edit-class-xml)
  + [Translating the documentation](../../contributing/documentation/index.html#translating-the-documentation)
    - [Editor and documentation localization](../../contributing/documentation/editor_and_docs_localization.html)
      * [Using Weblate for translations](../../contributing/documentation/editor_and_docs_localization.html#using-weblate-for-translations)
      * [Locating original content](../../contributing/documentation/editor_and_docs_localization.html#locating-original-content)
      * [Respecting the markup syntax](../../contributing/documentation/editor_and_docs_localization.html#respecting-the-markup-syntax)
      * [Offline translation and testing](../../contributing/documentation/editor_and_docs_localization.html#offline-translation-and-testing)
      * [Localizing documentation images](../../contributing/documentation/editor_and_docs_localization.html#localizing-documentation-images)

Community

* [Asset Library](../../community/asset_library/index.html)
  + [About the Asset Library](../../community/asset_library/what_is_assetlib.html)
    - [Types of assets](../../community/asset_library/what_is_assetlib.html#types-of-assets)
    - [Frequently asked questions](../../community/asset_library/what_is_assetlib.html#frequently-asked-questions)
      * [Can paid assets be uploaded to the asset library?](../../community/asset_library/what_is_assetlib.html#can-paid-assets-be-uploaded-to-the-asset-library)
  + [Using the Asset Library](../../community/asset_library/using_assetlib.html)
    - [On the website](../../community/asset_library/using_assetlib.html#on-the-website)
      * [Overview](../../community/asset_library/using_assetlib.html#overview)
      * [Searching](../../community/asset_library/using_assetlib.html#searching)
      * [Breakdown of an asset](../../community/asset_library/using_assetlib.html#breakdown-of-an-asset)
      * [Registering and logging in](../../community/asset_library/using_assetlib.html#registering-and-logging-in)
    - [In the editor](../../community/asset_library/using_assetlib.html#in-the-editor)
  + [Submitting to the Asset Library](../../community/asset_library/submitting_to_assetlib.html)
    - [Introduction](../../community/asset_library/submitting_to_assetlib.html#introduction)
    - [Submission guidelines](../../community/asset_library/submitting_to_assetlib.html#submission-guidelines)
      * [Requirements](../../community/asset_library/submitting_to_assetlib.html#requirements)
      * [Recommendations](../../community/asset_library/submitting_to_assetlib.html#recommendations)
    - [Submitting](../../community/asset_library/submitting_to_assetlib.html#submitting)
* [Community channels](../../community/channels.html)
  + [Language-based communities](../../community/channels.html#language-based-communities)
* [Tutorials and resources](../../community/tutorials.html)
  + [Where to start](../../community/tutorials.html#where-to-start)
  + [Video tutorials](../../community/tutorials.html#video-tutorials)
  + [Text tutorials](../../community/tutorials.html#text-tutorials)
  + [Resources](../../community/tutorials.html#resources)

Class reference

* [All classes](../../classes/index.html)
* [Globals](../../classes/index.html#globals)
  + [@GDScript](../../classes/class_%40gdscript.html)
    - [Description](../../classes/class_%40gdscript.html#description)
    - [Tutorials](../../classes/class_%40gdscript.html#tutorials)
    - [Methods](../../classes/class_%40gdscript.html#methods)
    - [Constants](../../classes/class_%40gdscript.html#constants)
    - [Annotations](../../classes/class_%40gdscript.html#annotations)
    - [Method Descriptions](../../classes/class_%40gdscript.html#method-descriptions)
  + [@GlobalScope](../../classes/class_%40globalscope.html)
    - [Description](../../classes/class_%40globalscope.html#description)
    - [Tutorials](../../classes/class_%40globalscope.html#tutorials)
    - [Properties](../../classes/class_%40globalscope.html#properties)
    - [Methods](../../classes/class_%40globalscope.html#methods)
    - [Enumerations](../../classes/class_%40globalscope.html#enumerations)
    - [Property Descriptions](../../classes/class_%40globalscope.html#property-descriptions)
    - [Method Descriptions](../../classes/class_%40globalscope.html#method-descriptions)
* [Nodes](../../classes/index.html#nodes)
  + [Node](../../classes/class_node.html)
    - [Description](../../classes/class_node.html#description)
    - [Tutorials](../../classes/class_node.html#tutorials)
    - [Properties](../../classes/class_node.html#properties)
    - [Methods](../../classes/class_node.html#methods)
    - [Signals](../../classes/class_node.html#signals)
    - [Enumerations](../../classes/class_node.html#enumerations)
    - [Constants](../../classes/class_node.html#constants)
    - [Property Descriptions](../../classes/class_node.html#property-descriptions)
    - [Method Descriptions](../../classes/class_node.html#method-descriptions)
  + [AcceptDialog](../../classes/class_acceptdialog.html)
    - [Description](../../classes/class_acceptdialog.html#description)
    - [Properties](../../classes/class_acceptdialog.html#properties)
    - [Methods](../../classes/class_acceptdialog.html#methods)
    - [Theme Properties](../../classes/class_acceptdialog.html#theme-properties)
    - [Signals](../../classes/class_acceptdialog.html#signals)
    - [Property Descriptions](../../classes/class_acceptdialog.html#property-descriptions)
    - [Method Descriptions](../../classes/class_acceptdialog.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_acceptdialog.html#theme-property-descriptions)
  + [AnimatableBody2D](../../classes/class_animatablebody2d.html)
    - [Description](../../classes/class_animatablebody2d.html#description)
    - [Properties](../../classes/class_animatablebody2d.html#properties)
    - [Property Descriptions](../../classes/class_animatablebody2d.html#property-descriptions)
  + [AnimatableBody3D](../../classes/class_animatablebody3d.html)
    - [Description](../../classes/class_animatablebody3d.html#description)
    - [Tutorials](../../classes/class_animatablebody3d.html#tutorials)
    - [Properties](../../classes/class_animatablebody3d.html#properties)
    - [Property Descriptions](../../classes/class_animatablebody3d.html#property-descriptions)
  + [AnimatedSprite2D](../../classes/class_animatedsprite2d.html)
    - [Description](../../classes/class_animatedsprite2d.html#description)
    - [Tutorials](../../classes/class_animatedsprite2d.html#tutorials)
    - [Properties](../../classes/class_animatedsprite2d.html#properties)
    - [Methods](../../classes/class_animatedsprite2d.html#methods)
    - [Signals](../../classes/class_animatedsprite2d.html#signals)
    - [Property Descriptions](../../classes/class_animatedsprite2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_animatedsprite2d.html#method-descriptions)
  + [AnimatedSprite3D](../../classes/class_animatedsprite3d.html)
    - [Description](../../classes/class_animatedsprite3d.html#description)
    - [Tutorials](../../classes/class_animatedsprite3d.html#tutorials)
    - [Properties](../../classes/class_animatedsprite3d.html#properties)
    - [Methods](../../classes/class_animatedsprite3d.html#methods)
    - [Signals](../../classes/class_animatedsprite3d.html#signals)
    - [Property Descriptions](../../classes/class_animatedsprite3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_animatedsprite3d.html#method-descriptions)
  + [AnimationMixer](../../classes/class_animationmixer.html)
    - [Description](../../classes/class_animationmixer.html#description)
    - [Tutorials](../../classes/class_animationmixer.html#tutorials)
    - [Properties](../../classes/class_animationmixer.html#properties)
    - [Methods](../../classes/class_animationmixer.html#methods)
    - [Signals](../../classes/class_animationmixer.html#signals)
    - [Enumerations](../../classes/class_animationmixer.html#enumerations)
    - [Property Descriptions](../../classes/class_animationmixer.html#property-descriptions)
    - [Method Descriptions](../../classes/class_animationmixer.html#method-descriptions)
  + [AnimationPlayer](../../classes/class_animationplayer.html)
    - [Description](../../classes/class_animationplayer.html#description)
    - [Tutorials](../../classes/class_animationplayer.html#tutorials)
    - [Properties](../../classes/class_animationplayer.html#properties)
    - [Methods](../../classes/class_animationplayer.html#methods)
    - [Signals](../../classes/class_animationplayer.html#signals)
    - [Enumerations](../../classes/class_animationplayer.html#enumerations)
    - [Property Descriptions](../../classes/class_animationplayer.html#property-descriptions)
    - [Method Descriptions](../../classes/class_animationplayer.html#method-descriptions)
  + [AnimationTree](../../classes/class_animationtree.html)
    - [Description](../../classes/class_animationtree.html#description)
    - [Tutorials](../../classes/class_animationtree.html#tutorials)
    - [Properties](../../classes/class_animationtree.html#properties)
    - [Methods](../../classes/class_animationtree.html#methods)
    - [Signals](../../classes/class_animationtree.html#signals)
    - [Enumerations](../../classes/class_animationtree.html#enumerations)
    - [Property Descriptions](../../classes/class_animationtree.html#property-descriptions)
    - [Method Descriptions](../../classes/class_animationtree.html#method-descriptions)
  + [Area2D](../../classes/class_area2d.html)
    - [Description](../../classes/class_area2d.html#description)
    - [Tutorials](../../classes/class_area2d.html#tutorials)
    - [Properties](../../classes/class_area2d.html#properties)
    - [Methods](../../classes/class_area2d.html#methods)
    - [Signals](../../classes/class_area2d.html#signals)
    - [Enumerations](../../classes/class_area2d.html#enumerations)
    - [Property Descriptions](../../classes/class_area2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_area2d.html#method-descriptions)
  + [Area3D](../../classes/class_area3d.html)
    - [Description](../../classes/class_area3d.html#description)
    - [Tutorials](../../classes/class_area3d.html#tutorials)
    - [Properties](../../classes/class_area3d.html#properties)
    - [Methods](../../classes/class_area3d.html#methods)
    - [Signals](../../classes/class_area3d.html#signals)
    - [Enumerations](../../classes/class_area3d.html#enumerations)
    - [Property Descriptions](../../classes/class_area3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_area3d.html#method-descriptions)
  + [AspectRatioContainer](../../classes/class_aspectratiocontainer.html)
    - [Description](../../classes/class_aspectratiocontainer.html#description)
    - [Tutorials](../../classes/class_aspectratiocontainer.html#tutorials)
    - [Properties](../../classes/class_aspectratiocontainer.html#properties)
    - [Enumerations](../../classes/class_aspectratiocontainer.html#enumerations)
    - [Property Descriptions](../../classes/class_aspectratiocontainer.html#property-descriptions)
  + [AudioListener2D](../../classes/class_audiolistener2d.html)
    - [Description](../../classes/class_audiolistener2d.html#description)
    - [Methods](../../classes/class_audiolistener2d.html#methods)
    - [Method Descriptions](../../classes/class_audiolistener2d.html#method-descriptions)
  + [AudioListener3D](../../classes/class_audiolistener3d.html)
    - [Description](../../classes/class_audiolistener3d.html#description)
    - [Methods](../../classes/class_audiolistener3d.html#methods)
    - [Method Descriptions](../../classes/class_audiolistener3d.html#method-descriptions)
  + [AudioStreamPlayer](../../classes/class_audiostreamplayer.html)
    - [Description](../../classes/class_audiostreamplayer.html#description)
    - [Tutorials](../../classes/class_audiostreamplayer.html#tutorials)
    - [Properties](../../classes/class_audiostreamplayer.html#properties)
    - [Methods](../../classes/class_audiostreamplayer.html#methods)
    - [Signals](../../classes/class_audiostreamplayer.html#signals)
    - [Enumerations](../../classes/class_audiostreamplayer.html#enumerations)
    - [Property Descriptions](../../classes/class_audiostreamplayer.html#property-descriptions)
    - [Method Descriptions](../../classes/class_audiostreamplayer.html#method-descriptions)
  + [AudioStreamPlayer2D](../../classes/class_audiostreamplayer2d.html)
    - [Description](../../classes/class_audiostreamplayer2d.html#description)
    - [Tutorials](../../classes/class_audiostreamplayer2d.html#tutorials)
    - [Properties](../../classes/class_audiostreamplayer2d.html#properties)
    - [Methods](../../classes/class_audiostreamplayer2d.html#methods)
    - [Signals](../../classes/class_audiostreamplayer2d.html#signals)
    - [Property Descriptions](../../classes/class_audiostreamplayer2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_audiostreamplayer2d.html#method-descriptions)
  + [AudioStreamPlayer3D](../../classes/class_audiostreamplayer3d.html)
    - [Description](../../classes/class_audiostreamplayer3d.html#description)
    - [Tutorials](../../classes/class_audiostreamplayer3d.html#tutorials)
    - [Properties](../../classes/class_audiostreamplayer3d.html#properties)
    - [Methods](../../classes/class_audiostreamplayer3d.html#methods)
    - [Signals](../../classes/class_audiostreamplayer3d.html#signals)
    - [Enumerations](../../classes/class_audiostreamplayer3d.html#enumerations)
    - [Property Descriptions](../../classes/class_audiostreamplayer3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_audiostreamplayer3d.html#method-descriptions)
  + [BackBufferCopy](../../classes/class_backbuffercopy.html)
    - [Description](../../classes/class_backbuffercopy.html#description)
    - [Tutorials](../../classes/class_backbuffercopy.html#tutorials)
    - [Properties](../../classes/class_backbuffercopy.html#properties)
    - [Enumerations](../../classes/class_backbuffercopy.html#enumerations)
    - [Property Descriptions](../../classes/class_backbuffercopy.html#property-descriptions)
  + [BaseButton](../../classes/class_basebutton.html)
    - [Description](../../classes/class_basebutton.html#description)
    - [Properties](../../classes/class_basebutton.html#properties)
    - [Methods](../../classes/class_basebutton.html#methods)
    - [Signals](../../classes/class_basebutton.html#signals)
    - [Enumerations](../../classes/class_basebutton.html#enumerations)
    - [Property Descriptions](../../classes/class_basebutton.html#property-descriptions)
    - [Method Descriptions](../../classes/class_basebutton.html#method-descriptions)
  + [Bone2D](../../classes/class_bone2d.html)
    - [Description](../../classes/class_bone2d.html#description)
    - [Properties](../../classes/class_bone2d.html#properties)
    - [Methods](../../classes/class_bone2d.html#methods)
    - [Property Descriptions](../../classes/class_bone2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_bone2d.html#method-descriptions)
  + [BoneAttachment3D](../../classes/class_boneattachment3d.html)
    - [Description](../../classes/class_boneattachment3d.html#description)
    - [Properties](../../classes/class_boneattachment3d.html#properties)
    - [Methods](../../classes/class_boneattachment3d.html#methods)
    - [Property Descriptions](../../classes/class_boneattachment3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_boneattachment3d.html#method-descriptions)
  + [BoxContainer](../../classes/class_boxcontainer.html)
    - [Description](../../classes/class_boxcontainer.html#description)
    - [Tutorials](../../classes/class_boxcontainer.html#tutorials)
    - [Properties](../../classes/class_boxcontainer.html#properties)
    - [Methods](../../classes/class_boxcontainer.html#methods)
    - [Theme Properties](../../classes/class_boxcontainer.html#theme-properties)
    - [Enumerations](../../classes/class_boxcontainer.html#enumerations)
    - [Property Descriptions](../../classes/class_boxcontainer.html#property-descriptions)
    - [Method Descriptions](../../classes/class_boxcontainer.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_boxcontainer.html#theme-property-descriptions)
  + [Button](../../classes/class_button.html)
    - [Description](../../classes/class_button.html#description)
    - [Tutorials](../../classes/class_button.html#tutorials)
    - [Properties](../../classes/class_button.html#properties)
    - [Theme Properties](../../classes/class_button.html#theme-properties)
    - [Property Descriptions](../../classes/class_button.html#property-descriptions)
    - [Theme Property Descriptions](../../classes/class_button.html#theme-property-descriptions)
  + [Camera2D](../../classes/class_camera2d.html)
    - [Description](../../classes/class_camera2d.html#description)
    - [Tutorials](../../classes/class_camera2d.html#tutorials)
    - [Properties](../../classes/class_camera2d.html#properties)
    - [Methods](../../classes/class_camera2d.html#methods)
    - [Enumerations](../../classes/class_camera2d.html#enumerations)
    - [Property Descriptions](../../classes/class_camera2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_camera2d.html#method-descriptions)
  + [Camera3D](../../classes/class_camera3d.html)
    - [Description](../../classes/class_camera3d.html#description)
    - [Tutorials](../../classes/class_camera3d.html#tutorials)
    - [Properties](../../classes/class_camera3d.html#properties)
    - [Methods](../../classes/class_camera3d.html#methods)
    - [Enumerations](../../classes/class_camera3d.html#enumerations)
    - [Property Descriptions](../../classes/class_camera3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_camera3d.html#method-descriptions)
  + [CanvasGroup](../../classes/class_canvasgroup.html)
    - [Description](../../classes/class_canvasgroup.html#description)
    - [Properties](../../classes/class_canvasgroup.html#properties)
    - [Property Descriptions](../../classes/class_canvasgroup.html#property-descriptions)
  + [CanvasItem](../../classes/class_canvasitem.html)
    - [Description](../../classes/class_canvasitem.html#description)
    - [Tutorials](../../classes/class_canvasitem.html#tutorials)
    - [Properties](../../classes/class_canvasitem.html#properties)
    - [Methods](../../classes/class_canvasitem.html#methods)
    - [Signals](../../classes/class_canvasitem.html#signals)
    - [Enumerations](../../classes/class_canvasitem.html#enumerations)
    - [Constants](../../classes/class_canvasitem.html#constants)
    - [Property Descriptions](../../classes/class_canvasitem.html#property-descriptions)
    - [Method Descriptions](../../classes/class_canvasitem.html#method-descriptions)
  + [CanvasLayer](../../classes/class_canvaslayer.html)
    - [Description](../../classes/class_canvaslayer.html#description)
    - [Tutorials](../../classes/class_canvaslayer.html#tutorials)
    - [Properties](../../classes/class_canvaslayer.html#properties)
    - [Methods](../../classes/class_canvaslayer.html#methods)
    - [Signals](../../classes/class_canvaslayer.html#signals)
    - [Property Descriptions](../../classes/class_canvaslayer.html#property-descriptions)
    - [Method Descriptions](../../classes/class_canvaslayer.html#method-descriptions)
  + [CanvasModulate](../../classes/class_canvasmodulate.html)
    - [Description](../../classes/class_canvasmodulate.html#description)
    - [Tutorials](../../classes/class_canvasmodulate.html#tutorials)
    - [Properties](../../classes/class_canvasmodulate.html#properties)
    - [Property Descriptions](../../classes/class_canvasmodulate.html#property-descriptions)
  + [CenterContainer](../../classes/class_centercontainer.html)
    - [Description](../../classes/class_centercontainer.html#description)
    - [Tutorials](../../classes/class_centercontainer.html#tutorials)
    - [Properties](../../classes/class_centercontainer.html#properties)
    - [Property Descriptions](../../classes/class_centercontainer.html#property-descriptions)
  + [CharacterBody2D](../../classes/class_characterbody2d.html)
    - [Description](../../classes/class_characterbody2d.html#description)
    - [Tutorials](../../classes/class_characterbody2d.html#tutorials)
    - [Properties](../../classes/class_characterbody2d.html#properties)
    - [Methods](../../classes/class_characterbody2d.html#methods)
    - [Enumerations](../../classes/class_characterbody2d.html#enumerations)
    - [Property Descriptions](../../classes/class_characterbody2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_characterbody2d.html#method-descriptions)
  + [CharacterBody3D](../../classes/class_characterbody3d.html)
    - [Description](../../classes/class_characterbody3d.html#description)
    - [Tutorials](../../classes/class_characterbody3d.html#tutorials)
    - [Properties](../../classes/class_characterbody3d.html#properties)
    - [Methods](../../classes/class_characterbody3d.html#methods)
    - [Enumerations](../../classes/class_characterbody3d.html#enumerations)
    - [Property Descriptions](../../classes/class_characterbody3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_characterbody3d.html#method-descriptions)
  + [CheckBox](../../classes/class_checkbox.html)
    - [Description](../../classes/class_checkbox.html#description)
    - [Properties](../../classes/class_checkbox.html#properties)
    - [Theme Properties](../../classes/class_checkbox.html#theme-properties)
    - [Theme Property Descriptions](../../classes/class_checkbox.html#theme-property-descriptions)
  + [CheckButton](../../classes/class_checkbutton.html)
    - [Description](../../classes/class_checkbutton.html#description)
    - [Properties](../../classes/class_checkbutton.html#properties)
    - [Theme Properties](../../classes/class_checkbutton.html#theme-properties)
    - [Theme Property Descriptions](../../classes/class_checkbutton.html#theme-property-descriptions)
  + [CodeEdit](../../classes/class_codeedit.html)
    - [Description](../../classes/class_codeedit.html#description)
    - [Properties](../../classes/class_codeedit.html#properties)
    - [Methods](../../classes/class_codeedit.html#methods)
    - [Theme Properties](../../classes/class_codeedit.html#theme-properties)
    - [Signals](../../classes/class_codeedit.html#signals)
    - [Enumerations](../../classes/class_codeedit.html#enumerations)
    - [Property Descriptions](../../classes/class_codeedit.html#property-descriptions)
    - [Method Descriptions](../../classes/class_codeedit.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_codeedit.html#theme-property-descriptions)
  + [CollisionObject2D](../../classes/class_collisionobject2d.html)
    - [Description](../../classes/class_collisionobject2d.html#description)
    - [Properties](../../classes/class_collisionobject2d.html#properties)
    - [Methods](../../classes/class_collisionobject2d.html#methods)
    - [Signals](../../classes/class_collisionobject2d.html#signals)
    - [Enumerations](../../classes/class_collisionobject2d.html#enumerations)
    - [Property Descriptions](../../classes/class_collisionobject2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_collisionobject2d.html#method-descriptions)
  + [CollisionObject3D](../../classes/class_collisionobject3d.html)
    - [Description](../../classes/class_collisionobject3d.html#description)
    - [Properties](../../classes/class_collisionobject3d.html#properties)
    - [Methods](../../classes/class_collisionobject3d.html#methods)
    - [Signals](../../classes/class_collisionobject3d.html#signals)
    - [Enumerations](../../classes/class_collisionobject3d.html#enumerations)
    - [Property Descriptions](../../classes/class_collisionobject3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_collisionobject3d.html#method-descriptions)
  + [CollisionPolygon2D](../../classes/class_collisionpolygon2d.html)
    - [Description](../../classes/class_collisionpolygon2d.html#description)
    - [Properties](../../classes/class_collisionpolygon2d.html#properties)
    - [Enumerations](../../classes/class_collisionpolygon2d.html#enumerations)
    - [Property Descriptions](../../classes/class_collisionpolygon2d.html#property-descriptions)
  + [CollisionPolygon3D](../../classes/class_collisionpolygon3d.html)
    - [Description](../../classes/class_collisionpolygon3d.html#description)
    - [Properties](../../classes/class_collisionpolygon3d.html#properties)
    - [Property Descriptions](../../classes/class_collisionpolygon3d.html#property-descriptions)
  + [CollisionShape2D](../../classes/class_collisionshape2d.html)
    - [Description](../../classes/class_collisionshape2d.html#description)
    - [Tutorials](../../classes/class_collisionshape2d.html#tutorials)
    - [Properties](../../classes/class_collisionshape2d.html#properties)
    - [Property Descriptions](../../classes/class_collisionshape2d.html#property-descriptions)
  + [CollisionShape3D](../../classes/class_collisionshape3d.html)
    - [Description](../../classes/class_collisionshape3d.html#description)
    - [Tutorials](../../classes/class_collisionshape3d.html#tutorials)
    - [Properties](../../classes/class_collisionshape3d.html#properties)
    - [Methods](../../classes/class_collisionshape3d.html#methods)
    - [Property Descriptions](../../classes/class_collisionshape3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_collisionshape3d.html#method-descriptions)
  + [ColorPicker](../../classes/class_colorpicker.html)
    - [Description](../../classes/class_colorpicker.html#description)
    - [Tutorials](../../classes/class_colorpicker.html#tutorials)
    - [Properties](../../classes/class_colorpicker.html#properties)
    - [Methods](../../classes/class_colorpicker.html#methods)
    - [Theme Properties](../../classes/class_colorpicker.html#theme-properties)
    - [Signals](../../classes/class_colorpicker.html#signals)
    - [Enumerations](../../classes/class_colorpicker.html#enumerations)
    - [Property Descriptions](../../classes/class_colorpicker.html#property-descriptions)
    - [Method Descriptions](../../classes/class_colorpicker.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_colorpicker.html#theme-property-descriptions)
  + [ColorPickerButton](../../classes/class_colorpickerbutton.html)
    - [Description](../../classes/class_colorpickerbutton.html#description)
    - [Tutorials](../../classes/class_colorpickerbutton.html#tutorials)
    - [Properties](../../classes/class_colorpickerbutton.html#properties)
    - [Methods](../../classes/class_colorpickerbutton.html#methods)
    - [Theme Properties](../../classes/class_colorpickerbutton.html#theme-properties)
    - [Signals](../../classes/class_colorpickerbutton.html#signals)
    - [Property Descriptions](../../classes/class_colorpickerbutton.html#property-descriptions)
    - [Method Descriptions](../../classes/class_colorpickerbutton.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_colorpickerbutton.html#theme-property-descriptions)
  + [ColorRect](../../classes/class_colorrect.html)
    - [Description](../../classes/class_colorrect.html#description)
    - [Tutorials](../../classes/class_colorrect.html#tutorials)
    - [Properties](../../classes/class_colorrect.html#properties)
    - [Property Descriptions](../../classes/class_colorrect.html#property-descriptions)
  + [ConeTwistJoint3D](../../classes/class_conetwistjoint3d.html)
    - [Description](../../classes/class_conetwistjoint3d.html#description)
    - [Properties](../../classes/class_conetwistjoint3d.html#properties)
    - [Methods](../../classes/class_conetwistjoint3d.html#methods)
    - [Enumerations](../../classes/class_conetwistjoint3d.html#enumerations)
    - [Property Descriptions](../../classes/class_conetwistjoint3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_conetwistjoint3d.html#method-descriptions)
  + [ConfirmationDialog](../../classes/class_confirmationdialog.html)
    - [Description](../../classes/class_confirmationdialog.html#description)
    - [Properties](../../classes/class_confirmationdialog.html#properties)
    - [Methods](../../classes/class_confirmationdialog.html#methods)
    - [Property Descriptions](../../classes/class_confirmationdialog.html#property-descriptions)
    - [Method Descriptions](../../classes/class_confirmationdialog.html#method-descriptions)
  + [Container](../../classes/class_container.html)
    - [Description](../../classes/class_container.html#description)
    - [Tutorials](../../classes/class_container.html#tutorials)
    - [Properties](../../classes/class_container.html#properties)
    - [Methods](../../classes/class_container.html#methods)
    - [Signals](../../classes/class_container.html#signals)
    - [Constants](../../classes/class_container.html#constants)
    - [Method Descriptions](../../classes/class_container.html#method-descriptions)
  + [Control](../../classes/class_control.html)
    - [Description](../../classes/class_control.html#description)
    - [Tutorials](../../classes/class_control.html#tutorials)
    - [Properties](../../classes/class_control.html#properties)
    - [Methods](../../classes/class_control.html#methods)
    - [Signals](../../classes/class_control.html#signals)
    - [Enumerations](../../classes/class_control.html#enumerations)
    - [Constants](../../classes/class_control.html#constants)
    - [Property Descriptions](../../classes/class_control.html#property-descriptions)
    - [Method Descriptions](../../classes/class_control.html#method-descriptions)
  + [CPUParticles2D](../../classes/class_cpuparticles2d.html)
    - [Description](../../classes/class_cpuparticles2d.html#description)
    - [Tutorials](../../classes/class_cpuparticles2d.html#tutorials)
    - [Properties](../../classes/class_cpuparticles2d.html#properties)
    - [Methods](../../classes/class_cpuparticles2d.html#methods)
    - [Signals](../../classes/class_cpuparticles2d.html#signals)
    - [Enumerations](../../classes/class_cpuparticles2d.html#enumerations)
    - [Property Descriptions](../../classes/class_cpuparticles2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_cpuparticles2d.html#method-descriptions)
  + [CPUParticles3D](../../classes/class_cpuparticles3d.html)
    - [Description](../../classes/class_cpuparticles3d.html#description)
    - [Tutorials](../../classes/class_cpuparticles3d.html#tutorials)
    - [Properties](../../classes/class_cpuparticles3d.html#properties)
    - [Methods](../../classes/class_cpuparticles3d.html#methods)
    - [Signals](../../classes/class_cpuparticles3d.html#signals)
    - [Enumerations](../../classes/class_cpuparticles3d.html#enumerations)
    - [Property Descriptions](../../classes/class_cpuparticles3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_cpuparticles3d.html#method-descriptions)
  + [CSGBox3D](../../classes/class_csgbox3d.html)
    - [Description](../../classes/class_csgbox3d.html#description)
    - [Tutorials](../../classes/class_csgbox3d.html#tutorials)
    - [Properties](../../classes/class_csgbox3d.html#properties)
    - [Property Descriptions](../../classes/class_csgbox3d.html#property-descriptions)
  + [CSGCombiner3D](../../classes/class_csgcombiner3d.html)
    - [Description](../../classes/class_csgcombiner3d.html#description)
    - [Tutorials](../../classes/class_csgcombiner3d.html#tutorials)
  + [CSGCylinder3D](../../classes/class_csgcylinder3d.html)
    - [Description](../../classes/class_csgcylinder3d.html#description)
    - [Tutorials](../../classes/class_csgcylinder3d.html#tutorials)
    - [Properties](../../classes/class_csgcylinder3d.html#properties)
    - [Property Descriptions](../../classes/class_csgcylinder3d.html#property-descriptions)
  + [CSGMesh3D](../../classes/class_csgmesh3d.html)
    - [Description](../../classes/class_csgmesh3d.html#description)
    - [Tutorials](../../classes/class_csgmesh3d.html#tutorials)
    - [Properties](../../classes/class_csgmesh3d.html#properties)
    - [Property Descriptions](../../classes/class_csgmesh3d.html#property-descriptions)
  + [CSGPolygon3D](../../classes/class_csgpolygon3d.html)
    - [Description](../../classes/class_csgpolygon3d.html#description)
    - [Tutorials](../../classes/class_csgpolygon3d.html#tutorials)
    - [Properties](../../classes/class_csgpolygon3d.html#properties)
    - [Enumerations](../../classes/class_csgpolygon3d.html#enumerations)
    - [Property Descriptions](../../classes/class_csgpolygon3d.html#property-descriptions)
  + [CSGPrimitive3D](../../classes/class_csgprimitive3d.html)
    - [Description](../../classes/class_csgprimitive3d.html#description)
    - [Tutorials](../../classes/class_csgprimitive3d.html#tutorials)
    - [Properties](../../classes/class_csgprimitive3d.html#properties)
    - [Property Descriptions](../../classes/class_csgprimitive3d.html#property-descriptions)
  + [CSGShape3D](../../classes/class_csgshape3d.html)
    - [Description](../../classes/class_csgshape3d.html#description)
    - [Tutorials](../../classes/class_csgshape3d.html#tutorials)
    - [Properties](../../classes/class_csgshape3d.html#properties)
    - [Methods](../../classes/class_csgshape3d.html#methods)
    - [Enumerations](../../classes/class_csgshape3d.html#enumerations)
    - [Property Descriptions](../../classes/class_csgshape3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_csgshape3d.html#method-descriptions)
  + [CSGSphere3D](../../classes/class_csgsphere3d.html)
    - [Description](../../classes/class_csgsphere3d.html#description)
    - [Tutorials](../../classes/class_csgsphere3d.html#tutorials)
    - [Properties](../../classes/class_csgsphere3d.html#properties)
    - [Property Descriptions](../../classes/class_csgsphere3d.html#property-descriptions)
  + [CSGTorus3D](../../classes/class_csgtorus3d.html)
    - [Description](../../classes/class_csgtorus3d.html#description)
    - [Tutorials](../../classes/class_csgtorus3d.html#tutorials)
    - [Properties](../../classes/class_csgtorus3d.html#properties)
    - [Property Descriptions](../../classes/class_csgtorus3d.html#property-descriptions)
  + [DampedSpringJoint2D](../../classes/class_dampedspringjoint2d.html)
    - [Description](../../classes/class_dampedspringjoint2d.html#description)
    - [Properties](../../classes/class_dampedspringjoint2d.html#properties)
    - [Property Descriptions](../../classes/class_dampedspringjoint2d.html#property-descriptions)
  + [Decal](../../classes/class_decal.html)
    - [Description](../../classes/class_decal.html#description)
    - [Properties](../../classes/class_decal.html#properties)
    - [Methods](../../classes/class_decal.html#methods)
    - [Enumerations](../../classes/class_decal.html#enumerations)
    - [Property Descriptions](../../classes/class_decal.html#property-descriptions)
    - [Method Descriptions](../../classes/class_decal.html#method-descriptions)
  + [DirectionalLight2D](../../classes/class_directionallight2d.html)
    - [Description](../../classes/class_directionallight2d.html#description)
    - [Tutorials](../../classes/class_directionallight2d.html#tutorials)
    - [Properties](../../classes/class_directionallight2d.html#properties)
    - [Property Descriptions](../../classes/class_directionallight2d.html#property-descriptions)
  + [DirectionalLight3D](../../classes/class_directionallight3d.html)
    - [Description](../../classes/class_directionallight3d.html#description)
    - [Tutorials](../../classes/class_directionallight3d.html#tutorials)
    - [Properties](../../classes/class_directionallight3d.html#properties)
    - [Enumerations](../../classes/class_directionallight3d.html#enumerations)
    - [Property Descriptions](../../classes/class_directionallight3d.html#property-descriptions)
  + [EditorCommandPalette](../../classes/class_editorcommandpalette.html)
    - [Description](../../classes/class_editorcommandpalette.html#description)
    - [Properties](../../classes/class_editorcommandpalette.html#properties)
    - [Methods](../../classes/class_editorcommandpalette.html#methods)
    - [Method Descriptions](../../classes/class_editorcommandpalette.html#method-descriptions)
  + [EditorFileDialog](../../classes/class_editorfiledialog.html)
    - [Description](../../classes/class_editorfiledialog.html#description)
    - [Properties](../../classes/class_editorfiledialog.html#properties)
    - [Methods](../../classes/class_editorfiledialog.html#methods)
    - [Signals](../../classes/class_editorfiledialog.html#signals)
    - [Enumerations](../../classes/class_editorfiledialog.html#enumerations)
    - [Property Descriptions](../../classes/class_editorfiledialog.html#property-descriptions)
    - [Method Descriptions](../../classes/class_editorfiledialog.html#method-descriptions)
  + [EditorFileSystem](../../classes/class_editorfilesystem.html)
    - [Description](../../classes/class_editorfilesystem.html#description)
    - [Methods](../../classes/class_editorfilesystem.html#methods)
    - [Signals](../../classes/class_editorfilesystem.html#signals)
    - [Method Descriptions](../../classes/class_editorfilesystem.html#method-descriptions)
  + [EditorInspector](../../classes/class_editorinspector.html)
    - [Description](../../classes/class_editorinspector.html#description)
    - [Properties](../../classes/class_editorinspector.html#properties)
    - [Methods](../../classes/class_editorinspector.html#methods)
    - [Signals](../../classes/class_editorinspector.html#signals)
    - [Method Descriptions](../../classes/class_editorinspector.html#method-descriptions)
  + [EditorPlugin](../../classes/class_editorplugin.html)
    - [Description](../../classes/class_editorplugin.html#description)
    - [Tutorials](../../classes/class_editorplugin.html#tutorials)
    - [Methods](../../classes/class_editorplugin.html#methods)
    - [Signals](../../classes/class_editorplugin.html#signals)
    - [Enumerations](../../classes/class_editorplugin.html#enumerations)
    - [Method Descriptions](../../classes/class_editorplugin.html#method-descriptions)
  + [EditorProperty](../../classes/class_editorproperty.html)
    - [Description](../../classes/class_editorproperty.html#description)
    - [Properties](../../classes/class_editorproperty.html#properties)
    - [Methods](../../classes/class_editorproperty.html#methods)
    - [Signals](../../classes/class_editorproperty.html#signals)
    - [Property Descriptions](../../classes/class_editorproperty.html#property-descriptions)
    - [Method Descriptions](../../classes/class_editorproperty.html#method-descriptions)
  + [EditorResourcePicker](../../classes/class_editorresourcepicker.html)
    - [Description](../../classes/class_editorresourcepicker.html#description)
    - [Properties](../../classes/class_editorresourcepicker.html#properties)
    - [Methods](../../classes/class_editorresourcepicker.html#methods)
    - [Signals](../../classes/class_editorresourcepicker.html#signals)
    - [Property Descriptions](../../classes/class_editorresourcepicker.html#property-descriptions)
    - [Method Descriptions](../../classes/class_editorresourcepicker.html#method-descriptions)
  + [EditorResourcePreview](../../classes/class_editorresourcepreview.html)
    - [Description](../../classes/class_editorresourcepreview.html#description)
    - [Methods](../../classes/class_editorresourcepreview.html#methods)
    - [Signals](../../classes/class_editorresourcepreview.html#signals)
    - [Method Descriptions](../../classes/class_editorresourcepreview.html#method-descriptions)
  + [EditorScriptPicker](../../classes/class_editorscriptpicker.html)
    - [Description](../../classes/class_editorscriptpicker.html#description)
    - [Properties](../../classes/class_editorscriptpicker.html#properties)
    - [Property Descriptions](../../classes/class_editorscriptpicker.html#property-descriptions)
  + [EditorSpinSlider](../../classes/class_editorspinslider.html)
    - [Description](../../classes/class_editorspinslider.html#description)
    - [Properties](../../classes/class_editorspinslider.html#properties)
    - [Theme Properties](../../classes/class_editorspinslider.html#theme-properties)
    - [Signals](../../classes/class_editorspinslider.html#signals)
    - [Property Descriptions](../../classes/class_editorspinslider.html#property-descriptions)
    - [Theme Property Descriptions](../../classes/class_editorspinslider.html#theme-property-descriptions)
  + [EditorToaster](../../classes/class_editortoaster.html)
    - [Description](../../classes/class_editortoaster.html#description)
    - [Methods](../../classes/class_editortoaster.html#methods)
    - [Enumerations](../../classes/class_editortoaster.html#enumerations)
    - [Method Descriptions](../../classes/class_editortoaster.html#method-descriptions)
  + [FileDialog](../../classes/class_filedialog.html)
    - [Description](../../classes/class_filedialog.html#description)
    - [Properties](../../classes/class_filedialog.html#properties)
    - [Methods](../../classes/class_filedialog.html#methods)
    - [Theme Properties](../../classes/class_filedialog.html#theme-properties)
    - [Signals](../../classes/class_filedialog.html#signals)
    - [Enumerations](../../classes/class_filedialog.html#enumerations)
    - [Property Descriptions](../../classes/class_filedialog.html#property-descriptions)
    - [Method Descriptions](../../classes/class_filedialog.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_filedialog.html#theme-property-descriptions)
  + [FileSystemDock](../../classes/class_filesystemdock.html)
    - [Description](../../classes/class_filesystemdock.html#description)
    - [Methods](../../classes/class_filesystemdock.html#methods)
    - [Signals](../../classes/class_filesystemdock.html#signals)
    - [Method Descriptions](../../classes/class_filesystemdock.html#method-descriptions)
  + [FlowContainer](../../classes/class_flowcontainer.html)
    - [Description](../../classes/class_flowcontainer.html#description)
    - [Tutorials](../../classes/class_flowcontainer.html#tutorials)
    - [Properties](../../classes/class_flowcontainer.html#properties)
    - [Methods](../../classes/class_flowcontainer.html#methods)
    - [Theme Properties](../../classes/class_flowcontainer.html#theme-properties)
    - [Enumerations](../../classes/class_flowcontainer.html#enumerations)
    - [Property Descriptions](../../classes/class_flowcontainer.html#property-descriptions)
    - [Method Descriptions](../../classes/class_flowcontainer.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_flowcontainer.html#theme-property-descriptions)
  + [FogVolume](../../classes/class_fogvolume.html)
    - [Description](../../classes/class_fogvolume.html#description)
    - [Tutorials](../../classes/class_fogvolume.html#tutorials)
    - [Properties](../../classes/class_fogvolume.html#properties)
    - [Property Descriptions](../../classes/class_fogvolume.html#property-descriptions)
  + [Generic6DOFJoint3D](../../classes/class_generic6dofjoint3d.html)
    - [Description](../../classes/class_generic6dofjoint3d.html#description)
    - [Properties](../../classes/class_generic6dofjoint3d.html#properties)
    - [Methods](../../classes/class_generic6dofjoint3d.html#methods)
    - [Enumerations](../../classes/class_generic6dofjoint3d.html#enumerations)
    - [Property Descriptions](../../classes/class_generic6dofjoint3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_generic6dofjoint3d.html#method-descriptions)
  + [GeometryInstance3D](../../classes/class_geometryinstance3d.html)
    - [Description](../../classes/class_geometryinstance3d.html#description)
    - [Tutorials](../../classes/class_geometryinstance3d.html#tutorials)
    - [Properties](../../classes/class_geometryinstance3d.html#properties)
    - [Methods](../../classes/class_geometryinstance3d.html#methods)
    - [Enumerations](../../classes/class_geometryinstance3d.html#enumerations)
    - [Property Descriptions](../../classes/class_geometryinstance3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_geometryinstance3d.html#method-descriptions)
  + [GPUParticles2D](../../classes/class_gpuparticles2d.html)
    - [Description](../../classes/class_gpuparticles2d.html#description)
    - [Tutorials](../../classes/class_gpuparticles2d.html#tutorials)
    - [Properties](../../classes/class_gpuparticles2d.html#properties)
    - [Methods](../../classes/class_gpuparticles2d.html#methods)
    - [Signals](../../classes/class_gpuparticles2d.html#signals)
    - [Enumerations](../../classes/class_gpuparticles2d.html#enumerations)
    - [Property Descriptions](../../classes/class_gpuparticles2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_gpuparticles2d.html#method-descriptions)
  + [GPUParticles3D](../../classes/class_gpuparticles3d.html)
    - [Description](../../classes/class_gpuparticles3d.html#description)
    - [Tutorials](../../classes/class_gpuparticles3d.html#tutorials)
    - [Properties](../../classes/class_gpuparticles3d.html#properties)
    - [Methods](../../classes/class_gpuparticles3d.html#methods)
    - [Signals](../../classes/class_gpuparticles3d.html#signals)
    - [Enumerations](../../classes/class_gpuparticles3d.html#enumerations)
    - [Constants](../../classes/class_gpuparticles3d.html#constants)
    - [Property Descriptions](../../classes/class_gpuparticles3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_gpuparticles3d.html#method-descriptions)
  + [GPUParticlesAttractor3D](../../classes/class_gpuparticlesattractor3d.html)
    - [Description](../../classes/class_gpuparticlesattractor3d.html#description)
    - [Properties](../../classes/class_gpuparticlesattractor3d.html#properties)
    - [Property Descriptions](../../classes/class_gpuparticlesattractor3d.html#property-descriptions)
  + [GPUParticlesAttractorBox3D](../../classes/class_gpuparticlesattractorbox3d.html)
    - [Description](../../classes/class_gpuparticlesattractorbox3d.html#description)
    - [Properties](../../classes/class_gpuparticlesattractorbox3d.html#properties)
    - [Property Descriptions](../../classes/class_gpuparticlesattractorbox3d.html#property-descriptions)
  + [GPUParticlesAttractorSphere3D](../../classes/class_gpuparticlesattractorsphere3d.html)
    - [Description](../../classes/class_gpuparticlesattractorsphere3d.html#description)
    - [Properties](../../classes/class_gpuparticlesattractorsphere3d.html#properties)
    - [Property Descriptions](../../classes/class_gpuparticlesattractorsphere3d.html#property-descriptions)
  + [GPUParticlesAttractorVectorField3D](../../classes/class_gpuparticlesattractorvectorfield3d.html)
    - [Description](../../classes/class_gpuparticlesattractorvectorfield3d.html#description)
    - [Properties](../../classes/class_gpuparticlesattractorvectorfield3d.html#properties)
    - [Property Descriptions](../../classes/class_gpuparticlesattractorvectorfield3d.html#property-descriptions)
  + [GPUParticlesCollision3D](../../classes/class_gpuparticlescollision3d.html)
    - [Description](../../classes/class_gpuparticlescollision3d.html#description)
    - [Properties](../../classes/class_gpuparticlescollision3d.html#properties)
    - [Property Descriptions](../../classes/class_gpuparticlescollision3d.html#property-descriptions)
  + [GPUParticlesCollisionBox3D](../../classes/class_gpuparticlescollisionbox3d.html)
    - [Description](../../classes/class_gpuparticlescollisionbox3d.html#description)
    - [Properties](../../classes/class_gpuparticlescollisionbox3d.html#properties)
    - [Property Descriptions](../../classes/class_gpuparticlescollisionbox3d.html#property-descriptions)
  + [GPUParticlesCollisionHeightField3D](../../classes/class_gpuparticlescollisionheightfield3d.html)
    - [Description](../../classes/class_gpuparticlescollisionheightfield3d.html#description)
    - [Properties](../../classes/class_gpuparticlescollisionheightfield3d.html#properties)
    - [Methods](../../classes/class_gpuparticlescollisionheightfield3d.html#methods)
    - [Enumerations](../../classes/class_gpuparticlescollisionheightfield3d.html#enumerations)
    - [Property Descriptions](../../classes/class_gpuparticlescollisionheightfield3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_gpuparticlescollisionheightfield3d.html#method-descriptions)
  + [GPUParticlesCollisionSDF3D](../../classes/class_gpuparticlescollisionsdf3d.html)
    - [Description](../../classes/class_gpuparticlescollisionsdf3d.html#description)
    - [Properties](../../classes/class_gpuparticlescollisionsdf3d.html#properties)
    - [Methods](../../classes/class_gpuparticlescollisionsdf3d.html#methods)
    - [Enumerations](../../classes/class_gpuparticlescollisionsdf3d.html#enumerations)
    - [Property Descriptions](../../classes/class_gpuparticlescollisionsdf3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_gpuparticlescollisionsdf3d.html#method-descriptions)
  + [GPUParticlesCollisionSphere3D](../../classes/class_gpuparticlescollisionsphere3d.html)
    - [Description](../../classes/class_gpuparticlescollisionsphere3d.html#description)
    - [Properties](../../classes/class_gpuparticlescollisionsphere3d.html#properties)
    - [Property Descriptions](../../classes/class_gpuparticlescollisionsphere3d.html#property-descriptions)
  + [GraphEdit](../../classes/class_graphedit.html)
    - [Description](../../classes/class_graphedit.html#description)
    - [Properties](../../classes/class_graphedit.html#properties)
    - [Methods](../../classes/class_graphedit.html#methods)
    - [Theme Properties](../../classes/class_graphedit.html#theme-properties)
    - [Signals](../../classes/class_graphedit.html#signals)
    - [Enumerations](../../classes/class_graphedit.html#enumerations)
    - [Property Descriptions](../../classes/class_graphedit.html#property-descriptions)
    - [Method Descriptions](../../classes/class_graphedit.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_graphedit.html#theme-property-descriptions)
  + [GraphElement](../../classes/class_graphelement.html)
    - [Description](../../classes/class_graphelement.html#description)
    - [Properties](../../classes/class_graphelement.html#properties)
    - [Theme Properties](../../classes/class_graphelement.html#theme-properties)
    - [Signals](../../classes/class_graphelement.html#signals)
    - [Property Descriptions](../../classes/class_graphelement.html#property-descriptions)
    - [Theme Property Descriptions](../../classes/class_graphelement.html#theme-property-descriptions)
  + [GraphFrame](../../classes/class_graphframe.html)
    - [Description](../../classes/class_graphframe.html#description)
    - [Properties](../../classes/class_graphframe.html#properties)
    - [Methods](../../classes/class_graphframe.html#methods)
    - [Theme Properties](../../classes/class_graphframe.html#theme-properties)
    - [Signals](../../classes/class_graphframe.html#signals)
    - [Property Descriptions](../../classes/class_graphframe.html#property-descriptions)
    - [Method Descriptions](../../classes/class_graphframe.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_graphframe.html#theme-property-descriptions)
  + [GraphNode](../../classes/class_graphnode.html)
    - [Description](../../classes/class_graphnode.html#description)
    - [Properties](../../classes/class_graphnode.html#properties)
    - [Methods](../../classes/class_graphnode.html#methods)
    - [Theme Properties](../../classes/class_graphnode.html#theme-properties)
    - [Signals](../../classes/class_graphnode.html#signals)
    - [Property Descriptions](../../classes/class_graphnode.html#property-descriptions)
    - [Method Descriptions](../../classes/class_graphnode.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_graphnode.html#theme-property-descriptions)
  + [GridContainer](../../classes/class_gridcontainer.html)
    - [Description](../../classes/class_gridcontainer.html#description)
    - [Tutorials](../../classes/class_gridcontainer.html#tutorials)
    - [Properties](../../classes/class_gridcontainer.html#properties)
    - [Theme Properties](../../classes/class_gridcontainer.html#theme-properties)
    - [Property Descriptions](../../classes/class_gridcontainer.html#property-descriptions)
    - [Theme Property Descriptions](../../classes/class_gridcontainer.html#theme-property-descriptions)
  + [GridMap](../../classes/class_gridmap.html)
    - [Description](../../classes/class_gridmap.html#description)
    - [Tutorials](../../classes/class_gridmap.html#tutorials)
    - [Properties](../../classes/class_gridmap.html#properties)
    - [Methods](../../classes/class_gridmap.html#methods)
    - [Signals](../../classes/class_gridmap.html#signals)
    - [Constants](../../classes/class_gridmap.html#constants)
    - [Property Descriptions](../../classes/class_gridmap.html#property-descriptions)
    - [Method Descriptions](../../classes/class_gridmap.html#method-descriptions)
  + [GridMapEditorPlugin](../../classes/class_gridmapeditorplugin.html)
    - [Description](../../classes/class_gridmapeditorplugin.html#description)
    - [Methods](../../classes/class_gridmapeditorplugin.html#methods)
    - [Method Descriptions](../../classes/class_gridmapeditorplugin.html#method-descriptions)
  + [GrooveJoint2D](../../classes/class_groovejoint2d.html)
    - [Description](../../classes/class_groovejoint2d.html#description)
    - [Properties](../../classes/class_groovejoint2d.html#properties)
    - [Property Descriptions](../../classes/class_groovejoint2d.html#property-descriptions)
  + [HBoxContainer](../../classes/class_hboxcontainer.html)
    - [Description](../../classes/class_hboxcontainer.html#description)
    - [Tutorials](../../classes/class_hboxcontainer.html#tutorials)
  + [HFlowContainer](../../classes/class_hflowcontainer.html)
    - [Description](../../classes/class_hflowcontainer.html#description)
    - [Tutorials](../../classes/class_hflowcontainer.html#tutorials)
  + [HingeJoint3D](../../classes/class_hingejoint3d.html)
    - [Description](../../classes/class_hingejoint3d.html#description)
    - [Properties](../../classes/class_hingejoint3d.html#properties)
    - [Methods](../../classes/class_hingejoint3d.html#methods)
    - [Enumerations](../../classes/class_hingejoint3d.html#enumerations)
    - [Property Descriptions](../../classes/class_hingejoint3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_hingejoint3d.html#method-descriptions)
  + [HScrollBar](../../classes/class_hscrollbar.html)
    - [Description](../../classes/class_hscrollbar.html#description)
  + [HSeparator](../../classes/class_hseparator.html)
    - [Description](../../classes/class_hseparator.html#description)
  + [HSlider](../../classes/class_hslider.html)
    - [Description](../../classes/class_hslider.html#description)
  + [HSplitContainer](../../classes/class_hsplitcontainer.html)
    - [Description](../../classes/class_hsplitcontainer.html#description)
    - [Tutorials](../../classes/class_hsplitcontainer.html#tutorials)
  + [HTTPRequest](../../classes/class_httprequest.html)
    - [Description](../../classes/class_httprequest.html#description)
    - [Tutorials](../../classes/class_httprequest.html#tutorials)
    - [Properties](../../classes/class_httprequest.html#properties)
    - [Methods](../../classes/class_httprequest.html#methods)
    - [Signals](../../classes/class_httprequest.html#signals)
    - [Enumerations](../../classes/class_httprequest.html#enumerations)
    - [Property Descriptions](../../classes/class_httprequest.html#property-descriptions)
    - [Method Descriptions](../../classes/class_httprequest.html#method-descriptions)
  + [ImporterMeshInstance3D](../../classes/class_importermeshinstance3d.html)
    - [Properties](../../classes/class_importermeshinstance3d.html#properties)
    - [Property Descriptions](../../classes/class_importermeshinstance3d.html#property-descriptions)
  + [InstancePlaceholder](../../classes/class_instanceplaceholder.html)
    - [Description](../../classes/class_instanceplaceholder.html#description)
    - [Methods](../../classes/class_instanceplaceholder.html#methods)
    - [Method Descriptions](../../classes/class_instanceplaceholder.html#method-descriptions)
  + [ItemList](../../classes/class_itemlist.html)
    - [Description](../../classes/class_itemlist.html#description)
    - [Properties](../../classes/class_itemlist.html#properties)
    - [Methods](../../classes/class_itemlist.html#methods)
    - [Theme Properties](../../classes/class_itemlist.html#theme-properties)
    - [Signals](../../classes/class_itemlist.html#signals)
    - [Enumerations](../../classes/class_itemlist.html#enumerations)
    - [Property Descriptions](../../classes/class_itemlist.html#property-descriptions)
    - [Method Descriptions](../../classes/class_itemlist.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_itemlist.html#theme-property-descriptions)
  + [Joint2D](../../classes/class_joint2d.html)
    - [Description](../../classes/class_joint2d.html#description)
    - [Properties](../../classes/class_joint2d.html#properties)
    - [Methods](../../classes/class_joint2d.html#methods)
    - [Property Descriptions](../../classes/class_joint2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_joint2d.html#method-descriptions)
  + [Joint3D](../../classes/class_joint3d.html)
    - [Description](../../classes/class_joint3d.html#description)
    - [Tutorials](../../classes/class_joint3d.html#tutorials)
    - [Properties](../../classes/class_joint3d.html#properties)
    - [Methods](../../classes/class_joint3d.html#methods)
    - [Property Descriptions](../../classes/class_joint3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_joint3d.html#method-descriptions)
  + [Label](../../classes/class_label.html)
    - [Description](../../classes/class_label.html#description)
    - [Tutorials](../../classes/class_label.html#tutorials)
    - [Properties](../../classes/class_label.html#properties)
    - [Methods](../../classes/class_label.html#methods)
    - [Theme Properties](../../classes/class_label.html#theme-properties)
    - [Property Descriptions](../../classes/class_label.html#property-descriptions)
    - [Method Descriptions](../../classes/class_label.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_label.html#theme-property-descriptions)
  + [Label3D](../../classes/class_label3d.html)
    - [Description](../../classes/class_label3d.html#description)
    - [Tutorials](../../classes/class_label3d.html#tutorials)
    - [Properties](../../classes/class_label3d.html#properties)
    - [Methods](../../classes/class_label3d.html#methods)
    - [Enumerations](../../classes/class_label3d.html#enumerations)
    - [Property Descriptions](../../classes/class_label3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_label3d.html#method-descriptions)
  + [Light2D](../../classes/class_light2d.html)
    - [Description](../../classes/class_light2d.html#description)
    - [Tutorials](../../classes/class_light2d.html#tutorials)
    - [Properties](../../classes/class_light2d.html#properties)
    - [Methods](../../classes/class_light2d.html#methods)
    - [Enumerations](../../classes/class_light2d.html#enumerations)
    - [Property Descriptions](../../classes/class_light2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_light2d.html#method-descriptions)
  + [Light3D](../../classes/class_light3d.html)
    - [Description](../../classes/class_light3d.html#description)
    - [Tutorials](../../classes/class_light3d.html#tutorials)
    - [Properties](../../classes/class_light3d.html#properties)
    - [Methods](../../classes/class_light3d.html#methods)
    - [Enumerations](../../classes/class_light3d.html#enumerations)
    - [Property Descriptions](../../classes/class_light3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_light3d.html#method-descriptions)
  + [LightmapGI](../../classes/class_lightmapgi.html)
    - [Description](../../classes/class_lightmapgi.html#description)
    - [Tutorials](../../classes/class_lightmapgi.html#tutorials)
    - [Properties](../../classes/class_lightmapgi.html#properties)
    - [Enumerations](../../classes/class_lightmapgi.html#enumerations)
    - [Property Descriptions](../../classes/class_lightmapgi.html#property-descriptions)
  + [LightmapProbe](../../classes/class_lightmapprobe.html)
    - [Description](../../classes/class_lightmapprobe.html#description)
  + [LightOccluder2D](../../classes/class_lightoccluder2d.html)
    - [Description](../../classes/class_lightoccluder2d.html#description)
    - [Tutorials](../../classes/class_lightoccluder2d.html#tutorials)
    - [Properties](../../classes/class_lightoccluder2d.html#properties)
    - [Property Descriptions](../../classes/class_lightoccluder2d.html#property-descriptions)
  + [Line2D](../../classes/class_line2d.html)
    - [Description](../../classes/class_line2d.html#description)
    - [Tutorials](../../classes/class_line2d.html#tutorials)
    - [Properties](../../classes/class_line2d.html#properties)
    - [Methods](../../classes/class_line2d.html#methods)
    - [Enumerations](../../classes/class_line2d.html#enumerations)
    - [Property Descriptions](../../classes/class_line2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_line2d.html#method-descriptions)
  + [LineEdit](../../classes/class_lineedit.html)
    - [Description](../../classes/class_lineedit.html#description)
    - [Properties](../../classes/class_lineedit.html#properties)
    - [Methods](../../classes/class_lineedit.html#methods)
    - [Theme Properties](../../classes/class_lineedit.html#theme-properties)
    - [Signals](../../classes/class_lineedit.html#signals)
    - [Enumerations](../../classes/class_lineedit.html#enumerations)
    - [Property Descriptions](../../classes/class_lineedit.html#property-descriptions)
    - [Method Descriptions](../../classes/class_lineedit.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_lineedit.html#theme-property-descriptions)
  + [LinkButton](../../classes/class_linkbutton.html)
    - [Description](../../classes/class_linkbutton.html#description)
    - [Properties](../../classes/class_linkbutton.html#properties)
    - [Theme Properties](../../classes/class_linkbutton.html#theme-properties)
    - [Enumerations](../../classes/class_linkbutton.html#enumerations)
    - [Property Descriptions](../../classes/class_linkbutton.html#property-descriptions)
    - [Theme Property Descriptions](../../classes/class_linkbutton.html#theme-property-descriptions)
  + [LookAtModifier3D](../../classes/class_lookatmodifier3d.html)
    - [Description](../../classes/class_lookatmodifier3d.html#description)
    - [Properties](../../classes/class_lookatmodifier3d.html#properties)
    - [Methods](../../classes/class_lookatmodifier3d.html#methods)
    - [Enumerations](../../classes/class_lookatmodifier3d.html#enumerations)
    - [Property Descriptions](../../classes/class_lookatmodifier3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_lookatmodifier3d.html#method-descriptions)
  + [MarginContainer](../../classes/class_margincontainer.html)
    - [Description](../../classes/class_margincontainer.html#description)
    - [Tutorials](../../classes/class_margincontainer.html#tutorials)
    - [Theme Properties](../../classes/class_margincontainer.html#theme-properties)
    - [Theme Property Descriptions](../../classes/class_margincontainer.html#theme-property-descriptions)
  + [Marker2D](../../classes/class_marker2d.html)
    - [Description](../../classes/class_marker2d.html#description)
    - [Properties](../../classes/class_marker2d.html#properties)
    - [Property Descriptions](../../classes/class_marker2d.html#property-descriptions)
  + [Marker3D](../../classes/class_marker3d.html)
    - [Description](../../classes/class_marker3d.html#description)
    - [Properties](../../classes/class_marker3d.html#properties)
    - [Property Descriptions](../../classes/class_marker3d.html#property-descriptions)
  + [MenuBar](../../classes/class_menubar.html)
    - [Description](../../classes/class_menubar.html#description)
    - [Properties](../../classes/class_menubar.html#properties)
    - [Methods](../../classes/class_menubar.html#methods)
    - [Theme Properties](../../classes/class_menubar.html#theme-properties)
    - [Property Descriptions](../../classes/class_menubar.html#property-descriptions)
    - [Method Descriptions](../../classes/class_menubar.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_menubar.html#theme-property-descriptions)
  + [MenuButton](../../classes/class_menubutton.html)
    - [Description](../../classes/class_menubutton.html#description)
    - [Properties](../../classes/class_menubutton.html#properties)
    - [Methods](../../classes/class_menubutton.html#methods)
    - [Signals](../../classes/class_menubutton.html#signals)
    - [Property Descriptions](../../classes/class_menubutton.html#property-descriptions)
    - [Method Descriptions](../../classes/class_menubutton.html#method-descriptions)
  + [MeshInstance2D](../../classes/class_meshinstance2d.html)
    - [Description](../../classes/class_meshinstance2d.html#description)
    - [Tutorials](../../classes/class_meshinstance2d.html#tutorials)
    - [Properties](../../classes/class_meshinstance2d.html#properties)
    - [Signals](../../classes/class_meshinstance2d.html#signals)
    - [Property Descriptions](../../classes/class_meshinstance2d.html#property-descriptions)
  + [MeshInstance3D](../../classes/class_meshinstance3d.html)
    - [Description](../../classes/class_meshinstance3d.html#description)
    - [Tutorials](../../classes/class_meshinstance3d.html#tutorials)
    - [Properties](../../classes/class_meshinstance3d.html#properties)
    - [Methods](../../classes/class_meshinstance3d.html#methods)
    - [Property Descriptions](../../classes/class_meshinstance3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_meshinstance3d.html#method-descriptions)
  + [MissingNode](../../classes/class_missingnode.html)
    - [Description](../../classes/class_missingnode.html#description)
    - [Properties](../../classes/class_missingnode.html#properties)
    - [Property Descriptions](../../classes/class_missingnode.html#property-descriptions)
  + [MultiMeshInstance2D](../../classes/class_multimeshinstance2d.html)
    - [Description](../../classes/class_multimeshinstance2d.html#description)
    - [Properties](../../classes/class_multimeshinstance2d.html#properties)
    - [Signals](../../classes/class_multimeshinstance2d.html#signals)
    - [Property Descriptions](../../classes/class_multimeshinstance2d.html#property-descriptions)
  + [MultiMeshInstance3D](../../classes/class_multimeshinstance3d.html)
    - [Description](../../classes/class_multimeshinstance3d.html#description)
    - [Tutorials](../../classes/class_multimeshinstance3d.html#tutorials)
    - [Properties](../../classes/class_multimeshinstance3d.html#properties)
    - [Property Descriptions](../../classes/class_multimeshinstance3d.html#property-descriptions)
  + [MultiplayerSpawner](../../classes/class_multiplayerspawner.html)
    - [Description](../../classes/class_multiplayerspawner.html#description)
    - [Properties](../../classes/class_multiplayerspawner.html#properties)
    - [Methods](../../classes/class_multiplayerspawner.html#methods)
    - [Signals](../../classes/class_multiplayerspawner.html#signals)
    - [Property Descriptions](../../classes/class_multiplayerspawner.html#property-descriptions)
    - [Method Descriptions](../../classes/class_multiplayerspawner.html#method-descriptions)
  + [MultiplayerSynchronizer](../../classes/class_multiplayersynchronizer.html)
    - [Description](../../classes/class_multiplayersynchronizer.html#description)
    - [Properties](../../classes/class_multiplayersynchronizer.html#properties)
    - [Methods](../../classes/class_multiplayersynchronizer.html#methods)
    - [Signals](../../classes/class_multiplayersynchronizer.html#signals)
    - [Enumerations](../../classes/class_multiplayersynchronizer.html#enumerations)
    - [Property Descriptions](../../classes/class_multiplayersynchronizer.html#property-descriptions)
    - [Method Descriptions](../../classes/class_multiplayersynchronizer.html#method-descriptions)
  + [NavigationAgent2D](../../classes/class_navigationagent2d.html)
    - [Description](../../classes/class_navigationagent2d.html#description)
    - [Tutorials](../../classes/class_navigationagent2d.html#tutorials)
    - [Properties](../../classes/class_navigationagent2d.html#properties)
    - [Methods](../../classes/class_navigationagent2d.html#methods)
    - [Signals](../../classes/class_navigationagent2d.html#signals)
    - [Property Descriptions](../../classes/class_navigationagent2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_navigationagent2d.html#method-descriptions)
  + [NavigationAgent3D](../../classes/class_navigationagent3d.html)
    - [Description](../../classes/class_navigationagent3d.html#description)
    - [Tutorials](../../classes/class_navigationagent3d.html#tutorials)
    - [Properties](../../classes/class_navigationagent3d.html#properties)
    - [Methods](../../classes/class_navigationagent3d.html#methods)
    - [Signals](../../classes/class_navigationagent3d.html#signals)
    - [Property Descriptions](../../classes/class_navigationagent3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_navigationagent3d.html#method-descriptions)
  + [NavigationLink2D](../../classes/class_navigationlink2d.html)
    - [Description](../../classes/class_navigationlink2d.html#description)
    - [Tutorials](../../classes/class_navigationlink2d.html#tutorials)
    - [Properties](../../classes/class_navigationlink2d.html#properties)
    - [Methods](../../classes/class_navigationlink2d.html#methods)
    - [Property Descriptions](../../classes/class_navigationlink2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_navigationlink2d.html#method-descriptions)
  + [NavigationLink3D](../../classes/class_navigationlink3d.html)
    - [Description](../../classes/class_navigationlink3d.html#description)
    - [Tutorials](../../classes/class_navigationlink3d.html#tutorials)
    - [Properties](../../classes/class_navigationlink3d.html#properties)
    - [Methods](../../classes/class_navigationlink3d.html#methods)
    - [Property Descriptions](../../classes/class_navigationlink3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_navigationlink3d.html#method-descriptions)
  + [NavigationObstacle2D](../../classes/class_navigationobstacle2d.html)
    - [Description](../../classes/class_navigationobstacle2d.html#description)
    - [Tutorials](../../classes/class_navigationobstacle2d.html#tutorials)
    - [Properties](../../classes/class_navigationobstacle2d.html#properties)
    - [Methods](../../classes/class_navigationobstacle2d.html#methods)
    - [Property Descriptions](../../classes/class_navigationobstacle2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_navigationobstacle2d.html#method-descriptions)
  + [NavigationObstacle3D](../../classes/class_navigationobstacle3d.html)
    - [Description](../../classes/class_navigationobstacle3d.html#description)
    - [Tutorials](../../classes/class_navigationobstacle3d.html#tutorials)
    - [Properties](../../classes/class_navigationobstacle3d.html#properties)
    - [Methods](../../classes/class_navigationobstacle3d.html#methods)
    - [Property Descriptions](../../classes/class_navigationobstacle3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_navigationobstacle3d.html#method-descriptions)
  + [NavigationRegion2D](../../classes/class_navigationregion2d.html)
    - [Description](../../classes/class_navigationregion2d.html#description)
    - [Tutorials](../../classes/class_navigationregion2d.html#tutorials)
    - [Properties](../../classes/class_navigationregion2d.html#properties)
    - [Methods](../../classes/class_navigationregion2d.html#methods)
    - [Signals](../../classes/class_navigationregion2d.html#signals)
    - [Property Descriptions](../../classes/class_navigationregion2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_navigationregion2d.html#method-descriptions)
  + [NavigationRegion3D](../../classes/class_navigationregion3d.html)
    - [Description](../../classes/class_navigationregion3d.html#description)
    - [Tutorials](../../classes/class_navigationregion3d.html#tutorials)
    - [Properties](../../classes/class_navigationregion3d.html#properties)
    - [Methods](../../classes/class_navigationregion3d.html#methods)
    - [Signals](../../classes/class_navigationregion3d.html#signals)
    - [Property Descriptions](../../classes/class_navigationregion3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_navigationregion3d.html#method-descriptions)
  + [NinePatchRect](../../classes/class_ninepatchrect.html)
    - [Description](../../classes/class_ninepatchrect.html#description)
    - [Properties](../../classes/class_ninepatchrect.html#properties)
    - [Methods](../../classes/class_ninepatchrect.html#methods)
    - [Signals](../../classes/class_ninepatchrect.html#signals)
    - [Enumerations](../../classes/class_ninepatchrect.html#enumerations)
    - [Property Descriptions](../../classes/class_ninepatchrect.html#property-descriptions)
    - [Method Descriptions](../../classes/class_ninepatchrect.html#method-descriptions)
  + [Node2D](../../classes/class_node2d.html)
    - [Description](../../classes/class_node2d.html#description)
    - [Tutorials](../../classes/class_node2d.html#tutorials)
    - [Properties](../../classes/class_node2d.html#properties)
    - [Methods](../../classes/class_node2d.html#methods)
    - [Property Descriptions](../../classes/class_node2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_node2d.html#method-descriptions)
  + [Node3D](../../classes/class_node3d.html)
    - [Description](../../classes/class_node3d.html#description)
    - [Tutorials](../../classes/class_node3d.html#tutorials)
    - [Properties](../../classes/class_node3d.html#properties)
    - [Methods](../../classes/class_node3d.html#methods)
    - [Signals](../../classes/class_node3d.html#signals)
    - [Enumerations](../../classes/class_node3d.html#enumerations)
    - [Constants](../../classes/class_node3d.html#constants)
    - [Property Descriptions](../../classes/class_node3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_node3d.html#method-descriptions)
  + [OccluderInstance3D](../../classes/class_occluderinstance3d.html)
    - [Description](../../classes/class_occluderinstance3d.html#description)
    - [Tutorials](../../classes/class_occluderinstance3d.html#tutorials)
    - [Properties](../../classes/class_occluderinstance3d.html#properties)
    - [Methods](../../classes/class_occluderinstance3d.html#methods)
    - [Property Descriptions](../../classes/class_occluderinstance3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_occluderinstance3d.html#method-descriptions)
  + [OmniLight3D](../../classes/class_omnilight3d.html)
    - [Description](../../classes/class_omnilight3d.html#description)
    - [Tutorials](../../classes/class_omnilight3d.html#tutorials)
    - [Properties](../../classes/class_omnilight3d.html#properties)
    - [Enumerations](../../classes/class_omnilight3d.html#enumerations)
    - [Property Descriptions](../../classes/class_omnilight3d.html#property-descriptions)
  + [OpenXRBindingModifierEditor](../../classes/class_openxrbindingmodifiereditor.html)
    - [Description](../../classes/class_openxrbindingmodifiereditor.html#description)
    - [Properties](../../classes/class_openxrbindingmodifiereditor.html#properties)
    - [Methods](../../classes/class_openxrbindingmodifiereditor.html#methods)
    - [Signals](../../classes/class_openxrbindingmodifiereditor.html#signals)
    - [Method Descriptions](../../classes/class_openxrbindingmodifiereditor.html#method-descriptions)
  + [OpenXRCompositionLayer](../../classes/class_openxrcompositionlayer.html)
    - [Description](../../classes/class_openxrcompositionlayer.html#description)
    - [Properties](../../classes/class_openxrcompositionlayer.html#properties)
    - [Methods](../../classes/class_openxrcompositionlayer.html#methods)
    - [Property Descriptions](../../classes/class_openxrcompositionlayer.html#property-descriptions)
    - [Method Descriptions](../../classes/class_openxrcompositionlayer.html#method-descriptions)
  + [OpenXRCompositionLayerCylinder](../../classes/class_openxrcompositionlayercylinder.html)
    - [Description](../../classes/class_openxrcompositionlayercylinder.html#description)
    - [Properties](../../classes/class_openxrcompositionlayercylinder.html#properties)
    - [Property Descriptions](../../classes/class_openxrcompositionlayercylinder.html#property-descriptions)
  + [OpenXRCompositionLayerEquirect](../../classes/class_openxrcompositionlayerequirect.html)
    - [Description](../../classes/class_openxrcompositionlayerequirect.html#description)
    - [Properties](../../classes/class_openxrcompositionlayerequirect.html#properties)
    - [Property Descriptions](../../classes/class_openxrcompositionlayerequirect.html#property-descriptions)
  + [OpenXRCompositionLayerQuad](../../classes/class_openxrcompositionlayerquad.html)
    - [Description](../../classes/class_openxrcompositionlayerquad.html#description)
    - [Properties](../../classes/class_openxrcompositionlayerquad.html#properties)
    - [Property Descriptions](../../classes/class_openxrcompositionlayerquad.html#property-descriptions)
  + [OpenXRHand](../../classes/class_openxrhand.html)
    - [Description](../../classes/class_openxrhand.html#description)
    - [Properties](../../classes/class_openxrhand.html#properties)
    - [Enumerations](../../classes/class_openxrhand.html#enumerations)
    - [Property Descriptions](../../classes/class_openxrhand.html#property-descriptions)
  + [OpenXRInteractionProfileEditor](../../classes/class_openxrinteractionprofileeditor.html)
    - [Description](../../classes/class_openxrinteractionprofileeditor.html#description)
  + [OpenXRInteractionProfileEditorBase](../../classes/class_openxrinteractionprofileeditorbase.html)
    - [Description](../../classes/class_openxrinteractionprofileeditorbase.html#description)
    - [Properties](../../classes/class_openxrinteractionprofileeditorbase.html#properties)
    - [Methods](../../classes/class_openxrinteractionprofileeditorbase.html#methods)
    - [Method Descriptions](../../classes/class_openxrinteractionprofileeditorbase.html#method-descriptions)
  + [OpenXRVisibilityMask](../../classes/class_openxrvisibilitymask.html)
    - [Description](../../classes/class_openxrvisibilitymask.html#description)
  + [OptionButton](../../classes/class_optionbutton.html)
    - [Description](../../classes/class_optionbutton.html#description)
    - [Properties](../../classes/class_optionbutton.html#properties)
    - [Methods](../../classes/class_optionbutton.html#methods)
    - [Theme Properties](../../classes/class_optionbutton.html#theme-properties)
    - [Signals](../../classes/class_optionbutton.html#signals)
    - [Property Descriptions](../../classes/class_optionbutton.html#property-descriptions)
    - [Method Descriptions](../../classes/class_optionbutton.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_optionbutton.html#theme-property-descriptions)
  + [Panel](../../classes/class_panel.html)
    - [Description](../../classes/class_panel.html#description)
    - [Tutorials](../../classes/class_panel.html#tutorials)
    - [Theme Properties](../../classes/class_panel.html#theme-properties)
    - [Theme Property Descriptions](../../classes/class_panel.html#theme-property-descriptions)
  + [PanelContainer](../../classes/class_panelcontainer.html)
    - [Description](../../classes/class_panelcontainer.html#description)
    - [Tutorials](../../classes/class_panelcontainer.html#tutorials)
    - [Properties](../../classes/class_panelcontainer.html#properties)
    - [Theme Properties](../../classes/class_panelcontainer.html#theme-properties)
    - [Theme Property Descriptions](../../classes/class_panelcontainer.html#theme-property-descriptions)
  + [Parallax2D](../../classes/class_parallax2d.html)
    - [Description](../../classes/class_parallax2d.html#description)
    - [Tutorials](../../classes/class_parallax2d.html#tutorials)
    - [Properties](../../classes/class_parallax2d.html#properties)
    - [Property Descriptions](../../classes/class_parallax2d.html#property-descriptions)
  + [ParallaxBackground](../../classes/class_parallaxbackground.html)
    - [Description](../../classes/class_parallaxbackground.html#description)
    - [Properties](../../classes/class_parallaxbackground.html#properties)
    - [Property Descriptions](../../classes/class_parallaxbackground.html#property-descriptions)
  + [ParallaxLayer](../../classes/class_parallaxlayer.html)
    - [Description](../../classes/class_parallaxlayer.html#description)
    - [Properties](../../classes/class_parallaxlayer.html#properties)
    - [Property Descriptions](../../classes/class_parallaxlayer.html#property-descriptions)
  + [Path2D](../../classes/class_path2d.html)
    - [Description](../../classes/class_path2d.html#description)
    - [Properties](../../classes/class_path2d.html#properties)
    - [Property Descriptions](../../classes/class_path2d.html#property-descriptions)
  + [Path3D](../../classes/class_path3d.html)
    - [Description](../../classes/class_path3d.html#description)
    - [Properties](../../classes/class_path3d.html#properties)
    - [Signals](../../classes/class_path3d.html#signals)
    - [Property Descriptions](../../classes/class_path3d.html#property-descriptions)
  + [PathFollow2D](../../classes/class_pathfollow2d.html)
    - [Description](../../classes/class_pathfollow2d.html#description)
    - [Properties](../../classes/class_pathfollow2d.html#properties)
    - [Property Descriptions](../../classes/class_pathfollow2d.html#property-descriptions)
  + [PathFollow3D](../../classes/class_pathfollow3d.html)
    - [Description](../../classes/class_pathfollow3d.html#description)
    - [Properties](../../classes/class_pathfollow3d.html#properties)
    - [Methods](../../classes/class_pathfollow3d.html#methods)
    - [Enumerations](../../classes/class_pathfollow3d.html#enumerations)
    - [Property Descriptions](../../classes/class_pathfollow3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_pathfollow3d.html#method-descriptions)
  + [PhysicalBone2D](../../classes/class_physicalbone2d.html)
    - [Description](../../classes/class_physicalbone2d.html#description)
    - [Properties](../../classes/class_physicalbone2d.html#properties)
    - [Methods](../../classes/class_physicalbone2d.html#methods)
    - [Property Descriptions](../../classes/class_physicalbone2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_physicalbone2d.html#method-descriptions)
  + [PhysicalBone3D](../../classes/class_physicalbone3d.html)
    - [Description](../../classes/class_physicalbone3d.html#description)
    - [Properties](../../classes/class_physicalbone3d.html#properties)
    - [Methods](../../classes/class_physicalbone3d.html#methods)
    - [Enumerations](../../classes/class_physicalbone3d.html#enumerations)
    - [Property Descriptions](../../classes/class_physicalbone3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_physicalbone3d.html#method-descriptions)
  + [PhysicalBoneSimulator3D](../../classes/class_physicalbonesimulator3d.html)
    - [Description](../../classes/class_physicalbonesimulator3d.html#description)
    - [Methods](../../classes/class_physicalbonesimulator3d.html#methods)
    - [Method Descriptions](../../classes/class_physicalbonesimulator3d.html#method-descriptions)
  + [PhysicsBody2D](../../classes/class_physicsbody2d.html)
    - [Description](../../classes/class_physicsbody2d.html#description)
    - [Tutorials](../../classes/class_physicsbody2d.html#tutorials)
    - [Properties](../../classes/class_physicsbody2d.html#properties)
    - [Methods](../../classes/class_physicsbody2d.html#methods)
    - [Method Descriptions](../../classes/class_physicsbody2d.html#method-descriptions)
  + [PhysicsBody3D](../../classes/class_physicsbody3d.html)
    - [Description](../../classes/class_physicsbody3d.html#description)
    - [Tutorials](../../classes/class_physicsbody3d.html#tutorials)
    - [Properties](../../classes/class_physicsbody3d.html#properties)
    - [Methods](../../classes/class_physicsbody3d.html#methods)
    - [Property Descriptions](../../classes/class_physicsbody3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_physicsbody3d.html#method-descriptions)
  + [PinJoint2D](../../classes/class_pinjoint2d.html)
    - [Description](../../classes/class_pinjoint2d.html#description)
    - [Properties](../../classes/class_pinjoint2d.html#properties)
    - [Property Descriptions](../../classes/class_pinjoint2d.html#property-descriptions)
  + [PinJoint3D](../../classes/class_pinjoint3d.html)
    - [Description](../../classes/class_pinjoint3d.html#description)
    - [Properties](../../classes/class_pinjoint3d.html#properties)
    - [Methods](../../classes/class_pinjoint3d.html#methods)
    - [Enumerations](../../classes/class_pinjoint3d.html#enumerations)
    - [Property Descriptions](../../classes/class_pinjoint3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_pinjoint3d.html#method-descriptions)
  + [PointLight2D](../../classes/class_pointlight2d.html)
    - [Description](../../classes/class_pointlight2d.html#description)
    - [Tutorials](../../classes/class_pointlight2d.html#tutorials)
    - [Properties](../../classes/class_pointlight2d.html#properties)
    - [Property Descriptions](../../classes/class_pointlight2d.html#property-descriptions)
  + [Polygon2D](../../classes/class_polygon2d.html)
    - [Description](../../classes/class_polygon2d.html#description)
    - [Properties](../../classes/class_polygon2d.html#properties)
    - [Methods](../../classes/class_polygon2d.html#methods)
    - [Property Descriptions](../../classes/class_polygon2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_polygon2d.html#method-descriptions)
  + [Popup](../../classes/class_popup.html)
    - [Description](../../classes/class_popup.html#description)
    - [Properties](../../classes/class_popup.html#properties)
    - [Signals](../../classes/class_popup.html#signals)
  + [PopupMenu](../../classes/class_popupmenu.html)
    - [Description](../../classes/class_popupmenu.html#description)
    - [Properties](../../classes/class_popupmenu.html#properties)
    - [Methods](../../classes/class_popupmenu.html#methods)
    - [Theme Properties](../../classes/class_popupmenu.html#theme-properties)
    - [Signals](../../classes/class_popupmenu.html#signals)
    - [Property Descriptions](../../classes/class_popupmenu.html#property-descriptions)
    - [Method Descriptions](../../classes/class_popupmenu.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_popupmenu.html#theme-property-descriptions)
  + [PopupPanel](../../classes/class_popuppanel.html)
    - [Description](../../classes/class_popuppanel.html#description)
    - [Properties](../../classes/class_popuppanel.html#properties)
    - [Theme Properties](../../classes/class_popuppanel.html#theme-properties)
    - [Theme Property Descriptions](../../classes/class_popuppanel.html#theme-property-descriptions)
  + [ProgressBar](../../classes/class_progressbar.html)
    - [Description](../../classes/class_progressbar.html#description)
    - [Properties](../../classes/class_progressbar.html#properties)
    - [Theme Properties](../../classes/class_progressbar.html#theme-properties)
    - [Enumerations](../../classes/class_progressbar.html#enumerations)
    - [Property Descriptions](../../classes/class_progressbar.html#property-descriptions)
    - [Theme Property Descriptions](../../classes/class_progressbar.html#theme-property-descriptions)
  + [Range](../../classes/class_range.html)
    - [Description](../../classes/class_range.html#description)
    - [Properties](../../classes/class_range.html#properties)
    - [Methods](../../classes/class_range.html#methods)
    - [Signals](../../classes/class_range.html#signals)
    - [Property Descriptions](../../classes/class_range.html#property-descriptions)
    - [Method Descriptions](../../classes/class_range.html#method-descriptions)
  + [RayCast2D](../../classes/class_raycast2d.html)
    - [Description](../../classes/class_raycast2d.html#description)
    - [Tutorials](../../classes/class_raycast2d.html#tutorials)
    - [Properties](../../classes/class_raycast2d.html#properties)
    - [Methods](../../classes/class_raycast2d.html#methods)
    - [Property Descriptions](../../classes/class_raycast2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_raycast2d.html#method-descriptions)
  + [RayCast3D](../../classes/class_raycast3d.html)
    - [Description](../../classes/class_raycast3d.html#description)
    - [Tutorials](../../classes/class_raycast3d.html#tutorials)
    - [Properties](../../classes/class_raycast3d.html#properties)
    - [Methods](../../classes/class_raycast3d.html#methods)
    - [Property Descriptions](../../classes/class_raycast3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_raycast3d.html#method-descriptions)
  + [ReferenceRect](../../classes/class_referencerect.html)
    - [Description](../../classes/class_referencerect.html#description)
    - [Properties](../../classes/class_referencerect.html#properties)
    - [Property Descriptions](../../classes/class_referencerect.html#property-descriptions)
  + [ReflectionProbe](../../classes/class_reflectionprobe.html)
    - [Description](../../classes/class_reflectionprobe.html#description)
    - [Tutorials](../../classes/class_reflectionprobe.html#tutorials)
    - [Properties](../../classes/class_reflectionprobe.html#properties)
    - [Enumerations](../../classes/class_reflectionprobe.html#enumerations)
    - [Property Descriptions](../../classes/class_reflectionprobe.html#property-descriptions)
  + [RemoteTransform2D](../../classes/class_remotetransform2d.html)
    - [Description](../../classes/class_remotetransform2d.html#description)
    - [Properties](../../classes/class_remotetransform2d.html#properties)
    - [Methods](../../classes/class_remotetransform2d.html#methods)
    - [Property Descriptions](../../classes/class_remotetransform2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_remotetransform2d.html#method-descriptions)
  + [RemoteTransform3D](../../classes/class_remotetransform3d.html)
    - [Description](../../classes/class_remotetransform3d.html#description)
    - [Properties](../../classes/class_remotetransform3d.html#properties)
    - [Methods](../../classes/class_remotetransform3d.html#methods)
    - [Property Descriptions](../../classes/class_remotetransform3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_remotetransform3d.html#method-descriptions)
  + [ResourcePreloader](../../classes/class_resourcepreloader.html)
    - [Description](../../classes/class_resourcepreloader.html#description)
    - [Methods](../../classes/class_resourcepreloader.html#methods)
    - [Method Descriptions](../../classes/class_resourcepreloader.html#method-descriptions)
  + [RetargetModifier3D](../../classes/class_retargetmodifier3d.html)
    - [Description](../../classes/class_retargetmodifier3d.html#description)
    - [Properties](../../classes/class_retargetmodifier3d.html#properties)
    - [Methods](../../classes/class_retargetmodifier3d.html#methods)
    - [Enumerations](../../classes/class_retargetmodifier3d.html#enumerations)
    - [Property Descriptions](../../classes/class_retargetmodifier3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_retargetmodifier3d.html#method-descriptions)
  + [RichTextLabel](../../classes/class_richtextlabel.html)
    - [Description](../../classes/class_richtextlabel.html#description)
    - [Tutorials](../../classes/class_richtextlabel.html#tutorials)
    - [Properties](../../classes/class_richtextlabel.html#properties)
    - [Methods](../../classes/class_richtextlabel.html#methods)
    - [Theme Properties](../../classes/class_richtextlabel.html#theme-properties)
    - [Signals](../../classes/class_richtextlabel.html#signals)
    - [Enumerations](../../classes/class_richtextlabel.html#enumerations)
    - [Property Descriptions](../../classes/class_richtextlabel.html#property-descriptions)
    - [Method Descriptions](../../classes/class_richtextlabel.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_richtextlabel.html#theme-property-descriptions)
  + [RigidBody2D](../../classes/class_rigidbody2d.html)
    - [Description](../../classes/class_rigidbody2d.html#description)
    - [Tutorials](../../classes/class_rigidbody2d.html#tutorials)
    - [Properties](../../classes/class_rigidbody2d.html#properties)
    - [Methods](../../classes/class_rigidbody2d.html#methods)
    - [Signals](../../classes/class_rigidbody2d.html#signals)
    - [Enumerations](../../classes/class_rigidbody2d.html#enumerations)
    - [Property Descriptions](../../classes/class_rigidbody2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_rigidbody2d.html#method-descriptions)
  + [RigidBody3D](../../classes/class_rigidbody3d.html)
    - [Description](../../classes/class_rigidbody3d.html#description)
    - [Tutorials](../../classes/class_rigidbody3d.html#tutorials)
    - [Properties](../../classes/class_rigidbody3d.html#properties)
    - [Methods](../../classes/class_rigidbody3d.html#methods)
    - [Signals](../../classes/class_rigidbody3d.html#signals)
    - [Enumerations](../../classes/class_rigidbody3d.html#enumerations)
    - [Property Descriptions](../../classes/class_rigidbody3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_rigidbody3d.html#method-descriptions)
  + [RootMotionView](../../classes/class_rootmotionview.html)
    - [Description](../../classes/class_rootmotionview.html#description)
    - [Tutorials](../../classes/class_rootmotionview.html#tutorials)
    - [Properties](../../classes/class_rootmotionview.html#properties)
    - [Property Descriptions](../../classes/class_rootmotionview.html#property-descriptions)
  + [ScriptCreateDialog](../../classes/class_scriptcreatedialog.html)
    - [Description](../../classes/class_scriptcreatedialog.html#description)
    - [Properties](../../classes/class_scriptcreatedialog.html#properties)
    - [Methods](../../classes/class_scriptcreatedialog.html#methods)
    - [Signals](../../classes/class_scriptcreatedialog.html#signals)
    - [Method Descriptions](../../classes/class_scriptcreatedialog.html#method-descriptions)
  + [ScriptEditor](../../classes/class_scripteditor.html)
    - [Description](../../classes/class_scripteditor.html#description)
    - [Methods](../../classes/class_scripteditor.html#methods)
    - [Signals](../../classes/class_scripteditor.html#signals)
    - [Method Descriptions](../../classes/class_scripteditor.html#method-descriptions)
  + [ScriptEditorBase](../../classes/class_scripteditorbase.html)
    - [Description](../../classes/class_scripteditorbase.html#description)
    - [Methods](../../classes/class_scripteditorbase.html#methods)
    - [Signals](../../classes/class_scripteditorbase.html#signals)
    - [Method Descriptions](../../classes/class_scripteditorbase.html#method-descriptions)
  + [ScrollBar](../../classes/class_scrollbar.html)
    - [Description](../../classes/class_scrollbar.html#description)
    - [Properties](../../classes/class_scrollbar.html#properties)
    - [Theme Properties](../../classes/class_scrollbar.html#theme-properties)
    - [Signals](../../classes/class_scrollbar.html#signals)
    - [Property Descriptions](../../classes/class_scrollbar.html#property-descriptions)
    - [Theme Property Descriptions](../../classes/class_scrollbar.html#theme-property-descriptions)
  + [ScrollContainer](../../classes/class_scrollcontainer.html)
    - [Description](../../classes/class_scrollcontainer.html#description)
    - [Tutorials](../../classes/class_scrollcontainer.html#tutorials)
    - [Properties](../../classes/class_scrollcontainer.html#properties)
    - [Methods](../../classes/class_scrollcontainer.html#methods)
    - [Theme Properties](../../classes/class_scrollcontainer.html#theme-properties)
    - [Signals](../../classes/class_scrollcontainer.html#signals)
    - [Enumerations](../../classes/class_scrollcontainer.html#enumerations)
    - [Property Descriptions](../../classes/class_scrollcontainer.html#property-descriptions)
    - [Method Descriptions](../../classes/class_scrollcontainer.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_scrollcontainer.html#theme-property-descriptions)
  + [Separator](../../classes/class_separator.html)
    - [Description](../../classes/class_separator.html#description)
    - [Theme Properties](../../classes/class_separator.html#theme-properties)
    - [Theme Property Descriptions](../../classes/class_separator.html#theme-property-descriptions)
  + [ShaderGlobalsOverride](../../classes/class_shaderglobalsoverride.html)
    - [Description](../../classes/class_shaderglobalsoverride.html#description)
    - [Tutorials](../../classes/class_shaderglobalsoverride.html#tutorials)
  + [ShapeCast2D](../../classes/class_shapecast2d.html)
    - [Description](../../classes/class_shapecast2d.html#description)
    - [Properties](../../classes/class_shapecast2d.html#properties)
    - [Methods](../../classes/class_shapecast2d.html#methods)
    - [Property Descriptions](../../classes/class_shapecast2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_shapecast2d.html#method-descriptions)
  + [ShapeCast3D](../../classes/class_shapecast3d.html)
    - [Description](../../classes/class_shapecast3d.html#description)
    - [Properties](../../classes/class_shapecast3d.html#properties)
    - [Methods](../../classes/class_shapecast3d.html#methods)
    - [Property Descriptions](../../classes/class_shapecast3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_shapecast3d.html#method-descriptions)
  + [Skeleton2D](../../classes/class_skeleton2d.html)
    - [Description](../../classes/class_skeleton2d.html#description)
    - [Tutorials](../../classes/class_skeleton2d.html#tutorials)
    - [Methods](../../classes/class_skeleton2d.html#methods)
    - [Signals](../../classes/class_skeleton2d.html#signals)
    - [Method Descriptions](../../classes/class_skeleton2d.html#method-descriptions)
  + [Skeleton3D](../../classes/class_skeleton3d.html)
    - [Description](../../classes/class_skeleton3d.html#description)
    - [Tutorials](../../classes/class_skeleton3d.html#tutorials)
    - [Properties](../../classes/class_skeleton3d.html#properties)
    - [Methods](../../classes/class_skeleton3d.html#methods)
    - [Signals](../../classes/class_skeleton3d.html#signals)
    - [Enumerations](../../classes/class_skeleton3d.html#enumerations)
    - [Constants](../../classes/class_skeleton3d.html#constants)
    - [Property Descriptions](../../classes/class_skeleton3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_skeleton3d.html#method-descriptions)
  + [SkeletonIK3D](../../classes/class_skeletonik3d.html)
    - [Description](../../classes/class_skeletonik3d.html#description)
    - [Properties](../../classes/class_skeletonik3d.html#properties)
    - [Methods](../../classes/class_skeletonik3d.html#methods)
    - [Property Descriptions](../../classes/class_skeletonik3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_skeletonik3d.html#method-descriptions)
  + [SkeletonModifier3D](../../classes/class_skeletonmodifier3d.html)
    - [Description](../../classes/class_skeletonmodifier3d.html#description)
    - [Tutorials](../../classes/class_skeletonmodifier3d.html#tutorials)
    - [Properties](../../classes/class_skeletonmodifier3d.html#properties)
    - [Methods](../../classes/class_skeletonmodifier3d.html#methods)
    - [Signals](../../classes/class_skeletonmodifier3d.html#signals)
    - [Enumerations](../../classes/class_skeletonmodifier3d.html#enumerations)
    - [Property Descriptions](../../classes/class_skeletonmodifier3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_skeletonmodifier3d.html#method-descriptions)
  + [Slider](../../classes/class_slider.html)
    - [Description](../../classes/class_slider.html#description)
    - [Properties](../../classes/class_slider.html#properties)
    - [Theme Properties](../../classes/class_slider.html#theme-properties)
    - [Signals](../../classes/class_slider.html#signals)
    - [Property Descriptions](../../classes/class_slider.html#property-descriptions)
    - [Theme Property Descriptions](../../classes/class_slider.html#theme-property-descriptions)
  + [SliderJoint3D](../../classes/class_sliderjoint3d.html)
    - [Description](../../classes/class_sliderjoint3d.html#description)
    - [Properties](../../classes/class_sliderjoint3d.html#properties)
    - [Methods](../../classes/class_sliderjoint3d.html#methods)
    - [Enumerations](../../classes/class_sliderjoint3d.html#enumerations)
    - [Property Descriptions](../../classes/class_sliderjoint3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_sliderjoint3d.html#method-descriptions)
  + [SoftBody3D](../../classes/class_softbody3d.html)
    - [Description](../../classes/class_softbody3d.html#description)
    - [Tutorials](../../classes/class_softbody3d.html#tutorials)
    - [Properties](../../classes/class_softbody3d.html#properties)
    - [Methods](../../classes/class_softbody3d.html#methods)
    - [Enumerations](../../classes/class_softbody3d.html#enumerations)
    - [Property Descriptions](../../classes/class_softbody3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_softbody3d.html#method-descriptions)
  + [SpinBox](../../classes/class_spinbox.html)
    - [Description](../../classes/class_spinbox.html#description)
    - [Properties](../../classes/class_spinbox.html#properties)
    - [Methods](../../classes/class_spinbox.html#methods)
    - [Theme Properties](../../classes/class_spinbox.html#theme-properties)
    - [Property Descriptions](../../classes/class_spinbox.html#property-descriptions)
    - [Method Descriptions](../../classes/class_spinbox.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_spinbox.html#theme-property-descriptions)
  + [SplitContainer](../../classes/class_splitcontainer.html)
    - [Description](../../classes/class_splitcontainer.html#description)
    - [Tutorials](../../classes/class_splitcontainer.html#tutorials)
    - [Properties](../../classes/class_splitcontainer.html#properties)
    - [Methods](../../classes/class_splitcontainer.html#methods)
    - [Theme Properties](../../classes/class_splitcontainer.html#theme-properties)
    - [Signals](../../classes/class_splitcontainer.html#signals)
    - [Enumerations](../../classes/class_splitcontainer.html#enumerations)
    - [Property Descriptions](../../classes/class_splitcontainer.html#property-descriptions)
    - [Method Descriptions](../../classes/class_splitcontainer.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_splitcontainer.html#theme-property-descriptions)
  + [SpotLight3D](../../classes/class_spotlight3d.html)
    - [Description](../../classes/class_spotlight3d.html#description)
    - [Tutorials](../../classes/class_spotlight3d.html#tutorials)
    - [Properties](../../classes/class_spotlight3d.html#properties)
    - [Property Descriptions](../../classes/class_spotlight3d.html#property-descriptions)
  + [SpringArm3D](../../classes/class_springarm3d.html)
    - [Description](../../classes/class_springarm3d.html#description)
    - [Tutorials](../../classes/class_springarm3d.html#tutorials)
    - [Properties](../../classes/class_springarm3d.html#properties)
    - [Methods](../../classes/class_springarm3d.html#methods)
    - [Property Descriptions](../../classes/class_springarm3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_springarm3d.html#method-descriptions)
  + [SpringBoneCollision3D](../../classes/class_springbonecollision3d.html)
    - [Description](../../classes/class_springbonecollision3d.html#description)
    - [Properties](../../classes/class_springbonecollision3d.html#properties)
    - [Methods](../../classes/class_springbonecollision3d.html#methods)
    - [Property Descriptions](../../classes/class_springbonecollision3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_springbonecollision3d.html#method-descriptions)
  + [SpringBoneCollisionCapsule3D](../../classes/class_springbonecollisioncapsule3d.html)
    - [Description](../../classes/class_springbonecollisioncapsule3d.html#description)
    - [Properties](../../classes/class_springbonecollisioncapsule3d.html#properties)
    - [Property Descriptions](../../classes/class_springbonecollisioncapsule3d.html#property-descriptions)
  + [SpringBoneCollisionPlane3D](../../classes/class_springbonecollisionplane3d.html)
    - [Description](../../classes/class_springbonecollisionplane3d.html#description)
  + [SpringBoneCollisionSphere3D](../../classes/class_springbonecollisionsphere3d.html)
    - [Description](../../classes/class_springbonecollisionsphere3d.html#description)
    - [Properties](../../classes/class_springbonecollisionsphere3d.html#properties)
    - [Property Descriptions](../../classes/class_springbonecollisionsphere3d.html#property-descriptions)
  + [SpringBoneSimulator3D](../../classes/class_springbonesimulator3d.html)
    - [Description](../../classes/class_springbonesimulator3d.html#description)
    - [Properties](../../classes/class_springbonesimulator3d.html#properties)
    - [Methods](../../classes/class_springbonesimulator3d.html#methods)
    - [Enumerations](../../classes/class_springbonesimulator3d.html#enumerations)
    - [Property Descriptions](../../classes/class_springbonesimulator3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_springbonesimulator3d.html#method-descriptions)
  + [Sprite2D](../../classes/class_sprite2d.html)
    - [Description](../../classes/class_sprite2d.html#description)
    - [Tutorials](../../classes/class_sprite2d.html#tutorials)
    - [Properties](../../classes/class_sprite2d.html#properties)
    - [Methods](../../classes/class_sprite2d.html#methods)
    - [Signals](../../classes/class_sprite2d.html#signals)
    - [Property Descriptions](../../classes/class_sprite2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_sprite2d.html#method-descriptions)
  + [Sprite3D](../../classes/class_sprite3d.html)
    - [Description](../../classes/class_sprite3d.html#description)
    - [Properties](../../classes/class_sprite3d.html#properties)
    - [Signals](../../classes/class_sprite3d.html#signals)
    - [Property Descriptions](../../classes/class_sprite3d.html#property-descriptions)
  + [SpriteBase3D](../../classes/class_spritebase3d.html)
    - [Description](../../classes/class_spritebase3d.html#description)
    - [Properties](../../classes/class_spritebase3d.html#properties)
    - [Methods](../../classes/class_spritebase3d.html#methods)
    - [Enumerations](../../classes/class_spritebase3d.html#enumerations)
    - [Property Descriptions](../../classes/class_spritebase3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_spritebase3d.html#method-descriptions)
  + [StaticBody2D](../../classes/class_staticbody2d.html)
    - [Description](../../classes/class_staticbody2d.html#description)
    - [Properties](../../classes/class_staticbody2d.html#properties)
    - [Property Descriptions](../../classes/class_staticbody2d.html#property-descriptions)
  + [StaticBody3D](../../classes/class_staticbody3d.html)
    - [Description](../../classes/class_staticbody3d.html#description)
    - [Tutorials](../../classes/class_staticbody3d.html#tutorials)
    - [Properties](../../classes/class_staticbody3d.html#properties)
    - [Property Descriptions](../../classes/class_staticbody3d.html#property-descriptions)
  + [StatusIndicator](../../classes/class_statusindicator.html)
    - [Properties](../../classes/class_statusindicator.html#properties)
    - [Methods](../../classes/class_statusindicator.html#methods)
    - [Signals](../../classes/class_statusindicator.html#signals)
    - [Property Descriptions](../../classes/class_statusindicator.html#property-descriptions)
    - [Method Descriptions](../../classes/class_statusindicator.html#method-descriptions)
  + [SubViewport](../../classes/class_subviewport.html)
    - [Description](../../classes/class_subviewport.html#description)
    - [Tutorials](../../classes/class_subviewport.html#tutorials)
    - [Properties](../../classes/class_subviewport.html#properties)
    - [Enumerations](../../classes/class_subviewport.html#enumerations)
    - [Property Descriptions](../../classes/class_subviewport.html#property-descriptions)
  + [SubViewportContainer](../../classes/class_subviewportcontainer.html)
    - [Description](../../classes/class_subviewportcontainer.html#description)
    - [Properties](../../classes/class_subviewportcontainer.html#properties)
    - [Methods](../../classes/class_subviewportcontainer.html#methods)
    - [Property Descriptions](../../classes/class_subviewportcontainer.html#property-descriptions)
    - [Method Descriptions](../../classes/class_subviewportcontainer.html#method-descriptions)
  + [TabBar](../../classes/class_tabbar.html)
    - [Description](../../classes/class_tabbar.html#description)
    - [Properties](../../classes/class_tabbar.html#properties)
    - [Methods](../../classes/class_tabbar.html#methods)
    - [Theme Properties](../../classes/class_tabbar.html#theme-properties)
    - [Signals](../../classes/class_tabbar.html#signals)
    - [Enumerations](../../classes/class_tabbar.html#enumerations)
    - [Property Descriptions](../../classes/class_tabbar.html#property-descriptions)
    - [Method Descriptions](../../classes/class_tabbar.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_tabbar.html#theme-property-descriptions)
  + [TabContainer](../../classes/class_tabcontainer.html)
    - [Description](../../classes/class_tabcontainer.html#description)
    - [Tutorials](../../classes/class_tabcontainer.html#tutorials)
    - [Properties](../../classes/class_tabcontainer.html#properties)
    - [Methods](../../classes/class_tabcontainer.html#methods)
    - [Theme Properties](../../classes/class_tabcontainer.html#theme-properties)
    - [Signals](../../classes/class_tabcontainer.html#signals)
    - [Enumerations](../../classes/class_tabcontainer.html#enumerations)
    - [Property Descriptions](../../classes/class_tabcontainer.html#property-descriptions)
    - [Method Descriptions](../../classes/class_tabcontainer.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_tabcontainer.html#theme-property-descriptions)
  + [TextEdit](../../classes/class_textedit.html)
    - [Description](../../classes/class_textedit.html#description)
    - [Properties](../../classes/class_textedit.html#properties)
    - [Methods](../../classes/class_textedit.html#methods)
    - [Theme Properties](../../classes/class_textedit.html#theme-properties)
    - [Signals](../../classes/class_textedit.html#signals)
    - [Enumerations](../../classes/class_textedit.html#enumerations)
    - [Property Descriptions](../../classes/class_textedit.html#property-descriptions)
    - [Method Descriptions](../../classes/class_textedit.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_textedit.html#theme-property-descriptions)
  + [TextureButton](../../classes/class_texturebutton.html)
    - [Description](../../classes/class_texturebutton.html#description)
    - [Tutorials](../../classes/class_texturebutton.html#tutorials)
    - [Properties](../../classes/class_texturebutton.html#properties)
    - [Enumerations](../../classes/class_texturebutton.html#enumerations)
    - [Property Descriptions](../../classes/class_texturebutton.html#property-descriptions)
  + [TextureProgressBar](../../classes/class_textureprogressbar.html)
    - [Description](../../classes/class_textureprogressbar.html#description)
    - [Properties](../../classes/class_textureprogressbar.html#properties)
    - [Methods](../../classes/class_textureprogressbar.html#methods)
    - [Enumerations](../../classes/class_textureprogressbar.html#enumerations)
    - [Property Descriptions](../../classes/class_textureprogressbar.html#property-descriptions)
    - [Method Descriptions](../../classes/class_textureprogressbar.html#method-descriptions)
  + [TextureRect](../../classes/class_texturerect.html)
    - [Description](../../classes/class_texturerect.html#description)
    - [Tutorials](../../classes/class_texturerect.html#tutorials)
    - [Properties](../../classes/class_texturerect.html#properties)
    - [Enumerations](../../classes/class_texturerect.html#enumerations)
    - [Property Descriptions](../../classes/class_texturerect.html#property-descriptions)
  + [TileMap](../../classes/class_tilemap.html)
    - [Description](../../classes/class_tilemap.html#description)
    - [Tutorials](../../classes/class_tilemap.html#tutorials)
    - [Properties](../../classes/class_tilemap.html#properties)
    - [Methods](../../classes/class_tilemap.html#methods)
    - [Signals](../../classes/class_tilemap.html#signals)
    - [Enumerations](../../classes/class_tilemap.html#enumerations)
    - [Property Descriptions](../../classes/class_tilemap.html#property-descriptions)
    - [Method Descriptions](../../classes/class_tilemap.html#method-descriptions)
  + [TileMapLayer](../../classes/class_tilemaplayer.html)
    - [Description](../../classes/class_tilemaplayer.html#description)
    - [Tutorials](../../classes/class_tilemaplayer.html#tutorials)
    - [Properties](../../classes/class_tilemaplayer.html#properties)
    - [Methods](../../classes/class_tilemaplayer.html#methods)
    - [Signals](../../classes/class_tilemaplayer.html#signals)
    - [Enumerations](../../classes/class_tilemaplayer.html#enumerations)
    - [Property Descriptions](../../classes/class_tilemaplayer.html#property-descriptions)
    - [Method Descriptions](../../classes/class_tilemaplayer.html#method-descriptions)
  + [Timer](../../classes/class_timer.html)
    - [Description](../../classes/class_timer.html#description)
    - [Tutorials](../../classes/class_timer.html#tutorials)
    - [Properties](../../classes/class_timer.html#properties)
    - [Methods](../../classes/class_timer.html#methods)
    - [Signals](../../classes/class_timer.html#signals)
    - [Enumerations](../../classes/class_timer.html#enumerations)
    - [Property Descriptions](../../classes/class_timer.html#property-descriptions)
    - [Method Descriptions](../../classes/class_timer.html#method-descriptions)
  + [TouchScreenButton](../../classes/class_touchscreenbutton.html)
    - [Description](../../classes/class_touchscreenbutton.html#description)
    - [Properties](../../classes/class_touchscreenbutton.html#properties)
    - [Methods](../../classes/class_touchscreenbutton.html#methods)
    - [Signals](../../classes/class_touchscreenbutton.html#signals)
    - [Enumerations](../../classes/class_touchscreenbutton.html#enumerations)
    - [Property Descriptions](../../classes/class_touchscreenbutton.html#property-descriptions)
    - [Method Descriptions](../../classes/class_touchscreenbutton.html#method-descriptions)
  + [Tree](../../classes/class_tree.html)
    - [Description](../../classes/class_tree.html#description)
    - [Properties](../../classes/class_tree.html#properties)
    - [Methods](../../classes/class_tree.html#methods)
    - [Theme Properties](../../classes/class_tree.html#theme-properties)
    - [Signals](../../classes/class_tree.html#signals)
    - [Enumerations](../../classes/class_tree.html#enumerations)
    - [Property Descriptions](../../classes/class_tree.html#property-descriptions)
    - [Method Descriptions](../../classes/class_tree.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_tree.html#theme-property-descriptions)
  + [VBoxContainer](../../classes/class_vboxcontainer.html)
    - [Description](../../classes/class_vboxcontainer.html#description)
    - [Tutorials](../../classes/class_vboxcontainer.html#tutorials)
  + [VehicleBody3D](../../classes/class_vehiclebody3d.html)
    - [Description](../../classes/class_vehiclebody3d.html#description)
    - [Tutorials](../../classes/class_vehiclebody3d.html#tutorials)
    - [Properties](../../classes/class_vehiclebody3d.html#properties)
    - [Property Descriptions](../../classes/class_vehiclebody3d.html#property-descriptions)
  + [VehicleWheel3D](../../classes/class_vehiclewheel3d.html)
    - [Description](../../classes/class_vehiclewheel3d.html#description)
    - [Tutorials](../../classes/class_vehiclewheel3d.html#tutorials)
    - [Properties](../../classes/class_vehiclewheel3d.html#properties)
    - [Methods](../../classes/class_vehiclewheel3d.html#methods)
    - [Property Descriptions](../../classes/class_vehiclewheel3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_vehiclewheel3d.html#method-descriptions)
  + [VFlowContainer](../../classes/class_vflowcontainer.html)
    - [Description](../../classes/class_vflowcontainer.html#description)
    - [Tutorials](../../classes/class_vflowcontainer.html#tutorials)
  + [VideoStreamPlayer](../../classes/class_videostreamplayer.html)
    - [Description](../../classes/class_videostreamplayer.html#description)
    - [Tutorials](../../classes/class_videostreamplayer.html#tutorials)
    - [Properties](../../classes/class_videostreamplayer.html#properties)
    - [Methods](../../classes/class_videostreamplayer.html#methods)
    - [Signals](../../classes/class_videostreamplayer.html#signals)
    - [Property Descriptions](../../classes/class_videostreamplayer.html#property-descriptions)
    - [Method Descriptions](../../classes/class_videostreamplayer.html#method-descriptions)
  + [Viewport](../../classes/class_viewport.html)
    - [Description](../../classes/class_viewport.html#description)
    - [Tutorials](../../classes/class_viewport.html#tutorials)
    - [Properties](../../classes/class_viewport.html#properties)
    - [Methods](../../classes/class_viewport.html#methods)
    - [Signals](../../classes/class_viewport.html#signals)
    - [Enumerations](../../classes/class_viewport.html#enumerations)
    - [Property Descriptions](../../classes/class_viewport.html#property-descriptions)
    - [Method Descriptions](../../classes/class_viewport.html#method-descriptions)
  + [VisibleOnScreenEnabler2D](../../classes/class_visibleonscreenenabler2d.html)
    - [Description](../../classes/class_visibleonscreenenabler2d.html#description)
    - [Properties](../../classes/class_visibleonscreenenabler2d.html#properties)
    - [Enumerations](../../classes/class_visibleonscreenenabler2d.html#enumerations)
    - [Property Descriptions](../../classes/class_visibleonscreenenabler2d.html#property-descriptions)
  + [VisibleOnScreenEnabler3D](../../classes/class_visibleonscreenenabler3d.html)
    - [Description](../../classes/class_visibleonscreenenabler3d.html#description)
    - [Properties](../../classes/class_visibleonscreenenabler3d.html#properties)
    - [Enumerations](../../classes/class_visibleonscreenenabler3d.html#enumerations)
    - [Property Descriptions](../../classes/class_visibleonscreenenabler3d.html#property-descriptions)
  + [VisibleOnScreenNotifier2D](../../classes/class_visibleonscreennotifier2d.html)
    - [Description](../../classes/class_visibleonscreennotifier2d.html#description)
    - [Tutorials](../../classes/class_visibleonscreennotifier2d.html#tutorials)
    - [Properties](../../classes/class_visibleonscreennotifier2d.html#properties)
    - [Methods](../../classes/class_visibleonscreennotifier2d.html#methods)
    - [Signals](../../classes/class_visibleonscreennotifier2d.html#signals)
    - [Property Descriptions](../../classes/class_visibleonscreennotifier2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_visibleonscreennotifier2d.html#method-descriptions)
  + [VisibleOnScreenNotifier3D](../../classes/class_visibleonscreennotifier3d.html)
    - [Description](../../classes/class_visibleonscreennotifier3d.html#description)
    - [Properties](../../classes/class_visibleonscreennotifier3d.html#properties)
    - [Methods](../../classes/class_visibleonscreennotifier3d.html#methods)
    - [Signals](../../classes/class_visibleonscreennotifier3d.html#signals)
    - [Property Descriptions](../../classes/class_visibleonscreennotifier3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_visibleonscreennotifier3d.html#method-descriptions)
  + [VisualInstance3D](../../classes/class_visualinstance3d.html)
    - [Description](../../classes/class_visualinstance3d.html#description)
    - [Properties](../../classes/class_visualinstance3d.html#properties)
    - [Methods](../../classes/class_visualinstance3d.html#methods)
    - [Property Descriptions](../../classes/class_visualinstance3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_visualinstance3d.html#method-descriptions)
  + [VoxelGI](../../classes/class_voxelgi.html)
    - [Description](../../classes/class_voxelgi.html#description)
    - [Tutorials](../../classes/class_voxelgi.html#tutorials)
    - [Properties](../../classes/class_voxelgi.html#properties)
    - [Methods](../../classes/class_voxelgi.html#methods)
    - [Enumerations](../../classes/class_voxelgi.html#enumerations)
    - [Property Descriptions](../../classes/class_voxelgi.html#property-descriptions)
    - [Method Descriptions](../../classes/class_voxelgi.html#method-descriptions)
  + [VScrollBar](../../classes/class_vscrollbar.html)
    - [Description](../../classes/class_vscrollbar.html#description)
    - [Properties](../../classes/class_vscrollbar.html#properties)
  + [VSeparator](../../classes/class_vseparator.html)
    - [Description](../../classes/class_vseparator.html#description)
  + [VSlider](../../classes/class_vslider.html)
    - [Description](../../classes/class_vslider.html#description)
    - [Properties](../../classes/class_vslider.html#properties)
  + [VSplitContainer](../../classes/class_vsplitcontainer.html)
    - [Description](../../classes/class_vsplitcontainer.html#description)
    - [Tutorials](../../classes/class_vsplitcontainer.html#tutorials)
  + [Window](../../classes/class_window.html)
    - [Description](../../classes/class_window.html#description)
    - [Properties](../../classes/class_window.html#properties)
    - [Methods](../../classes/class_window.html#methods)
    - [Theme Properties](../../classes/class_window.html#theme-properties)
    - [Signals](../../classes/class_window.html#signals)
    - [Enumerations](../../classes/class_window.html#enumerations)
    - [Constants](../../classes/class_window.html#constants)
    - [Property Descriptions](../../classes/class_window.html#property-descriptions)
    - [Method Descriptions](../../classes/class_window.html#method-descriptions)
    - [Theme Property Descriptions](../../classes/class_window.html#theme-property-descriptions)
  + [WorldEnvironment](../../classes/class_worldenvironment.html)
    - [Description](../../classes/class_worldenvironment.html#description)
    - [Tutorials](../../classes/class_worldenvironment.html#tutorials)
    - [Properties](../../classes/class_worldenvironment.html#properties)
    - [Property Descriptions](../../classes/class_worldenvironment.html#property-descriptions)
  + [XRAnchor3D](../../classes/class_xranchor3d.html)
    - [Description](../../classes/class_xranchor3d.html#description)
    - [Tutorials](../../classes/class_xranchor3d.html#tutorials)
    - [Methods](../../classes/class_xranchor3d.html#methods)
    - [Method Descriptions](../../classes/class_xranchor3d.html#method-descriptions)
  + [XRBodyModifier3D](../../classes/class_xrbodymodifier3d.html)
    - [Description](../../classes/class_xrbodymodifier3d.html#description)
    - [Tutorials](../../classes/class_xrbodymodifier3d.html#tutorials)
    - [Properties](../../classes/class_xrbodymodifier3d.html#properties)
    - [Enumerations](../../classes/class_xrbodymodifier3d.html#enumerations)
    - [Property Descriptions](../../classes/class_xrbodymodifier3d.html#property-descriptions)
  + [XRCamera3D](../../classes/class_xrcamera3d.html)
    - [Description](../../classes/class_xrcamera3d.html#description)
    - [Tutorials](../../classes/class_xrcamera3d.html#tutorials)
  + [XRController3D](../../classes/class_xrcontroller3d.html)
    - [Description](../../classes/class_xrcontroller3d.html#description)
    - [Tutorials](../../classes/class_xrcontroller3d.html#tutorials)
    - [Methods](../../classes/class_xrcontroller3d.html#methods)
    - [Signals](../../classes/class_xrcontroller3d.html#signals)
    - [Method Descriptions](../../classes/class_xrcontroller3d.html#method-descriptions)
  + [XRFaceModifier3D](../../classes/class_xrfacemodifier3d.html)
    - [Description](../../classes/class_xrfacemodifier3d.html#description)
    - [Tutorials](../../classes/class_xrfacemodifier3d.html#tutorials)
    - [Properties](../../classes/class_xrfacemodifier3d.html#properties)
    - [Property Descriptions](../../classes/class_xrfacemodifier3d.html#property-descriptions)
  + [XRHandModifier3D](../../classes/class_xrhandmodifier3d.html)
    - [Description](../../classes/class_xrhandmodifier3d.html#description)
    - [Tutorials](../../classes/class_xrhandmodifier3d.html#tutorials)
    - [Properties](../../classes/class_xrhandmodifier3d.html#properties)
    - [Enumerations](../../classes/class_xrhandmodifier3d.html#enumerations)
    - [Property Descriptions](../../classes/class_xrhandmodifier3d.html#property-descriptions)
  + [XRNode3D](../../classes/class_xrnode3d.html)
    - [Description](../../classes/class_xrnode3d.html#description)
    - [Tutorials](../../classes/class_xrnode3d.html#tutorials)
    - [Properties](../../classes/class_xrnode3d.html#properties)
    - [Methods](../../classes/class_xrnode3d.html#methods)
    - [Signals](../../classes/class_xrnode3d.html#signals)
    - [Property Descriptions](../../classes/class_xrnode3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_xrnode3d.html#method-descriptions)
  + [XROrigin3D](../../classes/class_xrorigin3d.html)
    - [Description](../../classes/class_xrorigin3d.html#description)
    - [Tutorials](../../classes/class_xrorigin3d.html#tutorials)
    - [Properties](../../classes/class_xrorigin3d.html#properties)
    - [Property Descriptions](../../classes/class_xrorigin3d.html#property-descriptions)
* [Resources](../../classes/index.html#resources)
  + [Resource](../../classes/class_resource.html)
    - [Description](../../classes/class_resource.html#description)
    - [Tutorials](../../classes/class_resource.html#tutorials)
    - [Properties](../../classes/class_resource.html#properties)
    - [Methods](../../classes/class_resource.html#methods)
    - [Signals](../../classes/class_resource.html#signals)
    - [Property Descriptions](../../classes/class_resource.html#property-descriptions)
    - [Method Descriptions](../../classes/class_resource.html#method-descriptions)
  + [AnimatedTexture](../../classes/class_animatedtexture.html)
    - [Description](../../classes/class_animatedtexture.html#description)
    - [Properties](../../classes/class_animatedtexture.html#properties)
    - [Methods](../../classes/class_animatedtexture.html#methods)
    - [Constants](../../classes/class_animatedtexture.html#constants)
    - [Property Descriptions](../../classes/class_animatedtexture.html#property-descriptions)
    - [Method Descriptions](../../classes/class_animatedtexture.html#method-descriptions)
  + [Animation](../../classes/class_animation.html)
    - [Description](../../classes/class_animation.html#description)
    - [Tutorials](../../classes/class_animation.html#tutorials)
    - [Properties](../../classes/class_animation.html#properties)
    - [Methods](../../classes/class_animation.html#methods)
    - [Enumerations](../../classes/class_animation.html#enumerations)
    - [Property Descriptions](../../classes/class_animation.html#property-descriptions)
    - [Method Descriptions](../../classes/class_animation.html#method-descriptions)
  + [AnimationLibrary](../../classes/class_animationlibrary.html)
    - [Description](../../classes/class_animationlibrary.html#description)
    - [Tutorials](../../classes/class_animationlibrary.html#tutorials)
    - [Methods](../../classes/class_animationlibrary.html#methods)
    - [Signals](../../classes/class_animationlibrary.html#signals)
    - [Method Descriptions](../../classes/class_animationlibrary.html#method-descriptions)
  + [AnimationNode](../../classes/class_animationnode.html)
    - [Description](../../classes/class_animationnode.html#description)
    - [Tutorials](../../classes/class_animationnode.html#tutorials)
    - [Properties](../../classes/class_animationnode.html#properties)
    - [Methods](../../classes/class_animationnode.html#methods)
    - [Signals](../../classes/class_animationnode.html#signals)
    - [Enumerations](../../classes/class_animationnode.html#enumerations)
    - [Property Descriptions](../../classes/class_animationnode.html#property-descriptions)
    - [Method Descriptions](../../classes/class_animationnode.html#method-descriptions)
  + [AnimationNodeAdd2](../../classes/class_animationnodeadd2.html)
    - [Description](../../classes/class_animationnodeadd2.html#description)
    - [Tutorials](../../classes/class_animationnodeadd2.html#tutorials)
  + [AnimationNodeAdd3](../../classes/class_animationnodeadd3.html)
    - [Description](../../classes/class_animationnodeadd3.html#description)
    - [Tutorials](../../classes/class_animationnodeadd3.html#tutorials)
  + [AnimationNodeAnimation](../../classes/class_animationnodeanimation.html)
    - [Description](../../classes/class_animationnodeanimation.html#description)
    - [Tutorials](../../classes/class_animationnodeanimation.html#tutorials)
    - [Properties](../../classes/class_animationnodeanimation.html#properties)
    - [Enumerations](../../classes/class_animationnodeanimation.html#enumerations)
    - [Property Descriptions](../../classes/class_animationnodeanimation.html#property-descriptions)
  + [AnimationNodeBlend2](../../classes/class_animationnodeblend2.html)
    - [Description](../../classes/class_animationnodeblend2.html#description)
    - [Tutorials](../../classes/class_animationnodeblend2.html#tutorials)
  + [AnimationNodeBlend3](../../classes/class_animationnodeblend3.html)
    - [Description](../../classes/class_animationnodeblend3.html#description)
    - [Tutorials](../../classes/class_animationnodeblend3.html#tutorials)
  + [AnimationNodeBlendSpace1D](../../classes/class_animationnodeblendspace1d.html)
    - [Description](../../classes/class_animationnodeblendspace1d.html#description)
    - [Tutorials](../../classes/class_animationnodeblendspace1d.html#tutorials)
    - [Properties](../../classes/class_animationnodeblendspace1d.html#properties)
    - [Methods](../../classes/class_animationnodeblendspace1d.html#methods)
    - [Enumerations](../../classes/class_animationnodeblendspace1d.html#enumerations)
    - [Property Descriptions](../../classes/class_animationnodeblendspace1d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_animationnodeblendspace1d.html#method-descriptions)
  + [AnimationNodeBlendSpace2D](../../classes/class_animationnodeblendspace2d.html)
    - [Description](../../classes/class_animationnodeblendspace2d.html#description)
    - [Tutorials](../../classes/class_animationnodeblendspace2d.html#tutorials)
    - [Properties](../../classes/class_animationnodeblendspace2d.html#properties)
    - [Methods](../../classes/class_animationnodeblendspace2d.html#methods)
    - [Signals](../../classes/class_animationnodeblendspace2d.html#signals)
    - [Enumerations](../../classes/class_animationnodeblendspace2d.html#enumerations)
    - [Property Descriptions](../../classes/class_animationnodeblendspace2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_animationnodeblendspace2d.html#method-descriptions)
  + [AnimationNodeBlendTree](../../classes/class_animationnodeblendtree.html)
    - [Description](../../classes/class_animationnodeblendtree.html#description)
    - [Tutorials](../../classes/class_animationnodeblendtree.html#tutorials)
    - [Properties](../../classes/class_animationnodeblendtree.html#properties)
    - [Methods](../../classes/class_animationnodeblendtree.html#methods)
    - [Signals](../../classes/class_animationnodeblendtree.html#signals)
    - [Constants](../../classes/class_animationnodeblendtree.html#constants)
    - [Property Descriptions](../../classes/class_animationnodeblendtree.html#property-descriptions)
    - [Method Descriptions](../../classes/class_animationnodeblendtree.html#method-descriptions)
  + [AnimationNodeExtension](../../classes/class_animationnodeextension.html)
    - [Description](../../classes/class_animationnodeextension.html#description)
    - [Methods](../../classes/class_animationnodeextension.html#methods)
    - [Method Descriptions](../../classes/class_animationnodeextension.html#method-descriptions)
  + [AnimationNodeOneShot](../../classes/class_animationnodeoneshot.html)
    - [Description](../../classes/class_animationnodeoneshot.html#description)
    - [Tutorials](../../classes/class_animationnodeoneshot.html#tutorials)
    - [Properties](../../classes/class_animationnodeoneshot.html#properties)
    - [Enumerations](../../classes/class_animationnodeoneshot.html#enumerations)
    - [Property Descriptions](../../classes/class_animationnodeoneshot.html#property-descriptions)
  + [AnimationNodeOutput](../../classes/class_animationnodeoutput.html)
    - [Description](../../classes/class_animationnodeoutput.html#description)
    - [Tutorials](../../classes/class_animationnodeoutput.html#tutorials)
  + [AnimationNodeStateMachine](../../classes/class_animationnodestatemachine.html)
    - [Description](../../classes/class_animationnodestatemachine.html#description)
    - [Tutorials](../../classes/class_animationnodestatemachine.html#tutorials)
    - [Properties](../../classes/class_animationnodestatemachine.html#properties)
    - [Methods](../../classes/class_animationnodestatemachine.html#methods)
    - [Enumerations](../../classes/class_animationnodestatemachine.html#enumerations)
    - [Property Descriptions](../../classes/class_animationnodestatemachine.html#property-descriptions)
    - [Method Descriptions](../../classes/class_animationnodestatemachine.html#method-descriptions)
  + [AnimationNodeStateMachinePlayback](../../classes/class_animationnodestatemachineplayback.html)
    - [Description](../../classes/class_animationnodestatemachineplayback.html#description)
    - [Tutorials](../../classes/class_animationnodestatemachineplayback.html#tutorials)
    - [Properties](../../classes/class_animationnodestatemachineplayback.html#properties)
    - [Methods](../../classes/class_animationnodestatemachineplayback.html#methods)
    - [Method Descriptions](../../classes/class_animationnodestatemachineplayback.html#method-descriptions)
  + [AnimationNodeStateMachineTransition](../../classes/class_animationnodestatemachinetransition.html)
    - [Description](../../classes/class_animationnodestatemachinetransition.html#description)
    - [Tutorials](../../classes/class_animationnodestatemachinetransition.html#tutorials)
    - [Properties](../../classes/class_animationnodestatemachinetransition.html#properties)
    - [Signals](../../classes/class_animationnodestatemachinetransition.html#signals)
    - [Enumerations](../../classes/class_animationnodestatemachinetransition.html#enumerations)
    - [Property Descriptions](../../classes/class_animationnodestatemachinetransition.html#property-descriptions)
  + [AnimationNodeSub2](../../classes/class_animationnodesub2.html)
    - [Description](../../classes/class_animationnodesub2.html#description)
    - [Tutorials](../../classes/class_animationnodesub2.html#tutorials)
  + [AnimationNodeSync](../../classes/class_animationnodesync.html)
    - [Description](../../classes/class_animationnodesync.html#description)
    - [Tutorials](../../classes/class_animationnodesync.html#tutorials)
    - [Properties](../../classes/class_animationnodesync.html#properties)
    - [Property Descriptions](../../classes/class_animationnodesync.html#property-descriptions)
  + [AnimationNodeTimeScale](../../classes/class_animationnodetimescale.html)
    - [Description](../../classes/class_animationnodetimescale.html#description)
    - [Tutorials](../../classes/class_animationnodetimescale.html#tutorials)
  + [AnimationNodeTimeSeek](../../classes/class_animationnodetimeseek.html)
    - [Description](../../classes/class_animationnodetimeseek.html#description)
    - [Tutorials](../../classes/class_animationnodetimeseek.html#tutorials)
    - [Properties](../../classes/class_animationnodetimeseek.html#properties)
    - [Property Descriptions](../../classes/class_animationnodetimeseek.html#property-descriptions)
  + [AnimationNodeTransition](../../classes/class_animationnodetransition.html)
    - [Description](../../classes/class_animationnodetransition.html#description)
    - [Tutorials](../../classes/class_animationnodetransition.html#tutorials)
    - [Properties](../../classes/class_animationnodetransition.html#properties)
    - [Methods](../../classes/class_animationnodetransition.html#methods)
    - [Property Descriptions](../../classes/class_animationnodetransition.html#property-descriptions)
    - [Method Descriptions](../../classes/class_animationnodetransition.html#method-descriptions)
  + [AnimationRootNode](../../classes/class_animationrootnode.html)
    - [Description](../../classes/class_animationrootnode.html#description)
    - [Tutorials](../../classes/class_animationrootnode.html#tutorials)
  + [ArrayMesh](../../classes/class_arraymesh.html)
    - [Description](../../classes/class_arraymesh.html#description)
    - [Tutorials](../../classes/class_arraymesh.html#tutorials)
    - [Properties](../../classes/class_arraymesh.html#properties)
    - [Methods](../../classes/class_arraymesh.html#methods)
    - [Property Descriptions](../../classes/class_arraymesh.html#property-descriptions)
    - [Method Descriptions](../../classes/class_arraymesh.html#method-descriptions)
  + [ArrayOccluder3D](../../classes/class_arrayoccluder3d.html)
    - [Description](../../classes/class_arrayoccluder3d.html#description)
    - [Tutorials](../../classes/class_arrayoccluder3d.html#tutorials)
    - [Properties](../../classes/class_arrayoccluder3d.html#properties)
    - [Methods](../../classes/class_arrayoccluder3d.html#methods)
    - [Property Descriptions](../../classes/class_arrayoccluder3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_arrayoccluder3d.html#method-descriptions)
  + [AtlasTexture](../../classes/class_atlastexture.html)
    - [Description](../../classes/class_atlastexture.html#description)
    - [Properties](../../classes/class_atlastexture.html#properties)
    - [Property Descriptions](../../classes/class_atlastexture.html#property-descriptions)
  + [AudioBusLayout](../../classes/class_audiobuslayout.html)
    - [Description](../../classes/class_audiobuslayout.html#description)
  + [AudioEffect](../../classes/class_audioeffect.html)
    - [Description](../../classes/class_audioeffect.html#description)
    - [Tutorials](../../classes/class_audioeffect.html#tutorials)
    - [Methods](../../classes/class_audioeffect.html#methods)
    - [Method Descriptions](../../classes/class_audioeffect.html#method-descriptions)
  + [AudioEffectAmplify](../../classes/class_audioeffectamplify.html)
    - [Description](../../classes/class_audioeffectamplify.html#description)
    - [Tutorials](../../classes/class_audioeffectamplify.html#tutorials)
    - [Properties](../../classes/class_audioeffectamplify.html#properties)
    - [Property Descriptions](../../classes/class_audioeffectamplify.html#property-descriptions)
  + [AudioEffectBandLimitFilter](../../classes/class_audioeffectbandlimitfilter.html)
    - [Description](../../classes/class_audioeffectbandlimitfilter.html#description)
    - [Tutorials](../../classes/class_audioeffectbandlimitfilter.html#tutorials)
  + [AudioEffectBandPassFilter](../../classes/class_audioeffectbandpassfilter.html)
    - [Description](../../classes/class_audioeffectbandpassfilter.html#description)
    - [Tutorials](../../classes/class_audioeffectbandpassfilter.html#tutorials)
  + [AudioEffectCapture](../../classes/class_audioeffectcapture.html)
    - [Description](../../classes/class_audioeffectcapture.html#description)
    - [Tutorials](../../classes/class_audioeffectcapture.html#tutorials)
    - [Properties](../../classes/class_audioeffectcapture.html#properties)
    - [Methods](../../classes/class_audioeffectcapture.html#methods)
    - [Property Descriptions](../../classes/class_audioeffectcapture.html#property-descriptions)
    - [Method Descriptions](../../classes/class_audioeffectcapture.html#method-descriptions)
  + [AudioEffectChorus](../../classes/class_audioeffectchorus.html)
    - [Description](../../classes/class_audioeffectchorus.html#description)
    - [Tutorials](../../classes/class_audioeffectchorus.html#tutorials)
    - [Properties](../../classes/class_audioeffectchorus.html#properties)
    - [Methods](../../classes/class_audioeffectchorus.html#methods)
    - [Property Descriptions](../../classes/class_audioeffectchorus.html#property-descriptions)
    - [Method Descriptions](../../classes/class_audioeffectchorus.html#method-descriptions)
  + [AudioEffectCompressor](../../classes/class_audioeffectcompressor.html)
    - [Description](../../classes/class_audioeffectcompressor.html#description)
    - [Tutorials](../../classes/class_audioeffectcompressor.html#tutorials)
    - [Properties](../../classes/class_audioeffectcompressor.html#properties)
    - [Property Descriptions](../../classes/class_audioeffectcompressor.html#property-descriptions)
  + [AudioEffectDelay](../../classes/class_audioeffectdelay.html)
    - [Description](../../classes/class_audioeffectdelay.html#description)
    - [Tutorials](../../classes/class_audioeffectdelay.html#tutorials)
    - [Properties](../../classes/class_audioeffectdelay.html#properties)
    - [Property Descriptions](../../classes/class_audioeffectdelay.html#property-descriptions)
  + [AudioEffectDistortion](../../classes/class_audioeffectdistortion.html)
    - [Description](../../classes/class_audioeffectdistortion.html#description)
    - [Tutorials](../../classes/class_audioeffectdistortion.html#tutorials)
    - [Properties](../../classes/class_audioeffectdistortion.html#properties)
    - [Enumerations](../../classes/class_audioeffectdistortion.html#enumerations)
    - [Property Descriptions](../../classes/class_audioeffectdistortion.html#property-descriptions)
  + [AudioEffectEQ](../../classes/class_audioeffecteq.html)
    - [Description](../../classes/class_audioeffecteq.html#description)
    - [Tutorials](../../classes/class_audioeffecteq.html#tutorials)
    - [Methods](../../classes/class_audioeffecteq.html#methods)
    - [Method Descriptions](../../classes/class_audioeffecteq.html#method-descriptions)
  + [AudioEffectEQ10](../../classes/class_audioeffecteq10.html)
    - [Description](../../classes/class_audioeffecteq10.html#description)
    - [Tutorials](../../classes/class_audioeffecteq10.html#tutorials)
  + [AudioEffectEQ21](../../classes/class_audioeffecteq21.html)
    - [Description](../../classes/class_audioeffecteq21.html#description)
    - [Tutorials](../../classes/class_audioeffecteq21.html#tutorials)
  + [AudioEffectEQ6](../../classes/class_audioeffecteq6.html)
    - [Description](../../classes/class_audioeffecteq6.html#description)
    - [Tutorials](../../classes/class_audioeffecteq6.html#tutorials)
  + [AudioEffectFilter](../../classes/class_audioeffectfilter.html)
    - [Description](../../classes/class_audioeffectfilter.html#description)
    - [Tutorials](../../classes/class_audioeffectfilter.html#tutorials)
    - [Properties](../../classes/class_audioeffectfilter.html#properties)
    - [Enumerations](../../classes/class_audioeffectfilter.html#enumerations)
    - [Property Descriptions](../../classes/class_audioeffectfilter.html#property-descriptions)
  + [AudioEffectHardLimiter](../../classes/class_audioeffecthardlimiter.html)
    - [Description](../../classes/class_audioeffecthardlimiter.html#description)
    - [Tutorials](../../classes/class_audioeffecthardlimiter.html#tutorials)
    - [Properties](../../classes/class_audioeffecthardlimiter.html#properties)
    - [Property Descriptions](../../classes/class_audioeffecthardlimiter.html#property-descriptions)
  + [AudioEffectHighPassFilter](../../classes/class_audioeffecthighpassfilter.html)
    - [Description](../../classes/class_audioeffecthighpassfilter.html#description)
    - [Tutorials](../../classes/class_audioeffecthighpassfilter.html#tutorials)
  + [AudioEffectHighShelfFilter](../../classes/class_audioeffecthighshelffilter.html)
    - [Description](../../classes/class_audioeffecthighshelffilter.html#description)
    - [Tutorials](../../classes/class_audioeffecthighshelffilter.html#tutorials)
  + [AudioEffectLimiter](../../classes/class_audioeffectlimiter.html)
    - [Description](../../classes/class_audioeffectlimiter.html#description)
    - [Tutorials](../../classes/class_audioeffectlimiter.html#tutorials)
    - [Properties](../../classes/class_audioeffectlimiter.html#properties)
    - [Property Descriptions](../../classes/class_audioeffectlimiter.html#property-descriptions)
  + [AudioEffectLowPassFilter](../../classes/class_audioeffectlowpassfilter.html)
    - [Description](../../classes/class_audioeffectlowpassfilter.html#description)
    - [Tutorials](../../classes/class_audioeffectlowpassfilter.html#tutorials)
  + [AudioEffectLowShelfFilter](../../classes/class_audioeffectlowshelffilter.html)
    - [Description](../../classes/class_audioeffectlowshelffilter.html#description)
    - [Tutorials](../../classes/class_audioeffectlowshelffilter.html#tutorials)
  + [AudioEffectNotchFilter](../../classes/class_audioeffectnotchfilter.html)
    - [Description](../../classes/class_audioeffectnotchfilter.html#description)
    - [Tutorials](../../classes/class_audioeffectnotchfilter.html#tutorials)
  + [AudioEffectPanner](../../classes/class_audioeffectpanner.html)
    - [Description](../../classes/class_audioeffectpanner.html#description)
    - [Tutorials](../../classes/class_audioeffectpanner.html#tutorials)
    - [Properties](../../classes/class_audioeffectpanner.html#properties)
    - [Property Descriptions](../../classes/class_audioeffectpanner.html#property-descriptions)
  + [AudioEffectPhaser](../../classes/class_audioeffectphaser.html)
    - [Description](../../classes/class_audioeffectphaser.html#description)
    - [Tutorials](../../classes/class_audioeffectphaser.html#tutorials)
    - [Properties](../../classes/class_audioeffectphaser.html#properties)
    - [Property Descriptions](../../classes/class_audioeffectphaser.html#property-descriptions)
  + [AudioEffectPitchShift](../../classes/class_audioeffectpitchshift.html)
    - [Description](../../classes/class_audioeffectpitchshift.html#description)
    - [Tutorials](../../classes/class_audioeffectpitchshift.html#tutorials)
    - [Properties](../../classes/class_audioeffectpitchshift.html#properties)
    - [Enumerations](../../classes/class_audioeffectpitchshift.html#enumerations)
    - [Property Descriptions](../../classes/class_audioeffectpitchshift.html#property-descriptions)
  + [AudioEffectRecord](../../classes/class_audioeffectrecord.html)
    - [Description](../../classes/class_audioeffectrecord.html#description)
    - [Tutorials](../../classes/class_audioeffectrecord.html#tutorials)
    - [Properties](../../classes/class_audioeffectrecord.html#properties)
    - [Methods](../../classes/class_audioeffectrecord.html#methods)
    - [Property Descriptions](../../classes/class_audioeffectrecord.html#property-descriptions)
    - [Method Descriptions](../../classes/class_audioeffectrecord.html#method-descriptions)
  + [AudioEffectReverb](../../classes/class_audioeffectreverb.html)
    - [Description](../../classes/class_audioeffectreverb.html#description)
    - [Tutorials](../../classes/class_audioeffectreverb.html#tutorials)
    - [Properties](../../classes/class_audioeffectreverb.html#properties)
    - [Property Descriptions](../../classes/class_audioeffectreverb.html#property-descriptions)
  + [AudioEffectSpectrumAnalyzer](../../classes/class_audioeffectspectrumanalyzer.html)
    - [Description](../../classes/class_audioeffectspectrumanalyzer.html#description)
    - [Tutorials](../../classes/class_audioeffectspectrumanalyzer.html#tutorials)
    - [Properties](../../classes/class_audioeffectspectrumanalyzer.html#properties)
    - [Enumerations](../../classes/class_audioeffectspectrumanalyzer.html#enumerations)
    - [Property Descriptions](../../classes/class_audioeffectspectrumanalyzer.html#property-descriptions)
  + [AudioEffectStereoEnhance](../../classes/class_audioeffectstereoenhance.html)
    - [Description](../../classes/class_audioeffectstereoenhance.html#description)
    - [Tutorials](../../classes/class_audioeffectstereoenhance.html#tutorials)
    - [Properties](../../classes/class_audioeffectstereoenhance.html#properties)
    - [Property Descriptions](../../classes/class_audioeffectstereoenhance.html#property-descriptions)
  + [AudioStream](../../classes/class_audiostream.html)
    - [Description](../../classes/class_audiostream.html#description)
    - [Tutorials](../../classes/class_audiostream.html#tutorials)
    - [Methods](../../classes/class_audiostream.html#methods)
    - [Signals](../../classes/class_audiostream.html#signals)
    - [Method Descriptions](../../classes/class_audiostream.html#method-descriptions)
  + [AudioStreamGenerator](../../classes/class_audiostreamgenerator.html)
    - [Description](../../classes/class_audiostreamgenerator.html#description)
    - [Tutorials](../../classes/class_audiostreamgenerator.html#tutorials)
    - [Properties](../../classes/class_audiostreamgenerator.html#properties)
    - [Enumerations](../../classes/class_audiostreamgenerator.html#enumerations)
    - [Property Descriptions](../../classes/class_audiostreamgenerator.html#property-descriptions)
  + [AudioStreamInteractive](../../classes/class_audiostreaminteractive.html)
    - [Description](../../classes/class_audiostreaminteractive.html#description)
    - [Properties](../../classes/class_audiostreaminteractive.html#properties)
    - [Methods](../../classes/class_audiostreaminteractive.html#methods)
    - [Enumerations](../../classes/class_audiostreaminteractive.html#enumerations)
    - [Constants](../../classes/class_audiostreaminteractive.html#constants)
    - [Property Descriptions](../../classes/class_audiostreaminteractive.html#property-descriptions)
    - [Method Descriptions](../../classes/class_audiostreaminteractive.html#method-descriptions)
  + [AudioStreamMicrophone](../../classes/class_audiostreammicrophone.html)
    - [Description](../../classes/class_audiostreammicrophone.html#description)
    - [Tutorials](../../classes/class_audiostreammicrophone.html#tutorials)
  + [AudioStreamMP3](../../classes/class_audiostreammp3.html)
    - [Description](../../classes/class_audiostreammp3.html#description)
    - [Properties](../../classes/class_audiostreammp3.html#properties)
    - [Methods](../../classes/class_audiostreammp3.html#methods)
    - [Property Descriptions](../../classes/class_audiostreammp3.html#property-descriptions)
    - [Method Descriptions](../../classes/class_audiostreammp3.html#method-descriptions)
  + [AudioStreamOggVorbis](../../classes/class_audiostreamoggvorbis.html)
    - [Description](../../classes/class_audiostreamoggvorbis.html#description)
    - [Tutorials](../../classes/class_audiostreamoggvorbis.html#tutorials)
    - [Properties](../../classes/class_audiostreamoggvorbis.html#properties)
    - [Methods](../../classes/class_audiostreamoggvorbis.html#methods)
    - [Property Descriptions](../../classes/class_audiostreamoggvorbis.html#property-descriptions)
    - [Method Descriptions](../../classes/class_audiostreamoggvorbis.html#method-descriptions)
  + [AudioStreamPlaylist](../../classes/class_audiostreamplaylist.html)
    - [Properties](../../classes/class_audiostreamplaylist.html#properties)
    - [Methods](../../classes/class_audiostreamplaylist.html#methods)
    - [Constants](../../classes/class_audiostreamplaylist.html#constants)
    - [Property Descriptions](../../classes/class_audiostreamplaylist.html#property-descriptions)
    - [Method Descriptions](../../classes/class_audiostreamplaylist.html#method-descriptions)
  + [AudioStreamPolyphonic](../../classes/class_audiostreampolyphonic.html)
    - [Description](../../classes/class_audiostreampolyphonic.html#description)
    - [Properties](../../classes/class_audiostreampolyphonic.html#properties)
    - [Property Descriptions](../../classes/class_audiostreampolyphonic.html#property-descriptions)
  + [AudioStreamRandomizer](../../classes/class_audiostreamrandomizer.html)
    - [Description](../../classes/class_audiostreamrandomizer.html#description)
    - [Properties](../../classes/class_audiostreamrandomizer.html#properties)
    - [Methods](../../classes/class_audiostreamrandomizer.html#methods)
    - [Enumerations](../../classes/class_audiostreamrandomizer.html#enumerations)
    - [Property Descriptions](../../classes/class_audiostreamrandomizer.html#property-descriptions)
    - [Method Descriptions](../../classes/class_audiostreamrandomizer.html#method-descriptions)
  + [AudioStreamSynchronized](../../classes/class_audiostreamsynchronized.html)
    - [Description](../../classes/class_audiostreamsynchronized.html#description)
    - [Properties](../../classes/class_audiostreamsynchronized.html#properties)
    - [Methods](../../classes/class_audiostreamsynchronized.html#methods)
    - [Constants](../../classes/class_audiostreamsynchronized.html#constants)
    - [Property Descriptions](../../classes/class_audiostreamsynchronized.html#property-descriptions)
    - [Method Descriptions](../../classes/class_audiostreamsynchronized.html#method-descriptions)
  + [AudioStreamWAV](../../classes/class_audiostreamwav.html)
    - [Description](../../classes/class_audiostreamwav.html#description)
    - [Tutorials](../../classes/class_audiostreamwav.html#tutorials)
    - [Properties](../../classes/class_audiostreamwav.html#properties)
    - [Methods](../../classes/class_audiostreamwav.html#methods)
    - [Enumerations](../../classes/class_audiostreamwav.html#enumerations)
    - [Property Descriptions](../../classes/class_audiostreamwav.html#property-descriptions)
    - [Method Descriptions](../../classes/class_audiostreamwav.html#method-descriptions)
  + [BaseMaterial3D](../../classes/class_basematerial3d.html)
    - [Description](../../classes/class_basematerial3d.html#description)
    - [Tutorials](../../classes/class_basematerial3d.html#tutorials)
    - [Properties](../../classes/class_basematerial3d.html#properties)
    - [Methods](../../classes/class_basematerial3d.html#methods)
    - [Enumerations](../../classes/class_basematerial3d.html#enumerations)
    - [Property Descriptions](../../classes/class_basematerial3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_basematerial3d.html#method-descriptions)
  + [BitMap](../../classes/class_bitmap.html)
    - [Description](../../classes/class_bitmap.html#description)
    - [Methods](../../classes/class_bitmap.html#methods)
    - [Method Descriptions](../../classes/class_bitmap.html#method-descriptions)
  + [BoneMap](../../classes/class_bonemap.html)
    - [Description](../../classes/class_bonemap.html#description)
    - [Tutorials](../../classes/class_bonemap.html#tutorials)
    - [Properties](../../classes/class_bonemap.html#properties)
    - [Methods](../../classes/class_bonemap.html#methods)
    - [Signals](../../classes/class_bonemap.html#signals)
    - [Property Descriptions](../../classes/class_bonemap.html#property-descriptions)
    - [Method Descriptions](../../classes/class_bonemap.html#method-descriptions)
  + [BoxMesh](../../classes/class_boxmesh.html)
    - [Description](../../classes/class_boxmesh.html#description)
    - [Properties](../../classes/class_boxmesh.html#properties)
    - [Property Descriptions](../../classes/class_boxmesh.html#property-descriptions)
  + [BoxOccluder3D](../../classes/class_boxoccluder3d.html)
    - [Description](../../classes/class_boxoccluder3d.html#description)
    - [Tutorials](../../classes/class_boxoccluder3d.html#tutorials)
    - [Properties](../../classes/class_boxoccluder3d.html#properties)
    - [Property Descriptions](../../classes/class_boxoccluder3d.html#property-descriptions)
  + [BoxShape3D](../../classes/class_boxshape3d.html)
    - [Description](../../classes/class_boxshape3d.html#description)
    - [Tutorials](../../classes/class_boxshape3d.html#tutorials)
    - [Properties](../../classes/class_boxshape3d.html#properties)
    - [Property Descriptions](../../classes/class_boxshape3d.html#property-descriptions)
  + [ButtonGroup](../../classes/class_buttongroup.html)
    - [Description](../../classes/class_buttongroup.html#description)
    - [Properties](../../classes/class_buttongroup.html#properties)
    - [Methods](../../classes/class_buttongroup.html#methods)
    - [Signals](../../classes/class_buttongroup.html#signals)
    - [Property Descriptions](../../classes/class_buttongroup.html#property-descriptions)
    - [Method Descriptions](../../classes/class_buttongroup.html#method-descriptions)
  + [CameraAttributes](../../classes/class_cameraattributes.html)
    - [Description](../../classes/class_cameraattributes.html#description)
    - [Properties](../../classes/class_cameraattributes.html#properties)
    - [Property Descriptions](../../classes/class_cameraattributes.html#property-descriptions)
  + [CameraAttributesPhysical](../../classes/class_cameraattributesphysical.html)
    - [Description](../../classes/class_cameraattributesphysical.html#description)
    - [Tutorials](../../classes/class_cameraattributesphysical.html#tutorials)
    - [Properties](../../classes/class_cameraattributesphysical.html#properties)
    - [Methods](../../classes/class_cameraattributesphysical.html#methods)
    - [Property Descriptions](../../classes/class_cameraattributesphysical.html#property-descriptions)
    - [Method Descriptions](../../classes/class_cameraattributesphysical.html#method-descriptions)
  + [CameraAttributesPractical](../../classes/class_cameraattributespractical.html)
    - [Description](../../classes/class_cameraattributespractical.html#description)
    - [Properties](../../classes/class_cameraattributespractical.html#properties)
    - [Property Descriptions](../../classes/class_cameraattributespractical.html#property-descriptions)
  + [CameraTexture](../../classes/class_cameratexture.html)
    - [Description](../../classes/class_cameratexture.html#description)
    - [Properties](../../classes/class_cameratexture.html#properties)
    - [Property Descriptions](../../classes/class_cameratexture.html#property-descriptions)
  + [CanvasItemMaterial](../../classes/class_canvasitemmaterial.html)
    - [Description](../../classes/class_canvasitemmaterial.html#description)
    - [Properties](../../classes/class_canvasitemmaterial.html#properties)
    - [Enumerations](../../classes/class_canvasitemmaterial.html#enumerations)
    - [Property Descriptions](../../classes/class_canvasitemmaterial.html#property-descriptions)
  + [CanvasTexture](../../classes/class_canvastexture.html)
    - [Description](../../classes/class_canvastexture.html#description)
    - [Tutorials](../../classes/class_canvastexture.html#tutorials)
    - [Properties](../../classes/class_canvastexture.html#properties)
    - [Property Descriptions](../../classes/class_canvastexture.html#property-descriptions)
  + [CapsuleMesh](../../classes/class_capsulemesh.html)
    - [Description](../../classes/class_capsulemesh.html#description)
    - [Properties](../../classes/class_capsulemesh.html#properties)
    - [Property Descriptions](../../classes/class_capsulemesh.html#property-descriptions)
  + [CapsuleShape2D](../../classes/class_capsuleshape2d.html)
    - [Description](../../classes/class_capsuleshape2d.html#description)
    - [Properties](../../classes/class_capsuleshape2d.html#properties)
    - [Property Descriptions](../../classes/class_capsuleshape2d.html#property-descriptions)
  + [CapsuleShape3D](../../classes/class_capsuleshape3d.html)
    - [Description](../../classes/class_capsuleshape3d.html#description)
    - [Tutorials](../../classes/class_capsuleshape3d.html#tutorials)
    - [Properties](../../classes/class_capsuleshape3d.html#properties)
    - [Property Descriptions](../../classes/class_capsuleshape3d.html#property-descriptions)
  + [CircleShape2D](../../classes/class_circleshape2d.html)
    - [Description](../../classes/class_circleshape2d.html#description)
    - [Properties](../../classes/class_circleshape2d.html#properties)
    - [Property Descriptions](../../classes/class_circleshape2d.html#property-descriptions)
  + [CodeHighlighter](../../classes/class_codehighlighter.html)
    - [Description](../../classes/class_codehighlighter.html#description)
    - [Properties](../../classes/class_codehighlighter.html#properties)
    - [Methods](../../classes/class_codehighlighter.html#methods)
    - [Property Descriptions](../../classes/class_codehighlighter.html#property-descriptions)
    - [Method Descriptions](../../classes/class_codehighlighter.html#method-descriptions)
  + [ColorPalette](../../classes/class_colorpalette.html)
    - [Description](../../classes/class_colorpalette.html#description)
    - [Properties](../../classes/class_colorpalette.html#properties)
    - [Property Descriptions](../../classes/class_colorpalette.html#property-descriptions)
  + [Compositor](../../classes/class_compositor.html)
    - [Description](../../classes/class_compositor.html#description)
    - [Tutorials](../../classes/class_compositor.html#tutorials)
    - [Properties](../../classes/class_compositor.html#properties)
    - [Property Descriptions](../../classes/class_compositor.html#property-descriptions)
  + [CompositorEffect](../../classes/class_compositoreffect.html)
    - [Description](../../classes/class_compositoreffect.html#description)
    - [Tutorials](../../classes/class_compositoreffect.html#tutorials)
    - [Properties](../../classes/class_compositoreffect.html#properties)
    - [Methods](../../classes/class_compositoreffect.html#methods)
    - [Enumerations](../../classes/class_compositoreffect.html#enumerations)
    - [Property Descriptions](../../classes/class_compositoreffect.html#property-descriptions)
    - [Method Descriptions](../../classes/class_compositoreffect.html#method-descriptions)
  + [CompressedCubemap](../../classes/class_compressedcubemap.html)
    - [Description](../../classes/class_compressedcubemap.html#description)
  + [CompressedCubemapArray](../../classes/class_compressedcubemaparray.html)
    - [Description](../../classes/class_compressedcubemaparray.html#description)
  + [CompressedTexture2D](../../classes/class_compressedtexture2d.html)
    - [Description](../../classes/class_compressedtexture2d.html#description)
    - [Properties](../../classes/class_compressedtexture2d.html#properties)
    - [Methods](../../classes/class_compressedtexture2d.html#methods)
    - [Property Descriptions](../../classes/class_compressedtexture2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_compressedtexture2d.html#method-descriptions)
  + [CompressedTexture2DArray](../../classes/class_compressedtexture2darray.html)
    - [Description](../../classes/class_compressedtexture2darray.html#description)
  + [CompressedTexture3D](../../classes/class_compressedtexture3d.html)
    - [Description](../../classes/class_compressedtexture3d.html#description)
    - [Properties](../../classes/class_compressedtexture3d.html#properties)
    - [Methods](../../classes/class_compressedtexture3d.html#methods)
    - [Property Descriptions](../../classes/class_compressedtexture3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_compressedtexture3d.html#method-descriptions)
  + [CompressedTextureLayered](../../classes/class_compressedtexturelayered.html)
    - [Description](../../classes/class_compressedtexturelayered.html#description)
    - [Properties](../../classes/class_compressedtexturelayered.html#properties)
    - [Methods](../../classes/class_compressedtexturelayered.html#methods)
    - [Property Descriptions](../../classes/class_compressedtexturelayered.html#property-descriptions)
    - [Method Descriptions](../../classes/class_compressedtexturelayered.html#method-descriptions)
  + [ConcavePolygonShape2D](../../classes/class_concavepolygonshape2d.html)
    - [Description](../../classes/class_concavepolygonshape2d.html#description)
    - [Properties](../../classes/class_concavepolygonshape2d.html#properties)
    - [Property Descriptions](../../classes/class_concavepolygonshape2d.html#property-descriptions)
  + [ConcavePolygonShape3D](../../classes/class_concavepolygonshape3d.html)
    - [Description](../../classes/class_concavepolygonshape3d.html#description)
    - [Tutorials](../../classes/class_concavepolygonshape3d.html#tutorials)
    - [Properties](../../classes/class_concavepolygonshape3d.html#properties)
    - [Methods](../../classes/class_concavepolygonshape3d.html#methods)
    - [Property Descriptions](../../classes/class_concavepolygonshape3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_concavepolygonshape3d.html#method-descriptions)
  + [ConvexPolygonShape2D](../../classes/class_convexpolygonshape2d.html)
    - [Description](../../classes/class_convexpolygonshape2d.html#description)
    - [Properties](../../classes/class_convexpolygonshape2d.html#properties)
    - [Methods](../../classes/class_convexpolygonshape2d.html#methods)
    - [Property Descriptions](../../classes/class_convexpolygonshape2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_convexpolygonshape2d.html#method-descriptions)
  + [ConvexPolygonShape3D](../../classes/class_convexpolygonshape3d.html)
    - [Description](../../classes/class_convexpolygonshape3d.html#description)
    - [Tutorials](../../classes/class_convexpolygonshape3d.html#tutorials)
    - [Properties](../../classes/class_convexpolygonshape3d.html#properties)
    - [Property Descriptions](../../classes/class_convexpolygonshape3d.html#property-descriptions)
  + [CryptoKey](../../classes/class_cryptokey.html)
    - [Description](../../classes/class_cryptokey.html#description)
    - [Tutorials](../../classes/class_cryptokey.html#tutorials)
    - [Methods](../../classes/class_cryptokey.html#methods)
    - [Method Descriptions](../../classes/class_cryptokey.html#method-descriptions)
  + [CSharpScript](../../classes/class_csharpscript.html)
    - [Description](../../classes/class_csharpscript.html#description)
    - [Tutorials](../../classes/class_csharpscript.html#tutorials)
    - [Methods](../../classes/class_csharpscript.html#methods)
    - [Method Descriptions](../../classes/class_csharpscript.html#method-descriptions)
  + [Cubemap](../../classes/class_cubemap.html)
    - [Description](../../classes/class_cubemap.html#description)
    - [Methods](../../classes/class_cubemap.html#methods)
    - [Method Descriptions](../../classes/class_cubemap.html#method-descriptions)
  + [CubemapArray](../../classes/class_cubemaparray.html)
    - [Description](../../classes/class_cubemaparray.html#description)
    - [Methods](../../classes/class_cubemaparray.html#methods)
    - [Method Descriptions](../../classes/class_cubemaparray.html#method-descriptions)
  + [Curve](../../classes/class_curve.html)
    - [Description](../../classes/class_curve.html#description)
    - [Properties](../../classes/class_curve.html#properties)
    - [Methods](../../classes/class_curve.html#methods)
    - [Signals](../../classes/class_curve.html#signals)
    - [Enumerations](../../classes/class_curve.html#enumerations)
    - [Property Descriptions](../../classes/class_curve.html#property-descriptions)
    - [Method Descriptions](../../classes/class_curve.html#method-descriptions)
  + [Curve2D](../../classes/class_curve2d.html)
    - [Description](../../classes/class_curve2d.html#description)
    - [Properties](../../classes/class_curve2d.html#properties)
    - [Methods](../../classes/class_curve2d.html#methods)
    - [Property Descriptions](../../classes/class_curve2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_curve2d.html#method-descriptions)
  + [Curve3D](../../classes/class_curve3d.html)
    - [Description](../../classes/class_curve3d.html#description)
    - [Properties](../../classes/class_curve3d.html#properties)
    - [Methods](../../classes/class_curve3d.html#methods)
    - [Property Descriptions](../../classes/class_curve3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_curve3d.html#method-descriptions)
  + [CurveTexture](../../classes/class_curvetexture.html)
    - [Description](../../classes/class_curvetexture.html#description)
    - [Properties](../../classes/class_curvetexture.html#properties)
    - [Enumerations](../../classes/class_curvetexture.html#enumerations)
    - [Property Descriptions](../../classes/class_curvetexture.html#property-descriptions)
  + [CurveXYZTexture](../../classes/class_curvexyztexture.html)
    - [Description](../../classes/class_curvexyztexture.html#description)
    - [Properties](../../classes/class_curvexyztexture.html#properties)
    - [Property Descriptions](../../classes/class_curvexyztexture.html#property-descriptions)
  + [CylinderMesh](../../classes/class_cylindermesh.html)
    - [Description](../../classes/class_cylindermesh.html#description)
    - [Properties](../../classes/class_cylindermesh.html#properties)
    - [Property Descriptions](../../classes/class_cylindermesh.html#property-descriptions)
  + [CylinderShape3D](../../classes/class_cylindershape3d.html)
    - [Description](../../classes/class_cylindershape3d.html#description)
    - [Tutorials](../../classes/class_cylindershape3d.html#tutorials)
    - [Properties](../../classes/class_cylindershape3d.html#properties)
    - [Property Descriptions](../../classes/class_cylindershape3d.html#property-descriptions)
  + [EditorNode3DGizmoPlugin](../../classes/class_editornode3dgizmoplugin.html)
    - [Description](../../classes/class_editornode3dgizmoplugin.html#description)
    - [Tutorials](../../classes/class_editornode3dgizmoplugin.html#tutorials)
    - [Methods](../../classes/class_editornode3dgizmoplugin.html#methods)
    - [Method Descriptions](../../classes/class_editornode3dgizmoplugin.html#method-descriptions)
  + [EditorSettings](../../classes/class_editorsettings.html)
    - [Description](../../classes/class_editorsettings.html#description)
    - [Properties](../../classes/class_editorsettings.html#properties)
    - [Methods](../../classes/class_editorsettings.html#methods)
    - [Signals](../../classes/class_editorsettings.html#signals)
    - [Constants](../../classes/class_editorsettings.html#constants)
    - [Property Descriptions](../../classes/class_editorsettings.html#property-descriptions)
    - [Method Descriptions](../../classes/class_editorsettings.html#method-descriptions)
  + [EditorSyntaxHighlighter](../../classes/class_editorsyntaxhighlighter.html)
    - [Description](../../classes/class_editorsyntaxhighlighter.html#description)
    - [Methods](../../classes/class_editorsyntaxhighlighter.html#methods)
    - [Method Descriptions](../../classes/class_editorsyntaxhighlighter.html#method-descriptions)
  + [Environment](../../classes/class_environment.html)
    - [Description](../../classes/class_environment.html#description)
    - [Tutorials](../../classes/class_environment.html#tutorials)
    - [Properties](../../classes/class_environment.html#properties)
    - [Methods](../../classes/class_environment.html#methods)
    - [Enumerations](../../classes/class_environment.html#enumerations)
    - [Property Descriptions](../../classes/class_environment.html#property-descriptions)
    - [Method Descriptions](../../classes/class_environment.html#method-descriptions)
  + [ExternalTexture](../../classes/class_externaltexture.html)
    - [Description](../../classes/class_externaltexture.html#description)
    - [Properties](../../classes/class_externaltexture.html#properties)
    - [Methods](../../classes/class_externaltexture.html#methods)
    - [Property Descriptions](../../classes/class_externaltexture.html#property-descriptions)
    - [Method Descriptions](../../classes/class_externaltexture.html#method-descriptions)
  + [FastNoiseLite](../../classes/class_fastnoiselite.html)
    - [Description](../../classes/class_fastnoiselite.html#description)
    - [Properties](../../classes/class_fastnoiselite.html#properties)
    - [Enumerations](../../classes/class_fastnoiselite.html#enumerations)
    - [Property Descriptions](../../classes/class_fastnoiselite.html#property-descriptions)
  + [FBXDocument](../../classes/class_fbxdocument.html)
    - [Description](../../classes/class_fbxdocument.html#description)
  + [FBXState](../../classes/class_fbxstate.html)
    - [Description](../../classes/class_fbxstate.html#description)
    - [Properties](../../classes/class_fbxstate.html#properties)
    - [Property Descriptions](../../classes/class_fbxstate.html#property-descriptions)
  + [FogMaterial](../../classes/class_fogmaterial.html)
    - [Description](../../classes/class_fogmaterial.html#description)
    - [Properties](../../classes/class_fogmaterial.html#properties)
    - [Property Descriptions](../../classes/class_fogmaterial.html#property-descriptions)
  + [Font](../../classes/class_font.html)
    - [Description](../../classes/class_font.html#description)
    - [Properties](../../classes/class_font.html#properties)
    - [Methods](../../classes/class_font.html#methods)
    - [Property Descriptions](../../classes/class_font.html#property-descriptions)
    - [Method Descriptions](../../classes/class_font.html#method-descriptions)
  + [FontFile](../../classes/class_fontfile.html)
    - [Description](../../classes/class_fontfile.html#description)
    - [Tutorials](../../classes/class_fontfile.html#tutorials)
    - [Properties](../../classes/class_fontfile.html#properties)
    - [Methods](../../classes/class_fontfile.html#methods)
    - [Property Descriptions](../../classes/class_fontfile.html#property-descriptions)
    - [Method Descriptions](../../classes/class_fontfile.html#method-descriptions)
  + [FontVariation](../../classes/class_fontvariation.html)
    - [Description](../../classes/class_fontvariation.html#description)
    - [Properties](../../classes/class_fontvariation.html#properties)
    - [Methods](../../classes/class_fontvariation.html#methods)
    - [Property Descriptions](../../classes/class_fontvariation.html#property-descriptions)
    - [Method Descriptions](../../classes/class_fontvariation.html#method-descriptions)
  + [GDExtension](../../classes/class_gdextension.html)
    - [Description](../../classes/class_gdextension.html#description)
    - [Tutorials](../../classes/class_gdextension.html#tutorials)
    - [Methods](../../classes/class_gdextension.html#methods)
    - [Enumerations](../../classes/class_gdextension.html#enumerations)
    - [Method Descriptions](../../classes/class_gdextension.html#method-descriptions)
  + [GDScript](../../classes/class_gdscript.html)
    - [Description](../../classes/class_gdscript.html#description)
    - [Tutorials](../../classes/class_gdscript.html#tutorials)
    - [Methods](../../classes/class_gdscript.html#methods)
    - [Method Descriptions](../../classes/class_gdscript.html#method-descriptions)
  + [GDScriptSyntaxHighlighter](../../classes/class_gdscriptsyntaxhighlighter.html)
    - [Description](../../classes/class_gdscriptsyntaxhighlighter.html#description)
  + [GLTFAccessor](../../classes/class_gltfaccessor.html)
    - [Description](../../classes/class_gltfaccessor.html#description)
    - [Tutorials](../../classes/class_gltfaccessor.html#tutorials)
    - [Properties](../../classes/class_gltfaccessor.html#properties)
    - [Enumerations](../../classes/class_gltfaccessor.html#enumerations)
    - [Property Descriptions](../../classes/class_gltfaccessor.html#property-descriptions)
  + [GLTFAnimation](../../classes/class_gltfanimation.html)
    - [Tutorials](../../classes/class_gltfanimation.html#tutorials)
    - [Properties](../../classes/class_gltfanimation.html#properties)
    - [Methods](../../classes/class_gltfanimation.html#methods)
    - [Property Descriptions](../../classes/class_gltfanimation.html#property-descriptions)
    - [Method Descriptions](../../classes/class_gltfanimation.html#method-descriptions)
  + [GLTFBufferView](../../classes/class_gltfbufferview.html)
    - [Description](../../classes/class_gltfbufferview.html#description)
    - [Tutorials](../../classes/class_gltfbufferview.html#tutorials)
    - [Properties](../../classes/class_gltfbufferview.html#properties)
    - [Methods](../../classes/class_gltfbufferview.html#methods)
    - [Property Descriptions](../../classes/class_gltfbufferview.html#property-descriptions)
    - [Method Descriptions](../../classes/class_gltfbufferview.html#method-descriptions)
  + [GLTFCamera](../../classes/class_gltfcamera.html)
    - [Description](../../classes/class_gltfcamera.html#description)
    - [Tutorials](../../classes/class_gltfcamera.html#tutorials)
    - [Properties](../../classes/class_gltfcamera.html#properties)
    - [Methods](../../classes/class_gltfcamera.html#methods)
    - [Property Descriptions](../../classes/class_gltfcamera.html#property-descriptions)
    - [Method Descriptions](../../classes/class_gltfcamera.html#method-descriptions)
  + [GLTFDocument](../../classes/class_gltfdocument.html)
    - [Description](../../classes/class_gltfdocument.html#description)
    - [Tutorials](../../classes/class_gltfdocument.html#tutorials)
    - [Properties](../../classes/class_gltfdocument.html#properties)
    - [Methods](../../classes/class_gltfdocument.html#methods)
    - [Enumerations](../../classes/class_gltfdocument.html#enumerations)
    - [Property Descriptions](../../classes/class_gltfdocument.html#property-descriptions)
    - [Method Descriptions](../../classes/class_gltfdocument.html#method-descriptions)
  + [GLTFDocumentExtension](../../classes/class_gltfdocumentextension.html)
    - [Description](../../classes/class_gltfdocumentextension.html#description)
    - [Tutorials](../../classes/class_gltfdocumentextension.html#tutorials)
    - [Methods](../../classes/class_gltfdocumentextension.html#methods)
    - [Method Descriptions](../../classes/class_gltfdocumentextension.html#method-descriptions)
  + [GLTFDocumentExtensionConvertImporterMesh](../../classes/class_gltfdocumentextensionconvertimportermesh.html)
    - [Tutorials](../../classes/class_gltfdocumentextensionconvertimportermesh.html#tutorials)
  + [GLTFLight](../../classes/class_gltflight.html)
    - [Description](../../classes/class_gltflight.html#description)
    - [Tutorials](../../classes/class_gltflight.html#tutorials)
    - [Properties](../../classes/class_gltflight.html#properties)
    - [Methods](../../classes/class_gltflight.html#methods)
    - [Property Descriptions](../../classes/class_gltflight.html#property-descriptions)
    - [Method Descriptions](../../classes/class_gltflight.html#method-descriptions)
  + [GLTFMesh](../../classes/class_gltfmesh.html)
    - [Description](../../classes/class_gltfmesh.html#description)
    - [Tutorials](../../classes/class_gltfmesh.html#tutorials)
    - [Properties](../../classes/class_gltfmesh.html#properties)
    - [Methods](../../classes/class_gltfmesh.html#methods)
    - [Property Descriptions](../../classes/class_gltfmesh.html#property-descriptions)
    - [Method Descriptions](../../classes/class_gltfmesh.html#method-descriptions)
  + [GLTFNode](../../classes/class_gltfnode.html)
    - [Description](../../classes/class_gltfnode.html#description)
    - [Tutorials](../../classes/class_gltfnode.html#tutorials)
    - [Properties](../../classes/class_gltfnode.html#properties)
    - [Methods](../../classes/class_gltfnode.html#methods)
    - [Property Descriptions](../../classes/class_gltfnode.html#property-descriptions)
    - [Method Descriptions](../../classes/class_gltfnode.html#method-descriptions)
  + [GLTFPhysicsBody](../../classes/class_gltfphysicsbody.html)
    - [Description](../../classes/class_gltfphysicsbody.html#description)
    - [Tutorials](../../classes/class_gltfphysicsbody.html#tutorials)
    - [Properties](../../classes/class_gltfphysicsbody.html#properties)
    - [Methods](../../classes/class_gltfphysicsbody.html#methods)
    - [Property Descriptions](../../classes/class_gltfphysicsbody.html#property-descriptions)
    - [Method Descriptions](../../classes/class_gltfphysicsbody.html#method-descriptions)
  + [GLTFPhysicsShape](../../classes/class_gltfphysicsshape.html)
    - [Description](../../classes/class_gltfphysicsshape.html#description)
    - [Tutorials](../../classes/class_gltfphysicsshape.html#tutorials)
    - [Properties](../../classes/class_gltfphysicsshape.html#properties)
    - [Methods](../../classes/class_gltfphysicsshape.html#methods)
    - [Property Descriptions](../../classes/class_gltfphysicsshape.html#property-descriptions)
    - [Method Descriptions](../../classes/class_gltfphysicsshape.html#method-descriptions)
  + [GLTFSkeleton](../../classes/class_gltfskeleton.html)
    - [Tutorials](../../classes/class_gltfskeleton.html#tutorials)
    - [Properties](../../classes/class_gltfskeleton.html#properties)
    - [Methods](../../classes/class_gltfskeleton.html#methods)
    - [Property Descriptions](../../classes/class_gltfskeleton.html#property-descriptions)
    - [Method Descriptions](../../classes/class_gltfskeleton.html#method-descriptions)
  + [GLTFSkin](../../classes/class_gltfskin.html)
    - [Tutorials](../../classes/class_gltfskin.html#tutorials)
    - [Properties](../../classes/class_gltfskin.html#properties)
    - [Methods](../../classes/class_gltfskin.html#methods)
    - [Property Descriptions](../../classes/class_gltfskin.html#property-descriptions)
    - [Method Descriptions](../../classes/class_gltfskin.html#method-descriptions)
  + [GLTFSpecGloss](../../classes/class_gltfspecgloss.html)
    - [Description](../../classes/class_gltfspecgloss.html#description)
    - [Tutorials](../../classes/class_gltfspecgloss.html#tutorials)
    - [Properties](../../classes/class_gltfspecgloss.html#properties)
    - [Property Descriptions](../../classes/class_gltfspecgloss.html#property-descriptions)
  + [GLTFState](../../classes/class_gltfstate.html)
    - [Description](../../classes/class_gltfstate.html#description)
    - [Tutorials](../../classes/class_gltfstate.html#tutorials)
    - [Properties](../../classes/class_gltfstate.html#properties)
    - [Methods](../../classes/class_gltfstate.html#methods)
    - [Constants](../../classes/class_gltfstate.html#constants)
    - [Property Descriptions](../../classes/class_gltfstate.html#property-descriptions)
    - [Method Descriptions](../../classes/class_gltfstate.html#method-descriptions)
  + [GLTFTexture](../../classes/class_gltftexture.html)
    - [Tutorials](../../classes/class_gltftexture.html#tutorials)
    - [Properties](../../classes/class_gltftexture.html#properties)
    - [Property Descriptions](../../classes/class_gltftexture.html#property-descriptions)
  + [GLTFTextureSampler](../../classes/class_gltftexturesampler.html)
    - [Description](../../classes/class_gltftexturesampler.html#description)
    - [Tutorials](../../classes/class_gltftexturesampler.html#tutorials)
    - [Properties](../../classes/class_gltftexturesampler.html#properties)
    - [Property Descriptions](../../classes/class_gltftexturesampler.html#property-descriptions)
  + [Gradient](../../classes/class_gradient.html)
    - [Description](../../classes/class_gradient.html#description)
    - [Properties](../../classes/class_gradient.html#properties)
    - [Methods](../../classes/class_gradient.html#methods)
    - [Enumerations](../../classes/class_gradient.html#enumerations)
    - [Property Descriptions](../../classes/class_gradient.html#property-descriptions)
    - [Method Descriptions](../../classes/class_gradient.html#method-descriptions)
  + [GradientTexture1D](../../classes/class_gradienttexture1d.html)
    - [Description](../../classes/class_gradienttexture1d.html#description)
    - [Properties](../../classes/class_gradienttexture1d.html#properties)
    - [Property Descriptions](../../classes/class_gradienttexture1d.html#property-descriptions)
  + [GradientTexture2D](../../classes/class_gradienttexture2d.html)
    - [Description](../../classes/class_gradienttexture2d.html#description)
    - [Properties](../../classes/class_gradienttexture2d.html#properties)
    - [Enumerations](../../classes/class_gradienttexture2d.html#enumerations)
    - [Property Descriptions](../../classes/class_gradienttexture2d.html#property-descriptions)
  + [HeightMapShape3D](../../classes/class_heightmapshape3d.html)
    - [Description](../../classes/class_heightmapshape3d.html#description)
    - [Properties](../../classes/class_heightmapshape3d.html#properties)
    - [Methods](../../classes/class_heightmapshape3d.html#methods)
    - [Property Descriptions](../../classes/class_heightmapshape3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_heightmapshape3d.html#method-descriptions)
  + [Image](../../classes/class_image.html)
    - [Description](../../classes/class_image.html#description)
    - [Tutorials](../../classes/class_image.html#tutorials)
    - [Properties](../../classes/class_image.html#properties)
    - [Methods](../../classes/class_image.html#methods)
    - [Enumerations](../../classes/class_image.html#enumerations)
    - [Constants](../../classes/class_image.html#constants)
    - [Property Descriptions](../../classes/class_image.html#property-descriptions)
    - [Method Descriptions](../../classes/class_image.html#method-descriptions)
  + [ImageTexture](../../classes/class_imagetexture.html)
    - [Description](../../classes/class_imagetexture.html#description)
    - [Tutorials](../../classes/class_imagetexture.html#tutorials)
    - [Properties](../../classes/class_imagetexture.html#properties)
    - [Methods](../../classes/class_imagetexture.html#methods)
    - [Method Descriptions](../../classes/class_imagetexture.html#method-descriptions)
  + [ImageTexture3D](../../classes/class_imagetexture3d.html)
    - [Description](../../classes/class_imagetexture3d.html#description)
    - [Methods](../../classes/class_imagetexture3d.html#methods)
    - [Method Descriptions](../../classes/class_imagetexture3d.html#method-descriptions)
  + [ImageTextureLayered](../../classes/class_imagetexturelayered.html)
    - [Description](../../classes/class_imagetexturelayered.html#description)
    - [Methods](../../classes/class_imagetexturelayered.html#methods)
    - [Method Descriptions](../../classes/class_imagetexturelayered.html#method-descriptions)
  + [ImmediateMesh](../../classes/class_immediatemesh.html)
    - [Description](../../classes/class_immediatemesh.html#description)
    - [Tutorials](../../classes/class_immediatemesh.html#tutorials)
    - [Methods](../../classes/class_immediatemesh.html#methods)
    - [Method Descriptions](../../classes/class_immediatemesh.html#method-descriptions)
  + [ImporterMesh](../../classes/class_importermesh.html)
    - [Description](../../classes/class_importermesh.html#description)
    - [Methods](../../classes/class_importermesh.html#methods)
    - [Method Descriptions](../../classes/class_importermesh.html#method-descriptions)
  + [InputEvent](../../classes/class_inputevent.html)
    - [Description](../../classes/class_inputevent.html#description)
    - [Tutorials](../../classes/class_inputevent.html#tutorials)
    - [Properties](../../classes/class_inputevent.html#properties)
    - [Methods](../../classes/class_inputevent.html#methods)
    - [Constants](../../classes/class_inputevent.html#constants)
    - [Property Descriptions](../../classes/class_inputevent.html#property-descriptions)
    - [Method Descriptions](../../classes/class_inputevent.html#method-descriptions)
  + [InputEventAction](../../classes/class_inputeventaction.html)
    - [Description](../../classes/class_inputeventaction.html#description)
    - [Tutorials](../../classes/class_inputeventaction.html#tutorials)
    - [Properties](../../classes/class_inputeventaction.html#properties)
    - [Property Descriptions](../../classes/class_inputeventaction.html#property-descriptions)
  + [InputEventFromWindow](../../classes/class_inputeventfromwindow.html)
    - [Description](../../classes/class_inputeventfromwindow.html#description)
    - [Properties](../../classes/class_inputeventfromwindow.html#properties)
    - [Property Descriptions](../../classes/class_inputeventfromwindow.html#property-descriptions)
  + [InputEventGesture](../../classes/class_inputeventgesture.html)
    - [Description](../../classes/class_inputeventgesture.html#description)
    - [Tutorials](../../classes/class_inputeventgesture.html#tutorials)
    - [Properties](../../classes/class_inputeventgesture.html#properties)
    - [Property Descriptions](../../classes/class_inputeventgesture.html#property-descriptions)
  + [InputEventJoypadButton](../../classes/class_inputeventjoypadbutton.html)
    - [Description](../../classes/class_inputeventjoypadbutton.html#description)
    - [Tutorials](../../classes/class_inputeventjoypadbutton.html#tutorials)
    - [Properties](../../classes/class_inputeventjoypadbutton.html#properties)
    - [Property Descriptions](../../classes/class_inputeventjoypadbutton.html#property-descriptions)
  + [InputEventJoypadMotion](../../classes/class_inputeventjoypadmotion.html)
    - [Description](../../classes/class_inputeventjoypadmotion.html#description)
    - [Tutorials](../../classes/class_inputeventjoypadmotion.html#tutorials)
    - [Properties](../../classes/class_inputeventjoypadmotion.html#properties)
    - [Property Descriptions](../../classes/class_inputeventjoypadmotion.html#property-descriptions)
  + [InputEventKey](../../classes/class_inputeventkey.html)
    - [Description](../../classes/class_inputeventkey.html#description)
    - [Tutorials](../../classes/class_inputeventkey.html#tutorials)
    - [Properties](../../classes/class_inputeventkey.html#properties)
    - [Methods](../../classes/class_inputeventkey.html#methods)
    - [Property Descriptions](../../classes/class_inputeventkey.html#property-descriptions)
    - [Method Descriptions](../../classes/class_inputeventkey.html#method-descriptions)
  + [InputEventMagnifyGesture](../../classes/class_inputeventmagnifygesture.html)
    - [Description](../../classes/class_inputeventmagnifygesture.html#description)
    - [Tutorials](../../classes/class_inputeventmagnifygesture.html#tutorials)
    - [Properties](../../classes/class_inputeventmagnifygesture.html#properties)
    - [Property Descriptions](../../classes/class_inputeventmagnifygesture.html#property-descriptions)
  + [InputEventMIDI](../../classes/class_inputeventmidi.html)
    - [Description](../../classes/class_inputeventmidi.html#description)
    - [Tutorials](../../classes/class_inputeventmidi.html#tutorials)
    - [Properties](../../classes/class_inputeventmidi.html#properties)
    - [Property Descriptions](../../classes/class_inputeventmidi.html#property-descriptions)
  + [InputEventMouse](../../classes/class_inputeventmouse.html)
    - [Description](../../classes/class_inputeventmouse.html#description)
    - [Tutorials](../../classes/class_inputeventmouse.html#tutorials)
    - [Properties](../../classes/class_inputeventmouse.html#properties)
    - [Property Descriptions](../../classes/class_inputeventmouse.html#property-descriptions)
  + [InputEventMouseButton](../../classes/class_inputeventmousebutton.html)
    - [Description](../../classes/class_inputeventmousebutton.html#description)
    - [Tutorials](../../classes/class_inputeventmousebutton.html#tutorials)
    - [Properties](../../classes/class_inputeventmousebutton.html#properties)
    - [Property Descriptions](../../classes/class_inputeventmousebutton.html#property-descriptions)
  + [InputEventMouseMotion](../../classes/class_inputeventmousemotion.html)
    - [Description](../../classes/class_inputeventmousemotion.html#description)
    - [Tutorials](../../classes/class_inputeventmousemotion.html#tutorials)
    - [Properties](../../classes/class_inputeventmousemotion.html#properties)
    - [Property Descriptions](../../classes/class_inputeventmousemotion.html#property-descriptions)
  + [InputEventPanGesture](../../classes/class_inputeventpangesture.html)
    - [Description](../../classes/class_inputeventpangesture.html#description)
    - [Tutorials](../../classes/class_inputeventpangesture.html#tutorials)
    - [Properties](../../classes/class_inputeventpangesture.html#properties)
    - [Property Descriptions](../../classes/class_inputeventpangesture.html#property-descriptions)
  + [InputEventScreenDrag](../../classes/class_inputeventscreendrag.html)
    - [Description](../../classes/class_inputeventscreendrag.html#description)
    - [Tutorials](../../classes/class_inputeventscreendrag.html#tutorials)
    - [Properties](../../classes/class_inputeventscreendrag.html#properties)
    - [Property Descriptions](../../classes/class_inputeventscreendrag.html#property-descriptions)
  + [InputEventScreenTouch](../../classes/class_inputeventscreentouch.html)
    - [Description](../../classes/class_inputeventscreentouch.html#description)
    - [Tutorials](../../classes/class_inputeventscreentouch.html#tutorials)
    - [Properties](../../classes/class_inputeventscreentouch.html#properties)
    - [Property Descriptions](../../classes/class_inputeventscreentouch.html#property-descriptions)
  + [InputEventShortcut](../../classes/class_inputeventshortcut.html)
    - [Description](../../classes/class_inputeventshortcut.html#description)
    - [Properties](../../classes/class_inputeventshortcut.html#properties)
    - [Property Descriptions](../../classes/class_inputeventshortcut.html#property-descriptions)
  + [InputEventWithModifiers](../../classes/class_inputeventwithmodifiers.html)
    - [Description](../../classes/class_inputeventwithmodifiers.html#description)
    - [Tutorials](../../classes/class_inputeventwithmodifiers.html#tutorials)
    - [Properties](../../classes/class_inputeventwithmodifiers.html#properties)
    - [Methods](../../classes/class_inputeventwithmodifiers.html#methods)
    - [Property Descriptions](../../classes/class_inputeventwithmodifiers.html#property-descriptions)
    - [Method Descriptions](../../classes/class_inputeventwithmodifiers.html#method-descriptions)
  + [JSON](../../classes/class_json.html)
    - [Description](../../classes/class_json.html#description)
    - [Properties](../../classes/class_json.html#properties)
    - [Methods](../../classes/class_json.html#methods)
    - [Property Descriptions](../../classes/class_json.html#property-descriptions)
    - [Method Descriptions](../../classes/class_json.html#method-descriptions)
  + [LabelSettings](../../classes/class_labelsettings.html)
    - [Description](../../classes/class_labelsettings.html#description)
    - [Properties](../../classes/class_labelsettings.html#properties)
    - [Property Descriptions](../../classes/class_labelsettings.html#property-descriptions)
  + [LightmapGIData](../../classes/class_lightmapgidata.html)
    - [Description](../../classes/class_lightmapgidata.html#description)
    - [Properties](../../classes/class_lightmapgidata.html#properties)
    - [Methods](../../classes/class_lightmapgidata.html#methods)
    - [Enumerations](../../classes/class_lightmapgidata.html#enumerations)
    - [Property Descriptions](../../classes/class_lightmapgidata.html#property-descriptions)
    - [Method Descriptions](../../classes/class_lightmapgidata.html#method-descriptions)
  + [Material](../../classes/class_material.html)
    - [Description](../../classes/class_material.html#description)
    - [Tutorials](../../classes/class_material.html#tutorials)
    - [Properties](../../classes/class_material.html#properties)
    - [Methods](../../classes/class_material.html#methods)
    - [Constants](../../classes/class_material.html#constants)
    - [Property Descriptions](../../classes/class_material.html#property-descriptions)
    - [Method Descriptions](../../classes/class_material.html#method-descriptions)
  + [Mesh](../../classes/class_mesh.html)
    - [Description](../../classes/class_mesh.html#description)
    - [Tutorials](../../classes/class_mesh.html#tutorials)
    - [Properties](../../classes/class_mesh.html#properties)
    - [Methods](../../classes/class_mesh.html#methods)
    - [Enumerations](../../classes/class_mesh.html#enumerations)
    - [Property Descriptions](../../classes/class_mesh.html#property-descriptions)
    - [Method Descriptions](../../classes/class_mesh.html#method-descriptions)
  + [MeshLibrary](../../classes/class_meshlibrary.html)
    - [Description](../../classes/class_meshlibrary.html#description)
    - [Tutorials](../../classes/class_meshlibrary.html#tutorials)
    - [Methods](../../classes/class_meshlibrary.html#methods)
    - [Method Descriptions](../../classes/class_meshlibrary.html#method-descriptions)
  + [MeshTexture](../../classes/class_meshtexture.html)
    - [Description](../../classes/class_meshtexture.html#description)
    - [Properties](../../classes/class_meshtexture.html#properties)
    - [Property Descriptions](../../classes/class_meshtexture.html#property-descriptions)
  + [MissingResource](../../classes/class_missingresource.html)
    - [Description](../../classes/class_missingresource.html#description)
    - [Properties](../../classes/class_missingresource.html#properties)
    - [Property Descriptions](../../classes/class_missingresource.html#property-descriptions)
  + [MultiMesh](../../classes/class_multimesh.html)
    - [Description](../../classes/class_multimesh.html#description)
    - [Tutorials](../../classes/class_multimesh.html#tutorials)
    - [Properties](../../classes/class_multimesh.html#properties)
    - [Methods](../../classes/class_multimesh.html#methods)
    - [Enumerations](../../classes/class_multimesh.html#enumerations)
    - [Property Descriptions](../../classes/class_multimesh.html#property-descriptions)
    - [Method Descriptions](../../classes/class_multimesh.html#method-descriptions)
  + [NavigationMesh](../../classes/class_navigationmesh.html)
    - [Description](../../classes/class_navigationmesh.html#description)
    - [Tutorials](../../classes/class_navigationmesh.html#tutorials)
    - [Properties](../../classes/class_navigationmesh.html#properties)
    - [Methods](../../classes/class_navigationmesh.html#methods)
    - [Enumerations](../../classes/class_navigationmesh.html#enumerations)
    - [Property Descriptions](../../classes/class_navigationmesh.html#property-descriptions)
    - [Method Descriptions](../../classes/class_navigationmesh.html#method-descriptions)
  + [NavigationMeshSourceGeometryData2D](../../classes/class_navigationmeshsourcegeometrydata2d.html)
    - [Description](../../classes/class_navigationmeshsourcegeometrydata2d.html#description)
    - [Methods](../../classes/class_navigationmeshsourcegeometrydata2d.html#methods)
    - [Method Descriptions](../../classes/class_navigationmeshsourcegeometrydata2d.html#method-descriptions)
  + [NavigationMeshSourceGeometryData3D](../../classes/class_navigationmeshsourcegeometrydata3d.html)
    - [Description](../../classes/class_navigationmeshsourcegeometrydata3d.html#description)
    - [Methods](../../classes/class_navigationmeshsourcegeometrydata3d.html#methods)
    - [Method Descriptions](../../classes/class_navigationmeshsourcegeometrydata3d.html#method-descriptions)
  + [NavigationPolygon](../../classes/class_navigationpolygon.html)
    - [Description](../../classes/class_navigationpolygon.html#description)
    - [Tutorials](../../classes/class_navigationpolygon.html#tutorials)
    - [Properties](../../classes/class_navigationpolygon.html#properties)
    - [Methods](../../classes/class_navigationpolygon.html#methods)
    - [Enumerations](../../classes/class_navigationpolygon.html#enumerations)
    - [Property Descriptions](../../classes/class_navigationpolygon.html#property-descriptions)
    - [Method Descriptions](../../classes/class_navigationpolygon.html#method-descriptions)
  + [Noise](../../classes/class_noise.html)
    - [Description](../../classes/class_noise.html#description)
    - [Methods](../../classes/class_noise.html#methods)
    - [Method Descriptions](../../classes/class_noise.html#method-descriptions)
  + [NoiseTexture2D](../../classes/class_noisetexture2d.html)
    - [Description](../../classes/class_noisetexture2d.html#description)
    - [Properties](../../classes/class_noisetexture2d.html#properties)
    - [Property Descriptions](../../classes/class_noisetexture2d.html#property-descriptions)
  + [NoiseTexture3D](../../classes/class_noisetexture3d.html)
    - [Description](../../classes/class_noisetexture3d.html#description)
    - [Properties](../../classes/class_noisetexture3d.html#properties)
    - [Property Descriptions](../../classes/class_noisetexture3d.html#property-descriptions)
  + [Occluder3D](../../classes/class_occluder3d.html)
    - [Description](../../classes/class_occluder3d.html#description)
    - [Tutorials](../../classes/class_occluder3d.html#tutorials)
    - [Methods](../../classes/class_occluder3d.html#methods)
    - [Method Descriptions](../../classes/class_occluder3d.html#method-descriptions)
  + [OccluderPolygon2D](../../classes/class_occluderpolygon2d.html)
    - [Description](../../classes/class_occluderpolygon2d.html#description)
    - [Properties](../../classes/class_occluderpolygon2d.html#properties)
    - [Enumerations](../../classes/class_occluderpolygon2d.html#enumerations)
    - [Property Descriptions](../../classes/class_occluderpolygon2d.html#property-descriptions)
  + [OggPacketSequence](../../classes/class_oggpacketsequence.html)
    - [Description](../../classes/class_oggpacketsequence.html#description)
    - [Properties](../../classes/class_oggpacketsequence.html#properties)
    - [Methods](../../classes/class_oggpacketsequence.html#methods)
    - [Property Descriptions](../../classes/class_oggpacketsequence.html#property-descriptions)
    - [Method Descriptions](../../classes/class_oggpacketsequence.html#method-descriptions)
  + [OpenXRAction](../../classes/class_openxraction.html)
    - [Description](../../classes/class_openxraction.html#description)
    - [Properties](../../classes/class_openxraction.html#properties)
    - [Enumerations](../../classes/class_openxraction.html#enumerations)
    - [Property Descriptions](../../classes/class_openxraction.html#property-descriptions)
  + [OpenXRActionBindingModifier](../../classes/class_openxractionbindingmodifier.html)
    - [Description](../../classes/class_openxractionbindingmodifier.html#description)
  + [OpenXRActionMap](../../classes/class_openxractionmap.html)
    - [Description](../../classes/class_openxractionmap.html#description)
    - [Properties](../../classes/class_openxractionmap.html#properties)
    - [Methods](../../classes/class_openxractionmap.html#methods)
    - [Property Descriptions](../../classes/class_openxractionmap.html#property-descriptions)
    - [Method Descriptions](../../classes/class_openxractionmap.html#method-descriptions)
  + [OpenXRActionSet](../../classes/class_openxractionset.html)
    - [Description](../../classes/class_openxractionset.html#description)
    - [Properties](../../classes/class_openxractionset.html#properties)
    - [Methods](../../classes/class_openxractionset.html#methods)
    - [Property Descriptions](../../classes/class_openxractionset.html#property-descriptions)
    - [Method Descriptions](../../classes/class_openxractionset.html#method-descriptions)
  + [OpenXRAnalogThresholdModifier](../../classes/class_openxranalogthresholdmodifier.html)
    - [Description](../../classes/class_openxranalogthresholdmodifier.html#description)
    - [Properties](../../classes/class_openxranalogthresholdmodifier.html#properties)
    - [Property Descriptions](../../classes/class_openxranalogthresholdmodifier.html#property-descriptions)
  + [OpenXRBindingModifier](../../classes/class_openxrbindingmodifier.html)
    - [Description](../../classes/class_openxrbindingmodifier.html#description)
    - [Methods](../../classes/class_openxrbindingmodifier.html#methods)
    - [Method Descriptions](../../classes/class_openxrbindingmodifier.html#method-descriptions)
  + [OpenXRDpadBindingModifier](../../classes/class_openxrdpadbindingmodifier.html)
    - [Description](../../classes/class_openxrdpadbindingmodifier.html#description)
    - [Properties](../../classes/class_openxrdpadbindingmodifier.html#properties)
    - [Property Descriptions](../../classes/class_openxrdpadbindingmodifier.html#property-descriptions)
  + [OpenXRHapticBase](../../classes/class_openxrhapticbase.html)
    - [Description](../../classes/class_openxrhapticbase.html#description)
  + [OpenXRHapticVibration](../../classes/class_openxrhapticvibration.html)
    - [Description](../../classes/class_openxrhapticvibration.html#description)
    - [Properties](../../classes/class_openxrhapticvibration.html#properties)
    - [Property Descriptions](../../classes/class_openxrhapticvibration.html#property-descriptions)
  + [OpenXRInteractionProfile](../../classes/class_openxrinteractionprofile.html)
    - [Description](../../classes/class_openxrinteractionprofile.html#description)
    - [Properties](../../classes/class_openxrinteractionprofile.html#properties)
    - [Methods](../../classes/class_openxrinteractionprofile.html#methods)
    - [Property Descriptions](../../classes/class_openxrinteractionprofile.html#property-descriptions)
    - [Method Descriptions](../../classes/class_openxrinteractionprofile.html#method-descriptions)
  + [OpenXRIPBinding](../../classes/class_openxripbinding.html)
    - [Description](../../classes/class_openxripbinding.html#description)
    - [Properties](../../classes/class_openxripbinding.html#properties)
    - [Methods](../../classes/class_openxripbinding.html#methods)
    - [Property Descriptions](../../classes/class_openxripbinding.html#property-descriptions)
    - [Method Descriptions](../../classes/class_openxripbinding.html#method-descriptions)
  + [OpenXRIPBindingModifier](../../classes/class_openxripbindingmodifier.html)
    - [Description](../../classes/class_openxripbindingmodifier.html#description)
  + [OptimizedTranslation](../../classes/class_optimizedtranslation.html)
    - [Description](../../classes/class_optimizedtranslation.html#description)
    - [Methods](../../classes/class_optimizedtranslation.html#methods)
    - [Method Descriptions](../../classes/class_optimizedtranslation.html#method-descriptions)
  + [ORMMaterial3D](../../classes/class_ormmaterial3d.html)
    - [Description](../../classes/class_ormmaterial3d.html#description)
    - [Tutorials](../../classes/class_ormmaterial3d.html#tutorials)
  + [PackedDataContainer](../../classes/class_packeddatacontainer.html)
    - [Description](../../classes/class_packeddatacontainer.html#description)
    - [Methods](../../classes/class_packeddatacontainer.html#methods)
    - [Method Descriptions](../../classes/class_packeddatacontainer.html#method-descriptions)
  + [PackedScene](../../classes/class_packedscene.html)
    - [Description](../../classes/class_packedscene.html#description)
    - [Tutorials](../../classes/class_packedscene.html#tutorials)
    - [Methods](../../classes/class_packedscene.html#methods)
    - [Enumerations](../../classes/class_packedscene.html#enumerations)
    - [Method Descriptions](../../classes/class_packedscene.html#method-descriptions)
  + [PanoramaSkyMaterial](../../classes/class_panoramaskymaterial.html)
    - [Description](../../classes/class_panoramaskymaterial.html#description)
    - [Properties](../../classes/class_panoramaskymaterial.html#properties)
    - [Property Descriptions](../../classes/class_panoramaskymaterial.html#property-descriptions)
  + [ParticleProcessMaterial](../../classes/class_particleprocessmaterial.html)
    - [Description](../../classes/class_particleprocessmaterial.html#description)
    - [Properties](../../classes/class_particleprocessmaterial.html#properties)
    - [Methods](../../classes/class_particleprocessmaterial.html#methods)
    - [Signals](../../classes/class_particleprocessmaterial.html#signals)
    - [Enumerations](../../classes/class_particleprocessmaterial.html#enumerations)
    - [Property Descriptions](../../classes/class_particleprocessmaterial.html#property-descriptions)
    - [Method Descriptions](../../classes/class_particleprocessmaterial.html#method-descriptions)
  + [PhysicalSkyMaterial](../../classes/class_physicalskymaterial.html)
    - [Description](../../classes/class_physicalskymaterial.html#description)
    - [Properties](../../classes/class_physicalskymaterial.html#properties)
    - [Property Descriptions](../../classes/class_physicalskymaterial.html#property-descriptions)
  + [PhysicsMaterial](../../classes/class_physicsmaterial.html)
    - [Description](../../classes/class_physicsmaterial.html#description)
    - [Properties](../../classes/class_physicsmaterial.html#properties)
    - [Property Descriptions](../../classes/class_physicsmaterial.html#property-descriptions)
  + [PlaceholderCubemap](../../classes/class_placeholdercubemap.html)
    - [Description](../../classes/class_placeholdercubemap.html#description)
  + [PlaceholderCubemapArray](../../classes/class_placeholdercubemaparray.html)
    - [Description](../../classes/class_placeholdercubemaparray.html#description)
  + [PlaceholderMaterial](../../classes/class_placeholdermaterial.html)
    - [Description](../../classes/class_placeholdermaterial.html#description)
  + [PlaceholderMesh](../../classes/class_placeholdermesh.html)
    - [Description](../../classes/class_placeholdermesh.html#description)
    - [Properties](../../classes/class_placeholdermesh.html#properties)
    - [Property Descriptions](../../classes/class_placeholdermesh.html#property-descriptions)
  + [PlaceholderTexture2D](../../classes/class_placeholdertexture2d.html)
    - [Description](../../classes/class_placeholdertexture2d.html#description)
    - [Properties](../../classes/class_placeholdertexture2d.html#properties)
    - [Property Descriptions](../../classes/class_placeholdertexture2d.html#property-descriptions)
  + [PlaceholderTexture2DArray](../../classes/class_placeholdertexture2darray.html)
    - [Description](../../classes/class_placeholdertexture2darray.html#description)
  + [PlaceholderTexture3D](../../classes/class_placeholdertexture3d.html)
    - [Description](../../classes/class_placeholdertexture3d.html#description)
    - [Properties](../../classes/class_placeholdertexture3d.html#properties)
    - [Property Descriptions](../../classes/class_placeholdertexture3d.html#property-descriptions)
  + [PlaceholderTextureLayered](../../classes/class_placeholdertexturelayered.html)
    - [Description](../../classes/class_placeholdertexturelayered.html#description)
    - [Properties](../../classes/class_placeholdertexturelayered.html#properties)
    - [Property Descriptions](../../classes/class_placeholdertexturelayered.html#property-descriptions)
  + [PlaneMesh](../../classes/class_planemesh.html)
    - [Description](../../classes/class_planemesh.html#description)
    - [Properties](../../classes/class_planemesh.html#properties)
    - [Enumerations](../../classes/class_planemesh.html#enumerations)
    - [Property Descriptions](../../classes/class_planemesh.html#property-descriptions)
  + [PointMesh](../../classes/class_pointmesh.html)
    - [Description](../../classes/class_pointmesh.html#description)
  + [PolygonOccluder3D](../../classes/class_polygonoccluder3d.html)
    - [Description](../../classes/class_polygonoccluder3d.html#description)
    - [Tutorials](../../classes/class_polygonoccluder3d.html#tutorials)
    - [Properties](../../classes/class_polygonoccluder3d.html#properties)
    - [Property Descriptions](../../classes/class_polygonoccluder3d.html#property-descriptions)
  + [PolygonPathFinder](../../classes/class_polygonpathfinder.html)
    - [Methods](../../classes/class_polygonpathfinder.html#methods)
    - [Method Descriptions](../../classes/class_polygonpathfinder.html#method-descriptions)
  + [PortableCompressedTexture2D](../../classes/class_portablecompressedtexture2d.html)
    - [Description](../../classes/class_portablecompressedtexture2d.html#description)
    - [Properties](../../classes/class_portablecompressedtexture2d.html#properties)
    - [Methods](../../classes/class_portablecompressedtexture2d.html#methods)
    - [Enumerations](../../classes/class_portablecompressedtexture2d.html#enumerations)
    - [Property Descriptions](../../classes/class_portablecompressedtexture2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_portablecompressedtexture2d.html#method-descriptions)
  + [PrimitiveMesh](../../classes/class_primitivemesh.html)
    - [Description](../../classes/class_primitivemesh.html#description)
    - [Properties](../../classes/class_primitivemesh.html#properties)
    - [Methods](../../classes/class_primitivemesh.html#methods)
    - [Property Descriptions](../../classes/class_primitivemesh.html#property-descriptions)
    - [Method Descriptions](../../classes/class_primitivemesh.html#method-descriptions)
  + [PrismMesh](../../classes/class_prismmesh.html)
    - [Description](../../classes/class_prismmesh.html#description)
    - [Properties](../../classes/class_prismmesh.html#properties)
    - [Property Descriptions](../../classes/class_prismmesh.html#property-descriptions)
  + [ProceduralSkyMaterial](../../classes/class_proceduralskymaterial.html)
    - [Description](../../classes/class_proceduralskymaterial.html#description)
    - [Properties](../../classes/class_proceduralskymaterial.html#properties)
    - [Property Descriptions](../../classes/class_proceduralskymaterial.html#property-descriptions)
  + [QuadMesh](../../classes/class_quadmesh.html)
    - [Description](../../classes/class_quadmesh.html#description)
    - [Tutorials](../../classes/class_quadmesh.html#tutorials)
    - [Properties](../../classes/class_quadmesh.html#properties)
  + [QuadOccluder3D](../../classes/class_quadoccluder3d.html)
    - [Description](../../classes/class_quadoccluder3d.html#description)
    - [Tutorials](../../classes/class_quadoccluder3d.html#tutorials)
    - [Properties](../../classes/class_quadoccluder3d.html#properties)
    - [Property Descriptions](../../classes/class_quadoccluder3d.html#property-descriptions)
  + [RDShaderFile](../../classes/class_rdshaderfile.html)
    - [Description](../../classes/class_rdshaderfile.html#description)
    - [Properties](../../classes/class_rdshaderfile.html#properties)
    - [Methods](../../classes/class_rdshaderfile.html#methods)
    - [Property Descriptions](../../classes/class_rdshaderfile.html#property-descriptions)
    - [Method Descriptions](../../classes/class_rdshaderfile.html#method-descriptions)
  + [RDShaderSPIRV](../../classes/class_rdshaderspirv.html)
    - [Description](../../classes/class_rdshaderspirv.html#description)
    - [Properties](../../classes/class_rdshaderspirv.html#properties)
    - [Methods](../../classes/class_rdshaderspirv.html#methods)
    - [Property Descriptions](../../classes/class_rdshaderspirv.html#property-descriptions)
    - [Method Descriptions](../../classes/class_rdshaderspirv.html#method-descriptions)
  + [RectangleShape2D](../../classes/class_rectangleshape2d.html)
    - [Description](../../classes/class_rectangleshape2d.html#description)
    - [Tutorials](../../classes/class_rectangleshape2d.html#tutorials)
    - [Properties](../../classes/class_rectangleshape2d.html#properties)
    - [Property Descriptions](../../classes/class_rectangleshape2d.html#property-descriptions)
  + [RibbonTrailMesh](../../classes/class_ribbontrailmesh.html)
    - [Description](../../classes/class_ribbontrailmesh.html#description)
    - [Tutorials](../../classes/class_ribbontrailmesh.html#tutorials)
    - [Properties](../../classes/class_ribbontrailmesh.html#properties)
    - [Enumerations](../../classes/class_ribbontrailmesh.html#enumerations)
    - [Property Descriptions](../../classes/class_ribbontrailmesh.html#property-descriptions)
  + [RichTextEffect](../../classes/class_richtexteffect.html)
    - [Description](../../classes/class_richtexteffect.html#description)
    - [Tutorials](../../classes/class_richtexteffect.html#tutorials)
    - [Methods](../../classes/class_richtexteffect.html#methods)
    - [Method Descriptions](../../classes/class_richtexteffect.html#method-descriptions)
  + [SceneReplicationConfig](../../classes/class_scenereplicationconfig.html)
    - [Methods](../../classes/class_scenereplicationconfig.html#methods)
    - [Enumerations](../../classes/class_scenereplicationconfig.html#enumerations)
    - [Method Descriptions](../../classes/class_scenereplicationconfig.html#method-descriptions)
  + [Script](../../classes/class_script.html)
    - [Description](../../classes/class_script.html#description)
    - [Tutorials](../../classes/class_script.html#tutorials)
    - [Properties](../../classes/class_script.html#properties)
    - [Methods](../../classes/class_script.html#methods)
    - [Property Descriptions](../../classes/class_script.html#property-descriptions)
    - [Method Descriptions](../../classes/class_script.html#method-descriptions)
  + [ScriptExtension](../../classes/class_scriptextension.html)
    - [Methods](../../classes/class_scriptextension.html#methods)
    - [Method Descriptions](../../classes/class_scriptextension.html#method-descriptions)
  + [SegmentShape2D](../../classes/class_segmentshape2d.html)
    - [Description](../../classes/class_segmentshape2d.html#description)
    - [Properties](../../classes/class_segmentshape2d.html#properties)
    - [Property Descriptions](../../classes/class_segmentshape2d.html#property-descriptions)
  + [SeparationRayShape2D](../../classes/class_separationrayshape2d.html)
    - [Description](../../classes/class_separationrayshape2d.html#description)
    - [Properties](../../classes/class_separationrayshape2d.html#properties)
    - [Property Descriptions](../../classes/class_separationrayshape2d.html#property-descriptions)
  + [SeparationRayShape3D](../../classes/class_separationrayshape3d.html)
    - [Description](../../classes/class_separationrayshape3d.html#description)
    - [Properties](../../classes/class_separationrayshape3d.html#properties)
    - [Property Descriptions](../../classes/class_separationrayshape3d.html#property-descriptions)
  + [Shader](../../classes/class_shader.html)
    - [Description](../../classes/class_shader.html#description)
    - [Tutorials](../../classes/class_shader.html#tutorials)
    - [Properties](../../classes/class_shader.html#properties)
    - [Methods](../../classes/class_shader.html#methods)
    - [Enumerations](../../classes/class_shader.html#enumerations)
    - [Property Descriptions](../../classes/class_shader.html#property-descriptions)
    - [Method Descriptions](../../classes/class_shader.html#method-descriptions)
  + [ShaderInclude](../../classes/class_shaderinclude.html)
    - [Description](../../classes/class_shaderinclude.html#description)
    - [Tutorials](../../classes/class_shaderinclude.html#tutorials)
    - [Properties](../../classes/class_shaderinclude.html#properties)
    - [Property Descriptions](../../classes/class_shaderinclude.html#property-descriptions)
  + [ShaderMaterial](../../classes/class_shadermaterial.html)
    - [Description](../../classes/class_shadermaterial.html#description)
    - [Tutorials](../../classes/class_shadermaterial.html#tutorials)
    - [Properties](../../classes/class_shadermaterial.html#properties)
    - [Methods](../../classes/class_shadermaterial.html#methods)
    - [Property Descriptions](../../classes/class_shadermaterial.html#property-descriptions)
    - [Method Descriptions](../../classes/class_shadermaterial.html#method-descriptions)
  + [Shape2D](../../classes/class_shape2d.html)
    - [Description](../../classes/class_shape2d.html#description)
    - [Tutorials](../../classes/class_shape2d.html#tutorials)
    - [Properties](../../classes/class_shape2d.html#properties)
    - [Methods](../../classes/class_shape2d.html#methods)
    - [Property Descriptions](../../classes/class_shape2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_shape2d.html#method-descriptions)
  + [Shape3D](../../classes/class_shape3d.html)
    - [Description](../../classes/class_shape3d.html#description)
    - [Tutorials](../../classes/class_shape3d.html#tutorials)
    - [Properties](../../classes/class_shape3d.html#properties)
    - [Methods](../../classes/class_shape3d.html#methods)
    - [Property Descriptions](../../classes/class_shape3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_shape3d.html#method-descriptions)
  + [Shortcut](../../classes/class_shortcut.html)
    - [Description](../../classes/class_shortcut.html#description)
    - [Properties](../../classes/class_shortcut.html#properties)
    - [Methods](../../classes/class_shortcut.html#methods)
    - [Property Descriptions](../../classes/class_shortcut.html#property-descriptions)
    - [Method Descriptions](../../classes/class_shortcut.html#method-descriptions)
  + [SkeletonModification2D](../../classes/class_skeletonmodification2d.html)
    - [Description](../../classes/class_skeletonmodification2d.html#description)
    - [Properties](../../classes/class_skeletonmodification2d.html#properties)
    - [Methods](../../classes/class_skeletonmodification2d.html#methods)
    - [Property Descriptions](../../classes/class_skeletonmodification2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_skeletonmodification2d.html#method-descriptions)
  + [SkeletonModification2DCCDIK](../../classes/class_skeletonmodification2dccdik.html)
    - [Description](../../classes/class_skeletonmodification2dccdik.html#description)
    - [Properties](../../classes/class_skeletonmodification2dccdik.html#properties)
    - [Methods](../../classes/class_skeletonmodification2dccdik.html#methods)
    - [Property Descriptions](../../classes/class_skeletonmodification2dccdik.html#property-descriptions)
    - [Method Descriptions](../../classes/class_skeletonmodification2dccdik.html#method-descriptions)
  + [SkeletonModification2DFABRIK](../../classes/class_skeletonmodification2dfabrik.html)
    - [Description](../../classes/class_skeletonmodification2dfabrik.html#description)
    - [Properties](../../classes/class_skeletonmodification2dfabrik.html#properties)
    - [Methods](../../classes/class_skeletonmodification2dfabrik.html#methods)
    - [Property Descriptions](../../classes/class_skeletonmodification2dfabrik.html#property-descriptions)
    - [Method Descriptions](../../classes/class_skeletonmodification2dfabrik.html#method-descriptions)
  + [SkeletonModification2DJiggle](../../classes/class_skeletonmodification2djiggle.html)
    - [Description](../../classes/class_skeletonmodification2djiggle.html#description)
    - [Properties](../../classes/class_skeletonmodification2djiggle.html#properties)
    - [Methods](../../classes/class_skeletonmodification2djiggle.html#methods)
    - [Property Descriptions](../../classes/class_skeletonmodification2djiggle.html#property-descriptions)
    - [Method Descriptions](../../classes/class_skeletonmodification2djiggle.html#method-descriptions)
  + [SkeletonModification2DLookAt](../../classes/class_skeletonmodification2dlookat.html)
    - [Description](../../classes/class_skeletonmodification2dlookat.html#description)
    - [Properties](../../classes/class_skeletonmodification2dlookat.html#properties)
    - [Methods](../../classes/class_skeletonmodification2dlookat.html#methods)
    - [Property Descriptions](../../classes/class_skeletonmodification2dlookat.html#property-descriptions)
    - [Method Descriptions](../../classes/class_skeletonmodification2dlookat.html#method-descriptions)
  + [SkeletonModification2DPhysicalBones](../../classes/class_skeletonmodification2dphysicalbones.html)
    - [Description](../../classes/class_skeletonmodification2dphysicalbones.html#description)
    - [Properties](../../classes/class_skeletonmodification2dphysicalbones.html#properties)
    - [Methods](../../classes/class_skeletonmodification2dphysicalbones.html#methods)
    - [Property Descriptions](../../classes/class_skeletonmodification2dphysicalbones.html#property-descriptions)
    - [Method Descriptions](../../classes/class_skeletonmodification2dphysicalbones.html#method-descriptions)
  + [SkeletonModification2DStackHolder](../../classes/class_skeletonmodification2dstackholder.html)
    - [Description](../../classes/class_skeletonmodification2dstackholder.html#description)
    - [Methods](../../classes/class_skeletonmodification2dstackholder.html#methods)
    - [Method Descriptions](../../classes/class_skeletonmodification2dstackholder.html#method-descriptions)
  + [SkeletonModification2DTwoBoneIK](../../classes/class_skeletonmodification2dtwoboneik.html)
    - [Description](../../classes/class_skeletonmodification2dtwoboneik.html#description)
    - [Properties](../../classes/class_skeletonmodification2dtwoboneik.html#properties)
    - [Methods](../../classes/class_skeletonmodification2dtwoboneik.html#methods)
    - [Property Descriptions](../../classes/class_skeletonmodification2dtwoboneik.html#property-descriptions)
    - [Method Descriptions](../../classes/class_skeletonmodification2dtwoboneik.html#method-descriptions)
  + [SkeletonModificationStack2D](../../classes/class_skeletonmodificationstack2d.html)
    - [Description](../../classes/class_skeletonmodificationstack2d.html#description)
    - [Properties](../../classes/class_skeletonmodificationstack2d.html#properties)
    - [Methods](../../classes/class_skeletonmodificationstack2d.html#methods)
    - [Property Descriptions](../../classes/class_skeletonmodificationstack2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_skeletonmodificationstack2d.html#method-descriptions)
  + [SkeletonProfile](../../classes/class_skeletonprofile.html)
    - [Description](../../classes/class_skeletonprofile.html#description)
    - [Tutorials](../../classes/class_skeletonprofile.html#tutorials)
    - [Properties](../../classes/class_skeletonprofile.html#properties)
    - [Methods](../../classes/class_skeletonprofile.html#methods)
    - [Signals](../../classes/class_skeletonprofile.html#signals)
    - [Enumerations](../../classes/class_skeletonprofile.html#enumerations)
    - [Property Descriptions](../../classes/class_skeletonprofile.html#property-descriptions)
    - [Method Descriptions](../../classes/class_skeletonprofile.html#method-descriptions)
  + [SkeletonProfileHumanoid](../../classes/class_skeletonprofilehumanoid.html)
    - [Description](../../classes/class_skeletonprofilehumanoid.html#description)
    - [Tutorials](../../classes/class_skeletonprofilehumanoid.html#tutorials)
    - [Properties](../../classes/class_skeletonprofilehumanoid.html#properties)
  + [Skin](../../classes/class_skin.html)
    - [Methods](../../classes/class_skin.html#methods)
    - [Method Descriptions](../../classes/class_skin.html#method-descriptions)
  + [Sky](../../classes/class_sky.html)
    - [Description](../../classes/class_sky.html#description)
    - [Properties](../../classes/class_sky.html#properties)
    - [Enumerations](../../classes/class_sky.html#enumerations)
    - [Property Descriptions](../../classes/class_sky.html#property-descriptions)
  + [SphereMesh](../../classes/class_spheremesh.html)
    - [Description](../../classes/class_spheremesh.html#description)
    - [Properties](../../classes/class_spheremesh.html#properties)
    - [Property Descriptions](../../classes/class_spheremesh.html#property-descriptions)
  + [SphereOccluder3D](../../classes/class_sphereoccluder3d.html)
    - [Description](../../classes/class_sphereoccluder3d.html#description)
    - [Tutorials](../../classes/class_sphereoccluder3d.html#tutorials)
    - [Properties](../../classes/class_sphereoccluder3d.html#properties)
    - [Property Descriptions](../../classes/class_sphereoccluder3d.html#property-descriptions)
  + [SphereShape3D](../../classes/class_sphereshape3d.html)
    - [Description](../../classes/class_sphereshape3d.html#description)
    - [Tutorials](../../classes/class_sphereshape3d.html#tutorials)
    - [Properties](../../classes/class_sphereshape3d.html#properties)
    - [Property Descriptions](../../classes/class_sphereshape3d.html#property-descriptions)
  + [SpriteFrames](../../classes/class_spriteframes.html)
    - [Description](../../classes/class_spriteframes.html#description)
    - [Methods](../../classes/class_spriteframes.html#methods)
    - [Method Descriptions](../../classes/class_spriteframes.html#method-descriptions)
  + [StandardMaterial3D](../../classes/class_standardmaterial3d.html)
    - [Description](../../classes/class_standardmaterial3d.html#description)
    - [Tutorials](../../classes/class_standardmaterial3d.html#tutorials)
  + [StyleBox](../../classes/class_stylebox.html)
    - [Description](../../classes/class_stylebox.html#description)
    - [Properties](../../classes/class_stylebox.html#properties)
    - [Methods](../../classes/class_stylebox.html#methods)
    - [Property Descriptions](../../classes/class_stylebox.html#property-descriptions)
    - [Method Descriptions](../../classes/class_stylebox.html#method-descriptions)
  + [StyleBoxEmpty](../../classes/class_styleboxempty.html)
    - [Description](../../classes/class_styleboxempty.html#description)
  + [StyleBoxFlat](../../classes/class_styleboxflat.html)
    - [Description](../../classes/class_styleboxflat.html#description)
    - [Properties](../../classes/class_styleboxflat.html#properties)
    - [Methods](../../classes/class_styleboxflat.html#methods)
    - [Property Descriptions](../../classes/class_styleboxflat.html#property-descriptions)
    - [Method Descriptions](../../classes/class_styleboxflat.html#method-descriptions)
  + [StyleBoxLine](../../classes/class_styleboxline.html)
    - [Description](../../classes/class_styleboxline.html#description)
    - [Properties](../../classes/class_styleboxline.html#properties)
    - [Property Descriptions](../../classes/class_styleboxline.html#property-descriptions)
  + [StyleBoxTexture](../../classes/class_styleboxtexture.html)
    - [Description](../../classes/class_styleboxtexture.html#description)
    - [Properties](../../classes/class_styleboxtexture.html#properties)
    - [Methods](../../classes/class_styleboxtexture.html#methods)
    - [Enumerations](../../classes/class_styleboxtexture.html#enumerations)
    - [Property Descriptions](../../classes/class_styleboxtexture.html#property-descriptions)
    - [Method Descriptions](../../classes/class_styleboxtexture.html#method-descriptions)
  + [SyntaxHighlighter](../../classes/class_syntaxhighlighter.html)
    - [Description](../../classes/class_syntaxhighlighter.html#description)
    - [Methods](../../classes/class_syntaxhighlighter.html#methods)
    - [Method Descriptions](../../classes/class_syntaxhighlighter.html#method-descriptions)
  + [SystemFont](../../classes/class_systemfont.html)
    - [Description](../../classes/class_systemfont.html#description)
    - [Properties](../../classes/class_systemfont.html#properties)
    - [Property Descriptions](../../classes/class_systemfont.html#property-descriptions)
  + [TextMesh](../../classes/class_textmesh.html)
    - [Description](../../classes/class_textmesh.html#description)
    - [Tutorials](../../classes/class_textmesh.html#tutorials)
    - [Properties](../../classes/class_textmesh.html#properties)
    - [Property Descriptions](../../classes/class_textmesh.html#property-descriptions)
  + [Texture](../../classes/class_texture.html)
    - [Description](../../classes/class_texture.html#description)
  + [Texture2D](../../classes/class_texture2d.html)
    - [Description](../../classes/class_texture2d.html#description)
    - [Methods](../../classes/class_texture2d.html#methods)
    - [Method Descriptions](../../classes/class_texture2d.html#method-descriptions)
  + [Texture2DArray](../../classes/class_texture2darray.html)
    - [Description](../../classes/class_texture2darray.html#description)
    - [Methods](../../classes/class_texture2darray.html#methods)
    - [Method Descriptions](../../classes/class_texture2darray.html#method-descriptions)
  + [Texture2DArrayRD](../../classes/class_texture2darrayrd.html)
    - [Description](../../classes/class_texture2darrayrd.html#description)
  + [Texture2DRD](../../classes/class_texture2drd.html)
    - [Description](../../classes/class_texture2drd.html#description)
    - [Properties](../../classes/class_texture2drd.html#properties)
    - [Property Descriptions](../../classes/class_texture2drd.html#property-descriptions)
  + [Texture3D](../../classes/class_texture3d.html)
    - [Description](../../classes/class_texture3d.html#description)
    - [Methods](../../classes/class_texture3d.html#methods)
    - [Method Descriptions](../../classes/class_texture3d.html#method-descriptions)
  + [Texture3DRD](../../classes/class_texture3drd.html)
    - [Description](../../classes/class_texture3drd.html#description)
    - [Properties](../../classes/class_texture3drd.html#properties)
    - [Property Descriptions](../../classes/class_texture3drd.html#property-descriptions)
  + [TextureCubemapArrayRD](../../classes/class_texturecubemaparrayrd.html)
    - [Description](../../classes/class_texturecubemaparrayrd.html#description)
  + [TextureCubemapRD](../../classes/class_texturecubemaprd.html)
    - [Description](../../classes/class_texturecubemaprd.html#description)
  + [TextureLayered](../../classes/class_texturelayered.html)
    - [Description](../../classes/class_texturelayered.html#description)
    - [Methods](../../classes/class_texturelayered.html#methods)
    - [Enumerations](../../classes/class_texturelayered.html#enumerations)
    - [Method Descriptions](../../classes/class_texturelayered.html#method-descriptions)
  + [TextureLayeredRD](../../classes/class_texturelayeredrd.html)
    - [Description](../../classes/class_texturelayeredrd.html#description)
    - [Properties](../../classes/class_texturelayeredrd.html#properties)
    - [Property Descriptions](../../classes/class_texturelayeredrd.html#property-descriptions)
  + [Theme](../../classes/class_theme.html)
    - [Description](../../classes/class_theme.html#description)
    - [Tutorials](../../classes/class_theme.html#tutorials)
    - [Properties](../../classes/class_theme.html#properties)
    - [Methods](../../classes/class_theme.html#methods)
    - [Enumerations](../../classes/class_theme.html#enumerations)
    - [Property Descriptions](../../classes/class_theme.html#property-descriptions)
    - [Method Descriptions](../../classes/class_theme.html#method-descriptions)
  + [TileMapPattern](../../classes/class_tilemappattern.html)
    - [Description](../../classes/class_tilemappattern.html#description)
    - [Methods](../../classes/class_tilemappattern.html#methods)
    - [Method Descriptions](../../classes/class_tilemappattern.html#method-descriptions)
  + [TileSet](../../classes/class_tileset.html)
    - [Description](../../classes/class_tileset.html#description)
    - [Tutorials](../../classes/class_tileset.html#tutorials)
    - [Properties](../../classes/class_tileset.html#properties)
    - [Methods](../../classes/class_tileset.html#methods)
    - [Enumerations](../../classes/class_tileset.html#enumerations)
    - [Property Descriptions](../../classes/class_tileset.html#property-descriptions)
    - [Method Descriptions](../../classes/class_tileset.html#method-descriptions)
  + [TileSetAtlasSource](../../classes/class_tilesetatlassource.html)
    - [Description](../../classes/class_tilesetatlassource.html#description)
    - [Properties](../../classes/class_tilesetatlassource.html#properties)
    - [Methods](../../classes/class_tilesetatlassource.html#methods)
    - [Enumerations](../../classes/class_tilesetatlassource.html#enumerations)
    - [Constants](../../classes/class_tilesetatlassource.html#constants)
    - [Property Descriptions](../../classes/class_tilesetatlassource.html#property-descriptions)
    - [Method Descriptions](../../classes/class_tilesetatlassource.html#method-descriptions)
  + [TileSetScenesCollectionSource](../../classes/class_tilesetscenescollectionsource.html)
    - [Description](../../classes/class_tilesetscenescollectionsource.html#description)
    - [Methods](../../classes/class_tilesetscenescollectionsource.html#methods)
    - [Method Descriptions](../../classes/class_tilesetscenescollectionsource.html#method-descriptions)
  + [TileSetSource](../../classes/class_tilesetsource.html)
    - [Description](../../classes/class_tilesetsource.html#description)
    - [Methods](../../classes/class_tilesetsource.html#methods)
    - [Method Descriptions](../../classes/class_tilesetsource.html#method-descriptions)
  + [TorusMesh](../../classes/class_torusmesh.html)
    - [Description](../../classes/class_torusmesh.html#description)
    - [Properties](../../classes/class_torusmesh.html#properties)
    - [Property Descriptions](../../classes/class_torusmesh.html#property-descriptions)
  + [Translation](../../classes/class_translation.html)
    - [Description](../../classes/class_translation.html#description)
    - [Tutorials](../../classes/class_translation.html#tutorials)
    - [Properties](../../classes/class_translation.html#properties)
    - [Methods](../../classes/class_translation.html#methods)
    - [Property Descriptions](../../classes/class_translation.html#property-descriptions)
    - [Method Descriptions](../../classes/class_translation.html#method-descriptions)
  + [TubeTrailMesh](../../classes/class_tubetrailmesh.html)
    - [Description](../../classes/class_tubetrailmesh.html#description)
    - [Tutorials](../../classes/class_tubetrailmesh.html#tutorials)
    - [Properties](../../classes/class_tubetrailmesh.html#properties)
    - [Property Descriptions](../../classes/class_tubetrailmesh.html#property-descriptions)
  + [VideoStream](../../classes/class_videostream.html)
    - [Description](../../classes/class_videostream.html#description)
    - [Tutorials](../../classes/class_videostream.html#tutorials)
    - [Properties](../../classes/class_videostream.html#properties)
    - [Methods](../../classes/class_videostream.html#methods)
    - [Property Descriptions](../../classes/class_videostream.html#property-descriptions)
    - [Method Descriptions](../../classes/class_videostream.html#method-descriptions)
  + [VideoStreamPlayback](../../classes/class_videostreamplayback.html)
    - [Description](../../classes/class_videostreamplayback.html#description)
    - [Methods](../../classes/class_videostreamplayback.html#methods)
    - [Method Descriptions](../../classes/class_videostreamplayback.html#method-descriptions)
  + [VideoStreamTheora](../../classes/class_videostreamtheora.html)
    - [Description](../../classes/class_videostreamtheora.html#description)
  + [ViewportTexture](../../classes/class_viewporttexture.html)
    - [Description](../../classes/class_viewporttexture.html#description)
    - [Tutorials](../../classes/class_viewporttexture.html#tutorials)
    - [Properties](../../classes/class_viewporttexture.html#properties)
    - [Property Descriptions](../../classes/class_viewporttexture.html#property-descriptions)
  + [VisualShader](../../classes/class_visualshader.html)
    - [Description](../../classes/class_visualshader.html#description)
    - [Tutorials](../../classes/class_visualshader.html#tutorials)
    - [Properties](../../classes/class_visualshader.html#properties)
    - [Methods](../../classes/class_visualshader.html#methods)
    - [Enumerations](../../classes/class_visualshader.html#enumerations)
    - [Constants](../../classes/class_visualshader.html#constants)
    - [Property Descriptions](../../classes/class_visualshader.html#property-descriptions)
    - [Method Descriptions](../../classes/class_visualshader.html#method-descriptions)
  + [VisualShaderNode](../../classes/class_visualshadernode.html)
    - [Description](../../classes/class_visualshadernode.html#description)
    - [Tutorials](../../classes/class_visualshadernode.html#tutorials)
    - [Properties](../../classes/class_visualshadernode.html#properties)
    - [Methods](../../classes/class_visualshadernode.html#methods)
    - [Enumerations](../../classes/class_visualshadernode.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernode.html#property-descriptions)
    - [Method Descriptions](../../classes/class_visualshadernode.html#method-descriptions)
  + [VisualShaderNodeBillboard](../../classes/class_visualshadernodebillboard.html)
    - [Description](../../classes/class_visualshadernodebillboard.html#description)
    - [Properties](../../classes/class_visualshadernodebillboard.html#properties)
    - [Enumerations](../../classes/class_visualshadernodebillboard.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodebillboard.html#property-descriptions)
  + [VisualShaderNodeBooleanConstant](../../classes/class_visualshadernodebooleanconstant.html)
    - [Description](../../classes/class_visualshadernodebooleanconstant.html#description)
    - [Properties](../../classes/class_visualshadernodebooleanconstant.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodebooleanconstant.html#property-descriptions)
  + [VisualShaderNodeBooleanParameter](../../classes/class_visualshadernodebooleanparameter.html)
    - [Description](../../classes/class_visualshadernodebooleanparameter.html#description)
    - [Properties](../../classes/class_visualshadernodebooleanparameter.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodebooleanparameter.html#property-descriptions)
  + [VisualShaderNodeClamp](../../classes/class_visualshadernodeclamp.html)
    - [Description](../../classes/class_visualshadernodeclamp.html#description)
    - [Properties](../../classes/class_visualshadernodeclamp.html#properties)
    - [Enumerations](../../classes/class_visualshadernodeclamp.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodeclamp.html#property-descriptions)
  + [VisualShaderNodeColorConstant](../../classes/class_visualshadernodecolorconstant.html)
    - [Description](../../classes/class_visualshadernodecolorconstant.html#description)
    - [Properties](../../classes/class_visualshadernodecolorconstant.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodecolorconstant.html#property-descriptions)
  + [VisualShaderNodeColorFunc](../../classes/class_visualshadernodecolorfunc.html)
    - [Description](../../classes/class_visualshadernodecolorfunc.html#description)
    - [Properties](../../classes/class_visualshadernodecolorfunc.html#properties)
    - [Enumerations](../../classes/class_visualshadernodecolorfunc.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodecolorfunc.html#property-descriptions)
  + [VisualShaderNodeColorOp](../../classes/class_visualshadernodecolorop.html)
    - [Description](../../classes/class_visualshadernodecolorop.html#description)
    - [Properties](../../classes/class_visualshadernodecolorop.html#properties)
    - [Enumerations](../../classes/class_visualshadernodecolorop.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodecolorop.html#property-descriptions)
  + [VisualShaderNodeColorParameter](../../classes/class_visualshadernodecolorparameter.html)
    - [Description](../../classes/class_visualshadernodecolorparameter.html#description)
    - [Properties](../../classes/class_visualshadernodecolorparameter.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodecolorparameter.html#property-descriptions)
  + [VisualShaderNodeComment](../../classes/class_visualshadernodecomment.html)
    - [Description](../../classes/class_visualshadernodecomment.html#description)
    - [Properties](../../classes/class_visualshadernodecomment.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodecomment.html#property-descriptions)
  + [VisualShaderNodeCompare](../../classes/class_visualshadernodecompare.html)
    - [Description](../../classes/class_visualshadernodecompare.html#description)
    - [Properties](../../classes/class_visualshadernodecompare.html#properties)
    - [Enumerations](../../classes/class_visualshadernodecompare.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodecompare.html#property-descriptions)
  + [VisualShaderNodeConstant](../../classes/class_visualshadernodeconstant.html)
    - [Description](../../classes/class_visualshadernodeconstant.html#description)
  + [VisualShaderNodeCubemap](../../classes/class_visualshadernodecubemap.html)
    - [Description](../../classes/class_visualshadernodecubemap.html#description)
    - [Properties](../../classes/class_visualshadernodecubemap.html#properties)
    - [Enumerations](../../classes/class_visualshadernodecubemap.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodecubemap.html#property-descriptions)
  + [VisualShaderNodeCubemapParameter](../../classes/class_visualshadernodecubemapparameter.html)
    - [Description](../../classes/class_visualshadernodecubemapparameter.html#description)
  + [VisualShaderNodeCurveTexture](../../classes/class_visualshadernodecurvetexture.html)
    - [Description](../../classes/class_visualshadernodecurvetexture.html#description)
    - [Properties](../../classes/class_visualshadernodecurvetexture.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodecurvetexture.html#property-descriptions)
  + [VisualShaderNodeCurveXYZTexture](../../classes/class_visualshadernodecurvexyztexture.html)
    - [Description](../../classes/class_visualshadernodecurvexyztexture.html#description)
    - [Properties](../../classes/class_visualshadernodecurvexyztexture.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodecurvexyztexture.html#property-descriptions)
  + [VisualShaderNodeCustom](../../classes/class_visualshadernodecustom.html)
    - [Description](../../classes/class_visualshadernodecustom.html#description)
    - [Tutorials](../../classes/class_visualshadernodecustom.html#tutorials)
    - [Methods](../../classes/class_visualshadernodecustom.html#methods)
    - [Method Descriptions](../../classes/class_visualshadernodecustom.html#method-descriptions)
  + [VisualShaderNodeDerivativeFunc](../../classes/class_visualshadernodederivativefunc.html)
    - [Description](../../classes/class_visualshadernodederivativefunc.html#description)
    - [Properties](../../classes/class_visualshadernodederivativefunc.html#properties)
    - [Enumerations](../../classes/class_visualshadernodederivativefunc.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodederivativefunc.html#property-descriptions)
  + [VisualShaderNodeDeterminant](../../classes/class_visualshadernodedeterminant.html)
    - [Description](../../classes/class_visualshadernodedeterminant.html#description)
  + [VisualShaderNodeDistanceFade](../../classes/class_visualshadernodedistancefade.html)
    - [Description](../../classes/class_visualshadernodedistancefade.html#description)
  + [VisualShaderNodeDotProduct](../../classes/class_visualshadernodedotproduct.html)
    - [Description](../../classes/class_visualshadernodedotproduct.html#description)
  + [VisualShaderNodeExpression](../../classes/class_visualshadernodeexpression.html)
    - [Description](../../classes/class_visualshadernodeexpression.html#description)
    - [Properties](../../classes/class_visualshadernodeexpression.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodeexpression.html#property-descriptions)
  + [VisualShaderNodeFaceForward](../../classes/class_visualshadernodefaceforward.html)
    - [Description](../../classes/class_visualshadernodefaceforward.html#description)
  + [VisualShaderNodeFloatConstant](../../classes/class_visualshadernodefloatconstant.html)
    - [Description](../../classes/class_visualshadernodefloatconstant.html#description)
    - [Properties](../../classes/class_visualshadernodefloatconstant.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodefloatconstant.html#property-descriptions)
  + [VisualShaderNodeFloatFunc](../../classes/class_visualshadernodefloatfunc.html)
    - [Description](../../classes/class_visualshadernodefloatfunc.html#description)
    - [Properties](../../classes/class_visualshadernodefloatfunc.html#properties)
    - [Enumerations](../../classes/class_visualshadernodefloatfunc.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodefloatfunc.html#property-descriptions)
  + [VisualShaderNodeFloatOp](../../classes/class_visualshadernodefloatop.html)
    - [Description](../../classes/class_visualshadernodefloatop.html#description)
    - [Properties](../../classes/class_visualshadernodefloatop.html#properties)
    - [Enumerations](../../classes/class_visualshadernodefloatop.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodefloatop.html#property-descriptions)
  + [VisualShaderNodeFloatParameter](../../classes/class_visualshadernodefloatparameter.html)
    - [Description](../../classes/class_visualshadernodefloatparameter.html#description)
    - [Properties](../../classes/class_visualshadernodefloatparameter.html#properties)
    - [Enumerations](../../classes/class_visualshadernodefloatparameter.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodefloatparameter.html#property-descriptions)
  + [VisualShaderNodeFrame](../../classes/class_visualshadernodeframe.html)
    - [Description](../../classes/class_visualshadernodeframe.html#description)
    - [Properties](../../classes/class_visualshadernodeframe.html#properties)
    - [Methods](../../classes/class_visualshadernodeframe.html#methods)
    - [Property Descriptions](../../classes/class_visualshadernodeframe.html#property-descriptions)
    - [Method Descriptions](../../classes/class_visualshadernodeframe.html#method-descriptions)
  + [VisualShaderNodeFresnel](../../classes/class_visualshadernodefresnel.html)
    - [Description](../../classes/class_visualshadernodefresnel.html#description)
  + [VisualShaderNodeGlobalExpression](../../classes/class_visualshadernodeglobalexpression.html)
    - [Description](../../classes/class_visualshadernodeglobalexpression.html#description)
  + [VisualShaderNodeGroupBase](../../classes/class_visualshadernodegroupbase.html)
    - [Description](../../classes/class_visualshadernodegroupbase.html#description)
    - [Methods](../../classes/class_visualshadernodegroupbase.html#methods)
    - [Method Descriptions](../../classes/class_visualshadernodegroupbase.html#method-descriptions)
  + [VisualShaderNodeIf](../../classes/class_visualshadernodeif.html)
    - [Description](../../classes/class_visualshadernodeif.html#description)
  + [VisualShaderNodeInput](../../classes/class_visualshadernodeinput.html)
    - [Description](../../classes/class_visualshadernodeinput.html#description)
    - [Tutorials](../../classes/class_visualshadernodeinput.html#tutorials)
    - [Properties](../../classes/class_visualshadernodeinput.html#properties)
    - [Methods](../../classes/class_visualshadernodeinput.html#methods)
    - [Signals](../../classes/class_visualshadernodeinput.html#signals)
    - [Property Descriptions](../../classes/class_visualshadernodeinput.html#property-descriptions)
    - [Method Descriptions](../../classes/class_visualshadernodeinput.html#method-descriptions)
  + [VisualShaderNodeIntConstant](../../classes/class_visualshadernodeintconstant.html)
    - [Description](../../classes/class_visualshadernodeintconstant.html#description)
    - [Properties](../../classes/class_visualshadernodeintconstant.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodeintconstant.html#property-descriptions)
  + [VisualShaderNodeIntFunc](../../classes/class_visualshadernodeintfunc.html)
    - [Description](../../classes/class_visualshadernodeintfunc.html#description)
    - [Properties](../../classes/class_visualshadernodeintfunc.html#properties)
    - [Enumerations](../../classes/class_visualshadernodeintfunc.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodeintfunc.html#property-descriptions)
  + [VisualShaderNodeIntOp](../../classes/class_visualshadernodeintop.html)
    - [Description](../../classes/class_visualshadernodeintop.html#description)
    - [Properties](../../classes/class_visualshadernodeintop.html#properties)
    - [Enumerations](../../classes/class_visualshadernodeintop.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodeintop.html#property-descriptions)
  + [VisualShaderNodeIntParameter](../../classes/class_visualshadernodeintparameter.html)
    - [Description](../../classes/class_visualshadernodeintparameter.html#description)
    - [Properties](../../classes/class_visualshadernodeintparameter.html#properties)
    - [Enumerations](../../classes/class_visualshadernodeintparameter.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodeintparameter.html#property-descriptions)
  + [VisualShaderNodeIs](../../classes/class_visualshadernodeis.html)
    - [Description](../../classes/class_visualshadernodeis.html#description)
    - [Properties](../../classes/class_visualshadernodeis.html#properties)
    - [Enumerations](../../classes/class_visualshadernodeis.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodeis.html#property-descriptions)
  + [VisualShaderNodeLinearSceneDepth](../../classes/class_visualshadernodelinearscenedepth.html)
    - [Description](../../classes/class_visualshadernodelinearscenedepth.html#description)
  + [VisualShaderNodeMix](../../classes/class_visualshadernodemix.html)
    - [Description](../../classes/class_visualshadernodemix.html#description)
    - [Properties](../../classes/class_visualshadernodemix.html#properties)
    - [Enumerations](../../classes/class_visualshadernodemix.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodemix.html#property-descriptions)
  + [VisualShaderNodeMultiplyAdd](../../classes/class_visualshadernodemultiplyadd.html)
    - [Description](../../classes/class_visualshadernodemultiplyadd.html#description)
    - [Properties](../../classes/class_visualshadernodemultiplyadd.html#properties)
    - [Enumerations](../../classes/class_visualshadernodemultiplyadd.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodemultiplyadd.html#property-descriptions)
  + [VisualShaderNodeOuterProduct](../../classes/class_visualshadernodeouterproduct.html)
    - [Description](../../classes/class_visualshadernodeouterproduct.html#description)
  + [VisualShaderNodeOutput](../../classes/class_visualshadernodeoutput.html)
    - [Description](../../classes/class_visualshadernodeoutput.html#description)
  + [VisualShaderNodeParameter](../../classes/class_visualshadernodeparameter.html)
    - [Description](../../classes/class_visualshadernodeparameter.html#description)
    - [Properties](../../classes/class_visualshadernodeparameter.html#properties)
    - [Enumerations](../../classes/class_visualshadernodeparameter.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodeparameter.html#property-descriptions)
  + [VisualShaderNodeParameterRef](../../classes/class_visualshadernodeparameterref.html)
    - [Description](../../classes/class_visualshadernodeparameterref.html#description)
    - [Properties](../../classes/class_visualshadernodeparameterref.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodeparameterref.html#property-descriptions)
  + [VisualShaderNodeParticleAccelerator](../../classes/class_visualshadernodeparticleaccelerator.html)
    - [Description](../../classes/class_visualshadernodeparticleaccelerator.html#description)
    - [Properties](../../classes/class_visualshadernodeparticleaccelerator.html#properties)
    - [Enumerations](../../classes/class_visualshadernodeparticleaccelerator.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodeparticleaccelerator.html#property-descriptions)
  + [VisualShaderNodeParticleBoxEmitter](../../classes/class_visualshadernodeparticleboxemitter.html)
    - [Description](../../classes/class_visualshadernodeparticleboxemitter.html#description)
  + [VisualShaderNodeParticleConeVelocity](../../classes/class_visualshadernodeparticleconevelocity.html)
    - [Description](../../classes/class_visualshadernodeparticleconevelocity.html#description)
  + [VisualShaderNodeParticleEmit](../../classes/class_visualshadernodeparticleemit.html)
    - [Description](../../classes/class_visualshadernodeparticleemit.html#description)
    - [Properties](../../classes/class_visualshadernodeparticleemit.html#properties)
    - [Enumerations](../../classes/class_visualshadernodeparticleemit.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodeparticleemit.html#property-descriptions)
  + [VisualShaderNodeParticleEmitter](../../classes/class_visualshadernodeparticleemitter.html)
    - [Description](../../classes/class_visualshadernodeparticleemitter.html#description)
    - [Properties](../../classes/class_visualshadernodeparticleemitter.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodeparticleemitter.html#property-descriptions)
  + [VisualShaderNodeParticleMeshEmitter](../../classes/class_visualshadernodeparticlemeshemitter.html)
    - [Description](../../classes/class_visualshadernodeparticlemeshemitter.html#description)
    - [Properties](../../classes/class_visualshadernodeparticlemeshemitter.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodeparticlemeshemitter.html#property-descriptions)
  + [VisualShaderNodeParticleMultiplyByAxisAngle](../../classes/class_visualshadernodeparticlemultiplybyaxisangle.html)
    - [Description](../../classes/class_visualshadernodeparticlemultiplybyaxisangle.html#description)
    - [Properties](../../classes/class_visualshadernodeparticlemultiplybyaxisangle.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodeparticlemultiplybyaxisangle.html#property-descriptions)
  + [VisualShaderNodeParticleOutput](../../classes/class_visualshadernodeparticleoutput.html)
    - [Description](../../classes/class_visualshadernodeparticleoutput.html#description)
  + [VisualShaderNodeParticleRandomness](../../classes/class_visualshadernodeparticlerandomness.html)
    - [Description](../../classes/class_visualshadernodeparticlerandomness.html#description)
    - [Properties](../../classes/class_visualshadernodeparticlerandomness.html#properties)
    - [Enumerations](../../classes/class_visualshadernodeparticlerandomness.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodeparticlerandomness.html#property-descriptions)
  + [VisualShaderNodeParticleRingEmitter](../../classes/class_visualshadernodeparticleringemitter.html)
    - [Description](../../classes/class_visualshadernodeparticleringemitter.html#description)
  + [VisualShaderNodeParticleSphereEmitter](../../classes/class_visualshadernodeparticlesphereemitter.html)
    - [Description](../../classes/class_visualshadernodeparticlesphereemitter.html#description)
  + [VisualShaderNodeProximityFade](../../classes/class_visualshadernodeproximityfade.html)
    - [Description](../../classes/class_visualshadernodeproximityfade.html#description)
  + [VisualShaderNodeRandomRange](../../classes/class_visualshadernoderandomrange.html)
    - [Description](../../classes/class_visualshadernoderandomrange.html#description)
  + [VisualShaderNodeRemap](../../classes/class_visualshadernoderemap.html)
    - [Description](../../classes/class_visualshadernoderemap.html#description)
    - [Properties](../../classes/class_visualshadernoderemap.html#properties)
    - [Enumerations](../../classes/class_visualshadernoderemap.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernoderemap.html#property-descriptions)
  + [VisualShaderNodeReroute](../../classes/class_visualshadernodereroute.html)
    - [Description](../../classes/class_visualshadernodereroute.html#description)
    - [Methods](../../classes/class_visualshadernodereroute.html#methods)
    - [Method Descriptions](../../classes/class_visualshadernodereroute.html#method-descriptions)
  + [VisualShaderNodeResizableBase](../../classes/class_visualshadernoderesizablebase.html)
    - [Description](../../classes/class_visualshadernoderesizablebase.html#description)
    - [Properties](../../classes/class_visualshadernoderesizablebase.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernoderesizablebase.html#property-descriptions)
  + [VisualShaderNodeRotationByAxis](../../classes/class_visualshadernoderotationbyaxis.html)
    - [Description](../../classes/class_visualshadernoderotationbyaxis.html#description)
  + [VisualShaderNodeSample3D](../../classes/class_visualshadernodesample3d.html)
    - [Description](../../classes/class_visualshadernodesample3d.html#description)
    - [Properties](../../classes/class_visualshadernodesample3d.html#properties)
    - [Enumerations](../../classes/class_visualshadernodesample3d.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodesample3d.html#property-descriptions)
  + [VisualShaderNodeScreenNormalWorldSpace](../../classes/class_visualshadernodescreennormalworldspace.html)
    - [Description](../../classes/class_visualshadernodescreennormalworldspace.html#description)
  + [VisualShaderNodeScreenUVToSDF](../../classes/class_visualshadernodescreenuvtosdf.html)
    - [Description](../../classes/class_visualshadernodescreenuvtosdf.html#description)
  + [VisualShaderNodeSDFRaymarch](../../classes/class_visualshadernodesdfraymarch.html)
    - [Description](../../classes/class_visualshadernodesdfraymarch.html#description)
  + [VisualShaderNodeSDFToScreenUV](../../classes/class_visualshadernodesdftoscreenuv.html)
    - [Description](../../classes/class_visualshadernodesdftoscreenuv.html#description)
  + [VisualShaderNodeSmoothStep](../../classes/class_visualshadernodesmoothstep.html)
    - [Description](../../classes/class_visualshadernodesmoothstep.html#description)
    - [Properties](../../classes/class_visualshadernodesmoothstep.html#properties)
    - [Enumerations](../../classes/class_visualshadernodesmoothstep.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodesmoothstep.html#property-descriptions)
  + [VisualShaderNodeStep](../../classes/class_visualshadernodestep.html)
    - [Description](../../classes/class_visualshadernodestep.html#description)
    - [Properties](../../classes/class_visualshadernodestep.html#properties)
    - [Enumerations](../../classes/class_visualshadernodestep.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodestep.html#property-descriptions)
  + [VisualShaderNodeSwitch](../../classes/class_visualshadernodeswitch.html)
    - [Description](../../classes/class_visualshadernodeswitch.html#description)
    - [Properties](../../classes/class_visualshadernodeswitch.html#properties)
    - [Enumerations](../../classes/class_visualshadernodeswitch.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodeswitch.html#property-descriptions)
  + [VisualShaderNodeTexture](../../classes/class_visualshadernodetexture.html)
    - [Description](../../classes/class_visualshadernodetexture.html#description)
    - [Properties](../../classes/class_visualshadernodetexture.html#properties)
    - [Enumerations](../../classes/class_visualshadernodetexture.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodetexture.html#property-descriptions)
  + [VisualShaderNodeTexture2DArray](../../classes/class_visualshadernodetexture2darray.html)
    - [Description](../../classes/class_visualshadernodetexture2darray.html#description)
    - [Properties](../../classes/class_visualshadernodetexture2darray.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodetexture2darray.html#property-descriptions)
  + [VisualShaderNodeTexture2DArrayParameter](../../classes/class_visualshadernodetexture2darrayparameter.html)
    - [Description](../../classes/class_visualshadernodetexture2darrayparameter.html#description)
  + [VisualShaderNodeTexture2DParameter](../../classes/class_visualshadernodetexture2dparameter.html)
    - [Description](../../classes/class_visualshadernodetexture2dparameter.html#description)
  + [VisualShaderNodeTexture3D](../../classes/class_visualshadernodetexture3d.html)
    - [Description](../../classes/class_visualshadernodetexture3d.html#description)
    - [Properties](../../classes/class_visualshadernodetexture3d.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodetexture3d.html#property-descriptions)
  + [VisualShaderNodeTexture3DParameter](../../classes/class_visualshadernodetexture3dparameter.html)
    - [Description](../../classes/class_visualshadernodetexture3dparameter.html#description)
  + [VisualShaderNodeTextureParameter](../../classes/class_visualshadernodetextureparameter.html)
    - [Description](../../classes/class_visualshadernodetextureparameter.html#description)
    - [Properties](../../classes/class_visualshadernodetextureparameter.html#properties)
    - [Enumerations](../../classes/class_visualshadernodetextureparameter.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodetextureparameter.html#property-descriptions)
  + [VisualShaderNodeTextureParameterTriplanar](../../classes/class_visualshadernodetextureparametertriplanar.html)
    - [Description](../../classes/class_visualshadernodetextureparametertriplanar.html#description)
  + [VisualShaderNodeTextureSDF](../../classes/class_visualshadernodetexturesdf.html)
    - [Description](../../classes/class_visualshadernodetexturesdf.html#description)
  + [VisualShaderNodeTextureSDFNormal](../../classes/class_visualshadernodetexturesdfnormal.html)
    - [Description](../../classes/class_visualshadernodetexturesdfnormal.html#description)
  + [VisualShaderNodeTransformCompose](../../classes/class_visualshadernodetransformcompose.html)
    - [Description](../../classes/class_visualshadernodetransformcompose.html#description)
  + [VisualShaderNodeTransformConstant](../../classes/class_visualshadernodetransformconstant.html)
    - [Description](../../classes/class_visualshadernodetransformconstant.html#description)
    - [Properties](../../classes/class_visualshadernodetransformconstant.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodetransformconstant.html#property-descriptions)
  + [VisualShaderNodeTransformDecompose](../../classes/class_visualshadernodetransformdecompose.html)
    - [Description](../../classes/class_visualshadernodetransformdecompose.html#description)
  + [VisualShaderNodeTransformFunc](../../classes/class_visualshadernodetransformfunc.html)
    - [Description](../../classes/class_visualshadernodetransformfunc.html#description)
    - [Properties](../../classes/class_visualshadernodetransformfunc.html#properties)
    - [Enumerations](../../classes/class_visualshadernodetransformfunc.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodetransformfunc.html#property-descriptions)
  + [VisualShaderNodeTransformOp](../../classes/class_visualshadernodetransformop.html)
    - [Description](../../classes/class_visualshadernodetransformop.html#description)
    - [Properties](../../classes/class_visualshadernodetransformop.html#properties)
    - [Enumerations](../../classes/class_visualshadernodetransformop.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodetransformop.html#property-descriptions)
  + [VisualShaderNodeTransformParameter](../../classes/class_visualshadernodetransformparameter.html)
    - [Description](../../classes/class_visualshadernodetransformparameter.html#description)
    - [Properties](../../classes/class_visualshadernodetransformparameter.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodetransformparameter.html#property-descriptions)
  + [VisualShaderNodeTransformVecMult](../../classes/class_visualshadernodetransformvecmult.html)
    - [Description](../../classes/class_visualshadernodetransformvecmult.html#description)
    - [Properties](../../classes/class_visualshadernodetransformvecmult.html#properties)
    - [Enumerations](../../classes/class_visualshadernodetransformvecmult.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodetransformvecmult.html#property-descriptions)
  + [VisualShaderNodeUIntConstant](../../classes/class_visualshadernodeuintconstant.html)
    - [Description](../../classes/class_visualshadernodeuintconstant.html#description)
    - [Properties](../../classes/class_visualshadernodeuintconstant.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodeuintconstant.html#property-descriptions)
  + [VisualShaderNodeUIntFunc](../../classes/class_visualshadernodeuintfunc.html)
    - [Description](../../classes/class_visualshadernodeuintfunc.html#description)
    - [Properties](../../classes/class_visualshadernodeuintfunc.html#properties)
    - [Enumerations](../../classes/class_visualshadernodeuintfunc.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodeuintfunc.html#property-descriptions)
  + [VisualShaderNodeUIntOp](../../classes/class_visualshadernodeuintop.html)
    - [Description](../../classes/class_visualshadernodeuintop.html#description)
    - [Properties](../../classes/class_visualshadernodeuintop.html#properties)
    - [Enumerations](../../classes/class_visualshadernodeuintop.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodeuintop.html#property-descriptions)
  + [VisualShaderNodeUIntParameter](../../classes/class_visualshadernodeuintparameter.html)
    - [Description](../../classes/class_visualshadernodeuintparameter.html#description)
    - [Properties](../../classes/class_visualshadernodeuintparameter.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodeuintparameter.html#property-descriptions)
  + [VisualShaderNodeUVFunc](../../classes/class_visualshadernodeuvfunc.html)
    - [Description](../../classes/class_visualshadernodeuvfunc.html#description)
    - [Properties](../../classes/class_visualshadernodeuvfunc.html#properties)
    - [Enumerations](../../classes/class_visualshadernodeuvfunc.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodeuvfunc.html#property-descriptions)
  + [VisualShaderNodeUVPolarCoord](../../classes/class_visualshadernodeuvpolarcoord.html)
    - [Description](../../classes/class_visualshadernodeuvpolarcoord.html#description)
  + [VisualShaderNodeVarying](../../classes/class_visualshadernodevarying.html)
    - [Description](../../classes/class_visualshadernodevarying.html#description)
    - [Properties](../../classes/class_visualshadernodevarying.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodevarying.html#property-descriptions)
  + [VisualShaderNodeVaryingGetter](../../classes/class_visualshadernodevaryinggetter.html)
    - [Description](../../classes/class_visualshadernodevaryinggetter.html#description)
  + [VisualShaderNodeVaryingSetter](../../classes/class_visualshadernodevaryingsetter.html)
    - [Description](../../classes/class_visualshadernodevaryingsetter.html#description)
  + [VisualShaderNodeVec2Constant](../../classes/class_visualshadernodevec2constant.html)
    - [Description](../../classes/class_visualshadernodevec2constant.html#description)
    - [Properties](../../classes/class_visualshadernodevec2constant.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodevec2constant.html#property-descriptions)
  + [VisualShaderNodeVec2Parameter](../../classes/class_visualshadernodevec2parameter.html)
    - [Description](../../classes/class_visualshadernodevec2parameter.html#description)
    - [Properties](../../classes/class_visualshadernodevec2parameter.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodevec2parameter.html#property-descriptions)
  + [VisualShaderNodeVec3Constant](../../classes/class_visualshadernodevec3constant.html)
    - [Description](../../classes/class_visualshadernodevec3constant.html#description)
    - [Properties](../../classes/class_visualshadernodevec3constant.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodevec3constant.html#property-descriptions)
  + [VisualShaderNodeVec3Parameter](../../classes/class_visualshadernodevec3parameter.html)
    - [Description](../../classes/class_visualshadernodevec3parameter.html#description)
    - [Properties](../../classes/class_visualshadernodevec3parameter.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodevec3parameter.html#property-descriptions)
  + [VisualShaderNodeVec4Constant](../../classes/class_visualshadernodevec4constant.html)
    - [Description](../../classes/class_visualshadernodevec4constant.html#description)
    - [Properties](../../classes/class_visualshadernodevec4constant.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodevec4constant.html#property-descriptions)
  + [VisualShaderNodeVec4Parameter](../../classes/class_visualshadernodevec4parameter.html)
    - [Description](../../classes/class_visualshadernodevec4parameter.html#description)
    - [Properties](../../classes/class_visualshadernodevec4parameter.html#properties)
    - [Property Descriptions](../../classes/class_visualshadernodevec4parameter.html#property-descriptions)
  + [VisualShaderNodeVectorBase](../../classes/class_visualshadernodevectorbase.html)
    - [Description](../../classes/class_visualshadernodevectorbase.html#description)
    - [Properties](../../classes/class_visualshadernodevectorbase.html#properties)
    - [Enumerations](../../classes/class_visualshadernodevectorbase.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodevectorbase.html#property-descriptions)
  + [VisualShaderNodeVectorCompose](../../classes/class_visualshadernodevectorcompose.html)
    - [Description](../../classes/class_visualshadernodevectorcompose.html#description)
  + [VisualShaderNodeVectorDecompose](../../classes/class_visualshadernodevectordecompose.html)
    - [Description](../../classes/class_visualshadernodevectordecompose.html#description)
  + [VisualShaderNodeVectorDistance](../../classes/class_visualshadernodevectordistance.html)
    - [Description](../../classes/class_visualshadernodevectordistance.html#description)
  + [VisualShaderNodeVectorFunc](../../classes/class_visualshadernodevectorfunc.html)
    - [Description](../../classes/class_visualshadernodevectorfunc.html#description)
    - [Properties](../../classes/class_visualshadernodevectorfunc.html#properties)
    - [Enumerations](../../classes/class_visualshadernodevectorfunc.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodevectorfunc.html#property-descriptions)
  + [VisualShaderNodeVectorLen](../../classes/class_visualshadernodevectorlen.html)
    - [Description](../../classes/class_visualshadernodevectorlen.html#description)
  + [VisualShaderNodeVectorOp](../../classes/class_visualshadernodevectorop.html)
    - [Description](../../classes/class_visualshadernodevectorop.html#description)
    - [Properties](../../classes/class_visualshadernodevectorop.html#properties)
    - [Enumerations](../../classes/class_visualshadernodevectorop.html#enumerations)
    - [Property Descriptions](../../classes/class_visualshadernodevectorop.html#property-descriptions)
  + [VisualShaderNodeVectorRefract](../../classes/class_visualshadernodevectorrefract.html)
    - [Description](../../classes/class_visualshadernodevectorrefract.html#description)
  + [VisualShaderNodeWorldPositionFromDepth](../../classes/class_visualshadernodeworldpositionfromdepth.html)
    - [Description](../../classes/class_visualshadernodeworldpositionfromdepth.html#description)
  + [VoxelGIData](../../classes/class_voxelgidata.html)
    - [Description](../../classes/class_voxelgidata.html#description)
    - [Tutorials](../../classes/class_voxelgidata.html#tutorials)
    - [Properties](../../classes/class_voxelgidata.html#properties)
    - [Methods](../../classes/class_voxelgidata.html#methods)
    - [Property Descriptions](../../classes/class_voxelgidata.html#property-descriptions)
    - [Method Descriptions](../../classes/class_voxelgidata.html#method-descriptions)
  + [World2D](../../classes/class_world2d.html)
    - [Description](../../classes/class_world2d.html#description)
    - [Tutorials](../../classes/class_world2d.html#tutorials)
    - [Properties](../../classes/class_world2d.html#properties)
    - [Property Descriptions](../../classes/class_world2d.html#property-descriptions)
  + [World3D](../../classes/class_world3d.html)
    - [Description](../../classes/class_world3d.html#description)
    - [Tutorials](../../classes/class_world3d.html#tutorials)
    - [Properties](../../classes/class_world3d.html#properties)
    - [Property Descriptions](../../classes/class_world3d.html#property-descriptions)
  + [WorldBoundaryShape2D](../../classes/class_worldboundaryshape2d.html)
    - [Description](../../classes/class_worldboundaryshape2d.html#description)
    - [Properties](../../classes/class_worldboundaryshape2d.html#properties)
    - [Property Descriptions](../../classes/class_worldboundaryshape2d.html#property-descriptions)
  + [WorldBoundaryShape3D](../../classes/class_worldboundaryshape3d.html)
    - [Description](../../classes/class_worldboundaryshape3d.html#description)
    - [Properties](../../classes/class_worldboundaryshape3d.html#properties)
    - [Property Descriptions](../../classes/class_worldboundaryshape3d.html#property-descriptions)
  + [X509Certificate](../../classes/class_x509certificate.html)
    - [Description](../../classes/class_x509certificate.html#description)
    - [Tutorials](../../classes/class_x509certificate.html#tutorials)
    - [Methods](../../classes/class_x509certificate.html#methods)
    - [Method Descriptions](../../classes/class_x509certificate.html#method-descriptions)
* [Other objects](../../classes/index.html#other-objects)
  + [Object](../../classes/class_object.html)
    - [Description](../../classes/class_object.html#description)
    - [Tutorials](../../classes/class_object.html#tutorials)
    - [Methods](../../classes/class_object.html#methods)
    - [Signals](../../classes/class_object.html#signals)
    - [Enumerations](../../classes/class_object.html#enumerations)
    - [Constants](../../classes/class_object.html#constants)
    - [Method Descriptions](../../classes/class_object.html#method-descriptions)
  + [AESContext](../../classes/class_aescontext.html)
    - [Description](../../classes/class_aescontext.html#description)
    - [Methods](../../classes/class_aescontext.html#methods)
    - [Enumerations](../../classes/class_aescontext.html#enumerations)
    - [Method Descriptions](../../classes/class_aescontext.html#method-descriptions)
  + [AStar2D](../../classes/class_astar2d.html)
    - [Description](../../classes/class_astar2d.html#description)
    - [Methods](../../classes/class_astar2d.html#methods)
    - [Method Descriptions](../../classes/class_astar2d.html#method-descriptions)
  + [AStar3D](../../classes/class_astar3d.html)
    - [Description](../../classes/class_astar3d.html#description)
    - [Methods](../../classes/class_astar3d.html#methods)
    - [Method Descriptions](../../classes/class_astar3d.html#method-descriptions)
  + [AStarGrid2D](../../classes/class_astargrid2d.html)
    - [Description](../../classes/class_astargrid2d.html#description)
    - [Properties](../../classes/class_astargrid2d.html#properties)
    - [Methods](../../classes/class_astargrid2d.html#methods)
    - [Enumerations](../../classes/class_astargrid2d.html#enumerations)
    - [Property Descriptions](../../classes/class_astargrid2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_astargrid2d.html#method-descriptions)
  + [AudioEffectInstance](../../classes/class_audioeffectinstance.html)
    - [Description](../../classes/class_audioeffectinstance.html#description)
    - [Tutorials](../../classes/class_audioeffectinstance.html#tutorials)
    - [Methods](../../classes/class_audioeffectinstance.html#methods)
    - [Method Descriptions](../../classes/class_audioeffectinstance.html#method-descriptions)
  + [AudioEffectSpectrumAnalyzerInstance](../../classes/class_audioeffectspectrumanalyzerinstance.html)
    - [Description](../../classes/class_audioeffectspectrumanalyzerinstance.html#description)
    - [Tutorials](../../classes/class_audioeffectspectrumanalyzerinstance.html#tutorials)
    - [Methods](../../classes/class_audioeffectspectrumanalyzerinstance.html#methods)
    - [Enumerations](../../classes/class_audioeffectspectrumanalyzerinstance.html#enumerations)
    - [Method Descriptions](../../classes/class_audioeffectspectrumanalyzerinstance.html#method-descriptions)
  + [AudioSample](../../classes/class_audiosample.html)
    - [Description](../../classes/class_audiosample.html#description)
  + [AudioSamplePlayback](../../classes/class_audiosampleplayback.html)
    - [Description](../../classes/class_audiosampleplayback.html#description)
  + [AudioServer](../../classes/class_audioserver.html)
    - [Description](../../classes/class_audioserver.html#description)
    - [Tutorials](../../classes/class_audioserver.html#tutorials)
    - [Properties](../../classes/class_audioserver.html#properties)
    - [Methods](../../classes/class_audioserver.html#methods)
    - [Signals](../../classes/class_audioserver.html#signals)
    - [Enumerations](../../classes/class_audioserver.html#enumerations)
    - [Property Descriptions](../../classes/class_audioserver.html#property-descriptions)
    - [Method Descriptions](../../classes/class_audioserver.html#method-descriptions)
  + [AudioStreamGeneratorPlayback](../../classes/class_audiostreamgeneratorplayback.html)
    - [Description](../../classes/class_audiostreamgeneratorplayback.html#description)
    - [Tutorials](../../classes/class_audiostreamgeneratorplayback.html#tutorials)
    - [Methods](../../classes/class_audiostreamgeneratorplayback.html#methods)
    - [Method Descriptions](../../classes/class_audiostreamgeneratorplayback.html#method-descriptions)
  + [AudioStreamPlayback](../../classes/class_audiostreamplayback.html)
    - [Description](../../classes/class_audiostreamplayback.html#description)
    - [Tutorials](../../classes/class_audiostreamplayback.html#tutorials)
    - [Methods](../../classes/class_audiostreamplayback.html#methods)
    - [Method Descriptions](../../classes/class_audiostreamplayback.html#method-descriptions)
  + [AudioStreamPlaybackInteractive](../../classes/class_audiostreamplaybackinteractive.html)
    - [Description](../../classes/class_audiostreamplaybackinteractive.html#description)
    - [Methods](../../classes/class_audiostreamplaybackinteractive.html#methods)
    - [Method Descriptions](../../classes/class_audiostreamplaybackinteractive.html#method-descriptions)
  + [AudioStreamPlaybackOggVorbis](../../classes/class_audiostreamplaybackoggvorbis.html)
  + [AudioStreamPlaybackPlaylist](../../classes/class_audiostreamplaybackplaylist.html)
  + [AudioStreamPlaybackPolyphonic](../../classes/class_audiostreamplaybackpolyphonic.html)
    - [Description](../../classes/class_audiostreamplaybackpolyphonic.html#description)
    - [Methods](../../classes/class_audiostreamplaybackpolyphonic.html#methods)
    - [Constants](../../classes/class_audiostreamplaybackpolyphonic.html#constants)
    - [Method Descriptions](../../classes/class_audiostreamplaybackpolyphonic.html#method-descriptions)
  + [AudioStreamPlaybackResampled](../../classes/class_audiostreamplaybackresampled.html)
    - [Methods](../../classes/class_audiostreamplaybackresampled.html#methods)
    - [Method Descriptions](../../classes/class_audiostreamplaybackresampled.html#method-descriptions)
  + [AudioStreamPlaybackSynchronized](../../classes/class_audiostreamplaybacksynchronized.html)
  + [CallbackTweener](../../classes/class_callbacktweener.html)
    - [Description](../../classes/class_callbacktweener.html#description)
    - [Methods](../../classes/class_callbacktweener.html#methods)
    - [Method Descriptions](../../classes/class_callbacktweener.html#method-descriptions)
  + [CameraFeed](../../classes/class_camerafeed.html)
    - [Description](../../classes/class_camerafeed.html#description)
    - [Properties](../../classes/class_camerafeed.html#properties)
    - [Methods](../../classes/class_camerafeed.html#methods)
    - [Signals](../../classes/class_camerafeed.html#signals)
    - [Enumerations](../../classes/class_camerafeed.html#enumerations)
    - [Property Descriptions](../../classes/class_camerafeed.html#property-descriptions)
    - [Method Descriptions](../../classes/class_camerafeed.html#method-descriptions)
  + [CameraServer](../../classes/class_cameraserver.html)
    - [Description](../../classes/class_cameraserver.html#description)
    - [Methods](../../classes/class_cameraserver.html#methods)
    - [Signals](../../classes/class_cameraserver.html#signals)
    - [Enumerations](../../classes/class_cameraserver.html#enumerations)
    - [Method Descriptions](../../classes/class_cameraserver.html#method-descriptions)
  + [CharFXTransform](../../classes/class_charfxtransform.html)
    - [Description](../../classes/class_charfxtransform.html#description)
    - [Tutorials](../../classes/class_charfxtransform.html#tutorials)
    - [Properties](../../classes/class_charfxtransform.html#properties)
    - [Property Descriptions](../../classes/class_charfxtransform.html#property-descriptions)
  + [ClassDB](../../classes/class_classdb.html)
    - [Description](../../classes/class_classdb.html#description)
    - [Methods](../../classes/class_classdb.html#methods)
    - [Enumerations](../../classes/class_classdb.html#enumerations)
    - [Method Descriptions](../../classes/class_classdb.html#method-descriptions)
  + [ConfigFile](../../classes/class_configfile.html)
    - [Description](../../classes/class_configfile.html#description)
    - [Methods](../../classes/class_configfile.html#methods)
    - [Method Descriptions](../../classes/class_configfile.html#method-descriptions)
  + [Crypto](../../classes/class_crypto.html)
    - [Description](../../classes/class_crypto.html#description)
    - [Methods](../../classes/class_crypto.html#methods)
    - [Method Descriptions](../../classes/class_crypto.html#method-descriptions)
  + [DirAccess](../../classes/class_diraccess.html)
    - [Description](../../classes/class_diraccess.html#description)
    - [Tutorials](../../classes/class_diraccess.html#tutorials)
    - [Properties](../../classes/class_diraccess.html#properties)
    - [Methods](../../classes/class_diraccess.html#methods)
    - [Property Descriptions](../../classes/class_diraccess.html#property-descriptions)
    - [Method Descriptions](../../classes/class_diraccess.html#method-descriptions)
  + [DisplayServer](../../classes/class_displayserver.html)
    - [Description](../../classes/class_displayserver.html#description)
    - [Methods](../../classes/class_displayserver.html#methods)
    - [Enumerations](../../classes/class_displayserver.html#enumerations)
    - [Constants](../../classes/class_displayserver.html#constants)
    - [Method Descriptions](../../classes/class_displayserver.html#method-descriptions)
  + [DTLSServer](../../classes/class_dtlsserver.html)
    - [Description](../../classes/class_dtlsserver.html#description)
    - [Methods](../../classes/class_dtlsserver.html#methods)
    - [Method Descriptions](../../classes/class_dtlsserver.html#method-descriptions)
  + [EditorContextMenuPlugin](../../classes/class_editorcontextmenuplugin.html)
    - [Description](../../classes/class_editorcontextmenuplugin.html#description)
    - [Methods](../../classes/class_editorcontextmenuplugin.html#methods)
    - [Enumerations](../../classes/class_editorcontextmenuplugin.html#enumerations)
    - [Method Descriptions](../../classes/class_editorcontextmenuplugin.html#method-descriptions)
  + [EditorDebuggerPlugin](../../classes/class_editordebuggerplugin.html)
    - [Description](../../classes/class_editordebuggerplugin.html#description)
    - [Methods](../../classes/class_editordebuggerplugin.html#methods)
    - [Method Descriptions](../../classes/class_editordebuggerplugin.html#method-descriptions)
  + [EditorDebuggerSession](../../classes/class_editordebuggersession.html)
    - [Description](../../classes/class_editordebuggersession.html#description)
    - [Methods](../../classes/class_editordebuggersession.html#methods)
    - [Signals](../../classes/class_editordebuggersession.html#signals)
    - [Method Descriptions](../../classes/class_editordebuggersession.html#method-descriptions)
  + [EditorExportPlatform](../../classes/class_editorexportplatform.html)
    - [Description](../../classes/class_editorexportplatform.html#description)
    - [Tutorials](../../classes/class_editorexportplatform.html#tutorials)
    - [Methods](../../classes/class_editorexportplatform.html#methods)
    - [Enumerations](../../classes/class_editorexportplatform.html#enumerations)
    - [Method Descriptions](../../classes/class_editorexportplatform.html#method-descriptions)
  + [EditorExportPlatformAndroid](../../classes/class_editorexportplatformandroid.html)
    - [Tutorials](../../classes/class_editorexportplatformandroid.html#tutorials)
    - [Properties](../../classes/class_editorexportplatformandroid.html#properties)
    - [Property Descriptions](../../classes/class_editorexportplatformandroid.html#property-descriptions)
  + [EditorExportPlatformExtension](../../classes/class_editorexportplatformextension.html)
    - [Description](../../classes/class_editorexportplatformextension.html#description)
    - [Methods](../../classes/class_editorexportplatformextension.html#methods)
    - [Method Descriptions](../../classes/class_editorexportplatformextension.html#method-descriptions)
  + [EditorExportPlatformIOS](../../classes/class_editorexportplatformios.html)
    - [Tutorials](../../classes/class_editorexportplatformios.html#tutorials)
    - [Properties](../../classes/class_editorexportplatformios.html#properties)
    - [Property Descriptions](../../classes/class_editorexportplatformios.html#property-descriptions)
  + [EditorExportPlatformLinuxBSD](../../classes/class_editorexportplatformlinuxbsd.html)
    - [Tutorials](../../classes/class_editorexportplatformlinuxbsd.html#tutorials)
    - [Properties](../../classes/class_editorexportplatformlinuxbsd.html#properties)
    - [Property Descriptions](../../classes/class_editorexportplatformlinuxbsd.html#property-descriptions)
  + [EditorExportPlatformMacOS](../../classes/class_editorexportplatformmacos.html)
    - [Tutorials](../../classes/class_editorexportplatformmacos.html#tutorials)
    - [Properties](../../classes/class_editorexportplatformmacos.html#properties)
    - [Property Descriptions](../../classes/class_editorexportplatformmacos.html#property-descriptions)
  + [EditorExportPlatformPC](../../classes/class_editorexportplatformpc.html)
    - [Description](../../classes/class_editorexportplatformpc.html#description)
    - [Tutorials](../../classes/class_editorexportplatformpc.html#tutorials)
  + [EditorExportPlatformWeb](../../classes/class_editorexportplatformweb.html)
    - [Description](../../classes/class_editorexportplatformweb.html#description)
    - [Tutorials](../../classes/class_editorexportplatformweb.html#tutorials)
    - [Properties](../../classes/class_editorexportplatformweb.html#properties)
    - [Property Descriptions](../../classes/class_editorexportplatformweb.html#property-descriptions)
  + [EditorExportPlatformWindows](../../classes/class_editorexportplatformwindows.html)
    - [Description](../../classes/class_editorexportplatformwindows.html#description)
    - [Tutorials](../../classes/class_editorexportplatformwindows.html#tutorials)
    - [Properties](../../classes/class_editorexportplatformwindows.html#properties)
    - [Property Descriptions](../../classes/class_editorexportplatformwindows.html#property-descriptions)
  + [EditorExportPlugin](../../classes/class_editorexportplugin.html)
    - [Description](../../classes/class_editorexportplugin.html#description)
    - [Tutorials](../../classes/class_editorexportplugin.html#tutorials)
    - [Methods](../../classes/class_editorexportplugin.html#methods)
    - [Method Descriptions](../../classes/class_editorexportplugin.html#method-descriptions)
  + [EditorExportPreset](../../classes/class_editorexportpreset.html)
    - [Description](../../classes/class_editorexportpreset.html#description)
    - [Methods](../../classes/class_editorexportpreset.html#methods)
    - [Enumerations](../../classes/class_editorexportpreset.html#enumerations)
    - [Method Descriptions](../../classes/class_editorexportpreset.html#method-descriptions)
  + [EditorFeatureProfile](../../classes/class_editorfeatureprofile.html)
    - [Description](../../classes/class_editorfeatureprofile.html#description)
    - [Methods](../../classes/class_editorfeatureprofile.html#methods)
    - [Enumerations](../../classes/class_editorfeatureprofile.html#enumerations)
    - [Method Descriptions](../../classes/class_editorfeatureprofile.html#method-descriptions)
  + [EditorFileSystemDirectory](../../classes/class_editorfilesystemdirectory.html)
    - [Description](../../classes/class_editorfilesystemdirectory.html#description)
    - [Methods](../../classes/class_editorfilesystemdirectory.html#methods)
    - [Method Descriptions](../../classes/class_editorfilesystemdirectory.html#method-descriptions)
  + [EditorFileSystemImportFormatSupportQuery](../../classes/class_editorfilesystemimportformatsupportquery.html)
    - [Description](../../classes/class_editorfilesystemimportformatsupportquery.html#description)
    - [Methods](../../classes/class_editorfilesystemimportformatsupportquery.html#methods)
    - [Method Descriptions](../../classes/class_editorfilesystemimportformatsupportquery.html#method-descriptions)
  + [EditorImportPlugin](../../classes/class_editorimportplugin.html)
    - [Description](../../classes/class_editorimportplugin.html#description)
    - [Tutorials](../../classes/class_editorimportplugin.html#tutorials)
    - [Methods](../../classes/class_editorimportplugin.html#methods)
    - [Method Descriptions](../../classes/class_editorimportplugin.html#method-descriptions)
  + [EditorInspectorPlugin](../../classes/class_editorinspectorplugin.html)
    - [Description](../../classes/class_editorinspectorplugin.html#description)
    - [Tutorials](../../classes/class_editorinspectorplugin.html#tutorials)
    - [Methods](../../classes/class_editorinspectorplugin.html#methods)
    - [Method Descriptions](../../classes/class_editorinspectorplugin.html#method-descriptions)
  + [EditorInterface](../../classes/class_editorinterface.html)
    - [Description](../../classes/class_editorinterface.html#description)
    - [Properties](../../classes/class_editorinterface.html#properties)
    - [Methods](../../classes/class_editorinterface.html#methods)
    - [Property Descriptions](../../classes/class_editorinterface.html#property-descriptions)
    - [Method Descriptions](../../classes/class_editorinterface.html#method-descriptions)
  + [EditorNode3DGizmo](../../classes/class_editornode3dgizmo.html)
    - [Description](../../classes/class_editornode3dgizmo.html#description)
    - [Methods](../../classes/class_editornode3dgizmo.html#methods)
    - [Method Descriptions](../../classes/class_editornode3dgizmo.html#method-descriptions)
  + [EditorPaths](../../classes/class_editorpaths.html)
    - [Description](../../classes/class_editorpaths.html#description)
    - [Tutorials](../../classes/class_editorpaths.html#tutorials)
    - [Methods](../../classes/class_editorpaths.html#methods)
    - [Method Descriptions](../../classes/class_editorpaths.html#method-descriptions)
  + [EditorResourceConversionPlugin](../../classes/class_editorresourceconversionplugin.html)
    - [Description](../../classes/class_editorresourceconversionplugin.html#description)
    - [Methods](../../classes/class_editorresourceconversionplugin.html#methods)
    - [Method Descriptions](../../classes/class_editorresourceconversionplugin.html#method-descriptions)
  + [EditorResourcePreviewGenerator](../../classes/class_editorresourcepreviewgenerator.html)
    - [Description](../../classes/class_editorresourcepreviewgenerator.html#description)
    - [Methods](../../classes/class_editorresourcepreviewgenerator.html#methods)
    - [Method Descriptions](../../classes/class_editorresourcepreviewgenerator.html#method-descriptions)
  + [EditorResourceTooltipPlugin](../../classes/class_editorresourcetooltipplugin.html)
    - [Description](../../classes/class_editorresourcetooltipplugin.html#description)
    - [Methods](../../classes/class_editorresourcetooltipplugin.html#methods)
    - [Method Descriptions](../../classes/class_editorresourcetooltipplugin.html#method-descriptions)
  + [EditorSceneFormatImporter](../../classes/class_editorsceneformatimporter.html)
    - [Description](../../classes/class_editorsceneformatimporter.html#description)
    - [Methods](../../classes/class_editorsceneformatimporter.html#methods)
    - [Constants](../../classes/class_editorsceneformatimporter.html#constants)
    - [Method Descriptions](../../classes/class_editorsceneformatimporter.html#method-descriptions)
  + [EditorSceneFormatImporterBlend](../../classes/class_editorsceneformatimporterblend.html)
    - [Description](../../classes/class_editorsceneformatimporterblend.html#description)
  + [EditorSceneFormatImporterFBX2GLTF](../../classes/class_editorsceneformatimporterfbx2gltf.html)
    - [Description](../../classes/class_editorsceneformatimporterfbx2gltf.html#description)
  + [EditorSceneFormatImporterGLTF](../../classes/class_editorsceneformatimportergltf.html)
  + [EditorSceneFormatImporterUFBX](../../classes/class_editorsceneformatimporterufbx.html)
    - [Description](../../classes/class_editorsceneformatimporterufbx.html#description)
  + [EditorScenePostImport](../../classes/class_editorscenepostimport.html)
    - [Description](../../classes/class_editorscenepostimport.html#description)
    - [Tutorials](../../classes/class_editorscenepostimport.html#tutorials)
    - [Methods](../../classes/class_editorscenepostimport.html#methods)
    - [Method Descriptions](../../classes/class_editorscenepostimport.html#method-descriptions)
  + [EditorScenePostImportPlugin](../../classes/class_editorscenepostimportplugin.html)
    - [Description](../../classes/class_editorscenepostimportplugin.html#description)
    - [Methods](../../classes/class_editorscenepostimportplugin.html#methods)
    - [Enumerations](../../classes/class_editorscenepostimportplugin.html#enumerations)
    - [Method Descriptions](../../classes/class_editorscenepostimportplugin.html#method-descriptions)
  + [EditorScript](../../classes/class_editorscript.html)
    - [Description](../../classes/class_editorscript.html#description)
    - [Methods](../../classes/class_editorscript.html#methods)
    - [Method Descriptions](../../classes/class_editorscript.html#method-descriptions)
  + [EditorSelection](../../classes/class_editorselection.html)
    - [Description](../../classes/class_editorselection.html#description)
    - [Methods](../../classes/class_editorselection.html#methods)
    - [Signals](../../classes/class_editorselection.html#signals)
    - [Method Descriptions](../../classes/class_editorselection.html#method-descriptions)
  + [EditorTranslationParserPlugin](../../classes/class_editortranslationparserplugin.html)
    - [Description](../../classes/class_editortranslationparserplugin.html#description)
    - [Methods](../../classes/class_editortranslationparserplugin.html#methods)
    - [Method Descriptions](../../classes/class_editortranslationparserplugin.html#method-descriptions)
  + [EditorUndoRedoManager](../../classes/class_editorundoredomanager.html)
    - [Description](../../classes/class_editorundoredomanager.html#description)
    - [Methods](../../classes/class_editorundoredomanager.html#methods)
    - [Signals](../../classes/class_editorundoredomanager.html#signals)
    - [Enumerations](../../classes/class_editorundoredomanager.html#enumerations)
    - [Method Descriptions](../../classes/class_editorundoredomanager.html#method-descriptions)
  + [EditorVCSInterface](../../classes/class_editorvcsinterface.html)
    - [Description](../../classes/class_editorvcsinterface.html#description)
    - [Tutorials](../../classes/class_editorvcsinterface.html#tutorials)
    - [Methods](../../classes/class_editorvcsinterface.html#methods)
    - [Enumerations](../../classes/class_editorvcsinterface.html#enumerations)
    - [Method Descriptions](../../classes/class_editorvcsinterface.html#method-descriptions)
  + [EncodedObjectAsID](../../classes/class_encodedobjectasid.html)
    - [Description](../../classes/class_encodedobjectasid.html#description)
    - [Properties](../../classes/class_encodedobjectasid.html#properties)
    - [Property Descriptions](../../classes/class_encodedobjectasid.html#property-descriptions)
  + [ENetConnection](../../classes/class_enetconnection.html)
    - [Description](../../classes/class_enetconnection.html#description)
    - [Tutorials](../../classes/class_enetconnection.html#tutorials)
    - [Methods](../../classes/class_enetconnection.html#methods)
    - [Enumerations](../../classes/class_enetconnection.html#enumerations)
    - [Method Descriptions](../../classes/class_enetconnection.html#method-descriptions)
  + [ENetMultiplayerPeer](../../classes/class_enetmultiplayerpeer.html)
    - [Description](../../classes/class_enetmultiplayerpeer.html#description)
    - [Tutorials](../../classes/class_enetmultiplayerpeer.html#tutorials)
    - [Properties](../../classes/class_enetmultiplayerpeer.html#properties)
    - [Methods](../../classes/class_enetmultiplayerpeer.html#methods)
    - [Property Descriptions](../../classes/class_enetmultiplayerpeer.html#property-descriptions)
    - [Method Descriptions](../../classes/class_enetmultiplayerpeer.html#method-descriptions)
  + [ENetPacketPeer](../../classes/class_enetpacketpeer.html)
    - [Description](../../classes/class_enetpacketpeer.html#description)
    - [Tutorials](../../classes/class_enetpacketpeer.html#tutorials)
    - [Methods](../../classes/class_enetpacketpeer.html#methods)
    - [Enumerations](../../classes/class_enetpacketpeer.html#enumerations)
    - [Constants](../../classes/class_enetpacketpeer.html#constants)
    - [Method Descriptions](../../classes/class_enetpacketpeer.html#method-descriptions)
  + [Engine](../../classes/class_engine.html)
    - [Description](../../classes/class_engine.html#description)
    - [Properties](../../classes/class_engine.html#properties)
    - [Methods](../../classes/class_engine.html#methods)
    - [Property Descriptions](../../classes/class_engine.html#property-descriptions)
    - [Method Descriptions](../../classes/class_engine.html#method-descriptions)
  + [EngineDebugger](../../classes/class_enginedebugger.html)
    - [Description](../../classes/class_enginedebugger.html#description)
    - [Methods](../../classes/class_enginedebugger.html#methods)
    - [Method Descriptions](../../classes/class_enginedebugger.html#method-descriptions)
  + [EngineProfiler](../../classes/class_engineprofiler.html)
    - [Description](../../classes/class_engineprofiler.html#description)
    - [Methods](../../classes/class_engineprofiler.html#methods)
    - [Method Descriptions](../../classes/class_engineprofiler.html#method-descriptions)
  + [Expression](../../classes/class_expression.html)
    - [Description](../../classes/class_expression.html#description)
    - [Tutorials](../../classes/class_expression.html#tutorials)
    - [Methods](../../classes/class_expression.html#methods)
    - [Method Descriptions](../../classes/class_expression.html#method-descriptions)
  + [FileAccess](../../classes/class_fileaccess.html)
    - [Description](../../classes/class_fileaccess.html#description)
    - [Tutorials](../../classes/class_fileaccess.html#tutorials)
    - [Properties](../../classes/class_fileaccess.html#properties)
    - [Methods](../../classes/class_fileaccess.html#methods)
    - [Enumerations](../../classes/class_fileaccess.html#enumerations)
    - [Property Descriptions](../../classes/class_fileaccess.html#property-descriptions)
    - [Method Descriptions](../../classes/class_fileaccess.html#method-descriptions)
  + [FramebufferCacheRD](../../classes/class_framebuffercacherd.html)
    - [Description](../../classes/class_framebuffercacherd.html#description)
    - [Methods](../../classes/class_framebuffercacherd.html#methods)
    - [Method Descriptions](../../classes/class_framebuffercacherd.html#method-descriptions)
  + [GDExtensionManager](../../classes/class_gdextensionmanager.html)
    - [Description](../../classes/class_gdextensionmanager.html#description)
    - [Tutorials](../../classes/class_gdextensionmanager.html#tutorials)
    - [Methods](../../classes/class_gdextensionmanager.html#methods)
    - [Signals](../../classes/class_gdextensionmanager.html#signals)
    - [Enumerations](../../classes/class_gdextensionmanager.html#enumerations)
    - [Method Descriptions](../../classes/class_gdextensionmanager.html#method-descriptions)
  + [Geometry2D](../../classes/class_geometry2d.html)
    - [Description](../../classes/class_geometry2d.html#description)
    - [Methods](../../classes/class_geometry2d.html#methods)
    - [Enumerations](../../classes/class_geometry2d.html#enumerations)
    - [Method Descriptions](../../classes/class_geometry2d.html#method-descriptions)
  + [Geometry3D](../../classes/class_geometry3d.html)
    - [Description](../../classes/class_geometry3d.html#description)
    - [Methods](../../classes/class_geometry3d.html#methods)
    - [Method Descriptions](../../classes/class_geometry3d.html#method-descriptions)
  + [GLTFObjectModelProperty](../../classes/class_gltfobjectmodelproperty.html)
    - [Description](../../classes/class_gltfobjectmodelproperty.html#description)
    - [Tutorials](../../classes/class_gltfobjectmodelproperty.html#tutorials)
    - [Properties](../../classes/class_gltfobjectmodelproperty.html#properties)
    - [Methods](../../classes/class_gltfobjectmodelproperty.html#methods)
    - [Enumerations](../../classes/class_gltfobjectmodelproperty.html#enumerations)
    - [Property Descriptions](../../classes/class_gltfobjectmodelproperty.html#property-descriptions)
    - [Method Descriptions](../../classes/class_gltfobjectmodelproperty.html#method-descriptions)
  + [HashingContext](../../classes/class_hashingcontext.html)
    - [Description](../../classes/class_hashingcontext.html#description)
    - [Methods](../../classes/class_hashingcontext.html#methods)
    - [Enumerations](../../classes/class_hashingcontext.html#enumerations)
    - [Method Descriptions](../../classes/class_hashingcontext.html#method-descriptions)
  + [HMACContext](../../classes/class_hmaccontext.html)
    - [Description](../../classes/class_hmaccontext.html#description)
    - [Methods](../../classes/class_hmaccontext.html#methods)
    - [Method Descriptions](../../classes/class_hmaccontext.html#method-descriptions)
  + [HTTPClient](../../classes/class_httpclient.html)
    - [Description](../../classes/class_httpclient.html#description)
    - [Tutorials](../../classes/class_httpclient.html#tutorials)
    - [Properties](../../classes/class_httpclient.html#properties)
    - [Methods](../../classes/class_httpclient.html#methods)
    - [Enumerations](../../classes/class_httpclient.html#enumerations)
    - [Property Descriptions](../../classes/class_httpclient.html#property-descriptions)
    - [Method Descriptions](../../classes/class_httpclient.html#method-descriptions)
  + [ImageFormatLoader](../../classes/class_imageformatloader.html)
    - [Description](../../classes/class_imageformatloader.html#description)
    - [Enumerations](../../classes/class_imageformatloader.html#enumerations)
  + [ImageFormatLoaderExtension](../../classes/class_imageformatloaderextension.html)
    - [Description](../../classes/class_imageformatloaderextension.html#description)
    - [Methods](../../classes/class_imageformatloaderextension.html#methods)
    - [Method Descriptions](../../classes/class_imageformatloaderextension.html#method-descriptions)
  + [Input](../../classes/class_input.html)
    - [Description](../../classes/class_input.html#description)
    - [Tutorials](../../classes/class_input.html#tutorials)
    - [Properties](../../classes/class_input.html#properties)
    - [Methods](../../classes/class_input.html#methods)
    - [Signals](../../classes/class_input.html#signals)
    - [Enumerations](../../classes/class_input.html#enumerations)
    - [Property Descriptions](../../classes/class_input.html#property-descriptions)
    - [Method Descriptions](../../classes/class_input.html#method-descriptions)
  + [InputMap](../../classes/class_inputmap.html)
    - [Description](../../classes/class_inputmap.html#description)
    - [Tutorials](../../classes/class_inputmap.html#tutorials)
    - [Methods](../../classes/class_inputmap.html#methods)
    - [Method Descriptions](../../classes/class_inputmap.html#method-descriptions)
  + [IntervalTweener](../../classes/class_intervaltweener.html)
    - [Description](../../classes/class_intervaltweener.html#description)
  + [IP](../../classes/class_ip.html)
    - [Description](../../classes/class_ip.html#description)
    - [Methods](../../classes/class_ip.html#methods)
    - [Enumerations](../../classes/class_ip.html#enumerations)
    - [Constants](../../classes/class_ip.html#constants)
    - [Method Descriptions](../../classes/class_ip.html#method-descriptions)
  + [JavaClass](../../classes/class_javaclass.html)
    - [Description](../../classes/class_javaclass.html#description)
    - [Methods](../../classes/class_javaclass.html#methods)
    - [Method Descriptions](../../classes/class_javaclass.html#method-descriptions)
  + [JavaClassWrapper](../../classes/class_javaclasswrapper.html)
    - [Description](../../classes/class_javaclasswrapper.html#description)
    - [Methods](../../classes/class_javaclasswrapper.html#methods)
    - [Method Descriptions](../../classes/class_javaclasswrapper.html#method-descriptions)
  + [JavaObject](../../classes/class_javaobject.html)
    - [Description](../../classes/class_javaobject.html#description)
    - [Methods](../../classes/class_javaobject.html#methods)
    - [Method Descriptions](../../classes/class_javaobject.html#method-descriptions)
  + [JavaScriptBridge](../../classes/class_javascriptbridge.html)
    - [Description](../../classes/class_javascriptbridge.html#description)
    - [Tutorials](../../classes/class_javascriptbridge.html#tutorials)
    - [Methods](../../classes/class_javascriptbridge.html#methods)
    - [Signals](../../classes/class_javascriptbridge.html#signals)
    - [Method Descriptions](../../classes/class_javascriptbridge.html#method-descriptions)
  + [JavaScriptObject](../../classes/class_javascriptobject.html)
    - [Description](../../classes/class_javascriptobject.html#description)
  + [JNISingleton](../../classes/class_jnisingleton.html)
    - [Description](../../classes/class_jnisingleton.html#description)
    - [Tutorials](../../classes/class_jnisingleton.html#tutorials)
  + [JSONRPC](../../classes/class_jsonrpc.html)
    - [Description](../../classes/class_jsonrpc.html#description)
    - [Methods](../../classes/class_jsonrpc.html#methods)
    - [Enumerations](../../classes/class_jsonrpc.html#enumerations)
    - [Method Descriptions](../../classes/class_jsonrpc.html#method-descriptions)
  + [KinematicCollision2D](../../classes/class_kinematiccollision2d.html)
    - [Description](../../classes/class_kinematiccollision2d.html#description)
    - [Methods](../../classes/class_kinematiccollision2d.html#methods)
    - [Method Descriptions](../../classes/class_kinematiccollision2d.html#method-descriptions)
  + [KinematicCollision3D](../../classes/class_kinematiccollision3d.html)
    - [Description](../../classes/class_kinematiccollision3d.html#description)
    - [Methods](../../classes/class_kinematiccollision3d.html#methods)
    - [Method Descriptions](../../classes/class_kinematiccollision3d.html#method-descriptions)
  + [Lightmapper](../../classes/class_lightmapper.html)
    - [Description](../../classes/class_lightmapper.html#description)
  + [LightmapperRD](../../classes/class_lightmapperrd.html)
    - [Description](../../classes/class_lightmapperrd.html#description)
  + [MainLoop](../../classes/class_mainloop.html)
    - [Description](../../classes/class_mainloop.html#description)
    - [Methods](../../classes/class_mainloop.html#methods)
    - [Signals](../../classes/class_mainloop.html#signals)
    - [Constants](../../classes/class_mainloop.html#constants)
    - [Method Descriptions](../../classes/class_mainloop.html#method-descriptions)
  + [Marshalls](../../classes/class_marshalls.html)
    - [Description](../../classes/class_marshalls.html#description)
    - [Methods](../../classes/class_marshalls.html#methods)
    - [Method Descriptions](../../classes/class_marshalls.html#method-descriptions)
  + [MeshConvexDecompositionSettings](../../classes/class_meshconvexdecompositionsettings.html)
    - [Description](../../classes/class_meshconvexdecompositionsettings.html#description)
    - [Properties](../../classes/class_meshconvexdecompositionsettings.html#properties)
    - [Enumerations](../../classes/class_meshconvexdecompositionsettings.html#enumerations)
    - [Property Descriptions](../../classes/class_meshconvexdecompositionsettings.html#property-descriptions)
  + [MeshDataTool](../../classes/class_meshdatatool.html)
    - [Description](../../classes/class_meshdatatool.html#description)
    - [Tutorials](../../classes/class_meshdatatool.html#tutorials)
    - [Methods](../../classes/class_meshdatatool.html#methods)
    - [Method Descriptions](../../classes/class_meshdatatool.html#method-descriptions)
  + [MethodTweener](../../classes/class_methodtweener.html)
    - [Description](../../classes/class_methodtweener.html#description)
    - [Methods](../../classes/class_methodtweener.html#methods)
    - [Method Descriptions](../../classes/class_methodtweener.html#method-descriptions)
  + [MobileVRInterface](../../classes/class_mobilevrinterface.html)
    - [Description](../../classes/class_mobilevrinterface.html#description)
    - [Properties](../../classes/class_mobilevrinterface.html#properties)
    - [Property Descriptions](../../classes/class_mobilevrinterface.html#property-descriptions)
  + [MovieWriter](../../classes/class_moviewriter.html)
    - [Description](../../classes/class_moviewriter.html#description)
    - [Methods](../../classes/class_moviewriter.html#methods)
    - [Method Descriptions](../../classes/class_moviewriter.html#method-descriptions)
  + [MultiplayerAPI](../../classes/class_multiplayerapi.html)
    - [Description](../../classes/class_multiplayerapi.html#description)
    - [Properties](../../classes/class_multiplayerapi.html#properties)
    - [Methods](../../classes/class_multiplayerapi.html#methods)
    - [Signals](../../classes/class_multiplayerapi.html#signals)
    - [Enumerations](../../classes/class_multiplayerapi.html#enumerations)
    - [Property Descriptions](../../classes/class_multiplayerapi.html#property-descriptions)
    - [Method Descriptions](../../classes/class_multiplayerapi.html#method-descriptions)
  + [MultiplayerAPIExtension](../../classes/class_multiplayerapiextension.html)
    - [Description](../../classes/class_multiplayerapiextension.html#description)
    - [Methods](../../classes/class_multiplayerapiextension.html#methods)
    - [Method Descriptions](../../classes/class_multiplayerapiextension.html#method-descriptions)
  + [MultiplayerPeer](../../classes/class_multiplayerpeer.html)
    - [Description](../../classes/class_multiplayerpeer.html#description)
    - [Tutorials](../../classes/class_multiplayerpeer.html#tutorials)
    - [Properties](../../classes/class_multiplayerpeer.html#properties)
    - [Methods](../../classes/class_multiplayerpeer.html#methods)
    - [Signals](../../classes/class_multiplayerpeer.html#signals)
    - [Enumerations](../../classes/class_multiplayerpeer.html#enumerations)
    - [Constants](../../classes/class_multiplayerpeer.html#constants)
    - [Property Descriptions](../../classes/class_multiplayerpeer.html#property-descriptions)
    - [Method Descriptions](../../classes/class_multiplayerpeer.html#method-descriptions)
  + [MultiplayerPeerExtension](../../classes/class_multiplayerpeerextension.html)
    - [Description](../../classes/class_multiplayerpeerextension.html#description)
    - [Methods](../../classes/class_multiplayerpeerextension.html#methods)
    - [Method Descriptions](../../classes/class_multiplayerpeerextension.html#method-descriptions)
  + [Mutex](../../classes/class_mutex.html)
    - [Description](../../classes/class_mutex.html#description)
    - [Tutorials](../../classes/class_mutex.html#tutorials)
    - [Methods](../../classes/class_mutex.html#methods)
    - [Method Descriptions](../../classes/class_mutex.html#method-descriptions)
  + [NativeMenu](../../classes/class_nativemenu.html)
    - [Description](../../classes/class_nativemenu.html#description)
    - [Methods](../../classes/class_nativemenu.html#methods)
    - [Enumerations](../../classes/class_nativemenu.html#enumerations)
    - [Method Descriptions](../../classes/class_nativemenu.html#method-descriptions)
  + [NavigationMeshGenerator](../../classes/class_navigationmeshgenerator.html)
    - [Description](../../classes/class_navigationmeshgenerator.html#description)
    - [Tutorials](../../classes/class_navigationmeshgenerator.html#tutorials)
    - [Methods](../../classes/class_navigationmeshgenerator.html#methods)
    - [Method Descriptions](../../classes/class_navigationmeshgenerator.html#method-descriptions)
  + [NavigationPathQueryParameters2D](../../classes/class_navigationpathqueryparameters2d.html)
    - [Description](../../classes/class_navigationpathqueryparameters2d.html#description)
    - [Tutorials](../../classes/class_navigationpathqueryparameters2d.html#tutorials)
    - [Properties](../../classes/class_navigationpathqueryparameters2d.html#properties)
    - [Enumerations](../../classes/class_navigationpathqueryparameters2d.html#enumerations)
    - [Property Descriptions](../../classes/class_navigationpathqueryparameters2d.html#property-descriptions)
  + [NavigationPathQueryParameters3D](../../classes/class_navigationpathqueryparameters3d.html)
    - [Description](../../classes/class_navigationpathqueryparameters3d.html#description)
    - [Tutorials](../../classes/class_navigationpathqueryparameters3d.html#tutorials)
    - [Properties](../../classes/class_navigationpathqueryparameters3d.html#properties)
    - [Enumerations](../../classes/class_navigationpathqueryparameters3d.html#enumerations)
    - [Property Descriptions](../../classes/class_navigationpathqueryparameters3d.html#property-descriptions)
  + [NavigationPathQueryResult2D](../../classes/class_navigationpathqueryresult2d.html)
    - [Description](../../classes/class_navigationpathqueryresult2d.html#description)
    - [Tutorials](../../classes/class_navigationpathqueryresult2d.html#tutorials)
    - [Properties](../../classes/class_navigationpathqueryresult2d.html#properties)
    - [Methods](../../classes/class_navigationpathqueryresult2d.html#methods)
    - [Enumerations](../../classes/class_navigationpathqueryresult2d.html#enumerations)
    - [Property Descriptions](../../classes/class_navigationpathqueryresult2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_navigationpathqueryresult2d.html#method-descriptions)
  + [NavigationPathQueryResult3D](../../classes/class_navigationpathqueryresult3d.html)
    - [Description](../../classes/class_navigationpathqueryresult3d.html#description)
    - [Tutorials](../../classes/class_navigationpathqueryresult3d.html#tutorials)
    - [Properties](../../classes/class_navigationpathqueryresult3d.html#properties)
    - [Methods](../../classes/class_navigationpathqueryresult3d.html#methods)
    - [Enumerations](../../classes/class_navigationpathqueryresult3d.html#enumerations)
    - [Property Descriptions](../../classes/class_navigationpathqueryresult3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_navigationpathqueryresult3d.html#method-descriptions)
  + [NavigationServer2D](../../classes/class_navigationserver2d.html)
    - [Description](../../classes/class_navigationserver2d.html#description)
    - [Tutorials](../../classes/class_navigationserver2d.html#tutorials)
    - [Methods](../../classes/class_navigationserver2d.html#methods)
    - [Signals](../../classes/class_navigationserver2d.html#signals)
    - [Method Descriptions](../../classes/class_navigationserver2d.html#method-descriptions)
  + [NavigationServer3D](../../classes/class_navigationserver3d.html)
    - [Description](../../classes/class_navigationserver3d.html#description)
    - [Tutorials](../../classes/class_navigationserver3d.html#tutorials)
    - [Methods](../../classes/class_navigationserver3d.html#methods)
    - [Signals](../../classes/class_navigationserver3d.html#signals)
    - [Enumerations](../../classes/class_navigationserver3d.html#enumerations)
    - [Method Descriptions](../../classes/class_navigationserver3d.html#method-descriptions)
  + [Node](../../classes/class_node.html)
    - [Description](../../classes/class_node.html#description)
    - [Tutorials](../../classes/class_node.html#tutorials)
    - [Properties](../../classes/class_node.html#properties)
    - [Methods](../../classes/class_node.html#methods)
    - [Signals](../../classes/class_node.html#signals)
    - [Enumerations](../../classes/class_node.html#enumerations)
    - [Constants](../../classes/class_node.html#constants)
    - [Property Descriptions](../../classes/class_node.html#property-descriptions)
    - [Method Descriptions](../../classes/class_node.html#method-descriptions)
  + [Node3DGizmo](../../classes/class_node3dgizmo.html)
    - [Description](../../classes/class_node3dgizmo.html#description)
  + [OfflineMultiplayerPeer](../../classes/class_offlinemultiplayerpeer.html)
    - [Description](../../classes/class_offlinemultiplayerpeer.html#description)
  + [OggPacketSequencePlayback](../../classes/class_oggpacketsequenceplayback.html)
  + [OpenXRAPIExtension](../../classes/class_openxrapiextension.html)
    - [Description](../../classes/class_openxrapiextension.html#description)
    - [Tutorials](../../classes/class_openxrapiextension.html#tutorials)
    - [Methods](../../classes/class_openxrapiextension.html#methods)
    - [Enumerations](../../classes/class_openxrapiextension.html#enumerations)
    - [Method Descriptions](../../classes/class_openxrapiextension.html#method-descriptions)
  + [OpenXRExtensionWrapperExtension](../../classes/class_openxrextensionwrapperextension.html)
    - [Description](../../classes/class_openxrextensionwrapperextension.html#description)
    - [Methods](../../classes/class_openxrextensionwrapperextension.html#methods)
    - [Method Descriptions](../../classes/class_openxrextensionwrapperextension.html#method-descriptions)
  + [OpenXRInteractionProfileMetadata](../../classes/class_openxrinteractionprofilemetadata.html)
    - [Description](../../classes/class_openxrinteractionprofilemetadata.html#description)
    - [Methods](../../classes/class_openxrinteractionprofilemetadata.html#methods)
    - [Method Descriptions](../../classes/class_openxrinteractionprofilemetadata.html#method-descriptions)
  + [OpenXRInterface](../../classes/class_openxrinterface.html)
    - [Description](../../classes/class_openxrinterface.html#description)
    - [Tutorials](../../classes/class_openxrinterface.html#tutorials)
    - [Properties](../../classes/class_openxrinterface.html#properties)
    - [Methods](../../classes/class_openxrinterface.html#methods)
    - [Signals](../../classes/class_openxrinterface.html#signals)
    - [Enumerations](../../classes/class_openxrinterface.html#enumerations)
    - [Property Descriptions](../../classes/class_openxrinterface.html#property-descriptions)
    - [Method Descriptions](../../classes/class_openxrinterface.html#method-descriptions)
  + [OS](../../classes/class_os.html)
    - [Description](../../classes/class_os.html#description)
    - [Tutorials](../../classes/class_os.html#tutorials)
    - [Properties](../../classes/class_os.html#properties)
    - [Methods](../../classes/class_os.html#methods)
    - [Enumerations](../../classes/class_os.html#enumerations)
    - [Property Descriptions](../../classes/class_os.html#property-descriptions)
    - [Method Descriptions](../../classes/class_os.html#method-descriptions)
  + [PackedDataContainerRef](../../classes/class_packeddatacontainerref.html)
    - [Description](../../classes/class_packeddatacontainerref.html#description)
    - [Methods](../../classes/class_packeddatacontainerref.html#methods)
    - [Method Descriptions](../../classes/class_packeddatacontainerref.html#method-descriptions)
  + [PacketPeer](../../classes/class_packetpeer.html)
    - [Description](../../classes/class_packetpeer.html#description)
    - [Properties](../../classes/class_packetpeer.html#properties)
    - [Methods](../../classes/class_packetpeer.html#methods)
    - [Property Descriptions](../../classes/class_packetpeer.html#property-descriptions)
    - [Method Descriptions](../../classes/class_packetpeer.html#method-descriptions)
  + [PacketPeerDTLS](../../classes/class_packetpeerdtls.html)
    - [Description](../../classes/class_packetpeerdtls.html#description)
    - [Methods](../../classes/class_packetpeerdtls.html#methods)
    - [Enumerations](../../classes/class_packetpeerdtls.html#enumerations)
    - [Method Descriptions](../../classes/class_packetpeerdtls.html#method-descriptions)
  + [PacketPeerExtension](../../classes/class_packetpeerextension.html)
    - [Methods](../../classes/class_packetpeerextension.html#methods)
    - [Method Descriptions](../../classes/class_packetpeerextension.html#method-descriptions)
  + [PacketPeerStream](../../classes/class_packetpeerstream.html)
    - [Description](../../classes/class_packetpeerstream.html#description)
    - [Properties](../../classes/class_packetpeerstream.html#properties)
    - [Property Descriptions](../../classes/class_packetpeerstream.html#property-descriptions)
  + [PacketPeerUDP](../../classes/class_packetpeerudp.html)
    - [Description](../../classes/class_packetpeerudp.html#description)
    - [Methods](../../classes/class_packetpeerudp.html#methods)
    - [Method Descriptions](../../classes/class_packetpeerudp.html#method-descriptions)
  + [PCKPacker](../../classes/class_pckpacker.html)
    - [Description](../../classes/class_pckpacker.html#description)
    - [Methods](../../classes/class_pckpacker.html#methods)
    - [Method Descriptions](../../classes/class_pckpacker.html#method-descriptions)
  + [Performance](../../classes/class_performance.html)
    - [Description](../../classes/class_performance.html#description)
    - [Methods](../../classes/class_performance.html#methods)
    - [Enumerations](../../classes/class_performance.html#enumerations)
    - [Method Descriptions](../../classes/class_performance.html#method-descriptions)
  + [PhysicsDirectBodyState2D](../../classes/class_physicsdirectbodystate2d.html)
    - [Description](../../classes/class_physicsdirectbodystate2d.html#description)
    - [Tutorials](../../classes/class_physicsdirectbodystate2d.html#tutorials)
    - [Properties](../../classes/class_physicsdirectbodystate2d.html#properties)
    - [Methods](../../classes/class_physicsdirectbodystate2d.html#methods)
    - [Property Descriptions](../../classes/class_physicsdirectbodystate2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_physicsdirectbodystate2d.html#method-descriptions)
  + [PhysicsDirectBodyState2DExtension](../../classes/class_physicsdirectbodystate2dextension.html)
    - [Description](../../classes/class_physicsdirectbodystate2dextension.html#description)
    - [Methods](../../classes/class_physicsdirectbodystate2dextension.html#methods)
    - [Method Descriptions](../../classes/class_physicsdirectbodystate2dextension.html#method-descriptions)
  + [PhysicsDirectBodyState3D](../../classes/class_physicsdirectbodystate3d.html)
    - [Description](../../classes/class_physicsdirectbodystate3d.html#description)
    - [Tutorials](../../classes/class_physicsdirectbodystate3d.html#tutorials)
    - [Properties](../../classes/class_physicsdirectbodystate3d.html#properties)
    - [Methods](../../classes/class_physicsdirectbodystate3d.html#methods)
    - [Property Descriptions](../../classes/class_physicsdirectbodystate3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_physicsdirectbodystate3d.html#method-descriptions)
  + [PhysicsDirectBodyState3DExtension](../../classes/class_physicsdirectbodystate3dextension.html)
    - [Description](../../classes/class_physicsdirectbodystate3dextension.html#description)
    - [Methods](../../classes/class_physicsdirectbodystate3dextension.html#methods)
    - [Method Descriptions](../../classes/class_physicsdirectbodystate3dextension.html#method-descriptions)
  + [PhysicsDirectSpaceState2D](../../classes/class_physicsdirectspacestate2d.html)
    - [Description](../../classes/class_physicsdirectspacestate2d.html#description)
    - [Tutorials](../../classes/class_physicsdirectspacestate2d.html#tutorials)
    - [Methods](../../classes/class_physicsdirectspacestate2d.html#methods)
    - [Method Descriptions](../../classes/class_physicsdirectspacestate2d.html#method-descriptions)
  + [PhysicsDirectSpaceState2DExtension](../../classes/class_physicsdirectspacestate2dextension.html)
    - [Description](../../classes/class_physicsdirectspacestate2dextension.html#description)
    - [Methods](../../classes/class_physicsdirectspacestate2dextension.html#methods)
    - [Method Descriptions](../../classes/class_physicsdirectspacestate2dextension.html#method-descriptions)
  + [PhysicsDirectSpaceState3D](../../classes/class_physicsdirectspacestate3d.html)
    - [Description](../../classes/class_physicsdirectspacestate3d.html#description)
    - [Tutorials](../../classes/class_physicsdirectspacestate3d.html#tutorials)
    - [Methods](../../classes/class_physicsdirectspacestate3d.html#methods)
    - [Method Descriptions](../../classes/class_physicsdirectspacestate3d.html#method-descriptions)
  + [PhysicsDirectSpaceState3DExtension](../../classes/class_physicsdirectspacestate3dextension.html)
    - [Description](../../classes/class_physicsdirectspacestate3dextension.html#description)
    - [Methods](../../classes/class_physicsdirectspacestate3dextension.html#methods)
    - [Method Descriptions](../../classes/class_physicsdirectspacestate3dextension.html#method-descriptions)
  + [PhysicsPointQueryParameters2D](../../classes/class_physicspointqueryparameters2d.html)
    - [Description](../../classes/class_physicspointqueryparameters2d.html#description)
    - [Properties](../../classes/class_physicspointqueryparameters2d.html#properties)
    - [Property Descriptions](../../classes/class_physicspointqueryparameters2d.html#property-descriptions)
  + [PhysicsPointQueryParameters3D](../../classes/class_physicspointqueryparameters3d.html)
    - [Description](../../classes/class_physicspointqueryparameters3d.html#description)
    - [Properties](../../classes/class_physicspointqueryparameters3d.html#properties)
    - [Property Descriptions](../../classes/class_physicspointqueryparameters3d.html#property-descriptions)
  + [PhysicsRayQueryParameters2D](../../classes/class_physicsrayqueryparameters2d.html)
    - [Description](../../classes/class_physicsrayqueryparameters2d.html#description)
    - [Properties](../../classes/class_physicsrayqueryparameters2d.html#properties)
    - [Methods](../../classes/class_physicsrayqueryparameters2d.html#methods)
    - [Property Descriptions](../../classes/class_physicsrayqueryparameters2d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_physicsrayqueryparameters2d.html#method-descriptions)
  + [PhysicsRayQueryParameters3D](../../classes/class_physicsrayqueryparameters3d.html)
    - [Description](../../classes/class_physicsrayqueryparameters3d.html#description)
    - [Properties](../../classes/class_physicsrayqueryparameters3d.html#properties)
    - [Methods](../../classes/class_physicsrayqueryparameters3d.html#methods)
    - [Property Descriptions](../../classes/class_physicsrayqueryparameters3d.html#property-descriptions)
    - [Method Descriptions](../../classes/class_physicsrayqueryparameters3d.html#method-descriptions)
  + [PhysicsServer2D](../../classes/class_physicsserver2d.html)
    - [Description](../../classes/class_physicsserver2d.html#description)
    - [Methods](../../classes/class_physicsserver2d.html#methods)
    - [Enumerations](../../classes/class_physicsserver2d.html#enumerations)
    - [Method Descriptions](../../classes/class_physicsserver2d.html#method-descriptions)
  + [PhysicsServer2DExtension](../../classes/class_physicsserver2dextension.html)
    - [Description](../../classes/class_physicsserver2dextension.html#description)
    - [Methods](../../classes/class_physicsserver2dextension.html#methods)
    - [Method Descriptions](../../classes/class_physicsserver2dextension.html#method-descriptions)
  + [PhysicsServer2DManager](../../classes/class_physicsserver2dmanager.html)
    - [Description](../../classes/class_physicsserver2dmanager.html#description)
    - [Methods](../../classes/class_physicsserver2dmanager.html#methods)
    - [Method Descriptions](../../classes/class_physicsserver2dmanager.html#method-descriptions)
  + [PhysicsServer3D](../../classes/class_physicsserver3d.html)
    - [Description](../../classes/class_physicsserver3d.html#description)
    - [Methods](../../classes/class_physicsserver3d.html#methods)
    - [Enumerations](../../classes/class_physicsserver3d.html#enumerations)
    - [Method Descriptions](../../classes/class_physicsserver3d.html#method-descriptions)
  + [PhysicsServer3DExtension](../../classes/class_physicsserver3dextension.html)
    - [Description](../../classes/class_physicsserver3dextension.html#description)
    - [Methods](../../classes/class_physicsserver3dextension.html#methods)
    - [Method Descriptions](../../classes/class_physicsserver3dextension.html#method-descriptions)
  + [PhysicsServer3DManager](../../classes/class_physicsserver3dmanager.html)
    - [Description](../../classes/class_physicsserver3dmanager.html#description)
    - [Methods](../../classes/class_physicsserver3dmanager.html#methods)
    - [Method Descriptions](../../classes/class_physicsserver3dmanager.html#method-descriptions)
  + [PhysicsServer3DRenderingServerHandler](../../classes/class_physicsserver3drenderingserverhandler.html)
    - [Methods](../../classes/class_physicsserver3drenderingserverhandler.html#methods)
    - [Method Descriptions](../../classes/class_physicsserver3drenderingserverhandler.html#method-descriptions)
  + [PhysicsShapeQueryParameters2D](../../classes/class_physicsshapequeryparameters2d.html)
    - [Description](../../classes/class_physicsshapequeryparameters2d.html#description)
    - [Properties](../../classes/class_physicsshapequeryparameters2d.html#properties)
    - [Property Descriptions](../../classes/class_physicsshapequeryparameters2d.html#property-descriptions)
  + [PhysicsShapeQueryParameters3D](../../classes/class_physicsshapequeryparameters3d.html)
    - [Description](../../classes/class_physicsshapequeryparameters3d.html#description)
    - [Properties](../../classes/class_physicsshapequeryparameters3d.html#properties)
    - [Property Descriptions](../../classes/class_physicsshapequeryparameters3d.html#property-descriptions)
  + [PhysicsTestMotionParameters2D](../../classes/class_physicstestmotionparameters2d.html)
    - [Description](../../classes/class_physicstestmotionparameters2d.html#description)
    - [Properties](../../classes/class_physicstestmotionparameters2d.html#properties)
    - [Property Descriptions](../../classes/class_physicstestmotionparameters2d.html#property-descriptions)
  + [PhysicsTestMotionParameters3D](../../classes/class_physicstestmotionparameters3d.html)
    - [Description](../../classes/class_physicstestmotionparameters3d.html#description)
    - [Properties](../../classes/class_physicstestmotionparameters3d.html#properties)
    - [Property Descriptions](../../classes/class_physicstestmotionparameters3d.html#property-descriptions)
  + [PhysicsTestMotionResult2D](../../classes/class_physicstestmotionresult2d.html)
    - [Description](../../classes/class_physicstestmotionresult2d.html#description)
    - [Methods](../../classes/class_physicstestmotionresult2d.html#methods)
    - [Method Descriptions](../../classes/class_physicstestmotionresult2d.html#method-descriptions)
  + [PhysicsTestMotionResult3D](../../classes/class_physicstestmotionresult3d.html)
    - [Description](../../classes/class_physicstestmotionresult3d.html#description)
    - [Methods](../../classes/class_physicstestmotionresult3d.html#methods)
    - [Method Descriptions](../../classes/class_physicstestmotionresult3d.html#method-descriptions)
  + [ProjectSettings](../../classes/class_projectsettings.html)
    - [Description](../../classes/class_projectsettings.html#description)
    - [Tutorials](../../classes/class_projectsettings.html#tutorials)
    - [Properties](../../classes/class_projectsettings.html#properties)
    - [Methods](../../classes/class_projectsettings.html#methods)
    - [Signals](../../classes/class_projectsettings.html#signals)
    - [Property Descriptions](../../classes/class_projectsettings.html#property-descriptions)
    - [Method Descriptions](../../classes/class_projectsettings.html#method-descriptions)
  + [PropertyTweener](../../classes/class_propertytweener.html)
    - [Description](../../classes/class_propertytweener.html#description)
    - [Methods](../../classes/class_propertytweener.html#methods)
    - [Method Descriptions](../../classes/class_propertytweener.html#method-descriptions)
  + [RandomNumberGenerator](../../classes/class_randomnumbergenerator.html)
    - [Description](../../classes/class_randomnumbergenerator.html#description)
    - [Tutorials](../../classes/class_randomnumbergenerator.html#tutorials)
    - [Properties](../../classes/class_randomnumbergenerator.html#properties)
    - [Methods](../../classes/class_randomnumbergenerator.html#methods)
    - [Property Descriptions](../../classes/class_randomnumbergenerator.html#property-descriptions)
    - [Method Descriptions](../../classes/class_randomnumbergenerator.html#method-descriptions)
  + [RDAttachmentFormat](../../classes/class_rdattachmentformat.html)
    - [Description](../../classes/class_rdattachmentformat.html#description)
    - [Properties](../../classes/class_rdattachmentformat.html#properties)
    - [Property Descriptions](../../classes/class_rdattachmentformat.html#property-descriptions)
  + [RDFramebufferPass](../../classes/class_rdframebufferpass.html)
    - [Description](../../classes/class_rdframebufferpass.html#description)
    - [Properties](../../classes/class_rdframebufferpass.html#properties)
    - [Constants](../../classes/class_rdframebufferpass.html#constants)
    - [Property Descriptions](../../classes/class_rdframebufferpass.html#property-descriptions)
  + [RDPipelineColorBlendState](../../classes/class_rdpipelinecolorblendstate.html)
    - [Description](../../classes/class_rdpipelinecolorblendstate.html#description)
    - [Properties](../../classes/class_rdpipelinecolorblendstate.html#properties)
    - [Property Descriptions](../../classes/class_rdpipelinecolorblendstate.html#property-descriptions)
  + [RDPipelineColorBlendStateAttachment](../../classes/class_rdpipelinecolorblendstateattachment.html)
    - [Description](../../classes/class_rdpipelinecolorblendstateattachment.html#description)
    - [Properties](../../classes/class_rdpipelinecolorblendstateattachment.html#properties)
    - [Methods](../../classes/class_rdpipelinecolorblendstateattachment.html#methods)
    - [Property Descriptions](../../classes/class_rdpipelinecolorblendstateattachment.html#property-descriptions)
    - [Method Descriptions](../../classes/class_rdpipelinecolorblendstateattachment.html#method-descriptions)
  + [RDPipelineDepthStencilState](../../classes/class_rdpipelinedepthstencilstate.html)
    - [Description](../../classes/class_rdpipelinedepthstencilstate.html#description)
    - [Properties](../../classes/class_rdpipelinedepthstencilstate.html#properties)
    - [Property Descriptions](../../classes/class_rdpipelinedepthstencilstate.html#property-descriptions)
  + [RDPipelineMultisampleState](../../classes/class_rdpipelinemultisamplestate.html)
    - [Description](../../classes/class_rdpipelinemultisamplestate.html#description)
    - [Properties](../../classes/class_rdpipelinemultisamplestate.html#properties)
    - [Property Descriptions](../../classes/class_rdpipelinemultisamplestate.html#property-descriptions)
  + [RDPipelineRasterizationState](../../classes/class_rdpipelinerasterizationstate.html)
    - [Description](../../classes/class_rdpipelinerasterizationstate.html#description)
    - [Properties](../../classes/class_rdpipelinerasterizationstate.html#properties)
    - [Property Descriptions](../../classes/class_rdpipelinerasterizationstate.html#property-descriptions)
  + [RDPipelineSpecializationConstant](../../classes/class_rdpipelinespecializationconstant.html)
    - [Description](../../classes/class_rdpipelinespecializationconstant.html#description)
    - [Properties](../../classes/class_rdpipelinespecializationconstant.html#properties)
    - [Property Descriptions](../../classes/class_rdpipelinespecializationconstant.html#property-descriptions)
  + [RDSamplerState](../../classes/class_rdsamplerstate.html)
    - [Description](../../classes/class_rdsamplerstate.html#description)
    - [Properties](../../classes/class_rdsamplerstate.html#properties)
    - [Property Descriptions](../../classes/class_rdsamplerstate.html#property-descriptions)
  + [RDShaderSource](../../classes/class_rdshadersource.html)
    - [Description](../../classes/class_rdshadersource.html#description)
    - [Properties](../../classes/class_rdshadersource.html#properties)
    - [Methods](../../classes/class_rdshadersource.html#methods)
    - [Property Descriptions](../../classes/class_rdshadersource.html#property-descriptions)
    - [Method Descriptions](../../classes/class_rdshadersource.html#method-descriptions)
  + [RDTextureFormat](../../classes/class_rdtextureformat.html)
    - [Description](../../classes/class_rdtextureformat.html#description)
    - [Properties](../../classes/class_rdtextureformat.html#properties)
    - [Methods](../../classes/class_rdtextureformat.html#methods)
    - [Property Descriptions](../../classes/class_rdtextureformat.html#property-descriptions)
    - [Method Descriptions](../../classes/class_rdtextureformat.html#method-descriptions)
  + [RDTextureView](../../classes/class_rdtextureview.html)
    - [Description](../../classes/class_rdtextureview.html#description)
    - [Properties](../../classes/class_rdtextureview.html#properties)
    - [Property Descriptions](../../classes/class_rdtextureview.html#property-descriptions)
  + [RDUniform](../../classes/class_rduniform.html)
    - [Description](../../classes/class_rduniform.html#description)
    - [Properties](../../classes/class_rduniform.html#properties)
    - [Methods](../../classes/class_rduniform.html#methods)
    - [Property Descriptions](../../classes/class_rduniform.html#property-descriptions)
    - [Method Descriptions](../../classes/class_rduniform.html#method-descriptions)
  + [RDVertexAttribute](../../classes/class_rdvertexattribute.html)
    - [Description](../../classes/class_rdvertexattribute.html#description)
    - [Properties](../../classes/class_rdvertexattribute.html#properties)
    - [Property Descriptions](../../classes/class_rdvertexattribute.html#property-descriptions)
  + [RefCounted](../../classes/class_refcounted.html)
    - [Description](../../classes/class_refcounted.html#description)
    - [Tutorials](../../classes/class_refcounted.html#tutorials)
    - [Methods](../../classes/class_refcounted.html#methods)
    - [Method Descriptions](../../classes/class_refcounted.html#method-descriptions)
  + [RegEx](../../classes/class_regex.html)
    - [Description](../../classes/class_regex.html#description)
    - [Methods](../../classes/class_regex.html#methods)
    - [Method Descriptions](../../classes/class_regex.html#method-descriptions)
  + [RegExMatch](../../classes/class_regexmatch.html)
    - [Description](../../classes/class_regexmatch.html#description)
    - [Properties](../../classes/class_regexmatch.html#properties)
    - [Methods](../../classes/class_regexmatch.html#methods)
    - [Property Descriptions](../../classes/class_regexmatch.html#property-descriptions)
    - [Method Descriptions](../../classes/class_regexmatch.html#method-descriptions)
  + [RenderData](../../classes/class_renderdata.html)
    - [Description](../../classes/class_renderdata.html#description)
    - [Methods](../../classes/class_renderdata.html#methods)
    - [Method Descriptions](../../classes/class_renderdata.html#method-descriptions)
  + [RenderDataExtension](../../classes/class_renderdataextension.html)
    - [Description](../../classes/class_renderdataextension.html#description)
    - [Methods](../../classes/class_renderdataextension.html#methods)
    - [Method Descriptions](../../classes/class_renderdataextension.html#method-descriptions)
  + [RenderDataRD](../../classes/class_renderdatard.html)
    - [Description](../../classes/class_renderdatard.html#description)
  + [RenderingDevice](../../classes/class_renderingdevice.html)
    - [Description](../../classes/class_renderingdevice.html#description)
    - [Tutorials](../../classes/class_renderingdevice.html#tutorials)
    - [Methods](../../classes/class_renderingdevice.html#methods)
    - [Enumerations](../../classes/class_renderingdevice.html#enumerations)
    - [Constants](../../classes/class_renderingdevice.html#constants)
    - [Method Descriptions](../../classes/class_renderingdevice.html#method-descriptions)
  + [RenderingServer](../../classes/class_renderingserver.html)
    - [Description](../../classes/class_renderingserver.html#description)
    - [Tutorials](../../classes/class_renderingserver.html#tutorials)
    - [Properties](../../classes/class_renderingserver.html#properties)
    - [Methods](../../classes/class_renderingserver.html#methods)
    - [Signals](../../classes/class_renderingserver.html#signals)
    - [Enumerations](../../classes/class_renderingserver.html#enumerations)
    - [Constants](../../classes/class_renderingserver.html#constants)
    - [Property Descriptions](../../classes/class_renderingserver.html#property-descriptions)
    - [Method Descriptions](../../classes/class_renderingserver.html#method-descriptions)
  + [RenderSceneBuffers](../../classes/class_renderscenebuffers.html)
    - [Description](../../classes/class_renderscenebuffers.html#description)
    - [Methods](../../classes/class_renderscenebuffers.html#methods)
    - [Method Descriptions](../../classes/class_renderscenebuffers.html#method-descriptions)
  + [RenderSceneBuffersConfiguration](../../classes/class_renderscenebuffersconfiguration.html)
    - [Description](../../classes/class_renderscenebuffersconfiguration.html#description)
    - [Properties](../../classes/class_renderscenebuffersconfiguration.html#properties)
    - [Property Descriptions](../../classes/class_renderscenebuffersconfiguration.html#property-descriptions)
  + [RenderSceneBuffersExtension](../../classes/class_renderscenebuffersextension.html)
    - [Description](../../classes/class_renderscenebuffersextension.html#description)
    - [Methods](../../classes/class_renderscenebuffersextension.html#methods)
    - [Method Descriptions](../../classes/class_renderscenebuffersextension.html#method-descriptions)
  + [RenderSceneBuffersRD](../../classes/class_renderscenebuffersrd.html)
    - [Description](../../classes/class_renderscenebuffersrd.html#description)
    - [Methods](../../classes/class_renderscenebuffersrd.html#methods)
    - [Method Descriptions](../../classes/class_renderscenebuffersrd.html#method-descriptions)
  + [RenderSceneData](../../classes/class_renderscenedata.html)
    - [Description](../../classes/class_renderscenedata.html#description)
    - [Methods](../../classes/class_renderscenedata.html#methods)
    - [Method Descriptions](../../classes/class_renderscenedata.html#method-descriptions)
  + [RenderSceneDataExtension](../../classes/class_renderscenedataextension.html)
    - [Description](../../classes/class_renderscenedataextension.html#description)
    - [Methods](../../classes/class_renderscenedataextension.html#methods)
    - [Method Descriptions](../../classes/class_renderscenedataextension.html#method-descriptions)
  + [RenderSceneDataRD](../../classes/class_renderscenedatard.html)
    - [Description](../../classes/class_renderscenedatard.html#description)
  + [Resource](../../classes/class_resource.html)
    - [Description](../../classes/class_resource.html#description)
    - [Tutorials](../../classes/class_resource.html#tutorials)
    - [Properties](../../classes/class_resource.html#properties)
    - [Methods](../../classes/class_resource.html#methods)
    - [Signals](../../classes/class_resource.html#signals)
    - [Property Descriptions](../../classes/class_resource.html#property-descriptions)
    - [Method Descriptions](../../classes/class_resource.html#method-descriptions)
  + [ResourceFormatLoader](../../classes/class_resourceformatloader.html)
    - [Description](../../classes/class_resourceformatloader.html#description)
    - [Methods](../../classes/class_resourceformatloader.html#methods)
    - [Enumerations](../../classes/class_resourceformatloader.html#enumerations)
    - [Method Descriptions](../../classes/class_resourceformatloader.html#method-descriptions)
  + [ResourceFormatSaver](../../classes/class_resourceformatsaver.html)
    - [Description](../../classes/class_resourceformatsaver.html#description)
    - [Methods](../../classes/class_resourceformatsaver.html#methods)
    - [Method Descriptions](../../classes/class_resourceformatsaver.html#method-descriptions)
  + [ResourceImporter](../../classes/class_resourceimporter.html)
    - [Description](../../classes/class_resourceimporter.html#description)
    - [Tutorials](../../classes/class_resourceimporter.html#tutorials)
    - [Enumerations](../../classes/class_resourceimporter.html#enumerations)
  + [ResourceImporterBitMap](../../classes/class_resourceimporterbitmap.html)
    - [Description](../../classes/class_resourceimporterbitmap.html#description)
    - [Tutorials](../../classes/class_resourceimporterbitmap.html#tutorials)
    - [Properties](../../classes/class_resourceimporterbitmap.html#properties)
    - [Property Descriptions](../../classes/class_resourceimporterbitmap.html#property-descriptions)
  + [ResourceImporterBMFont](../../classes/class_resourceimporterbmfont.html)
    - [Description](../../classes/class_resourceimporterbmfont.html#description)
    - [Tutorials](../../classes/class_resourceimporterbmfont.html#tutorials)
    - [Properties](../../classes/class_resourceimporterbmfont.html#properties)
    - [Property Descriptions](../../classes/class_resourceimporterbmfont.html#property-descriptions)
  + [ResourceImporterCSVTranslation](../../classes/class_resourceimportercsvtranslation.html)
    - [Description](../../classes/class_resourceimportercsvtranslation.html#description)
    - [Tutorials](../../classes/class_resourceimportercsvtranslation.html#tutorials)
    - [Properties](../../classes/class_resourceimportercsvtranslation.html#properties)
    - [Property Descriptions](../../classes/class_resourceimportercsvtranslation.html#property-descriptions)
  + [ResourceImporterDynamicFont](../../classes/class_resourceimporterdynamicfont.html)
    - [Description](../../classes/class_resourceimporterdynamicfont.html#description)
    - [Tutorials](../../classes/class_resourceimporterdynamicfont.html#tutorials)
    - [Properties](../../classes/class_resourceimporterdynamicfont.html#properties)
    - [Property Descriptions](../../classes/class_resourceimporterdynamicfont.html#property-descriptions)
  + [ResourceImporterImage](../../classes/class_resourceimporterimage.html)
    - [Description](../../classes/class_resourceimporterimage.html#description)
    - [Tutorials](../../classes/class_resourceimporterimage.html#tutorials)
  + [ResourceImporterImageFont](../../classes/class_resourceimporterimagefont.html)
    - [Description](../../classes/class_resourceimporterimagefont.html#description)
    - [Tutorials](../../classes/class_resourceimporterimagefont.html#tutorials)
    - [Properties](../../classes/class_resourceimporterimagefont.html#properties)
    - [Property Descriptions](../../classes/class_resourceimporterimagefont.html#property-descriptions)
  + [ResourceImporterLayeredTexture](../../classes/class_resourceimporterlayeredtexture.html)
    - [Description](../../classes/class_resourceimporterlayeredtexture.html#description)
    - [Tutorials](../../classes/class_resourceimporterlayeredtexture.html#tutorials)
    - [Properties](../../classes/class_resourceimporterlayeredtexture.html#properties)
    - [Property Descriptions](../../classes/class_resourceimporterlayeredtexture.html#property-descriptions)
  + [ResourceImporterMP3](../../classes/class_resourceimportermp3.html)
    - [Description](../../classes/class_resourceimportermp3.html#description)
    - [Tutorials](../../classes/class_resourceimportermp3.html#tutorials)
    - [Properties](../../classes/class_resourceimportermp3.html#properties)
    - [Property Descriptions](../../classes/class_resourceimportermp3.html#property-descriptions)
  + [ResourceImporterOBJ](../../classes/class_resourceimporterobj.html)
    - [Description](../../classes/class_resourceimporterobj.html#description)
    - [Tutorials](../../classes/class_resourceimporterobj.html#tutorials)
    - [Properties](../../classes/class_resourceimporterobj.html#properties)
    - [Property Descriptions](../../classes/class_resourceimporterobj.html#property-descriptions)
  + [ResourceImporterOggVorbis](../../classes/class_resourceimporteroggvorbis.html)
    - [Description](../../classes/class_resourceimporteroggvorbis.html#description)
    - [Tutorials](../../classes/class_resourceimporteroggvorbis.html#tutorials)
    - [Properties](../../classes/class_resourceimporteroggvorbis.html#properties)
    - [Methods](../../classes/class_resourceimporteroggvorbis.html#methods)
    - [Property Descriptions](../../classes/class_resourceimporteroggvorbis.html#property-descriptions)
    - [Method Descriptions](../../classes/class_resourceimporteroggvorbis.html#method-descriptions)
  + [ResourceImporterScene](../../classes/class_resourceimporterscene.html)
    - [Description](../../classes/class_resourceimporterscene.html#description)
    - [Tutorials](../../classes/class_resourceimporterscene.html#tutorials)
    - [Properties](../../classes/class_resourceimporterscene.html#properties)
    - [Property Descriptions](../../classes/class_resourceimporterscene.html#property-descriptions)
  + [ResourceImporterShaderFile](../../classes/class_resourceimportershaderfile.html)
    - [Description](../../classes/class_resourceimportershaderfile.html#description)
  + [ResourceImporterTexture](../../classes/class_resourceimportertexture.html)
    - [Description](../../classes/class_resourceimportertexture.html#description)
    - [Tutorials](../../classes/class_resourceimportertexture.html#tutorials)
    - [Properties](../../classes/class_resourceimportertexture.html#properties)
    - [Property Descriptions](../../classes/class_resourceimportertexture.html#property-descriptions)
  + [ResourceImporterTextureAtlas](../../classes/class_resourceimportertextureatlas.html)
    - [Description](../../classes/class_resourceimportertextureatlas.html#description)
    - [Properties](../../classes/class_resourceimportertextureatlas.html#properties)
    - [Property Descriptions](../../classes/class_resourceimportertextureatlas.html#property-descriptions)
  + [ResourceImporterWAV](../../classes/class_resourceimporterwav.html)
    - [Description](../../classes/class_resourceimporterwav.html#description)
    - [Tutorials](../../classes/class_resourceimporterwav.html#tutorials)
    - [Properties](../../classes/class_resourceimporterwav.html#properties)
    - [Property Descriptions](../../classes/class_resourceimporterwav.html#property-descriptions)
  + [ResourceLoader](../../classes/class_resourceloader.html)
    - [Description](../../classes/class_resourceloader.html#description)
    - [Tutorials](../../classes/class_resourceloader.html#tutorials)
    - [Methods](../../classes/class_resourceloader.html#methods)
    - [Enumerations](../../classes/class_resourceloader.html#enumerations)
    - [Method Descriptions](../../classes/class_resourceloader.html#method-descriptions)
  + [ResourceSaver](../../classes/class_resourcesaver.html)
    - [Description](../../classes/class_resourcesaver.html#description)
    - [Methods](../../classes/class_resourcesaver.html#methods)
    - [Enumerations](../../classes/class_resourcesaver.html#enumerations)
    - [Method Descriptions](../../classes/class_resourcesaver.html#method-descriptions)
  + [ResourceUID](../../classes/class_resourceuid.html)
    - [Description](../../classes/class_resourceuid.html#description)
    - [Methods](../../classes/class_resourceuid.html#methods)
    - [Constants](../../classes/class_resourceuid.html#constants)
    - [Method Descriptions](../../classes/class_resourceuid.html#method-descriptions)
  + [SceneMultiplayer](../../classes/class_scenemultiplayer.html)
    - [Description](../../classes/class_scenemultiplayer.html#description)
    - [Properties](../../classes/class_scenemultiplayer.html#properties)
    - [Methods](../../classes/class_scenemultiplayer.html#methods)
    - [Signals](../../classes/class_scenemultiplayer.html#signals)
    - [Property Descriptions](../../classes/class_scenemultiplayer.html#property-descriptions)
    - [Method Descriptions](../../classes/class_scenemultiplayer.html#method-descriptions)
  + [SceneState](../../classes/class_scenestate.html)
    - [Description](../../classes/class_scenestate.html#description)
    - [Methods](../../classes/class_scenestate.html#methods)
    - [Enumerations](../../classes/class_scenestate.html#enumerations)
    - [Method Descriptions](../../classes/class_scenestate.html#method-descriptions)
  + [SceneTree](../../classes/class_scenetree.html)
    - [Description](../../classes/class_scenetree.html#description)
    - [Tutorials](../../classes/class_scenetree.html#tutorials)
    - [Properties](../../classes/class_scenetree.html#properties)
    - [Methods](../../classes/class_scenetree.html#methods)
    - [Signals](../../classes/class_scenetree.html#signals)
    - [Enumerations](../../classes/class_scenetree.html#enumerations)
    - [Property Descriptions](../../classes/class_scenetree.html#property-descriptions)
    - [Method Descriptions](../../classes/class_scenetree.html#method-descriptions)
  + [SceneTreeTimer](../../classes/class_scenetreetimer.html)
    - [Description](../../classes/class_scenetreetimer.html#description)
    - [Properties](../../classes/class_scenetreetimer.html#properties)
    - [Signals](../../classes/class_scenetreetimer.html#signals)
    - [Property Descriptions](../../classes/class_scenetreetimer.html#property-descriptions)
  + [ScriptLanguage](../../classes/class_scriptlanguage.html)
    - [Enumerations](../../classes/class_scriptlanguage.html#enumerations)
  + [ScriptLanguageExtension](../../classes/class_scriptlanguageextension.html)
    - [Methods](../../classes/class_scriptlanguageextension.html#methods)
    - [Enumerations](../../classes/class_scriptlanguageextension.html#enumerations)
    - [Method Descriptions](../../classes/class_scriptlanguageextension.html#method-descriptions)
  + [Semaphore](../../classes/class_semaphore.html)
    - [Description](../../classes/class_semaphore.html#description)
    - [Tutorials](../../classes/class_semaphore.html#tutorials)
    - [Methods](../../classes/class_semaphore.html#methods)
    - [Method Descriptions](../../classes/class_semaphore.html#method-descriptions)
  + [ShaderIncludeDB](../../classes/class_shaderincludedb.html)
    - [Description](../../classes/class_shaderincludedb.html#description)
    - [Methods](../../classes/class_shaderincludedb.html#methods)
    - [Method Descriptions](../../classes/class_shaderincludedb.html#method-descriptions)
  + [SkinReference](../../classes/class_skinreference.html)
    - [Description](../../classes/class_skinreference.html#description)
    - [Methods](../../classes/class_skinreference.html#methods)
    - [Method Descriptions](../../classes/class_skinreference.html#method-descriptions)
  + [StreamPeer](../../classes/class_streampeer.html)
    - [Description](../../classes/class_streampeer.html#description)
    - [Properties](../../classes/class_streampeer.html#properties)
    - [Methods](../../classes/class_streampeer.html#methods)
    - [Property Descriptions](../../classes/class_streampeer.html#property-descriptions)
    - [Method Descriptions](../../classes/class_streampeer.html#method-descriptions)
  + [StreamPeerBuffer](../../classes/class_streampeerbuffer.html)
    - [Description](../../classes/class_streampeerbuffer.html#description)
    - [Properties](../../classes/class_streampeerbuffer.html#properties)
    - [Methods](../../classes/class_streampeerbuffer.html#methods)
    - [Property Descriptions](../../classes/class_streampeerbuffer.html#property-descriptions)
    - [Method Descriptions](../../classes/class_streampeerbuffer.html#method-descriptions)
  + [StreamPeerExtension](../../classes/class_streampeerextension.html)
    - [Methods](../../classes/class_streampeerextension.html#methods)
    - [Method Descriptions](../../classes/class_streampeerextension.html#method-descriptions)
  + [StreamPeerGZIP](../../classes/class_streampeergzip.html)
    - [Description](../../classes/class_streampeergzip.html#description)
    - [Methods](../../classes/class_streampeergzip.html#methods)
    - [Method Descriptions](../../classes/class_streampeergzip.html#method-descriptions)
  + [StreamPeerTCP](../../classes/class_streampeertcp.html)
    - [Description](../../classes/class_streampeertcp.html#description)
    - [Methods](../../classes/class_streampeertcp.html#methods)
    - [Enumerations](../../classes/class_streampeertcp.html#enumerations)
    - [Method Descriptions](../../classes/class_streampeertcp.html#method-descriptions)
  + [StreamPeerTLS](../../classes/class_streampeertls.html)
    - [Description](../../classes/class_streampeertls.html#description)
    - [Tutorials](../../classes/class_streampeertls.html#tutorials)
    - [Methods](../../classes/class_streampeertls.html#methods)
    - [Enumerations](../../classes/class_streampeertls.html#enumerations)
    - [Method Descriptions](../../classes/class_streampeertls.html#method-descriptions)
  + [SubtweenTweener](../../classes/class_subtweentweener.html)
    - [Description](../../classes/class_subtweentweener.html#description)
    - [Methods](../../classes/class_subtweentweener.html#methods)
    - [Method Descriptions](../../classes/class_subtweentweener.html#method-descriptions)
  + [SurfaceTool](../../classes/class_surfacetool.html)
    - [Description](../../classes/class_surfacetool.html#description)
    - [Tutorials](../../classes/class_surfacetool.html#tutorials)
    - [Methods](../../classes/class_surfacetool.html#methods)
    - [Enumerations](../../classes/class_surfacetool.html#enumerations)
    - [Method Descriptions](../../classes/class_surfacetool.html#method-descriptions)
  + [TCPServer](../../classes/class_tcpserver.html)
    - [Description](../../classes/class_tcpserver.html#description)
    - [Methods](../../classes/class_tcpserver.html#methods)
    - [Method Descriptions](../../classes/class_tcpserver.html#method-descriptions)
  + [TextLine](../../classes/class_textline.html)
    - [Description](../../classes/class_textline.html#description)
    - [Properties](../../classes/class_textline.html#properties)
    - [Methods](../../classes/class_textline.html#methods)
    - [Property Descriptions](../../classes/class_textline.html#property-descriptions)
    - [Method Descriptions](../../classes/class_textline.html#method-descriptions)
  + [TextParagraph](../../classes/class_textparagraph.html)
    - [Description](../../classes/class_textparagraph.html#description)
    - [Properties](../../classes/class_textparagraph.html#properties)
    - [Methods](../../classes/class_textparagraph.html#methods)
    - [Property Descriptions](../../classes/class_textparagraph.html#property-descriptions)
    - [Method Descriptions](../../classes/class_textparagraph.html#method-descriptions)
  + [TextServer](../../classes/class_textserver.html)
    - [Description](../../classes/class_textserver.html#description)
    - [Methods](../../classes/class_textserver.html#methods)
    - [Enumerations](../../classes/class_textserver.html#enumerations)
    - [Method Descriptions](../../classes/class_textserver.html#method-descriptions)
  + [TextServerAdvanced](../../classes/class_textserveradvanced.html)
    - [Description](../../classes/class_textserveradvanced.html#description)
  + [TextServerDummy](../../classes/class_textserverdummy.html)
    - [Description](../../classes/class_textserverdummy.html#description)
  + [TextServerExtension](../../classes/class_textserverextension.html)
    - [Description](../../classes/class_textserverextension.html#description)
    - [Methods](../../classes/class_textserverextension.html#methods)
    - [Method Descriptions](../../classes/class_textserverextension.html#method-descriptions)
  + [TextServerFallback](../../classes/class_textserverfallback.html)
    - [Description](../../classes/class_textserverfallback.html#description)
  + [TextServerManager](../../classes/class_textservermanager.html)
    - [Description](../../classes/class_textservermanager.html#description)
    - [Methods](../../classes/class_textservermanager.html#methods)
    - [Signals](../../classes/class_textservermanager.html#signals)
    - [Method Descriptions](../../classes/class_textservermanager.html#method-descriptions)
  + [ThemeDB](../../classes/class_themedb.html)
    - [Description](../../classes/class_themedb.html#description)
    - [Properties](../../classes/class_themedb.html#properties)
    - [Methods](../../classes/class_themedb.html#methods)
    - [Signals](../../classes/class_themedb.html#signals)
    - [Property Descriptions](../../classes/class_themedb.html#property-descriptions)
    - [Method Descriptions](../../classes/class_themedb.html#method-descriptions)
  + [Thread](../../classes/class_thread.html)
    - [Description](../../classes/class_thread.html#description)
    - [Tutorials](../../classes/class_thread.html#tutorials)
    - [Methods](../../classes/class_thread.html#methods)
    - [Enumerations](../../classes/class_thread.html#enumerations)
    - [Method Descriptions](../../classes/class_thread.html#method-descriptions)
  + [TileData](../../classes/class_tiledata.html)
    - [Description](../../classes/class_tiledata.html#description)
    - [Properties](../../classes/class_tiledata.html#properties)
    - [Methods](../../classes/class_tiledata.html#methods)
    - [Signals](../../classes/class_tiledata.html#signals)
    - [Property Descriptions](../../classes/class_tiledata.html#property-descriptions)
    - [Method Descriptions](../../classes/class_tiledata.html#method-descriptions)
  + [Time](../../classes/class_time.html)
    - [Description](../../classes/class_time.html#description)
    - [Methods](../../classes/class_time.html#methods)
    - [Enumerations](../../classes/class_time.html#enumerations)
    - [Method Descriptions](../../classes/class_time.html#method-descriptions)
  + [TLSOptions](../../classes/class_tlsoptions.html)
    - [Description](../../classes/class_tlsoptions.html#description)
    - [Methods](../../classes/class_tlsoptions.html#methods)
    - [Method Descriptions](../../classes/class_tlsoptions.html#method-descriptions)
  + [TranslationDomain](../../classes/class_translationdomain.html)
    - [Description](../../classes/class_translationdomain.html#description)
    - [Properties](../../classes/class_translationdomain.html#properties)
    - [Methods](../../classes/class_translationdomain.html#methods)
    - [Property Descriptions](../../classes/class_translationdomain.html#property-descriptions)
    - [Method Descriptions](../../classes/class_translationdomain.html#method-descriptions)
  + [TranslationServer](../../classes/class_translationserver.html)
    - [Description](../../classes/class_translationserver.html#description)
    - [Tutorials](../../classes/class_translationserver.html#tutorials)
    - [Properties](../../classes/class_translationserver.html#properties)
    - [Methods](../../classes/class_translationserver.html#methods)
    - [Property Descriptions](../../classes/class_translationserver.html#property-descriptions)
    - [Method Descriptions](../../classes/class_translationserver.html#method-descriptions)
  + [TreeItem](../../classes/class_treeitem.html)
    - [Description](../../classes/class_treeitem.html#description)
    - [Properties](../../classes/class_treeitem.html#properties)
    - [Methods](../../classes/class_treeitem.html#methods)
    - [Enumerations](../../classes/class_treeitem.html#enumerations)
    - [Property Descriptions](../../classes/class_treeitem.html#property-descriptions)
    - [Method Descriptions](../../classes/class_treeitem.html#method-descriptions)
  + [TriangleMesh](../../classes/class_trianglemesh.html)
    - [Description](../../classes/class_trianglemesh.html#description)
  + [Tween](../../classes/class_tween.html)
    - [Description](../../classes/class_tween.html#description)
    - [Methods](../../classes/class_tween.html#methods)
    - [Signals](../../classes/class_tween.html#signals)
    - [Enumerations](../../classes/class_tween.html#enumerations)
    - [Method Descriptions](../../classes/class_tween.html#method-descriptions)
  + [Tweener](../../classes/class_tweener.html)
    - [Description](../../classes/class_tweener.html#description)
    - [Signals](../../classes/class_tweener.html#signals)
  + [UDPServer](../../classes/class_udpserver.html)
    - [Description](../../classes/class_udpserver.html#description)
    - [Properties](../../classes/class_udpserver.html#properties)
    - [Methods](../../classes/class_udpserver.html#methods)
    - [Property Descriptions](../../classes/class_udpserver.html#property-descriptions)
    - [Method Descriptions](../../classes/class_udpserver.html#method-descriptions)
  + [UndoRedo](../../classes/class_undoredo.html)
    - [Description](../../classes/class_undoredo.html#description)
    - [Properties](../../classes/class_undoredo.html#properties)
    - [Methods](../../classes/class_undoredo.html#methods)
    - [Signals](../../classes/class_undoredo.html#signals)
    - [Enumerations](../../classes/class_undoredo.html#enumerations)
    - [Property Descriptions](../../classes/class_undoredo.html#property-descriptions)
    - [Method Descriptions](../../classes/class_undoredo.html#method-descriptions)
  + [UniformSetCacheRD](../../classes/class_uniformsetcacherd.html)
    - [Description](../../classes/class_uniformsetcacherd.html#description)
    - [Methods](../../classes/class_uniformsetcacherd.html#methods)
    - [Method Descriptions](../../classes/class_uniformsetcacherd.html#method-descriptions)
  + [UPNP](../../classes/class_upnp.html)
    - [Description](../../classes/class_upnp.html#description)
    - [Properties](../../classes/class_upnp.html#properties)
    - [Methods](../../classes/class_upnp.html#methods)
    - [Enumerations](../../classes/class_upnp.html#enumerations)
    - [Property Descriptions](../../classes/class_upnp.html#property-descriptions)
    - [Method Descriptions](../../classes/class_upnp.html#method-descriptions)
  + [UPNPDevice](../../classes/class_upnpdevice.html)
    - [Description](../../classes/class_upnpdevice.html#description)
    - [Properties](../../classes/class_upnpdevice.html#properties)
    - [Methods](../../classes/class_upnpdevice.html#methods)
    - [Enumerations](../../classes/class_upnpdevice.html#enumerations)
    - [Property Descriptions](../../classes/class_upnpdevice.html#property-descriptions)
    - [Method Descriptions](../../classes/class_upnpdevice.html#method-descriptions)
  + [WeakRef](../../classes/class_weakref.html)
    - [Description](../../classes/class_weakref.html#description)
    - [Methods](../../classes/class_weakref.html#methods)
    - [Method Descriptions](../../classes/class_weakref.html#method-descriptions)
  + [WebRTCDataChannel](../../classes/class_webrtcdatachannel.html)
    - [Properties](../../classes/class_webrtcdatachannel.html#properties)
    - [Methods](../../classes/class_webrtcdatachannel.html#methods)
    - [Enumerations](../../classes/class_webrtcdatachannel.html#enumerations)
    - [Property Descriptions](../../classes/class_webrtcdatachannel.html#property-descriptions)
    - [Method Descriptions](../../classes/class_webrtcdatachannel.html#method-descriptions)
  + [WebRTCDataChannelExtension](../../classes/class_webrtcdatachannelextension.html)
    - [Methods](../../classes/class_webrtcdatachannelextension.html#methods)
    - [Method Descriptions](../../classes/class_webrtcdatachannelextension.html#method-descriptions)
  + [WebRTCMultiplayerPeer](../../classes/class_webrtcmultiplayerpeer.html)
    - [Description](../../classes/class_webrtcmultiplayerpeer.html#description)
    - [Methods](../../classes/class_webrtcmultiplayerpeer.html#methods)
    - [Method Descriptions](../../classes/class_webrtcmultiplayerpeer.html#method-descriptions)
  + [WebRTCPeerConnection](../../classes/class_webrtcpeerconnection.html)
    - [Description](../../classes/class_webrtcpeerconnection.html#description)
    - [Methods](../../classes/class_webrtcpeerconnection.html#methods)
    - [Signals](../../classes/class_webrtcpeerconnection.html#signals)
    - [Enumerations](../../classes/class_webrtcpeerconnection.html#enumerations)
    - [Method Descriptions](../../classes/class_webrtcpeerconnection.html#method-descriptions)
  + [WebRTCPeerConnectionExtension](../../classes/class_webrtcpeerconnectionextension.html)
    - [Methods](../../classes/class_webrtcpeerconnectionextension.html#methods)
    - [Method Descriptions](../../classes/class_webrtcpeerconnectionextension.html#method-descriptions)
  + [WebSocketMultiplayerPeer](../../classes/class_websocketmultiplayerpeer.html)
    - [Description](../../classes/class_websocketmultiplayerpeer.html#description)
    - [Properties](../../classes/class_websocketmultiplayerpeer.html#properties)
    - [Methods](../../classes/class_websocketmultiplayerpeer.html#methods)
    - [Property Descriptions](../../classes/class_websocketmultiplayerpeer.html#property-descriptions)
    - [Method Descriptions](../../classes/class_websocketmultiplayerpeer.html#method-descriptions)
  + [WebSocketPeer](../../classes/class_websocketpeer.html)
    - [Description](../../classes/class_websocketpeer.html#description)
    - [Properties](../../classes/class_websocketpeer.html#properties)
    - [Methods](../../classes/class_websocketpeer.html#methods)
    - [Enumerations](../../classes/class_websocketpeer.html#enumerations)
    - [Property Descriptions](../../classes/class_websocketpeer.html#property-descriptions)
    - [Method Descriptions](../../classes/class_websocketpeer.html#method-descriptions)
  + [WebXRInterface](../../classes/class_webxrinterface.html)
    - [Description](../../classes/class_webxrinterface.html#description)
    - [Tutorials](../../classes/class_webxrinterface.html#tutorials)
    - [Properties](../../classes/class_webxrinterface.html#properties)
    - [Methods](../../classes/class_webxrinterface.html#methods)
    - [Signals](../../classes/class_webxrinterface.html#signals)
    - [Enumerations](../../classes/class_webxrinterface.html#enumerations)
    - [Property Descriptions](../../classes/class_webxrinterface.html#property-descriptions)
    - [Method Descriptions](../../classes/class_webxrinterface.html#method-descriptions)
  + [WorkerThreadPool](../../classes/class_workerthreadpool.html)
    - [Description](../../classes/class_workerthreadpool.html#description)
    - [Tutorials](../../classes/class_workerthreadpool.html#tutorials)
    - [Methods](../../classes/class_workerthreadpool.html#methods)
    - [Method Descriptions](../../classes/class_workerthreadpool.html#method-descriptions)
  + [XMLParser](../../classes/class_xmlparser.html)
    - [Description](../../classes/class_xmlparser.html#description)
    - [Methods](../../classes/class_xmlparser.html#methods)
    - [Enumerations](../../classes/class_xmlparser.html#enumerations)
    - [Method Descriptions](../../classes/class_xmlparser.html#method-descriptions)
  + [XRBodyTracker](../../classes/class_xrbodytracker.html)
    - [Description](../../classes/class_xrbodytracker.html#description)
    - [Tutorials](../../classes/class_xrbodytracker.html#tutorials)
    - [Properties](../../classes/class_xrbodytracker.html#properties)
    - [Methods](../../classes/class_xrbodytracker.html#methods)
    - [Enumerations](../../classes/class_xrbodytracker.html#enumerations)
    - [Property Descriptions](../../classes/class_xrbodytracker.html#property-descriptions)
    - [Method Descriptions](../../classes/class_xrbodytracker.html#method-descriptions)
  + [XRControllerTracker](../../classes/class_xrcontrollertracker.html)
    - [Description](../../classes/class_xrcontrollertracker.html#description)
    - [Tutorials](../../classes/class_xrcontrollertracker.html#tutorials)
    - [Properties](../../classes/class_xrcontrollertracker.html#properties)
  + [XRFaceTracker](../../classes/class_xrfacetracker.html)
    - [Description](../../classes/class_xrfacetracker.html#description)
    - [Tutorials](../../classes/class_xrfacetracker.html#tutorials)
    - [Properties](../../classes/class_xrfacetracker.html#properties)
    - [Methods](../../classes/class_xrfacetracker.html#methods)
    - [Enumerations](../../classes/class_xrfacetracker.html#enumerations)
    - [Property Descriptions](../../classes/class_xrfacetracker.html#property-descriptions)
    - [Method Descriptions](../../classes/class_xrfacetracker.html#method-descriptions)
  + [XRHandTracker](../../classes/class_xrhandtracker.html)
    - [Description](../../classes/class_xrhandtracker.html#description)
    - [Tutorials](../../classes/class_xrhandtracker.html#tutorials)
    - [Properties](../../classes/class_xrhandtracker.html#properties)
    - [Methods](../../classes/class_xrhandtracker.html#methods)
    - [Enumerations](../../classes/class_xrhandtracker.html#enumerations)
    - [Property Descriptions](../../classes/class_xrhandtracker.html#property-descriptions)
    - [Method Descriptions](../../classes/class_xrhandtracker.html#method-descriptions)
  + [XRInterface](../../classes/class_xrinterface.html)
    - [Description](../../classes/class_xrinterface.html#description)
    - [Tutorials](../../classes/class_xrinterface.html#tutorials)
    - [Properties](../../classes/class_xrinterface.html#properties)
    - [Methods](../../classes/class_xrinterface.html#methods)
    - [Signals](../../classes/class_xrinterface.html#signals)
    - [Enumerations](../../classes/class_xrinterface.html#enumerations)
    - [Property Descriptions](../../classes/class_xrinterface.html#property-descriptions)
    - [Method Descriptions](../../classes/class_xrinterface.html#method-descriptions)
  + [XRInterfaceExtension](../../classes/class_xrinterfaceextension.html)
    - [Description](../../classes/class_xrinterfaceextension.html#description)
    - [Tutorials](../../classes/class_xrinterfaceextension.html#tutorials)
    - [Methods](../../classes/class_xrinterfaceextension.html#methods)
    - [Method Descriptions](../../classes/class_xrinterfaceextension.html#method-descriptions)
  + [XRPose](../../classes/class_xrpose.html)
    - [Description](../../classes/class_xrpose.html#description)
    - [Tutorials](../../classes/class_xrpose.html#tutorials)
    - [Properties](../../classes/class_xrpose.html#properties)
    - [Methods](../../classes/class_xrpose.html#methods)
    - [Enumerations](../../classes/class_xrpose.html#enumerations)
    - [Property Descriptions](../../classes/class_xrpose.html#property-descriptions)
    - [Method Descriptions](../../classes/class_xrpose.html#method-descriptions)
  + [XRPositionalTracker](../../classes/class_xrpositionaltracker.html)
    - [Description](../../classes/class_xrpositionaltracker.html#description)
    - [Tutorials](../../classes/class_xrpositionaltracker.html#tutorials)
    - [Properties](../../classes/class_xrpositionaltracker.html#properties)
    - [Methods](../../classes/class_xrpositionaltracker.html#methods)
    - [Signals](../../classes/class_xrpositionaltracker.html#signals)
    - [Enumerations](../../classes/class_xrpositionaltracker.html#enumerations)
    - [Property Descriptions](../../classes/class_xrpositionaltracker.html#property-descriptions)
    - [Method Descriptions](../../classes/class_xrpositionaltracker.html#method-descriptions)
  + [XRServer](../../classes/class_xrserver.html)
    - [Description](../../classes/class_xrserver.html#description)
    - [Tutorials](../../classes/class_xrserver.html#tutorials)
    - [Properties](../../classes/class_xrserver.html#properties)
    - [Methods](../../classes/class_xrserver.html#methods)
    - [Signals](../../classes/class_xrserver.html#signals)
    - [Enumerations](../../classes/class_xrserver.html#enumerations)
    - [Property Descriptions](../../classes/class_xrserver.html#property-descriptions)
    - [Method Descriptions](../../classes/class_xrserver.html#method-descriptions)
  + [XRTracker](../../classes/class_xrtracker.html)
    - [Description](../../classes/class_xrtracker.html#description)
    - [Tutorials](../../classes/class_xrtracker.html#tutorials)
    - [Properties](../../classes/class_xrtracker.html#properties)
    - [Property Descriptions](../../classes/class_xrtracker.html#property-descriptions)
  + [XRVRS](../../classes/class_xrvrs.html)
    - [Description](../../classes/class_xrvrs.html#description)
    - [Properties](../../classes/class_xrvrs.html#properties)
    - [Methods](../../classes/class_xrvrs.html#methods)
    - [Property Descriptions](../../classes/class_xrvrs.html#property-descriptions)
    - [Method Descriptions](../../classes/class_xrvrs.html#method-descriptions)
  + [ZIPPacker](../../classes/class_zippacker.html)
    - [Description](../../classes/class_zippacker.html#description)
    - [Methods](../../classes/class_zippacker.html#methods)
    - [Enumerations](../../classes/class_zippacker.html#enumerations)
    - [Method Descriptions](../../classes/class_zippacker.html#method-descriptions)
  + [ZIPReader](../../classes/class_zipreader.html)
    - [Description](../../classes/class_zipreader.html#description)
    - [Methods](../../classes/class_zipreader.html#methods)
    - [Method Descriptions](../../classes/class_zipreader.html#method-descriptions)
* [Editor-only](../../classes/index.html#editor-only)
  + [EditorCommandPalette](../../classes/class_editorcommandpalette.html)
    - [Description](../../classes/class_editorcommandpalette.html#description)
    - [Properties](../../classes/class_editorcommandpalette.html#properties)
    - [Methods](../../classes/class_editorcommandpalette.html#methods)
    - [Method Descriptions](../../classes/class_editorcommandpalette.html#method-descriptions)
  + [EditorContextMenuPlugin](../../classes/class_editorcontextmenuplugin.html)
    - [Description](../../classes/class_editorcontextmenuplugin.html#description)
    - [Methods](../../classes/class_editorcontextmenuplugin.html#methods)
    - [Enumerations](../../classes/class_editorcontextmenuplugin.html#enumerations)
    - [Method Descriptions](../../classes/class_editorcontextmenuplugin.html#method-descriptions)
  + [EditorDebuggerPlugin](../../classes/class_editordebuggerplugin.html)
    - [Description](../../classes/class_editordebuggerplugin.html#description)
    - [Methods](../../classes/class_editordebuggerplugin.html#methods)
    - [Method Descriptions](../../classes/class_editordebuggerplugin.html#method-descriptions)
  + [EditorDebuggerSession](../../classes/class_editordebuggersession.html)
    - [Description](../../classes/class_editordebuggersession.html#description)
    - [Methods](../../classes/class_editordebuggersession.html#methods)
    - [Signals](../../classes/class_editordebuggersession.html#signals)
    - [Method Descriptions](../../classes/class_editordebuggersession.html#method-descriptions)
  + [EditorExportPlatform](../../classes/class_editorexportplatform.html)
    - [Description](../../classes/class_editorexportplatform.html#description)
    - [Tutorials](../../classes/class_editorexportplatform.html#tutorials)
    - [Methods](../../classes/class_editorexportplatform.html#methods)
    - [Enumerations](../../classes/class_editorexportplatform.html#enumerations)
    - [Method Descriptions](../../classes/class_editorexportplatform.html#method-descriptions)
  + [EditorExportPlatformAndroid](../../classes/class_editorexportplatformandroid.html)
    - [Tutorials](../../classes/class_editorexportplatformandroid.html#tutorials)
    - [Properties](../../classes/class_editorexportplatformandroid.html#properties)
    - [Property Descriptions](../../classes/class_editorexportplatformandroid.html#property-descriptions)
  + [EditorExportPlatformExtension](../../classes/class_editorexportplatformextension.html)
    - [Description](../../classes/class_editorexportplatformextension.html#description)
    - [Methods](../../classes/class_editorexportplatformextension.html#methods)
    - [Method Descriptions](../../classes/class_editorexportplatformextension.html#method-descriptions)
  + [EditorExportPlatformIOS](../../classes/class_editorexportplatformios.html)
    - [Tutorials](../../classes/class_editorexportplatformios.html#tutorials)
    - [Properties](../../classes/class_editorexportplatformios.html#properties)
    - [Property Descriptions](../../classes/class_editorexportplatformios.html#property-descriptions)
  + [EditorExportPlatformLinuxBSD](../../classes/class_editorexportplatformlinuxbsd.html)
    - [Tutorials](../../classes/class_editorexportplatformlinuxbsd.html#tutorials)
    - [Properties](../../classes/class_editorexportplatformlinuxbsd.html#properties)
    - [Property Descriptions](../../classes/class_editorexportplatformlinuxbsd.html#property-descriptions)
  + [EditorExportPlatformMacOS](../../classes/class_editorexportplatformmacos.html)
    - [Tutorials](../../classes/class_editorexportplatformmacos.html#tutorials)
    - [Properties](../../classes/class_editorexportplatformmacos.html#properties)
    - [Property Descriptions](../../classes/class_editorexportplatformmacos.html#property-descriptions)
  + [EditorExportPlatformPC](../../classes/class_editorexportplatformpc.html)
    - [Description](../../classes/class_editorexportplatformpc.html#description)
    - [Tutorials](../../classes/class_editorexportplatformpc.html#tutorials)
  + [EditorExportPlatformWeb](../../classes/class_editorexportplatformweb.html)
    - [Description](../../classes/class_editorexportplatformweb.html#description)
    - [Tutorials](../../classes/class_editorexportplatformweb.html#tutorials)
    - [Properties](../../classes/class_editorexportplatformweb.html#properties)
    - [Property Descriptions](../../classes/class_editorexportplatformweb.html#property-descriptions)
  + [EditorExportPlatformWindows](../../classes/class_editorexportplatformwindows.html)
    - [Description](../../classes/class_editorexportplatformwindows.html#description)
    - [Tutorials](../../classes/class_editorexportplatformwindows.html#tutorials)
    - [Properties](../../classes/class_editorexportplatformwindows.html#properties)
    - [Property Descriptions](../../classes/class_editorexportplatformwindows.html#property-descriptions)
  + [EditorExportPlugin](../../classes/class_editorexportplugin.html)
    - [Description](../../classes/class_editorexportplugin.html#description)
    - [Tutorials](../../classes/class_editorexportplugin.html#tutorials)
    - [Methods](../../classes/class_editorexportplugin.html#methods)
    - [Method Descriptions](../../classes/class_editorexportplugin.html#method-descriptions)
  + [EditorExportPreset](../../classes/class_editorexportpreset.html)
    - [Description](../../classes/class_editorexportpreset.html#description)
    - [Methods](../../classes/class_editorexportpreset.html#methods)
    - [Enumerations](../../classes/class_editorexportpreset.html#enumerations)
    - [Method Descriptions](../../classes/class_editorexportpreset.html#method-descriptions)
  + [EditorFeatureProfile](../../classes/class_editorfeatureprofile.html)
    - [Description](../../classes/class_editorfeatureprofile.html#description)
    - [Methods](../../classes/class_editorfeatureprofile.html#methods)
    - [Enumerations](../../classes/class_editorfeatureprofile.html#enumerations)
    - [Method Descriptions](../../classes/class_editorfeatureprofile.html#method-descriptions)
  + [EditorFileDialog](../../classes/class_editorfiledialog.html)
    - [Description](../../classes/class_editorfiledialog.html#description)
    - [Properties](../../classes/class_editorfiledialog.html#properties)
    - [Methods](../../classes/class_editorfiledialog.html#methods)
    - [Signals](../../classes/class_editorfiledialog.html#signals)
    - [Enumerations](../../classes/class_editorfiledialog.html#enumerations)
    - [Property Descriptions](../../classes/class_editorfiledialog.html#property-descriptions)
    - [Method Descriptions](../../classes/class_editorfiledialog.html#method-descriptions)
  + [EditorFileSystem](../../classes/class_editorfilesystem.html)
    - [Description](../../classes/class_editorfilesystem.html#description)
    - [Methods](../../classes/class_editorfilesystem.html#methods)
    - [Signals](../../classes/class_editorfilesystem.html#signals)
    - [Method Descriptions](../../classes/class_editorfilesystem.html#method-descriptions)
  + [EditorFileSystemDirectory](../../classes/class_editorfilesystemdirectory.html)
    - [Description](../../classes/class_editorfilesystemdirectory.html#description)
    - [Methods](../../classes/class_editorfilesystemdirectory.html#methods)
    - [Method Descriptions](../../classes/class_editorfilesystemdirectory.html#method-descriptions)
  + [EditorFileSystemImportFormatSupportQuery](../../classes/class_editorfilesystemimportformatsupportquery.html)
    - [Description](../../classes/class_editorfilesystemimportformatsupportquery.html#description)
    - [Methods](../../classes/class_editorfilesystemimportformatsupportquery.html#methods)
    - [Method Descriptions](../../classes/class_editorfilesystemimportformatsupportquery.html#method-descriptions)
  + [EditorImportPlugin](../../classes/class_editorimportplugin.html)
    - [Description](../../classes/class_editorimportplugin.html#description)
    - [Tutorials](../../classes/class_editorimportplugin.html#tutorials)
    - [Methods](../../classes/class_editorimportplugin.html#methods)
    - [Method Descriptions](../../classes/class_editorimportplugin.html#method-descriptions)
  + [EditorInspector](../../classes/class_editorinspector.html)
    - [Description](../../classes/class_editorinspector.html#description)
    - [Properties](../../classes/class_editorinspector.html#properties)
    - [Methods](../../classes/class_editorinspector.html#methods)
    - [Signals](../../classes/class_editorinspector.html#signals)
    - [Method Descriptions](../../classes/class_editorinspector.html#method-descriptions)
  + [EditorInspectorPlugin](../../classes/class_editorinspectorplugin.html)
    - [Description](../../classes/class_editorinspectorplugin.html#description)
    - [Tutorials](../../classes/class_editorinspectorplugin.html#tutorials)
    - [Methods](../../classes/class_editorinspectorplugin.html#methods)
    - [Method Descriptions](../../classes/class_editorinspectorplugin.html#method-descriptions)
  + [EditorInterface](../../classes/class_editorinterface.html)
    - [Description](../../classes/class_editorinterface.html#description)
    - [Properties](../../classes/class_editorinterface.html#properties)
    - [Methods](../../classes/class_editorinterface.html#methods)
    - [Property Descriptions](../../classes/class_editorinterface.html#property-descriptions)
    - [Method Descriptions](../../classes/class_editorinterface.html#method-descriptions)
  + [EditorNode3DGizmo](../../classes/class_editornode3dgizmo.html)
    - [Description](../../classes/class_editornode3dgizmo.html#description)
    - [Methods](../../classes/class_editornode3dgizmo.html#methods)
    - [Method Descriptions](../../classes/class_editornode3dgizmo.html#method-descriptions)
  + [EditorNode3DGizmoPlugin](../../classes/class_editornode3dgizmoplugin.html)
    - [Description](../../classes/class_editornode3dgizmoplugin.html#description)
    - [Tutorials](../../classes/class_editornode3dgizmoplugin.html#tutorials)
    - [Methods](../../classes/class_editornode3dgizmoplugin.html#methods)
    - [Method Descriptions](../../classes/class_editornode3dgizmoplugin.html#method-descriptions)
  + [EditorPaths](../../classes/class_editorpaths.html)
    - [Description](../../classes/class_editorpaths.html#description)
    - [Tutorials](../../classes/class_editorpaths.html#tutorials)
    - [Methods](../../classes/class_editorpaths.html#methods)
    - [Method Descriptions](../../classes/class_editorpaths.html#method-descriptions)
  + [EditorPlugin](../../classes/class_editorplugin.html)
    - [Description](../../classes/class_editorplugin.html#description)
    - [Tutorials](../../classes/class_editorplugin.html#tutorials)
    - [Methods](../../classes/class_editorplugin.html#methods)
    - [Signals](../../classes/class_editorplugin.html#signals)
    - [Enumerations](../../classes/class_editorplugin.html#enumerations)
    - [Method Descriptions](../../classes/class_editorplugin.html#method-descriptions)
  + [EditorProperty](../../classes/class_editorproperty.html)
    - [Description](../../classes/class_editorproperty.html#description)
    - [Properties](../../classes/class_editorproperty.html#properties)
    - [Methods](../../classes/class_editorproperty.html#methods)
    - [Signals](../../classes/class_editorproperty.html#signals)
    - [Property Descriptions](../../classes/class_editorproperty.html#property-descriptions)
    - [Method Descriptions](../../classes/class_editorproperty.html#method-descriptions)
  + [EditorResourceConversionPlugin](../../classes/class_editorresourceconversionplugin.html)
    - [Description](../../classes/class_editorresourceconversionplugin.html#description)
    - [Methods](../../classes/class_editorresourceconversionplugin.html#methods)
    - [Method Descriptions](../../classes/class_editorresourceconversionplugin.html#method-descriptions)
  + [EditorResourcePicker](../../classes/class_editorresourcepicker.html)
    - [Description](../../classes/class_editorresourcepicker.html#description)
    - [Properties](../../classes/class_editorresourcepicker.html#properties)
    - [Methods](../../classes/class_editorresourcepicker.html#methods)
    - [Signals](../../classes/class_editorresourcepicker.html#signals)
    - [Property Descriptions](../../classes/class_editorresourcepicker.html#property-descriptions)
    - [Method Descriptions](../../classes/class_editorresourcepicker.html#method-descriptions)
  + [EditorResourcePreview](../../classes/class_editorresourcepreview.html)
    - [Description](../../classes/class_editorresourcepreview.html#description)
    - [Methods](../../classes/class_editorresourcepreview.html#methods)
    - [Signals](../../classes/class_editorresourcepreview.html#signals)
    - [Method Descriptions](../../classes/class_editorresourcepreview.html#method-descriptions)
  + [EditorResourcePreviewGenerator](../../classes/class_editorresourcepreviewgenerator.html)
    - [Description](../../classes/class_editorresourcepreviewgenerator.html#description)
    - [Methods](../../classes/class_editorresourcepreviewgenerator.html#methods)
    - [Method Descriptions](../../classes/class_editorresourcepreviewgenerator.html#method-descriptions)
  + [EditorResourceTooltipPlugin](../../classes/class_editorresourcetooltipplugin.html)
    - [Description](../../classes/class_editorresourcetooltipplugin.html#description)
    - [Methods](../../classes/class_editorresourcetooltipplugin.html#methods)
    - [Method Descriptions](../../classes/class_editorresourcetooltipplugin.html#method-descriptions)
  + [EditorSceneFormatImporter](../../classes/class_editorsceneformatimporter.html)
    - [Description](../../classes/class_editorsceneformatimporter.html#description)
    - [Methods](../../classes/class_editorsceneformatimporter.html#methods)
    - [Constants](../../classes/class_editorsceneformatimporter.html#constants)
    - [Method Descriptions](../../classes/class_editorsceneformatimporter.html#method-descriptions)
  + [EditorSceneFormatImporterBlend](../../classes/class_editorsceneformatimporterblend.html)
    - [Description](../../classes/class_editorsceneformatimporterblend.html#description)
  + [EditorSceneFormatImporterFBX2GLTF](../../classes/class_editorsceneformatimporterfbx2gltf.html)
    - [Description](../../classes/class_editorsceneformatimporterfbx2gltf.html#description)
  + [EditorSceneFormatImporterGLTF](../../classes/class_editorsceneformatimportergltf.html)
  + [EditorSceneFormatImporterUFBX](../../classes/class_editorsceneformatimporterufbx.html)
    - [Description](../../classes/class_editorsceneformatimporterufbx.html#description)
  + [EditorScenePostImport](../../classes/class_editorscenepostimport.html)
    - [Description](../../classes/class_editorscenepostimport.html#description)
    - [Tutorials](../../classes/class_editorscenepostimport.html#tutorials)
    - [Methods](../../classes/class_editorscenepostimport.html#methods)
    - [Method Descriptions](../../classes/class_editorscenepostimport.html#method-descriptions)
  + [EditorScenePostImportPlugin](../../classes/class_editorscenepostimportplugin.html)
    - [Description](../../classes/class_editorscenepostimportplugin.html#description)
    - [Methods](../../classes/class_editorscenepostimportplugin.html#methods)
    - [Enumerations](../../classes/class_editorscenepostimportplugin.html#enumerations)
    - [Method Descriptions](../../classes/class_editorscenepostimportplugin.html#method-descriptions)
  + [EditorScript](../../classes/class_editorscript.html)
    - [Description](../../classes/class_editorscript.html#description)
    - [Methods](../../classes/class_editorscript.html#methods)
    - [Method Descriptions](../../classes/class_editorscript.html#method-descriptions)
  + [EditorScriptPicker](../../classes/class_editorscriptpicker.html)
    - [Description](../../classes/class_editorscriptpicker.html#description)
    - [Properties](../../classes/class_editorscriptpicker.html#properties)
    - [Property Descriptions](../../classes/class_editorscriptpicker.html#property-descriptions)
  + [EditorSelection](../../classes/class_editorselection.html)
    - [Description](../../classes/class_editorselection.html#description)
    - [Methods](../../classes/class_editorselection.html#methods)
    - [Signals](../../classes/class_editorselection.html#signals)
    - [Method Descriptions](../../classes/class_editorselection.html#method-descriptions)
  + [EditorSettings](../../classes/class_editorsettings.html)
    - [Description](../../classes/class_editorsettings.html#description)
    - [Properties](../../classes/class_editorsettings.html#properties)
    - [Methods](../../classes/class_editorsettings.html#methods)
    - [Signals](../../classes/class_editorsettings.html#signals)
    - [Constants](../../classes/class_editorsettings.html#constants)
    - [Property Descriptions](../../classes/class_editorsettings.html#property-descriptions)
    - [Method Descriptions](../../classes/class_editorsettings.html#method-descriptions)
  + [EditorSpinSlider](../../classes/class_editorspinslider.html)
    - [Description](../../classes/class_editorspinslider.html#description)
    - [Properties](../../classes/class_editorspinslider.html#properties)
    - [Theme Properties](../../classes/class_editorspinslider.html#theme-properties)
    - [Signals](../../classes/class_editorspinslider.html#signals)
    - [Property Descriptions](../../classes/class_editorspinslider.html#property-descriptions)
    - [Theme Property Descriptions](../../classes/class_editorspinslider.html#theme-property-descriptions)
  + [EditorSyntaxHighlighter](../../classes/class_editorsyntaxhighlighter.html)
    - [Description](../../classes/class_editorsyntaxhighlighter.html#description)
    - [Methods](../../classes/class_editorsyntaxhighlighter.html#methods)
    - [Method Descriptions](../../classes/class_editorsyntaxhighlighter.html#method-descriptions)
  + [EditorToaster](../../classes/class_editortoaster.html)
    - [Description](../../classes/class_editortoaster.html#description)
    - [Methods](../../classes/class_editortoaster.html#methods)
    - [Enumerations](../../classes/class_editortoaster.html#enumerations)
    - [Method Descriptions](../../classes/class_editortoaster.html#method-descriptions)
  + [EditorTranslationParserPlugin](../../classes/class_editortranslationparserplugin.html)
    - [Description](../../classes/class_editortranslationparserplugin.html#description)
    - [Methods](../../classes/class_editortranslationparserplugin.html#methods)
    - [Method Descriptions](../../classes/class_editortranslationparserplugin.html#method-descriptions)
  + [EditorUndoRedoManager](../../classes/class_editorundoredomanager.html)
    - [Description](../../classes/class_editorundoredomanager.html#description)
    - [Methods](../../classes/class_editorundoredomanager.html#methods)
    - [Signals](../../classes/class_editorundoredomanager.html#signals)
    - [Enumerations](../../classes/class_editorundoredomanager.html#enumerations)
    - [Method Descriptions](../../classes/class_editorundoredomanager.html#method-descriptions)
  + [EditorVCSInterface](../../classes/class_editorvcsinterface.html)
    - [Description](../../classes/class_editorvcsinterface.html#description)
    - [Tutorials](../../classes/class_editorvcsinterface.html#tutorials)
    - [Methods](../../classes/class_editorvcsinterface.html#methods)
    - [Enumerations](../../classes/class_editorvcsinterface.html#enumerations)
    - [Method Descriptions](../../classes/class_editorvcsinterface.html#method-descriptions)
  + [FileSystemDock](../../classes/class_filesystemdock.html)
    - [Description](../../classes/class_filesystemdock.html#description)
    - [Methods](../../classes/class_filesystemdock.html#methods)
    - [Signals](../../classes/class_filesystemdock.html#signals)
    - [Method Descriptions](../../classes/class_filesystemdock.html#method-descriptions)
  + [ScriptCreateDialog](../../classes/class_scriptcreatedialog.html)
    - [Description](../../classes/class_scriptcreatedialog.html#description)
    - [Properties](../../classes/class_scriptcreatedialog.html#properties)
    - [Methods](../../classes/class_scriptcreatedialog.html#methods)
    - [Signals](../../classes/class_scriptcreatedialog.html#signals)
    - [Method Descriptions](../../classes/class_scriptcreatedialog.html#method-descriptions)
  + [ScriptEditor](../../classes/class_scripteditor.html)
    - [Description](../../classes/class_scripteditor.html#description)
    - [Methods](../../classes/class_scripteditor.html#methods)
    - [Signals](../../classes/class_scripteditor.html#signals)
    - [Method Descriptions](../../classes/class_scripteditor.html#method-descriptions)
  + [ScriptEditorBase](../../classes/class_scripteditorbase.html)
    - [Description](../../classes/class_scripteditorbase.html#description)
    - [Methods](../../classes/class_scripteditorbase.html#methods)
    - [Signals](../../classes/class_scripteditorbase.html#signals)
    - [Method Descriptions](../../classes/class_scripteditorbase.html#method-descriptions)
* [Variant types](../../classes/index.html#variant-types)
  + [Variant](../../classes/class_variant.html)
    - [Description](../../classes/class_variant.html#description)
    - [Tutorials](../../classes/class_variant.html#tutorials)
  + [AABB](../../classes/class_aabb.html)
    - [Description](../../classes/class_aabb.html#description)
    - [Tutorials](../../classes/class_aabb.html#tutorials)
    - [Properties](../../classes/class_aabb.html#properties)
    - [Constructors](../../classes/class_aabb.html#constructors)
    - [Methods](../../classes/class_aabb.html#methods)
    - [Operators](../../classes/class_aabb.html#operators)
    - [Property Descriptions](../../classes/class_aabb.html#property-descriptions)
    - [Constructor Descriptions](../../classes/class_aabb.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_aabb.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_aabb.html#operator-descriptions)
  + [Array](../../classes/class_array.html)
    - [Description](../../classes/class_array.html#description)
    - [Constructors](../../classes/class_array.html#constructors)
    - [Methods](../../classes/class_array.html#methods)
    - [Operators](../../classes/class_array.html#operators)
    - [Constructor Descriptions](../../classes/class_array.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_array.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_array.html#operator-descriptions)
  + [Basis](../../classes/class_basis.html)
    - [Description](../../classes/class_basis.html#description)
    - [Tutorials](../../classes/class_basis.html#tutorials)
    - [Properties](../../classes/class_basis.html#properties)
    - [Constructors](../../classes/class_basis.html#constructors)
    - [Methods](../../classes/class_basis.html#methods)
    - [Operators](../../classes/class_basis.html#operators)
    - [Constants](../../classes/class_basis.html#constants)
    - [Property Descriptions](../../classes/class_basis.html#property-descriptions)
    - [Constructor Descriptions](../../classes/class_basis.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_basis.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_basis.html#operator-descriptions)
  + [bool](../../classes/class_bool.html)
    - [Description](../../classes/class_bool.html#description)
    - [Constructors](../../classes/class_bool.html#constructors)
    - [Operators](../../classes/class_bool.html#operators)
    - [Constructor Descriptions](../../classes/class_bool.html#constructor-descriptions)
    - [Operator Descriptions](../../classes/class_bool.html#operator-descriptions)
  + [Callable](../../classes/class_callable.html)
    - [Description](../../classes/class_callable.html#description)
    - [Constructors](../../classes/class_callable.html#constructors)
    - [Methods](../../classes/class_callable.html#methods)
    - [Operators](../../classes/class_callable.html#operators)
    - [Constructor Descriptions](../../classes/class_callable.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_callable.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_callable.html#operator-descriptions)
  + [Color](../../classes/class_color.html)
    - [Description](../../classes/class_color.html#description)
    - [Tutorials](../../classes/class_color.html#tutorials)
    - [Properties](../../classes/class_color.html#properties)
    - [Constructors](../../classes/class_color.html#constructors)
    - [Methods](../../classes/class_color.html#methods)
    - [Operators](../../classes/class_color.html#operators)
    - [Constants](../../classes/class_color.html#constants)
    - [Property Descriptions](../../classes/class_color.html#property-descriptions)
    - [Constructor Descriptions](../../classes/class_color.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_color.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_color.html#operator-descriptions)
  + [Dictionary](../../classes/class_dictionary.html)
    - [Description](../../classes/class_dictionary.html#description)
    - [Tutorials](../../classes/class_dictionary.html#tutorials)
    - [Constructors](../../classes/class_dictionary.html#constructors)
    - [Methods](../../classes/class_dictionary.html#methods)
    - [Operators](../../classes/class_dictionary.html#operators)
    - [Constructor Descriptions](../../classes/class_dictionary.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_dictionary.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_dictionary.html#operator-descriptions)
  + [float](../../classes/class_float.html)
    - [Description](../../classes/class_float.html#description)
    - [Tutorials](../../classes/class_float.html#tutorials)
    - [Constructors](../../classes/class_float.html#constructors)
    - [Operators](../../classes/class_float.html#operators)
    - [Constructor Descriptions](../../classes/class_float.html#constructor-descriptions)
    - [Operator Descriptions](../../classes/class_float.html#operator-descriptions)
  + [int](../../classes/class_int.html)
    - [Description](../../classes/class_int.html#description)
    - [Constructors](../../classes/class_int.html#constructors)
    - [Operators](../../classes/class_int.html#operators)
    - [Constructor Descriptions](../../classes/class_int.html#constructor-descriptions)
    - [Operator Descriptions](../../classes/class_int.html#operator-descriptions)
  + [NodePath](../../classes/class_nodepath.html)
    - [Description](../../classes/class_nodepath.html#description)
    - [Tutorials](../../classes/class_nodepath.html#tutorials)
    - [Constructors](../../classes/class_nodepath.html#constructors)
    - [Methods](../../classes/class_nodepath.html#methods)
    - [Operators](../../classes/class_nodepath.html#operators)
    - [Constructor Descriptions](../../classes/class_nodepath.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_nodepath.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_nodepath.html#operator-descriptions)
  + [Object](../../classes/class_object.html)
    - [Description](../../classes/class_object.html#description)
    - [Tutorials](../../classes/class_object.html#tutorials)
    - [Methods](../../classes/class_object.html#methods)
    - [Signals](../../classes/class_object.html#signals)
    - [Enumerations](../../classes/class_object.html#enumerations)
    - [Constants](../../classes/class_object.html#constants)
    - [Method Descriptions](../../classes/class_object.html#method-descriptions)
  + [PackedByteArray](../../classes/class_packedbytearray.html)
    - [Description](../../classes/class_packedbytearray.html#description)
    - [Constructors](../../classes/class_packedbytearray.html#constructors)
    - [Methods](../../classes/class_packedbytearray.html#methods)
    - [Operators](../../classes/class_packedbytearray.html#operators)
    - [Constructor Descriptions](../../classes/class_packedbytearray.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_packedbytearray.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_packedbytearray.html#operator-descriptions)
  + [PackedColorArray](../../classes/class_packedcolorarray.html)
    - [Description](../../classes/class_packedcolorarray.html#description)
    - [Constructors](../../classes/class_packedcolorarray.html#constructors)
    - [Methods](../../classes/class_packedcolorarray.html#methods)
    - [Operators](../../classes/class_packedcolorarray.html#operators)
    - [Constructor Descriptions](../../classes/class_packedcolorarray.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_packedcolorarray.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_packedcolorarray.html#operator-descriptions)
  + [PackedFloat32Array](../../classes/class_packedfloat32array.html)
    - [Description](../../classes/class_packedfloat32array.html#description)
    - [Constructors](../../classes/class_packedfloat32array.html#constructors)
    - [Methods](../../classes/class_packedfloat32array.html#methods)
    - [Operators](../../classes/class_packedfloat32array.html#operators)
    - [Constructor Descriptions](../../classes/class_packedfloat32array.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_packedfloat32array.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_packedfloat32array.html#operator-descriptions)
  + [PackedFloat64Array](../../classes/class_packedfloat64array.html)
    - [Description](../../classes/class_packedfloat64array.html#description)
    - [Constructors](../../classes/class_packedfloat64array.html#constructors)
    - [Methods](../../classes/class_packedfloat64array.html#methods)
    - [Operators](../../classes/class_packedfloat64array.html#operators)
    - [Constructor Descriptions](../../classes/class_packedfloat64array.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_packedfloat64array.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_packedfloat64array.html#operator-descriptions)
  + [PackedInt32Array](../../classes/class_packedint32array.html)
    - [Description](../../classes/class_packedint32array.html#description)
    - [Constructors](../../classes/class_packedint32array.html#constructors)
    - [Methods](../../classes/class_packedint32array.html#methods)
    - [Operators](../../classes/class_packedint32array.html#operators)
    - [Constructor Descriptions](../../classes/class_packedint32array.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_packedint32array.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_packedint32array.html#operator-descriptions)
  + [PackedInt64Array](../../classes/class_packedint64array.html)
    - [Description](../../classes/class_packedint64array.html#description)
    - [Constructors](../../classes/class_packedint64array.html#constructors)
    - [Methods](../../classes/class_packedint64array.html#methods)
    - [Operators](../../classes/class_packedint64array.html#operators)
    - [Constructor Descriptions](../../classes/class_packedint64array.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_packedint64array.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_packedint64array.html#operator-descriptions)
  + [PackedStringArray](../../classes/class_packedstringarray.html)
    - [Description](../../classes/class_packedstringarray.html#description)
    - [Tutorials](../../classes/class_packedstringarray.html#tutorials)
    - [Constructors](../../classes/class_packedstringarray.html#constructors)
    - [Methods](../../classes/class_packedstringarray.html#methods)
    - [Operators](../../classes/class_packedstringarray.html#operators)
    - [Constructor Descriptions](../../classes/class_packedstringarray.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_packedstringarray.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_packedstringarray.html#operator-descriptions)
  + [PackedVector2Array](../../classes/class_packedvector2array.html)
    - [Description](../../classes/class_packedvector2array.html#description)
    - [Tutorials](../../classes/class_packedvector2array.html#tutorials)
    - [Constructors](../../classes/class_packedvector2array.html#constructors)
    - [Methods](../../classes/class_packedvector2array.html#methods)
    - [Operators](../../classes/class_packedvector2array.html#operators)
    - [Constructor Descriptions](../../classes/class_packedvector2array.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_packedvector2array.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_packedvector2array.html#operator-descriptions)
  + [PackedVector3Array](../../classes/class_packedvector3array.html)
    - [Description](../../classes/class_packedvector3array.html#description)
    - [Constructors](../../classes/class_packedvector3array.html#constructors)
    - [Methods](../../classes/class_packedvector3array.html#methods)
    - [Operators](../../classes/class_packedvector3array.html#operators)
    - [Constructor Descriptions](../../classes/class_packedvector3array.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_packedvector3array.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_packedvector3array.html#operator-descriptions)
  + [PackedVector4Array](../../classes/class_packedvector4array.html)
    - [Description](../../classes/class_packedvector4array.html#description)
    - [Constructors](../../classes/class_packedvector4array.html#constructors)
    - [Methods](../../classes/class_packedvector4array.html#methods)
    - [Operators](../../classes/class_packedvector4array.html#operators)
    - [Constructor Descriptions](../../classes/class_packedvector4array.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_packedvector4array.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_packedvector4array.html#operator-descriptions)
  + [Plane](../../classes/class_plane.html)
    - [Description](../../classes/class_plane.html#description)
    - [Tutorials](../../classes/class_plane.html#tutorials)
    - [Properties](../../classes/class_plane.html#properties)
    - [Constructors](../../classes/class_plane.html#constructors)
    - [Methods](../../classes/class_plane.html#methods)
    - [Operators](../../classes/class_plane.html#operators)
    - [Constants](../../classes/class_plane.html#constants)
    - [Property Descriptions](../../classes/class_plane.html#property-descriptions)
    - [Constructor Descriptions](../../classes/class_plane.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_plane.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_plane.html#operator-descriptions)
  + [Projection](../../classes/class_projection.html)
    - [Description](../../classes/class_projection.html#description)
    - [Properties](../../classes/class_projection.html#properties)
    - [Constructors](../../classes/class_projection.html#constructors)
    - [Methods](../../classes/class_projection.html#methods)
    - [Operators](../../classes/class_projection.html#operators)
    - [Enumerations](../../classes/class_projection.html#enumerations)
    - [Constants](../../classes/class_projection.html#constants)
    - [Property Descriptions](../../classes/class_projection.html#property-descriptions)
    - [Constructor Descriptions](../../classes/class_projection.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_projection.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_projection.html#operator-descriptions)
  + [Quaternion](../../classes/class_quaternion.html)
    - [Description](../../classes/class_quaternion.html#description)
    - [Tutorials](../../classes/class_quaternion.html#tutorials)
    - [Properties](../../classes/class_quaternion.html#properties)
    - [Constructors](../../classes/class_quaternion.html#constructors)
    - [Methods](../../classes/class_quaternion.html#methods)
    - [Operators](../../classes/class_quaternion.html#operators)
    - [Constants](../../classes/class_quaternion.html#constants)
    - [Property Descriptions](../../classes/class_quaternion.html#property-descriptions)
    - [Constructor Descriptions](../../classes/class_quaternion.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_quaternion.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_quaternion.html#operator-descriptions)
  + [Rect2](../../classes/class_rect2.html)
    - [Description](../../classes/class_rect2.html#description)
    - [Tutorials](../../classes/class_rect2.html#tutorials)
    - [Properties](../../classes/class_rect2.html#properties)
    - [Constructors](../../classes/class_rect2.html#constructors)
    - [Methods](../../classes/class_rect2.html#methods)
    - [Operators](../../classes/class_rect2.html#operators)
    - [Property Descriptions](../../classes/class_rect2.html#property-descriptions)
    - [Constructor Descriptions](../../classes/class_rect2.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_rect2.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_rect2.html#operator-descriptions)
  + [Rect2i](../../classes/class_rect2i.html)
    - [Description](../../classes/class_rect2i.html#description)
    - [Tutorials](../../classes/class_rect2i.html#tutorials)
    - [Properties](../../classes/class_rect2i.html#properties)
    - [Constructors](../../classes/class_rect2i.html#constructors)
    - [Methods](../../classes/class_rect2i.html#methods)
    - [Operators](../../classes/class_rect2i.html#operators)
    - [Property Descriptions](../../classes/class_rect2i.html#property-descriptions)
    - [Constructor Descriptions](../../classes/class_rect2i.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_rect2i.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_rect2i.html#operator-descriptions)
  + [RID](../../classes/class_rid.html)
    - [Description](../../classes/class_rid.html#description)
    - [Constructors](../../classes/class_rid.html#constructors)
    - [Methods](../../classes/class_rid.html#methods)
    - [Operators](../../classes/class_rid.html#operators)
    - [Constructor Descriptions](../../classes/class_rid.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_rid.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_rid.html#operator-descriptions)
  + [Signal](../../classes/class_signal.html)
    - [Description](../../classes/class_signal.html#description)
    - [Tutorials](../../classes/class_signal.html#tutorials)
    - [Constructors](../../classes/class_signal.html#constructors)
    - [Methods](../../classes/class_signal.html#methods)
    - [Operators](../../classes/class_signal.html#operators)
    - [Constructor Descriptions](../../classes/class_signal.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_signal.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_signal.html#operator-descriptions)
  + [String](../../classes/class_string.html)
    - [Description](../../classes/class_string.html#description)
    - [Tutorials](../../classes/class_string.html#tutorials)
    - [Constructors](../../classes/class_string.html#constructors)
    - [Methods](../../classes/class_string.html#methods)
    - [Operators](../../classes/class_string.html#operators)
    - [Constructor Descriptions](../../classes/class_string.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_string.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_string.html#operator-descriptions)
  + [StringName](../../classes/class_stringname.html)
    - [Description](../../classes/class_stringname.html#description)
    - [Constructors](../../classes/class_stringname.html#constructors)
    - [Methods](../../classes/class_stringname.html#methods)
    - [Operators](../../classes/class_stringname.html#operators)
    - [Constructor Descriptions](../../classes/class_stringname.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_stringname.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_stringname.html#operator-descriptions)
  + [Transform2D](../../classes/class_transform2d.html)
    - [Description](../../classes/class_transform2d.html#description)
    - [Tutorials](../../classes/class_transform2d.html#tutorials)
    - [Properties](../../classes/class_transform2d.html#properties)
    - [Constructors](../../classes/class_transform2d.html#constructors)
    - [Methods](../../classes/class_transform2d.html#methods)
    - [Operators](../../classes/class_transform2d.html#operators)
    - [Constants](../../classes/class_transform2d.html#constants)
    - [Property Descriptions](../../classes/class_transform2d.html#property-descriptions)
    - [Constructor Descriptions](../../classes/class_transform2d.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_transform2d.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_transform2d.html#operator-descriptions)
  + [Transform3D](../../classes/class_transform3d.html)
    - [Description](../../classes/class_transform3d.html#description)
    - [Tutorials](../../classes/class_transform3d.html#tutorials)
    - [Properties](../../classes/class_transform3d.html#properties)
    - [Constructors](../../classes/class_transform3d.html#constructors)
    - [Methods](../../classes/class_transform3d.html#methods)
    - [Operators](../../classes/class_transform3d.html#operators)
    - [Constants](../../classes/class_transform3d.html#constants)
    - [Property Descriptions](../../classes/class_transform3d.html#property-descriptions)
    - [Constructor Descriptions](../../classes/class_transform3d.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_transform3d.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_transform3d.html#operator-descriptions)
  + [Vector2](../../classes/class_vector2.html)
    - [Description](../../classes/class_vector2.html#description)
    - [Tutorials](../../classes/class_vector2.html#tutorials)
    - [Properties](../../classes/class_vector2.html#properties)
    - [Constructors](../../classes/class_vector2.html#constructors)
    - [Methods](../../classes/class_vector2.html#methods)
    - [Operators](../../classes/class_vector2.html#operators)
    - [Enumerations](../../classes/class_vector2.html#enumerations)
    - [Constants](../../classes/class_vector2.html#constants)
    - [Property Descriptions](../../classes/class_vector2.html#property-descriptions)
    - [Constructor Descriptions](../../classes/class_vector2.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_vector2.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_vector2.html#operator-descriptions)
  + [Vector2i](../../classes/class_vector2i.html)
    - [Description](../../classes/class_vector2i.html#description)
    - [Tutorials](../../classes/class_vector2i.html#tutorials)
    - [Properties](../../classes/class_vector2i.html#properties)
    - [Constructors](../../classes/class_vector2i.html#constructors)
    - [Methods](../../classes/class_vector2i.html#methods)
    - [Operators](../../classes/class_vector2i.html#operators)
    - [Enumerations](../../classes/class_vector2i.html#enumerations)
    - [Constants](../../classes/class_vector2i.html#constants)
    - [Property Descriptions](../../classes/class_vector2i.html#property-descriptions)
    - [Constructor Descriptions](../../classes/class_vector2i.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_vector2i.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_vector2i.html#operator-descriptions)
  + [Vector3](../../classes/class_vector3.html)
    - [Description](../../classes/class_vector3.html#description)
    - [Tutorials](../../classes/class_vector3.html#tutorials)
    - [Properties](../../classes/class_vector3.html#properties)
    - [Constructors](../../classes/class_vector3.html#constructors)
    - [Methods](../../classes/class_vector3.html#methods)
    - [Operators](../../classes/class_vector3.html#operators)
    - [Enumerations](../../classes/class_vector3.html#enumerations)
    - [Constants](../../classes/class_vector3.html#constants)
    - [Property Descriptions](../../classes/class_vector3.html#property-descriptions)
    - [Constructor Descriptions](../../classes/class_vector3.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_vector3.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_vector3.html#operator-descriptions)
  + [Vector3i](../../classes/class_vector3i.html)
    - [Description](../../classes/class_vector3i.html#description)
    - [Tutorials](../../classes/class_vector3i.html#tutorials)
    - [Properties](../../classes/class_vector3i.html#properties)
    - [Constructors](../../classes/class_vector3i.html#constructors)
    - [Methods](../../classes/class_vector3i.html#methods)
    - [Operators](../../classes/class_vector3i.html#operators)
    - [Enumerations](../../classes/class_vector3i.html#enumerations)
    - [Constants](../../classes/class_vector3i.html#constants)
    - [Property Descriptions](../../classes/class_vector3i.html#property-descriptions)
    - [Constructor Descriptions](../../classes/class_vector3i.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_vector3i.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_vector3i.html#operator-descriptions)
  + [Vector4](../../classes/class_vector4.html)
    - [Description](../../classes/class_vector4.html#description)
    - [Properties](../../classes/class_vector4.html#properties)
    - [Constructors](../../classes/class_vector4.html#constructors)
    - [Methods](../../classes/class_vector4.html#methods)
    - [Operators](../../classes/class_vector4.html#operators)
    - [Enumerations](../../classes/class_vector4.html#enumerations)
    - [Constants](../../classes/class_vector4.html#constants)
    - [Property Descriptions](../../classes/class_vector4.html#property-descriptions)
    - [Constructor Descriptions](../../classes/class_vector4.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_vector4.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_vector4.html#operator-descriptions)
  + [Vector4i](../../classes/class_vector4i.html)
    - [Description](../../classes/class_vector4i.html#description)
    - [Properties](../../classes/class_vector4i.html#properties)
    - [Constructors](../../classes/class_vector4i.html#constructors)
    - [Methods](../../classes/class_vector4i.html#methods)
    - [Operators](../../classes/class_vector4i.html#operators)
    - [Enumerations](../../classes/class_vector4i.html#enumerations)
    - [Constants](../../classes/class_vector4i.html#constants)
    - [Property Descriptions](../../classes/class_vector4i.html#property-descriptions)
    - [Constructor Descriptions](../../classes/class_vector4i.html#constructor-descriptions)
    - [Method Descriptions](../../classes/class_vector4i.html#method-descriptions)
    - [Operator Descriptions](../../classes/class_vector4i.html#operator-descriptions)

[Godot Engine](../../index.html)

* Godot Engine 4.4 documentation in English

  + [Introduction](index.html)
  + Godot's design philosophy
* + [Edit on GitHub](https://github.com/godotengine/godot-docs/blob/master/getting_started/introduction/godot_design_philosophy.rst)
  [Learn how to contribute!](https://docs.godotengine.org/en/latest/contributing/documentation/index.html#writing-documentation)

---

# Godot's design philosophy[](#godot-s-design-philosophy "Link to this heading")

Now that you've gotten your feet wet, let's talk about Godot's design.

**Every game engine is different and fits different needs.**
Not only do they offer a range of features, but the design of each engine
is unique. This leads to different workflows and different ways to form
your games' structures. This all stems from their respective design philosophies.

This page is here to help you understand how Godot works, starting
with some of its core pillars. It is not a list of available features, nor
is it an engine comparison. To know if any engine can be a good fit for
your project, you need to try it out for yourself and
understand its design and limitations.

Please watch
[Godot explained in 7 minutes](https://www.youtube.com/watch?v=yS9cuu5o5Ug)
if you're looking for an overview of the engine's features.

## Object-oriented design and composition[](#object-oriented-design-and-composition "Link to this heading")

Godot embraces object-oriented design at its core with its flexible
scene system and Node hierarchy. It tries to stay away from strict
programming patterns to offer an intuitive way to structure your game.

For one, Godot lets you **compose or aggregate** scenes.
It's like nested prefabs: you can create a BlinkingLight scene and
a BrokenLantern scene that uses the BlinkingLight.
Then, create a city filled with BrokenLanterns.
Change the BlinkingLight's color, save, and all the
BrokenLanterns in the city will update instantly.

On top of that, you can **inherit** from any scene.

A Godot scene could be a Weapon, a Character, an Item, a Door, a Level,
part of a level… anything you'd like. It works like a class in pure code,
except you're free to design it by using the editor, using only the
code, or mixing and matching the two.

It's different from prefabs you find in several 3D engines, as you can
then inherit from and extend those scenes. You may create a Magician
that extends your Character. Modify the Character in the editor and the Magician
will update as well. It helps you build your projects so that their
structure matches the game's design.

![image0](../../_images/engine_design_01.png)

Also note that Godot offers many different types of objects called
nodes, each with a specific purpose. Nodes are part of a tree and always
inherit from their parents up to the Node class. Although the engine
does feature some nodes like collision shapes that a parent physics
body will use, most nodes work independently from one another.

In other words, Godot's nodes do not work like components in some
other game engines.

![image1](../../_images/engine_design_02.png)

Sprite2D is a Node2D, a CanvasItem and a Node. It has all the properties
and features of its three parent classes, like transforms or the ability
to draw custom shapes and render with a custom shader.

## All-inclusive package[](#all-inclusive-package "Link to this heading")

Godot tries to provide its own tools to answer most common
needs. It has a dedicated scripting workspace, an animation editor, a
tilemap editor, a shader editor, a debugger, a profiler,
the ability to hot-reload locally and on remote devices, etc.

![image2](../../_images/engine_design_03.png)

The goal is to offer a full package to create games and a continuous
user experience. You can still work with external programs as long as
there is an import plugin available in Godot for it.

That is also partly why Godot offers its own programming language
GDScript along with C#. GDScript is designed for the needs
of game developers and game designers, and is tightly integrated in
the engine and the editor.

GDScript lets you write code using an indentation-based syntax,
yet it detects types and offers a static language's quality of auto-completion.
It is also optimized for gameplay code with built-in types like Vectors and Colors.

Note that with GDExtension, you can write high-performance code using compiled
languages like C, C++, Rust, D, Haxe, or Swift without recompiling the engine.

Note that the 3D workspace doesn't feature as many tools as the 2D workspace.
You'll need external programs or add-ons to edit terrains, animate complex characters, and so on.
Godot provides a complete API to extend the editor's functionality using
game code. See [The Godot editor is a Godot game](#the-godot-editor-is-a-godot-game) below.

## Open source[](#open-source "Link to this heading")

Godot offers a fully open source codebase under the **MIT license**.
This means that the codebase is free for anyone to download, use,
modify, or share, as long as its license file is kept intact.

All technologies that ship with Godot, including third-party libraries, must
be legally compatible with this open source license. Therefore, most parts
of Godot are developed from the ground up by community contributors.

Anyone can plug in proprietary tools for the needs of their projects —
they just won't ship with the engine. This may include Google AdMob,
or FMOD. Any of these can come as
third-party plugins instead.

On the other hand, an open codebase means you can **learn from and extend
the engine** to your heart's content. You can also debug games easily,
as Godot will print errors with a stack trace, even if they come from the engine itself.

Note

This **does not affect the work you do with Godot** in any way: there's
no strings attached to the engine or anything you make with it.

## Community-driven[](#community-driven "Link to this heading")

**Godot is made by its community, for the community, and for all game
creators out there.** It's the needs of the users and open discussions
that drive the core updates. New features from the core developers often
focus on what will benefit the most users first.

That said, although a handful of core developers work on it full-time,
the project has thousands of contributors at the time of writing. Benevolent
programmers work on features they may need themselves, so you'll see
improvements in all corners of the engine at the same time in every
major release.

## The Godot editor is a Godot game[](#the-godot-editor-is-a-godot-game "Link to this heading")

The Godot editor runs on the game engine. It uses the engine's own UI
system, it can hot-reload code and scenes when you test your projects,
or run game code in the editor. This means you can **use the same code**
and scenes for your games, or **build plugins and extend the editor.**

This leads to a reliable and flexible UI system, as it powers the editor
itself. With the `@tool` annotation, you can run any game code in the editor.

![../../_images/introduction_rpg_in_a_box.webp](../../_images/introduction_rpg_in_a_box.webp)

RPG in a Box is a voxel RPG editor made with Godot. It uses Godot's
UI tools for its node-based programming system and for the rest of the
interface.[](#id1 "Link to this image")

Put the `@tool` annotation at the top of any GDScript file and it will run
in the editor. This lets you import and export plugins, create plugins
like custom level editors, or create scripts with the same nodes and API
you use in your projects.

Note

The editor is fully written in C++ and is statically compiled into the
binary. This means you can't import it as a typical project that would have a
`project.godot` file.

## Separate 2D and 3D engines[](#separate-2d-and-3d-engines "Link to this heading")

Godot offers dedicated 2D and 3D rendering engines. As a result, **the
base unit for 2D scenes is pixels.** Even though the engines are
separate, you can render 2D in 3D, 3D in 2D, and overlay 2D sprites and
interfaces over your 3D world.

[Previous](learning_new_features.html "Learning new features")
[Next](../step_by_step/index.html "Step by step")

---

## User-contributed notes

*Please read the [User-contributed notes policy](https://github.com/godotengine/godot-docs-user-notes/discussions/1) before submitting a comment.*

[Previous](learning_new_features.html "Learning new features")
[Next](../step_by_step/index.html "Step by step")

---